DEXT Products

Introduction on DEXT Product Groups

■ DEXTUpload Pro Extension

DEXTUpload Pro Extension integrated DEXTUpload Pro and DEXTUploadX thus implements more powerful file upload functions as well as the concept of webhard.

This product improved upload capacity limit and transmission concept between browers and webservers to enable unlimited file uploading that the system can porcess and converted file transmission methods from integrated transmission to individual transmission thus it not only provide general file uploading service as well as the concept of webhard.

- It is possible to install and distribute existing DEXTUpload Pro and DEXTUploadX in the same server. DEXTUpload Pro Extension product is composed of DEXTUpload Pro Extension version and DEXTUploadX Extension version and ProgID, ClassID differ from existing products.

- It minimized modification on existing codes for upgrading from exsting DEXTUpload Pro or DEXTUploadX. For details, refer to manuals and samples. (Refer to [Code Samples] among ‘DEXTUpload Pro Extension’ menus from http://www.dextsolution.com/us/)

■ DEXTUpload.NET Extension

DEXTUpload.NET Extension integrated DEXTUpload.NET Pro and DEXTUploadX thus implements more powerful file upload functions as well as the concept of webhard.

This product improved upload capacity limit and transmission concept between browers and webservers to enable unlimited file uploading that the system can porcess and converted file transmission methods from integrated transmission to individual transmission thus it not only provide general file uploading service as well as the concept of webhard.

- It is possible to install and distribute existing DEXTUpload.NET Pro and DEXTUploadX in the same server. DEXTUpload.NET Extension product is composed of DEXTUpload.NET Extension version and DEXTUploadX Extension version.

- It minimized modification on existing codes for upgrading from exsting DEXTUpload.NET Pro or DEXTUploadX. For details, refer to manuals and samples. (Refer to [Code Samples] among ‘DEXTUpload.NET Extension’ menus from http://www.dextsolution.com/us/)

■ DEXTUpload Pro

DEXTUpload Professional is hosted with IIS (Internet Information Server) from window platform as HTTP Protocol based server-side component supporting file uploading functions from web browsers to web servers and can be used in all websites developed in ASP.

The product is being serviced from about 7000 sites nationally and internationally with the highest performance and stability among national and international upload components and we are improving development productivity and convenience through continuously supporting various additional functions.

■ DEXTUpload.NET Pro

DEXTUpload.NET Professional is hosted with IIS (Internet Information Server) from window platform as HTTP Protocol based server-side component supporting file uploading functions from web browsers to web servers and can be used in all websites developed in ASP.NET.

The first .NET based upload component in Korea, we are improving development productivity and convenience through continuously supporting various additional functions.

DEXTUpload.NET Professional has characteristics of complete integration with ASP.NET, and it not only provides mutual compatibility with .NET Framework file upload class but also completely overcome limit of ASP.NET from file upload aspects (inappropriate for uploading large-capacity files, server load problems and stability, providing simple uploading function).

The product is created in 100% controled coded using C# and completely recreated codes on core engine DEXTUpload Professional products optimized for .NET thus it provides remarkably improved upload speed and stability compared to existing ASP file upload components including DEXTUpload.

■ DEXTUploadJ

DEXTUploadJ is a HTTP protocol-based server side component supporting file uploading from web-browsers to web server and it can be used in all Servlet environment hosted with Linux, Unix platform web servers. Java version of DEXTUpload product being serviced in more than 10,000 sites with the highest performance and stability among national, international upload component. Please enjoy excellent file upload and download service by applying on various web-business environments being serviced with JSP.

■ DEXTUploadX

DEXTUploadX is a client-side ActiveX component with RFC 1867 Convention supporting function of uploading files from web browsers to web servers.

It supports various functions and UI that are difficult to be supported by web browsers in HTTP based environments, and supports powerful upload and download function overcoming HTTP restrictions thorugh interacting with server-side component supporting RFC1867.

Also, DEXTUploadX component supports flexible and intuitive UI by providing various API for developers for optimizing components to client's web sites.

■ DEXTWebEditor

DEXTWebEditor is a component-type web editor essentially used when creating interactive website such as bulletin board and it enables development of much more improved job system by supporting creation of various types of documents and creation of tables at the level of Word and compatible with all HTML document including Office product and support multi-language.

Especially, it is an HTML web editor maximizing customer satisfaction with the construction of optimum Interactive System when applied on your solutions or services along with DEXTUpload product group, and it is provided by automatically downloading from web-browsers and used by automatically distributing from web-application program to utilize.

■ DEXTVideo

DEXTVideo Product Introduction -DEXTVideo is a video solution which enables registration and searching of videos. It is possible to construction Web 2.0 service easily in/outside of company by easily sharing image information on web easily.

DEXTVideo is composed of ActiveX Control which converts and upload files and video player.

Video part can be easily added on constructed web system (corporate level groupware, portals) and it is possible to provide stable video service for external customers. Its advantage is that on-going improvements are possible since it is implemented in open source-based FFMPEG technology which is being used by Utube of Google, the biggest video portal in the world, and famouse portals in Korea.

DEXTVideo enables Viewing without installing additional software (Codec) at client by converting various video formats into one standard format of FLV file, and it is possible to minimize costs for constructing solutions and operation costs since file conversion is performed from client PC thus reduces loads on server.

For further information on DEXT product groups, please check detailed information on each products and code samples and live demos from 'PRODUCTS' menu on http://www.dextsolution.com/us/

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXT Products

Security Development Guide

A service that provides the file upload function can be attacked that may affect the security from the outside.

For instance, the attacker can execute the Web-shell on the server by uploading the malicious file.

Most of the service includes the file attachment function. But if the security code verifying the validity for the upload file does not exist, attackers can gain the authority of the server by abusing this situation or try harmful acts on the service.

Basically, All platforms such as ASP, ASP.NET, PHP, JSP(Servlet) do not have a defense of verifying for uploaded file. Therefore, The developer who provides the service should create the working code to verify the file data which is sent from the clients(browser, third-party).

■ Filtering the file extension in the client

You should do filtering to select only files that allowed to upload in the file attachment function.

The file type of attachment depends on the service feature, but in the general case, you should not allow to upload the file except commonly used media file. (Permit the doc, docx, xls, xlsx, hwp, …, jpg, png etc.)

Therefore, such as jsp, asp, php, cgi files, except the media file are prohibited uploading.

In case of using the pure HTML, you can inspect the file extension by using the javascript code and in case of using the component by using the Plug-in like the ActiveX, you should use component’s own extension filtering function.

The code that validate the file extension should use the White List(A way to check the file extension whether it is able to upload) rather than the Black List(A way to check the prohibited uploading file extension).

The data modulation can occur in the process of being sent to the server, even if you went through proper verification in the client side.

At the HTTP protocol, there is no way to protect it, so you should work encrypted transmission by using the SSL(Secure Socket Layer.)

As a developer side, there is no part of processing because the SSL encryption at the Transport Layer.

But the applied service can be diminished in performance because the SSL has the encryption or decryption process.

■ Filtering the file extension in the service

Even if filtering the file extension was verified from client side, you should do same test on the server code because it is able to make a detour easily.

Just like the client test way, The extension test should be performed by White List base. And it is recommended to check intactly the filename delivered from the client side without preprocessing.

For instance, you should test the original filename intactly to the exclusion of doing the trim or working to remove all special letters. At first, if the file has the extension which is not included in the White List, you should not save this in the server.

In case of filtering the extension with the Black List method, you should use the verification method of the White List because the attacker can find the pattern which is not included in Black List and attack.

■ Removing the execution authority of the upload directory

As long as there is no particular purpose, the normally uploaded file becomes an object of downloading.

Even if the Web-shell file is saved, If this file does not run, it will not affect at the security seriously.

Therefore, the directory which saves the file should be removed the execution authority.

Example) IIS6 security setting

After selecting the object directory at the IIS setting, open the properties window and set up the execution authority as the 'n/a'.

Example) in case of the higher than IIS7

In case of the higher than IIS7, after selecting the upload directory, open the 'Handler Mappings' tool and change the authority.

In the 'Edit Feature Permissions' window, uncheck the 'execute' and 'script' items.

Example) in case of the Apache

In case of the Apache, you can use the method to limit the object of the file rather than to remove the authority.

#httpd.conf

<Directory directory-path>

AllowOverride FileInfo (or ‘All’ available)

</Directory>

Create the .htaccess file under the upload directory and change the particular MIME-TYPE to make Web-shell not be run.

<FilesMatch “\.(php|pl|cgi|inc|lib)”>

Order Allow, deny

Deny from all

</FilesMatch>

AddType text/html .html .htm .php .php3 .php4. phtml .phps .in .cgi .pi .shtml .jsp

Please refer to the Apache .htaccess file setting for details.

http://httpd.apache.org/docs/2.4/mod/core.html#allowoverride

http://httpd.apache.org/docs/2.4/howto/htaccess.html

For the setting of other Web server or WAS server, refer to the related document.

■ Removing the external exposure of upload directory route

There are many cases that developers expose the location of the file upload directory to the web address normally for developer’s convenience.

Normally developers develop the uploading process carefully. However there are many cases that developers entrust the download section to the web server without the additional processing, so it will be target to run uploaded Web-shell.

Therefore, the file upload directory route primarily should be avoided the setting it to the sub-directory route. And even if you use the external directory, you should not enroll in the web-imaginary-directory to guard against the access of web address.

Instead, for downloading, you should develop the download module. And in this module, you should develop the function to read a file and transfer it from the external directory.

■ Changing a policy of file management architecture

There are many cases that develper decides a policy to save the filename intactly.

But in this case, it will be primary condition to attack the Web-shell as well as writing the additional code to avoid the duplicate filename.

The file for upload should be made and saved with a special filename to match the service policy without using the original filename.

Example)

F[upload date -> yyyyMMddHHmmssfff]_[remote ip]_[session/ID]_[thread]_[turn].[insignificant extension]

attack.jsp -> F20130401153027125_111.111.111.111_0012345_100_0001.bin

And the actual local filename should be enrolled in the database for the download service.

At this moment, if you enroll the the size, extension and MIME-TYPE(if possible) together, it offer help your security and service implementation additionally.

And if you implement(realize) the download that can download by using the download module, you can download the user-friendly filename which is enrolled in the database.

The attackers can't attempt the attack because they can't know the file name to perform the Web-shell. And it can block the Web-shell's attack basically, because the attacker can access the files through only the download module, and the server does not run the file and unconditionally transfers the file to the client.

■ DEXTUpload server components

DEXTUpload server components has not its own security function to defend file upload attack.

DEXTUpload server components can save the original filename intactly, add the turn on the filename or use the save as task.

But regardless of the product, if the filename is included with the special letter or nonpermissive letter, it can be saved with unintended filename or the error can be occurred.

Therefore, Before saving the file, check the filename is valid.

[The method that can be used to enhance the security and the recommendation]

1.Before saving the file, you can find out the filename to be saved by using the method.

2.MIME-TYPE can be modulated or be processed with like the application/octet-stream, application/unknown format without the file division on the client side.

3.Basically DEXTUpload server components includes the FileDownload class to download the file.


DEXTUpload Pro Extension - Introduction

DEXTUpload Pro Extension

Introduction of DEXTUpload Pro Extension

■ What is DEXTUpload Pro Extension

DEXTUpload Pro Extension enables to provide service with the concept of web hard along with more powerful upload function by integrating DEXTUpload Pro and DEXTUploadX.

This product allows system to process uploading of files with unlimited capacity by improving upload capacity limit and transmission concept between browsers and web-servers and it can expand to web hard-concept service besides normal file upload service by converting file transmission methods from integrated transmission to individual transmission method.

- Existing DEXTUpload Pro and DEXTUploadX can be installed and distributed together in the same server. DEXTUpload Pro Extension product is composed of DEXTUpload Pro Extension version and DEXTUploadX Extension version and ProgID, ClassID differ from previous products.

- It minimizes modification on existing codes to upgrade from existing DEXTUpload Pro or DEXTUploadX. For further details, please refer to manuals and samples. (Refer to [code samples] from ‘DEXTUpload Pro Extension’ menu from http://www.dextsolution.com/us/)


DEXTUpload Pro Extension - Characteristic

DEXTUpload Pro Extension

Introduction of DEXTUpload Pro Extension

■ Characteristic of DEXTUpload Pro Extension

1. Transmission of files of more than 2GB

- Possible to transfer almost unlimited file size steadily.

2. Supports resumed uploading

- Possible to resume stable uploading even when uploading is interrupted by internet disconnection, temporary stop by the user.

3. Support transmission speed limit

- Transmission speed can be limited from client side within supported bandwidth.

4. Support file add/delete during transmission

- Supports file add/delete during transmission.

5. Support pause during transmission

- Transmission can be paused while uploading or downloading files.

6. Removed limit in number of transmitted files

- Removed limit in maximum number of transmitted files of 512 files by changing transmission method. However, there may be display errors on UI caused by increase in number of files.

7. Supports all functions of DEXTUpload Pro and DEXTUploadX

- Supports all functions of existing DEXTUpload Pro and DEXTUploadX. However, it may not support at the same time according to the properties of support functions.


DEXTUpload Pro Extension - System Requirement

DEXTUpload Pro Extension

Installation Guide of DEXTUpload Pro Extension

■ System Requirement

1. Server Requirement

- Microsoft Windows 2000/2003/2008 Family

2. Client Requirement

- Microsoft Windows 2000/XP/2003/Vista/2008

- All browsers that support ActiveX control


DEXTUpload Pro Extension - Install

DEXTUpload Pro Extension

Installation Guide of DEXTUpload Pro Extension

■ Installation Method

1.Start installation

1. Front installation page of DEXTUpload Pro Extension. Click Next.

2. End user agreement

3.Choose the type of work-Click "Install DEXTUpload Pro Extension”, then click Next.

[Remarks]

Your genuine DEXTUpload Pro Extension will be registered and you will be issued the authentication code from Devpia, when your computer is on-line.

If you want to install your DEXTUpload Pro Extension, please see "3. Registration of your genuine DEXTUpload Pro Extension & authentication " section.

4. Please enter accurate product registration information.

- If registers as test-version

- If registers as full-version

5. Installation type and select location to install

6. If IIS use “DEXTUploadEx.dll”, IIS service will be restarted. Click Next.

7.Installation has been completed. – Click Finish to start Example.

2. Limit on installing full-version program

Installation may not proceed while displaying already installed product key shown in the below during installation of the full-version.

It can only be installed at single server if installing by entering formal product key and previously installed product must be Uninstalled before reinstalling at other server.

If uninstalling after installing full-version, please make sure communications with authentication server for product installation.

The following methods show reinstalling full-version without uninstalling existing full version.

1) Forcibly convert to test-version with provided "Test-version conversion program (ConverToFree.exe)".

- For this case, communication with authentication server must be maintained and full-version installation data from authentication server will be deleted once conversion is completed.

- This file exists in "Bin" folder of product installation patg.

2) Full-version installation data can be deleted manually from "MY PAGE-Installation Information Modification" from the sales site (http://www.dextsolution.com/us/).

※ However, there may be interruptions in normal service if full-version installation information and actually service product information is modified intentionally.

3. Registration of your genuine DEXTUpload Pro Extension & authentication

Should I register my DEXTUpload Pro Extension and get authentication code? YES, If you meet the following circumstances

1) If you installed your genuine DEXTUpload Pro Extension while your computer was off-line.

2) If you installed your genuine DEXTUpload Pro Extension while your internet access had problems.

3) If you want convert your trial version of DEXTUpload Pro Extension to Full version of genuine DEXTUpload Pro Extension.

How to register your DEXTUpload Pro Extension and get your authentication code!

1. Connect http://www.dextsolution.com/us/

2. Click on "My Page -> Log-in (Use ID and Password that you registered) -> Click Generating Authentication Code (DEXTUpload Pro Extension)"

3. Enter your Computer name, Product key and Serial number. You will be issued Authentication code (Authentication Code is needed in step6)

4.Install DEXTUpload Pro Extension in your PC.

5.Select "Registration of genuine DEXTUpload Pro Extension & authentication”

6. Enter your product ID, Serial number and Authentication Key(code), click authentication and then click Finish.

4. Limitation of Trial Version (30 days limitation)

The trial version allows you to use DEXTUpload Pro Extension for 30 days starting from the date of installation.


DEXTUpload Pro Extension - Uninstall

DEXTUpload Pro Extension

Installation Guide of DEXTUpload Pro Extension

■ Removing installation

In case of selecting the program ADD / DELETE PROGRAM in control panel or installing component, if you click "UnInstall DEXTUpload Pro Extension" menu created in window start menu, the component can be removed.

Provided that, in this case, if DEXTUploadEx.dll file is used by IIS this is not removed in normal method because this file can not be deleted.

Therefore, in this case, you should restart system or IIS and remove it.


DEXTUpload Pro Extension - Programming

DEXTUpload Pro Extension

DEXTUpload Pro Extension programming

■ DEXTUpload Pro Extension programming

Please refer to DEXTUpload Pro programming item and DEXTUploadX programming item for DEXTUpload Pro Extension programming item.

DEXTUpload Pro Extension product is integration of DEXTUpload Pro Ex product and DEXTUploadX Ex product.

[Code compatibility between DEXTUpload Pro Ex product and DEXTUpload Pro product]

DEXTUpload Pro Ex product maintains complete code compatibility with existing DEXTUpload Pro product except "PorgID" used for generating objects in ASP code.

(However, various APIs are supported from DEXTUpload Pro Ex which are not supported from existing DEXTUpload Pro for improved service.)

[Code compatibility between DEXTUploadX Ex product DEXTUploadX product]

DEXTUploadX Ex product maintains complete code compatibility with existing DEXTUploadX product except "CLASSID" and "CODEBASE" of CAB file names used for announcing objects in HTML code.

(However, various APIs are supported from DEXTUploadX Ex which are not supported from existing DEXTUploadX for improved service.)

[Example of code compatibility between DEXTUpload Pro Ex product and DEXTUpload Pro product]

<%

' Method of creating object when using DEXTUpload Pro Extension product
Set FileUpload = Server.CreateObject("DEXTEx.FileUpload")

Set FileUploadMonitor = Server.CreateObject("DEXTEx.FileUploadMonitor")

Set Progress = Server.CreateObject("DEXTEx.Progress")

Set FileDownload = Server.CreateObject("DEXTEx.FileDownload")

Set ImageProc = Server.CreateObject("DEXTEx.ImageProc")

Set BLOBManager = Server.CreateObject("DEXTEx.BLOBManager")

Set BLOBManager = Server.CreateObject("DEXTEx.Manager")

%>

<%

' Method of creating object when using DEXTUpload Pro product
Set FileUpload = Server.CreateObject("DEXT.FileUpload")

Set FileUploadMonitor = Server.CreateObject("DEXT.FileUploadMonitor")

Set Progress = Server.CreateObject("DEXT.Progress")

Set FileDownload = Server.CreateObject("DEXT.FileDownload")

Set ImageProc = Server.CreateObject("DEXT.ImageProc")

Set BLOBManager = Server.CreateObject("DEXT.BLOBManager")

Set BLOBManager = Server.CreateObject("DEXT.Manager")

%>

[Example of code compatibility between DEXTUploadX Ex product DEXTUploadX product]

<HTML>

<BODY>

<!-- Method of announcing object when using DEXTUploadX Ex product -->

<OBJECT ID="FileUploadManagerEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version=Current version" HEIGHT="200" WIDTH="450" CLASSID="CLSID:4FCFCDC8-346B-4d35-A001-C92AA3775BBB"></OBJECT>

<OBJECT ID="FileUploadMonitorEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988"></OBJECT>

<OBJECT ID="FileDownloadManagerEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:B0250CBD-2F67-45b1-9AC1-E846CF0A12C5"></OBJECT>

<OBJECT ID="FileDownloadMonitorEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:64F53B6B-C2A8-4e46-89E0-8ADD2F2AA861"></OBJECT>

<OBJECT ID="ProgressEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:A7DF7B2A-4537-4e30-9BF1-910E1F9BBF12"></OBJECT>

</BODY>

</HTML>

<HTML>

<BODY>

<!-- Method of announcing object when using DEXTUploadX product -->

<OBJECT ID="FileUploadManager" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316"></OBJECT>

<OBJECT ID="FileUploadMonitor" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5"></OBJECT>

<OBJECT ID="FileDownloadManager" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A"></OBJECT>

<OBJECT ID="FileDownloadMonitor" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619"></OBJECT>

<OBJECT ID="Progress" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:253B8695-AFE6-4918-AE1C-003FCF070D08"></OBJECT>

</BODY>

</HTML>

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUpload Pro Extension - Reference

DEXTUpload Pro Extension

DEXTUpload Pro Extension Object Reference

■ DEXTUpload Pro Extension Object Reference

Please refer to DEXTUpload Pro Object Reference item and DEXTUploadX Object Reference item for DEXTUpload Pro Extension Object Reference item.

DEXTUpload Pro Extension product is integration of DEXTUpload Pro Ex product and DEXTUploadX Ex product.

[Code compatibility between DEXTUpload Pro Ex product and DEXTUpload Pro product]

DEXTUpload Pro Ex product maintains complete code compatibility with existing DEXTUpload Pro product except "PorgID" used for generating objects in ASP code.

(However, various APIs are supported from DEXTUpload Pro Ex which are not supported from existing DEXTUpload Pro for improved service.)

[Code compatibility between DEXTUploadX Ex product DEXTUploadX product]

DEXTUploadX Ex product maintains complete code compatibility with existing DEXTUploadX product except "CLASSID" and "CODEBASE" of CAB file names used for announcing objects in HTML code.

(However, various APIs are supported from DEXTUploadX Ex which are not supported from existing DEXTUploadX for improved service.)

[Example of code compatibility between DEXTUpload Pro Ex product and DEXTUpload Pro product]

<%

' Method of creating object when using DEXTUpload Pro Extension product
Set FileUpload = Server.CreateObject("DEXTEx.FileUpload")

Set FileUploadMonitor = Server.CreateObject("DEXTEx.FileUploadMonitor")

Set Progress = Server.CreateObject("DEXTEx.Progress")

Set FileDownload = Server.CreateObject("DEXTEx.FileDownload")

Set ImageProc = Server.CreateObject("DEXTEx.ImageProc")

Set BLOBManager = Server.CreateObject("DEXTEx.BLOBManager")

Set BLOBManager = Server.CreateObject("DEXTEx.Manager")

%>

<%

' Method of creating object when using DEXTUpload Pro product
Set FileUpload = Server.CreateObject("DEXT.FileUpload")

Set FileUploadMonitor = Server.CreateObject("DEXT.FileUploadMonitor")

Set Progress = Server.CreateObject("DEXT.Progress")

Set FileDownload = Server.CreateObject("DEXT.FileDownload")

Set ImageProc = Server.CreateObject("DEXT.ImageProc")

Set BLOBManager = Server.CreateObject("DEXT.BLOBManager")

Set BLOBManager = Server.CreateObject("DEXT.Manager")

%>

[Example of code compatibility between DEXTUploadX Ex product DEXTUploadX product]

<HTML>

<BODY>

<!-- Method of announcing object when using DEXTUploadX Ex product -->

<OBJECT ID="FileUploadManagerEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version=Current version" HEIGHT="200" WIDTH="450" CLASSID="CLSID:4FCFCDC8-346B-4d35-A001-C92AA3775BBB"></OBJECT>

<OBJECT ID="FileUploadMonitorEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988"></OBJECT>

<OBJECT ID="FileDownloadManagerEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:B0250CBD-2F67-45b1-9AC1-E846CF0A12C5"></OBJECT>

<OBJECT ID="FileDownloadMonitorEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:64F53B6B-C2A8-4e46-89E0-8ADD2F2AA861"></OBJECT>

<OBJECT ID="ProgressEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:A7DF7B2A-4537-4e30-9BF1-910E1F9BBF12"></OBJECT>

</BODY>

</HTML>

<HTML>

<BODY>

<!-- Method of announcing object when using DEXTUploadX product -->

<OBJECT ID="FileUploadManager" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316"></OBJECT>

<OBJECT ID="FileUploadMonitor" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5"></OBJECT>

<OBJECT ID="FileDownloadManager" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A"></OBJECT>

<OBJECT ID="FileDownloadMonitor" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619"></OBJECT>

<OBJECT ID="Progress" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:253B8695-AFE6-4918-AE1C-003FCF070D08"></OBJECT>

</BODY>

</HTML>

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUploadX

DEXTFileCleaner

DEXTFileCleaner Service

■ DEXTFileCleaner Service

User temporary files will be accumulated at temporary folder (DefaultPath set while using DEXTUpload Pro) on web server if "Unlimited large-capacity upload", "Resume uploading" among functions of DEXTUpload Pro Extension product is used. These files may be automatically deleted by finally uploading within a certain period by the user but if not (when the user has no intention to complete upload) then unnecessary user temporary files should be deleted to prevent wasting unnecessary disk space in web server.

Register Window service program called DEXTFileCleaner as a service of web server for operation of cleaning those temporary files and can delete temporary files regularly according to web server management policy. The function of this product is simple thus it can be created by discretion if necessary.

■ DEXTFileCleaner Service Registration/Deletion and Instructions

1. Service Registration

: Execute command prompt and move to a folder with execution file

(Eg, C:\Program Files\DEVPIA\DEXTUpload Pro Extension\Bin )

: Execute DEXTFileCleaner.exe -i

: "Start Service" from “Control Panel-Service" menu

2. Instruction on Service

: Modify DEXTFileCleaner.ini file and decide policy on deleting temporary files.

[[ DEXTFileCleaner Configuration ]]

DEXTUpload_DefaultPath=C:\TEMP

=> Assign DefaultPath set as path for temporary file from DEXTUpload Pro.

DEXTFileCleaner_FileMaintainTerm=60

=> Target temporary files whose final modification time exceeding 60 minutes in minute unit number value.

DEXTFileCleaner_ExecuteTerm=120

=> Searches temporary folder in minute units and repeat cleaning files subject for deletion in 120 minute cycle.

DEXTFileCleaner_BeginTime=20080905142500

=> Clean files subject for delete according to Execute Term from corresponding time with “Year month day hour minute second".

3. Deleting service

: Click "Stop Service" from “Control Panel-Service" menu then,

: execute command prompt and move to a folder with execution file

( 예, C:\Program Files\DEVPIA\DEXTUpload Pro Extension\Bin )

: Execute DEXTFileCleaner.exe -u

Copyright ⓒ DEVPIA Corporation. All rights reserved


ConvertToFree

ConvertToFree Evaluation-version Conversion Program

■ What is ConvertToFree Evaluation-version Conversion Program

ConvertToFree Evaluation-version Conversion Program is a program converting evaluation version targeting DEXTUpload Pro v3,3,0 or higher, DEXTUpload Pro Extension v1,0,0 or higher.

There are limit on installing full version on DEXTUpload Pro v3,3,0 or higher, DEXTUpload Pro Extension v1,0,0 or higher thus installed program should be deleted or converted into evaluation version for repetitive installation of full version.

Evaluation-version Conversion Program is a program easily converting installed full version of DEXTUpload to evaluation version without reinstalling DEXTUpload products.

Internet should be connected to use the Evaluation-version Conversion Program normally. (Environment where communication with http://www.dextsolution.com is possible).

■ Instruction

[ConvertToFree Evaluation-version Conversion Program]

1. Execution of ConvertToFree Evaluation-version Conversion Program

Execute “ConvertToFree.exe” from Bin Directory where DEXTUpload product is installed.

(Example of installation path, C:\Program Files\DEVPIA\DEXTUpload Pro Extension\Bin)

2. Selection of a product for converting into evaluation-version and application

Shows lists of installed full-version products [installation information for converting into evaluation-version] among DEXTUpload Pro v3,3,0 or higher, DEXTUpload Pro Extension v1,0,0 or higher products.

If the product selected for evaluation-conversion is DEXTUpload Pro Extension then must enter [DEXTUpload Pro Extension additional input information].

Complete Evaluation-version Conversion process by clinking [Apply] button after entering all input information.

Additional input information is as follows.

[DEXTUpload Pro Extension Additional Input Information]

PID – Evaluation-version PID

SN – Evaluation-version SN

IP – IP of a server where Evaluation-version product is to be installed


DEXTUpload.NET Extension - Introduction

DEXTUpload.NET Extension

Introduction of DEXTUpload.NET Extension

■ What is DEXTUpload.NET Extension

DEXTUpload.NET Extension enables to provide service with the concept of web hard along with more powerful upload function by integrating DEXTUpload.NET Pro and DEXTUploadX.

This product allows system to process uploading of files with unlimited capacity by improving upload capacity limit and transmission concept between browsers and web-servers and it can expand to web hard-concept service besides normal file upload service by converting file transmission methods from integrated transmission to individual transmission method.

- Existing DEXTUpload.NET Pro and DEXTUploadX can be installed and distributed together in the same server. DEXTUpload.NET Extension product is composed of DEXTUpload.NET Extension version and DEXTUploadX Extension.

- It minimizes modification on existing codes to upgrade from existing DEXTUpload.NET Pro or DEXTUploadX. For further details, please refer to manuals and samples. (Refer to [code samples] from ‘DEXTUpload.NET Extension’ menu from http://www.dextsolution.com/us/)


DEXTUpload.NET Extension - Characteristic

DEXTUpload.NET Extension

Introduction of DEXTUpload.NET Extension

■ Characteristic of DEXTUpload.NET Extension

1. Transmission of files of more than 2GB

- Possible to transfer almost unlimited file size steadily.

2. Supports resumed uploading

- Possible to resume stable uploading even when uploading is interrupted by internet disconnection, temporary stop by the user.

3. Support transmission speed limit

- Transmission speed can be limited from client side within supported bandwidth.

4. Support file add/delete during transmission

- Supports file add/delete during transmission.

5. Support pause during transmission

- Transmission can be paused while uploading or downloading files.

6. Removed limit in number of transmitted files

- Removed limit in maximum number of transmitted files of 512 files by changing transmission method. However, there may be display errors on UI caused by increase in number of files.

7. Supports all functions of DEXTUpload.NET Pro and DEXTUploadX

- Supports all functions of existing DEXTUpload.NET Pro and DEXTUploadX. However, it may not support at the same time according to the properties of support functions.


DEXTUpload.NET Extension - System Requirement

DEXTUpload.NET Extension

Installation Guide of DEXTUpload.NET Extension

■ System Requirement

1. Server Requirement

- Microsoft Windows 2003/2008 Family

- IIS5.0 and over

- .NET Framework 2.0

- .NET Framework 4.0

- ASP.NET 2.0

- ASP.NET 4.0

2. Client Requirement

- Microsoft Windows XP/2003/Vista/2008

- All browsers that support ActiveX control


DEXTUpload.NET Extension - Inatall infomation

DEXTUpload.NET Extension

Installation Guide of DEXTUpload.NET Extension

■ Installation Method

1.Start installation

1. Front installation page of DEXTUpload.NET Extension. Click Next.

2. End user agreement

3.Choose the type of work-Click "Install DEXTUpload.NET Extension”, then click Next.

[Remarks]

Your genuine DEXTUpload.NET Extension will be registered and you will be issued the authentication code from Devpia, when your computer is on-line.

If you want to install your DEXTUpload.NET Extension, please see "3. Registration of your genuine DEXTUpload.NET Extension & authentication " section.

4. Please enter accurate product registration information.

- If registers as test-version

- If registers as full-version

5. Installation type and select location to install

6. If IIS use “DEXTUpload.NETEx.dll”, IIS service will be restarted. Click Next.

7.Installation has been completed. – Click Finish to start Example.

2. Limit on installing full-version program

Installation may not proceed while displaying already installed product key shown in the below during installation of the full-version.

It can only be installed at single server if installing by entering formal product key and previously installed product must be Uninstalled before reinstalling at other server.

If uninstalling after installing full-version, please make sure communications with authentication server for product installation.

The following methods show reinstalling full-version without uninstalling existing full version.

1) Forcibly convert to test-version with provided "Test-version conversion program (ConverToFree.exe)".

- For this case, communication with authentication server must be maintained and full-version installation data from authentication server will be deleted once conversion is completed.

- This file exists in "Bin" folder of product installation patg.

2) Full-version installation data can be deleted manually from "MY PAGE-Installation Information Modification" from the sales site (http://www.dextsolution.com/us/).

※ However, there may be interruptions in normal service if full-version installation information and actually service product information is modified intentionally.

3. Registration of your genuine DEXTUpload.NET Extension & authentication

Should I register my DEXTUpload.NET Extension and get authentication code? YES, If you meet the following circumstances

1) If you installed your genuine DEXTUpload.NET Extension while your computer was off-line.

2) If you installed your genuine DEXTUpload.NET Extension while your internet access had problems.

3) If you want convert your trial version of DEXTUpload.NET Extension to Full version of genuine DEXTUpload.NET Extension.

How to register your DEXTUpload.NET Extension and get your authentication code!

1. Connect http://www.dextsolution.com/us/

2. Click on "My Page -> Log-in (Use ID and Password that you registered) -> Click Generating Authentication Code (DEXTUpload.NET Extension)"

3. Enter your Computer name, Product key and Serial number. You will be issued Authentication code (Authentication Code is needed in step6)

4.Install DEXTUpload.NET Extension in your PC.

5.Select "Registration of genuine DEXTUpload.NET Extension & authentication”

6. Enter your product ID, Serial number and Authentication Key(code), click authentication and then click Finish.

4. Limitation of Trial Version (30 days limitation)

The trial version allows you to use DEXTUpload Pro Extension for 30 days starting from the date of installation.


DEXTUpload.NET Extension - Uninstall

DEXTUpload.NET Extension

Installation Guide of DEXTUpload.NET Extension

■ Removing installation

In case of selecting the program ADD / DELETE PROGRAM in control panel or installing component, if you click "UnInstall DEXTUpload.NET Extension" menu created in window start menu, the component can be removed.

Provided that, in this case, if DEXTUpload.NETEx.dll file is used by IIS this is not removed in normal method because this file can not be deleted.

Therefore, in this case, you should restart system or IIS and remove it.


DEXTUpload.NET Extension - Programming

DEXTUpload.NET Extension

DEXTUpload.NET Extension programming

■ DEXTUpload.NET Extension programming

Please refer to DEXTUpload.NET Pro programming item and DEXTUploadX programming item for DEXTUpload.NET Extension programming item.

DEXTUpload.NET Extension product is integration of DEXTUpload.NET Ex product and DEXTUploadX Ex product.

[Code compatibility between DEXTUpload.NET Ex product and DEXTUpload.NET Pro product]

DEXTUpload.NET Ex product maintains complete code compatibility with existing DEXTUpload.NET Pro product except name space in ASP.NET code.

(However, various APIs are supported from DEXTUpload.NET Ex which are not supported from existing DEXTUpload.NET Pro for improved service.)

[Code compatibility between DEXTUploadX Ex product DEXTUploadX product]

DEXTUploadX Ex product maintains complete code compatibility with existing DEXTUploadX product except "CLASSID" and "CODEBASE" of CAB file names used for announcing objects in HTML code.

(However, various APIs are supported from DEXTUploadX Ex which are not supported from existing DEXTUploadX for improved service.)

[Example of code compatibility between DEXTUpload.NET Ex product and DEXTUpload.NET Pro product]

// Method of creating object when using DEXTUpload.NET Extension product
DEXTUpload.NETEx.FileUpload fupload = new DEXTUpload.NETEx.FileUpload();

DEXTUpload.NETEx.Progress progress = new DEXTUpload.NETEx.Progress();

DEXTUpload.NETEx.FileDownload fdownload = new DEXTUpload.NETEx.FileDownload ();

DEXTUpload.NETEx.ImageProc imgProc = new DEXTUpload.NETEx.ImageProc();

// Method of creating object when using DEXTUpload.NET Pro product
DEXTUpload.NET.FileUpload fupload = new DEXTUpload.NET.FileUpload();

DEXTUpload.NET.Progress progress = new DEXTUpload.NET.Progress();

DEXTUpload.NET.FileDownload fdownload = new DEXTUpload.NET.FileDownload ();

DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc();

[Example of code compatibility between DEXTUploadX Ex product DEXTUploadX product]

<HTML>

<BODY>

<!-- Method of announcing object when using DEXTUploadX Ex product -->

<OBJECT ID="FileUploadManagerEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version=Current version" HEIGHT="200" WIDTH="450" CLASSID="CLSID:4FCFCDC8-346B-4d35-A001-C92AA3775BBB"></OBJECT>

<OBJECT ID="FileUploadMonitorEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988"></OBJECT>

<OBJECT ID="FileDownloadManagerEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:B0250CBD-2F67-45b1-9AC1-E846CF0A12C5"></OBJECT>

<OBJECT ID="FileDownloadMonitorEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:64F53B6B-C2A8-4e46-89E0-8ADD2F2AA861"></OBJECT>

<OBJECT ID="ProgressEx" CODEBASE=" Server URL/DEXTUploadXEx.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:A7DF7B2A-4537-4e30-9BF1-910E1F9BBF12"></OBJECT>

</BODY>

</HTML>

<HTML>

<BODY>

<!-- Method of announcing object when using DEXTUploadX product -->

<OBJECT ID="FileUploadManager" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316"></OBJECT>

<OBJECT ID="FileUploadMonitor" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5"></OBJECT>

<OBJECT ID="FileDownloadManager" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A"></OBJECT>

<OBJECT ID="FileDownloadMonitor" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619"></OBJECT>

<OBJECT ID="Progress" CODEBASE=" Server URL/DEXTUploadX.cab#version= Current version " HEIGHT="200" WIDTH="450" CLASSID="CLSID:253B8695-AFE6-4918-AE1C-003FCF070D08"></OBJECT>

</BODY>

</HTML>

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUpload Pro Extension Reference

DEXTUpload.NET Extension

DEXTUpload.NET Extension Object Reference

■ DEXTUpload.NET Extension Object Reference

Please refer to DEXTUpload.NET Pro Object Reference item and DEXTUploadX Object Reference item for DEXTUpload.NET Extension Object Reference item.

DEXTUpload.NET Extension product is integration of DEXTUpload.NET Ex product and DEXTUploadX Ex product.

[Code compatibility between DEXTUpload.NET Ex product and DEXTUpload.NET Pro product]

DEXTUpload.NET Ex product maintains complete code compatibility with existing DEXTUpload.NET Pro product except name space in ASP.NET code.

(However, various APIs are supported from DEXTUpload.NET Ex which are not supported from existing DEXTUpload.NET Pro for improved service.)

[Code compatibility between DEXTUploadX Ex product DEXTUploadX product]

DEXTUploadX Ex product maintains complete code compatibility with existing DEXTUploadX product except "CLASSID" and "CODEBASE" of CAB file names used for announcing objects in HTML code.

(However, various APIs are supported from DEXTUploadX Ex which are not supported from existing DEXTUploadX for improved service.)


DEXTFileCleaner

DEXTFileCleaner Service

■ DEXTFileCleaner Service

User temporary files will be accumulated at temporary folder (DefaultPath set while using DEXTUpload.NET Extension) on web server if "Unlimited large-capacity upload", "Resume uploading" among functions of DEXTUpload.NET Extension product is used. These files may be automatically deleted by finally uploading within a certain period by the user but if not (when the user has no intention to complete upload) then unnecessary user temporary files should be deleted to prevent wasting unnecessary disk space in web server.

Register Window service program called DEXTFileCleaner as a service of web server for operation of cleaning those temporary files and can delete temporary files regularly according to web server management policy. The function of this product is simple thus it can be created by discretion if necessary.

■ DEXTFileCleaner Service Registration/Deletion and Instructions

1. Service Registration

: Execute command prompt and move to a folder with execution file

(Eg, C:\Program Files\DEVPIA\DEXTUpload.NET Extension\Bin )

: Execute DEXTFileCleaner.exe -i

: "Start Service" from “Control Panel-Service" menu

2. Instruction on Service

: Modify DEXTFileCleaner.ini file and decide policy on deleting temporary files.

[[ DEXTFileCleaner Configuration ]]

DEXTUpload_DefaultPath=C:\TEMP

=> Assign DefaultPath set as path for temporary file from DEXTUpload Pro.

DEXTFileCleaner_FileMaintainTerm=60

=> Target temporary files whose final modification time exceeding 60 minutes in minute unit number value.

DEXTFileCleaner_ExecuteTerm=120

=> Searches temporary folder in minute units and repeat cleaning files subject for deletion in 120 minute cycle.

DEXTFileCleaner_BeginTime=20080905142500

=> Clean files subject for delete according to Execute Term from corresponding time with “Year month day hour minute second".

3. Deleting service

: Click "Stop Service" from “Control Panel-Service" menu then,

: execute command prompt and move to a folder with execution file

( 예, C:\Program Files\DEVPIA\DEXTUpload.NET Extension\Bin )

: Execute DEXTFileCleaner.exe -u

Copyright ⓒ DEVPIA Corporation. All rights reserved


What is DEXTUpload Professional

DEXTUpload Professional

Introduction of DEXTUpload Professional

What is DEXTUpload Professional ?

DEXTUpload Professional is an Active Server Component enabling to upload file to IIS(Microsoft Internet Information Server) from Web browser.

DEXTUpload Professional observes the internet standard RFC 1867 and can be used in Microsoft Active Server Pages.

In case of uploading mass storage file, this can display rapid upload speed, and low resource occupancy. Users can check the upload progress condition.

Copyright © DEVPIA Corporation. All rights reserved.


Characteristic of DEXTUpload Professional

DEXTUpload Professional

Introduction of DEXTUpload Professional

Characteristic of DEXTUpload Professional

1. Active Server Component available in Server ASP Script of Windows 2000/2003/2008 Server, IIS 5.0 over.

2. Observes HTML 4.0 and internet standard RFC 1867.

3. Completed the test in IE, Firefox, Safari, Chrome, Opera.

4. Supports upload progress of mass storage (completed file upload test 2GB) Rapid upload speed and low resource occupancy.
(Infrequent use of CPU, instant memory amount in case of upload progress : 16 ~ 70KB)

5. Supports various image formats (JPG, BMP, GIF, PNG, TIFF, ICON, WMF, EMF, etc.)

6. Supports various functions for image file (Thumbnail, Watermark, Format Conversion, Meta Data Supporting, etc.)

7. More efficient file transmission by supporting cache file function in any conditions.

8. Easy development and maintenance by detailed error message output.

9. Provides detailed conveniences for users (automatic creation of folder, automatic conversion of virtual path, etc.)

10. Support perfect foreign languages and unicode.

Copyright © DEVPIA Corporation. All rights reserved.


System Requirement

DEXTUpload Professional

Introduction of DEXTUpload Professional

System Requirement

- Microsoft Windows XP/Vista/7/8 Family
- Microsoft Windows Server 2003/2008/2012 Family

- IIS(Internet Information Server) 5.0 and over

- IE, Firefox, Safari, Chrome, Opera

Copyright © DEVPIA Corporation. All rights reserved.


DEXTUPload Professional

Installation Guide of DEXTUpload Professional

■ Installation Method

1.Start installation

1. Front installation page of DEXTUpload Professional. Click Next.

2. End user agreement

3.Choose the type of work-Click "Install DEXTUpload Professional”, then click Next.

[Remarks]

Your genuine DEXTUpload Professional will be registered and you will be issued the authentication code from Devpia, when your computer is on-line.

If you want to install your DEXTUpload Professional , please see "3. Registration of your genuine DEXTUpload Professional & authentication " section.

4. Please enter accurate product registration information.

- If registers as full-version

5. Installation type and select location to install

6. If IIS use “DEXTUpload.dll”, IIS service will be restarted. Click Next.

7.Installation has been completed. – Click Finish to start Example.

2. Limit on installing full-version program

Installation may not proceed while displaying already installed product key shown in the below during installation of the full-version.

It can only be installed at single server if installing by entering formal product key and previously installed product must be Uninstalled before reinstalling at other server.

If uninstalling after installing full-version, please make sure communications with authentication server for product installation.

The following methods show reinstalling full-version without uninstalling existing full version.

1) Forcibly convert to test-version with provided "Test-version conversion program (ConverToFree.exe)".

- For this case, communication with authentication server must be maintained and full-version installation data from authentication server will be deleted once conversion is completed.

- This file exists in "Bin" folder of product installation patg.

2) Full-version installation data can be deleted manually from "MY PAGE-Installation Information Modification" from the sales site (http://www.dextsolution.com/us/).

※ However, there may be interruptions in normal service if full-version installation information and actually service product information is modified intentionally.

3. Registration of your genuine DEXTUpload Professional & authentication

Should I register my DEXTUpload Professional and get authentication code? YES, If you meet the following circumstances

1) If you installed your genuine DEXTUpload Professional while your computer was off-line.

2) If you installed your genuine DEXTUpload Professional while your internet access had problems.

3) If you want convert your trial version of DEXTUpload Professional to Full version of genuine DEXTUpload Professional.

How to register your DEXTUpload Professional and get your authentication code!

1. Connect http://www.dextsolution.com/us/

2. Click on "My Page -> Log-in (Use ID and Password that you registered) -> Click Generating Authentication Code (DEXTUpload Professional)"

3. Enter your Computer name, Product key and Serial number. You will be issued Authentication code (Authentication Code is needed in step6)

4.Install DEXTUpload Professional in your PC.

5.Select "Registration of genuine DEXTUpload Professional & authentication”

6. Enter your product ID, Serial number and Authentication Key(code), click authentication and then click Finish.

4. Limitation of Trial Version (30 days limitation)

The trial version allows you to use DEXTUpload Professional for 30 days starting from the date of installation.


Removing installation

DEXTUpload Professional

Introduction of DEXTUpload Professional

Removing installation

In case of selecting the program ADD / DELETE PROGRAM in control panel or installing component, if you click "UnInstall DEXTUploadPro" menu created in window start menu, the component can be removed.
Provided that, in this case, if DEXTUpload.dll file is used by IIS this is not removed in normal method because this file can not be deleted.
Therefore, in this case, you should restart system or IIS and remove it.

Copyright © DEVPIA Corporation. All rights reserved.


Single file upload

DEXTUpload Professional

DEXTUpload Professional programming

Single file upload

The form page to be sent will be written as follows.

Input form page

<HTML>
<BODY>
<FORM NAME= "write_form" METHOD="post" ACTION="SimpleUpload_process.asp" ENCTYPE= "multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

ENCTYPE="multipart/form-data" designated to the form tag is a necessary property to send the form containing <input type="file" NAME="File1"> and therefore, this can not be omitted because it is a necessary property to send the form including file data.
The following page is a progress that file uploading is performed in reality.

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject ("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.Save 'Equal to uploadform("file1").Save
Set uploadform = Nothing
%>
</BODY>
</HTML>

In case when users upload file , the file is saved in "C:\Temp" designated as DefaultPath.
In uploadform.Save method, the uploaded temporary file can be moved (or copied) to the desired folder, it is identical to uploadform("file1").Save.
In this case, the name of "file1" should be identical to the NAME property in <INPUT TYPE="file" NAME="file1">

Copyright © DEVPIA Corporation. All rights reserved.


Automatic Creation of using folder

DEXTUpload Professional

DEXTUpload Professional programming

Automatic Creation of using folder

In case when AutoMakeFolder property of DEXT.FileUpload object is True, if the folder does not exist, it is created automatically.
In case of uploading, it is useful when the saved folder is set to the dynamic property.

Input form page

<HTML>
<BODY>
<FORM NAME= "write_form" METHOD="post" ACTION="SimpleUpload_process.asp" ENCTYPE= "multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
'In case when the property of AutoMakeFolder is set to true, the folder by DEXT.FileUpload object dose not exist, it is created automatically.
uploadform.AutoMakeFolder = True
uploadform.DefaultPath = "C:\Temp"
uploadform.Save “C:\Temp\TestFolder”
Set uploadform = Nothing
%>
</BODY>
</HTML>

Copyright ? DEVPIA Corporation. All rights reserved.


Saving uploaded file into single file name

DEXTUpload Professional

DEXTUpload Professional programming

Saving uploaded file into single file name

Among codes above, in case when bOverwrite is set to false in the saving method such as Save(strPath, bOverwrite) if there is same file during uploading,
the peculiar file name containing a series of number is created and saved .

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="SaveAsUnique_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
FileName = uploadform("file").Save( ,false)
Set uploadform = Nothing
%>
</BODY>
</HTML>

Copyright © DEVPIA Corporation. All rights reserved.


Multi file uploading

DEXTUpload Professional

DEXTUpload Professional programming

Multi file uploading

The following example shows the method that uploads multi files simultaneously.

Input form page#1

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="MultipleUpload_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="file" NAME="file2">
<INPUT TYPE="file" NAME="file3">
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Uploading process page#1

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject ("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform ("file1").Save 'Equal to uploadform.Save
uploadform ("file2").Save
uploadform ("file3").Save
Set uploadform = Nothing
%>
</BODY>
</HTML>

The reference about the uploaded files are completed through NAME property value such as "file1", "file2", "file3".
As an another method, first, NAME property of various INPUT items are set to same value, and they can be saved at a time by repetition statement.

The following is the example that shows this property.

Input form page#2

<HTML>
<BODY>
<FORM NAME="writeform" METHOD="post" ACTION="MultipleUpload_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="files"><BR>
<INPUT TYPE="file" NAME="files"><BR>
<INPUT TYPE="file" NAME="files"><BR>
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

NAME property values of uploaded files are designated as same value.

Uploading process page#2

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject ("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
For i = 1 To uploadform("files").Count
uploadform("files")(i).Save
Next
Set uploadform = Nothing
%>
</BODY>
</HTML>

In case when multi files are processed by using For statement, The index should be started from 1

Though For statement is written as following in the above, you can get the same result.
For Each item In uploadform ("files")
item.Save
Next

Copyright © DEVPIA Corporation. All rights reserved.


Save as other name

DEXTUpload Professional

DEXTUpload Professional programming

Multiple Save Upload

The following example shows saving uploaded files at several locations through Save() method.

* Multiple Save is available from version 3.3.0 or above (including DEXTUpload Pro Extension).

Supports SaveAs(), SaveVirtual(), SaveAsVirtual(), SaveAsBlob() methods.

Warning: If uploading large-file during multiple Save, upload is not completed until all Save is completed.

Input form page

<HTML>

<BODY>

<FORM NAME="write_form" METHOD="post" ACTION="MultiSave_Process.asp" ENCTYPE="multipart/form-data">

<INPUT TYPE="file" NAME="file1">

<INPUT TYPE="submit" VALUE="upload">

</FORM>

</BODY>

</HTML>

Uploading process page

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")

uploadform.AutoMakeFolder = True
uploadform.DefaultPath = "C:\TEMP"

savepath1 = "C:\Temp1"
savepath2 = "C:\Temp2"
savepath3 = "D:\Temp1"

uploadform("file1").Save savepath1,false
uploadform("file1").Save savepath2,false
uploadform("file1").Save savepath3,false

Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Uploading with other form elements

DEXTUpload Professional

DEXTUpload Professional programming

Uploading with other form elements

Other element like file element can be referred through the property value of NAME.
In case of uploading data, if it is set as <form enctype="multipart/form-data"....>

You can not get the value by the method such as request("element_name")

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="UploadWithElements_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="text" NAME="title">
<TEXTAREA NAME="content" ROWS="10" COLS="50"></TEXTAREA>
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
title = uploadform ("title")
content = uploadform ("content")
uploadform ("file1").Save
Set uploadform = Nothing
%>
</BODY>
</HTML>

Copyright © DEVPIA Corporation. All rights reserved.


Limiting file upload size

DEXTUpload Professional

DEXTUpload Professional programming

Limiting file upload size

It is possible to limit maximum file size for upload when MaxFileLen property is used.

TotalLen property limits possible entire upload size.

CheckMaxFileLen property disconnects with user forcibly to reduce loads on server side if files bigger than size set in MaxFile Len are uploaded by user intentionally.

The following example outputs error message if upload file size is bigger than 1MB.

If file size is bigger than 50MB then server severs connection.

The following error occurs when saving file without comparing uploaded file size and limited file size (1MB).

Exceeded assigned file size (1048576 Bytes).

There may be connection error message or white screen on the browser since connection is forcibly disconnected from server side (HTTP/1.1 400 Bad Request) if Check MaxFileLen property is set.

Therefore, check the size of file before saving the file and process.

[Note]

MaxFileLen : Property limiting the size of one file

TotalLen : Property limiting the size of entire file

CheckMaxFileLen : A property limiting the size of one file and

forcibly terminates connection with client if the file size is bigger than the one set at MaxFileLen property

* Maximum available value (2048*1024*1023) : Maximum value that IIS can process

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="LimitSize_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"

uploadform.MaxFileLen = 1024*1024 'File size is limited to less than 1MB
uploadform.TotalLen = 50*1024*1024 'The size of total data is limited to less
'uploadform.CheckMaxFileLen = True 'Set limit on connection with user by referring to MaxFileLen.

if uploadform.FileLen > uploadform.MaxFileLen then
Response.Write "File size is too large!!"

'In case when 'Response.End is used, and if there is an open item, it should be closed.
 set uploadform=nothing
Response.End
else
'In case when the uploaded file size is less than 1MB, you should save the file.
FileName = uploadform("file").save()
If Err Then
Response.Write Err.number & "<br>" & Err.source & "<br>" & Err.description
Set uploadform = Nothing
Response.End
End if
end if
%>

<HTML>
<BODY>
Original Path:<%= uploadform.FilePath %> <br>
Upload FilePath:<%= FilePath %> <br>
File Size:<%= uploadform.FileLen %> <br>
Mime Type:<%= uploadform.MimeType %> <br>
Last Saved File Name:<%= uploadform.LastSavedFileName %> <br>
Last Saved File Path:<%= uploadform.LastSavedFilePath %> <br>
</BODY>
</HTML>
<%
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Obtaining size of image file

DEXTUpload Professional

DEXTUpload Professional programming

Obtaining size of image file

This shows the information about width and height of uploaded image file.
Supported Extensions are BMP, EMF, EXIF, GIF, Icon, JPEG, PNG, TIFF, WMF etc,..
Users can check upload file whether it is an image file or not through IsImageItem() method in the example below.

[HOT]
In DEXTUpload Professional DEXT.ImageProc object is newly added.
Using this object can process various image file such as image water mark, creation of thumbnail image, image format conversion.
For more information, see “Manager form Imager File processing” in the manual

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="GetImageSize_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
FileName = uploadform.Save()
%>
<HTML>
<BODY>
<%
If uploadform("file").IsImageItem() Then
Response.Write uploadform.ImageFormat
Response.Write uploadform.ImageWidth
Response.Write uploadform.ImageHeight
End If

%>

</BODY>
</HTML>
<%
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Uploading to BLOB field in database

DEXTUpload Professional

DEXTUpload Professional programming

Uploading to BLOB field in database

It exists for the downward compatibility from the version 3.5.6

(support up to Windows 2008, IE8)

Using SaveAsBlob() method as following can upload files and save them to BLOB field in database.
In case of executing sample, if you can not access to DEXTUpload.mdb, it gives a right to write in the user account of security property.

BLOB process page

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"

filename=uploadform("file").FileName
filesize=uploadform("file").FileLen
Conn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("/DEXTUploadProsamples") & "\DEXTUpload.mdb"

set rs=server.CreateObject("adodb.recordset")
strQuery="select * from DEXTUPLOAD" 'TABLE NAME: DEXTUPLOAD
rs.Open strQuery,Conn,1,3
rs.AddNew
rs("filename")=filename
rs("filesize")=filesize
'Save file into database
uploadform("file").SaveAsBlob rs("filedata")
rs.Update
rs.Close
set rs=nothing
Set uploadform =nothing
%>

※ The methods related to Database BLOB are as follows.
SaveAsBlob of FileUpload item: upload file and save it in the BLOB field of database.
DownloadBlob of FileDownlaod item: download Database BLOB into user’s disk and save it as file.
SaveFileAsBlob of BLOB Manager item: save the file existed in serverBLOB field in Database.
SaveBlobAsFile BLOB Manager item: save Database BLOB into the disk file in server.

Copyright © DEVPIA Corporation. All rights reserved.


Save as other name

DEXTUpload Professional

DEXTUpload Professional programming

Save as other name

This shows the method that saves uploaded file as a designated name by using SaveAs() method.
The save path of file should be designated as “upload folder name\new file name”.

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="SaveAs_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<BR>
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
'Designate 'file name to be saved newly as SaveAs
newname = "SaveAs"
oldname = uploadform("file").FileName
'the part for obtaining the extension of original file(on order to keep the extension despite the file name is changed)
ext = "." & right(oldname,len(oldname)-instr(oldname,"."))
savefullpath = uploadform.DefaultPath & "\"&newname&ext
FileName = uploadform.SaveAs(savefullpath)
Set uploadform = Nothing
%>
</BODY>
</HTML>

Copyright © DEVPIA Corporation. All rights reserved.


Uploading by using one ASP page

DEXTUpload Professional

DEXTUpload Professional programming

Uploading by using one ASP page

This shows the file uploading progress in one page by using Post method.

In order to progress it
  in one page, if it is not the case called by <FORM
  METHOD="POST"...>. it displays the
  input form, if it is the case called by FORM METHOD="POST"
  NAME="form1"> uploading is proceeded.

Input form page

<HTML>
<HEAD>
<%
If Request.ServerVariables("Request_Method")<>"POST" Then
%>
</HEAD>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="OnePageUpload.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<BR>
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
<%
ELSE
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
FileName=uploadform.save
%>
</FORM>
</BODY>
</HTML>

Copyright © DEVPIA Corporation. All rights reserved.


Uploading / downloading files for network path

DEXTUpload Professional

DEXTUpload Professional programming

Uploading / downloading files for network path

If you want to divide the web server that uploads and downloads files and fileserver that saved uploaded file ( or file to be downloaded) respectively into the computer, you need an additional setting for the access to network path.

The following explains the setting condition that should be set in each server. 1. Common Web Server and File Server
1) Create new internet guest account for anonymous access and enter the password.( Account and password of both servers should be identical.)
2) For this account, two items "cannot change password" and " no limit period to use password" should be checked, and "be sure to change password in case of
next login", "account is not used", " account is being locked" are not checked.

3) Remove “Users” group basically added in group items of account made and add “Guest” group.

4) In the local security policy set-up, “local log-on” right should be given to this account.

2. Web Server set-up
1) Open the directory registration window of related website by executing internet service administrator .
2) In the "directory security" tab, click “edit” button of "anonymous access and authentication control"
3) In this case, click “edit” button in the "anonymous access" item, enter the account name and password made above into the name field of anonymous users and password field.
But be sure not to check the item "password can be controlled in IIS"

3. File Server Set-up
1) Open the directory registration information window of upload folder in file server.
2) Share folder and add the account created above about the authorities for using folder in "share" tab and "security" tab.
3) In this case, for the authorities of “share” tab, “reading”, “modifying” should be designated, and for the authorities of “security” tab, “reading”, “writing”, “correcting” should be designated.

After following step 1, 2, 3 and setting web server and file server, you can upload and download files by designating network path to property that physical and absolute path value are required and method. They are as follows.

ex1) uploadform.DefaultPath = "\\file server name\share folder name"
ex2) uploadform("file1").SaveAs("\\file server name\share folder name\Sample.zip")
ex3) oDownload.Download("\\file server name\share folder name\Sample.zip")

Copyright © DEVPIA Corporation. All rights reserved.


Upload Timeout Set-up

DEXTUpload Professional

DEXTUpload Professional programming

Upload Timeout Set-up

Generally because file uploading or save process requires a lot of times in the case of uploading large capacity file, if the value of Server.ScriptTimeout(Default: 90sec) and Session.Timeout(Default: 20min) are not changed, users can not upload due to Timeout error.

DEXTUpload Professional uses UploadTimeout property. In case of uploading file, you can upload large capacity file without additional Server.ScriptTimeout, Session.Timeout set-up and Timeout error. Default value is 3600sec(60min) and it can be changed if necessary.

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="LimitTimeout_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<BR>
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.UploadTimeout = 1200
FileName = uploadform("file").Save
Set uploadform = Nothing
%>
</BODY>
</HTML>

Copyright © DEVPIA Corporation. All rights reserved.


Limiting uploadable file type

DEXTUpload Professional

DEXTUpload Professional programming

Limiting uploadable file type

If MimeType property provided by DEXTUpload Professional is used you can limit uploadable file types.
JPG GIF can be uploaded in the following example.

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="RestrictFileType_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"

'Obtain mime_type of uploaded file.
file_MimeType=uploadform("file").MimeType

'In case when'MimeType is not image/jpeg ,image/gif upload is stopped
if file_MimeType <> "image/pjpeg" and file_MimeType <> "image/gif" then
%>
<HTML>
<BODY>
Cancel upload!!<br>
Support files that MimeType is "image/pjpeg" or "image/gif" only. <br>
<a href="javascript:history.go(-1)">[ back ]</a>
<%
'In casr of using 'Response.End, if there is any open item, it should be closed .
set uploadform=nothing
Response.End
else
'In case when 'MimeType is image/jpeg ,image/gif, it can be uploaded normally
FilePath = uploadform("file").Save
%>
Original Path : <%= uploadform("file").FilePath %><br>
Upload Path : <%= FilePath %><br>
File Size : <%= uploadform("file").FileLen %> bytes <br>
MimeType : <%= uploadform("file").MimeType %> <br>
LastSavedFileName : <%= uploadform("file").LastSavedFileName %><br>
LastSavedFilePath : <%= uploadform("file").LastSavedFilePath %>
<%end if%>
</BODY>
</HTML>
<%
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Delete all uploaded files in case of occurring error

DEXTUpload Professional

DEXTUpload Professional programming

Delete all uploaded files in case of occurring error

In case of using DeleteAllSavedFiles() method, if error is occurred during file uploading, all the uploaded file should be deleted.

Input form page

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="DeleteAllSavedFiles_Process.asp" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="file" NAME="file2">
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ Language=VBScript %>
<HTML>
<HEAD>
</HEAD>
<%
ON ERROR RESUME NEXT
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"

'Save the first file
uploadform("file1").save

'Error for test is occurred after saving the first file
Err.Raise vbObjectError+1073,"Error Test!!!","Don't worry!! It's simmulation"
uploadform.Form.Item("file2").save

'Because error is occurred uploadform.DeleteAllSavedFiles is called and uploaded file is deleted .
If Err Then
Response.Write Err.number & "<br>" & Err.source & "<br>" & Err.description
uploadform.DeleteAllSavedFiles
Set uploadform = Nothing
Response.End
End if
%>
</HTML>
<%
Set uploadform =nothing
%>

Using DeleteFile() method can delete file optionally .

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
UploadedFile1 = uploadform("file1").Save
UploadedFile2 = uploadform("file2").Save
...
'If you want to delete the first file
uploadform.DeleteFile UploadedFile1
...
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Multi language supported uploading

DEXTUpload Professional

DEXTUpload Professional programming

Multi language supported uploading

Using CodePage property provided by DEXTUpload Professional CodePage can process the value of form element with foreign languages and Unicode file name.
In the web page that uses foreign languages or Unicode, the value of code page corresponding to character set used in this page should be designated as Code page value of upload component.

The default is a value of codepage set in the system.
Provided that, if the value of Session.CodePage is clearly designated in ASP code the value become the default. In this case, the designation of CodePage property value may be omitted

The following is an example that DEXTUpload is used in the web page that Unicode character set is used.

Input form page

<%
'UTF-8 Codepage declaration
old_codepage = Session.CodePage
Session.CodePage = "65001"
%>
<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
</HEAD>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="GlobalEnvironment_Process.asp" ENCTYPE="multipart/form-data">
<tr>
<td width="100"><b>TextArea</b></td>
<td width="500">
<textarea name="txtvalue" rows=10 cols=50></textarea>
</td>
</tr>
<INPUT TYPE="file" NAME="file1">
<BR>
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>
<%
Session.CodePage = old_codepage
%>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
old_codepage = Session.CodePage
Session.CodePage = "65001"
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.Codepage = 65001
uploadform.Save
Set uploadform = Nothing
%>
</BODY>
</HTML>
<%
Session.CodePage = old_codepage
%>

Copyright © DEVPIA Corporation. All rights reserved.


Canceling Upload progress without saving into the server

DEXTUpload Professional

DEXTUpload Professional programming

Canceling Upload progress without saving into the server

If Flush( ) Method provided by DEXTUpload Professional is used, uploading process can be completely cancelled without saving file into the server if necessary and execute remained code.
The following is an example that shows error message canceling upload process in case when the upload size is more than 1MB

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
If Request.TotalBytes > 1048576 Then
uploadform.Flush
Response.Write "Warning: File size must be less than 1 MBytes."
Else
uploadform.Save
Response.Write "File-upload completed."
End If
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Upload progress window for user's definition

DEXTUpload Professional

DEXTUpload Professional programming

Upload progress window for user’s definition

*It exists for the downward compatibility from the version 3.5.6.0 (support up to Windows 2008, IE8)

Using upload process information object provided by DEXTUpload Professional can show the file upload process graphically and monitor information that displays upload speed, total contents size and uploaded contents size, remained time and present working process in real time without using additional client software such as ActiveX Control or Java Applet

If you change upload process window, edit Progress.asp file.

This function is performed by Progress item, and following method and property are provided.

[Method]
- SetProgressID() : Set ID obtained by GetProgressID through this function.
- GetProgressID() : Get ID. And users can use it in the case of FileUpload and Progress

[Property]
- TotalSize : Total uploaded size
- TransferSize : Transfer data size(Byte)
- Percent : upload process percentage
- BytesPerSec : Upload speed / Byte per second
- FileName : shows uploading file name.
- Working : In case of true, upload is proceeded, in case of false, all woking process is complete.

[Reference]

If Codepage of unspecified Session is changed when uploading file, a symptom occurs where file name is not displayed normally

Way to solve is explicitly assigning CodePage.

[HOT]
Because the previous DEXTUpload created tag by dynamically moving UI of process window in the server component, it may be considerably loaded to server.
If possible, It may be better to use the new method.

Input form page

<%
'The part that displays process condition of file uploading
dim ProgressID
set obj = server.CreateObject("DEXT.Progress")

'Get ID. users can use it in the case of FileUpload and Progress
ProgID = obj.GetProgressID()
set obj = nothing
%>

<HTML>
<HEAD>
<SCRIPT language="javascript">
<!--
function ShowProgress() {

strAppVersion = navigator.appVersion;

if (strAppVersion.indexOf('MSIE') != -1 && strAppVersion.substr(strAppVersion.indexOf('MSIE')+5,1) > 4) {
winstyle = "dialogWidth=385px; dialogHeight:160px; center:yes";
window.showModelessDialog("../Progress/progress.asp?Progressid=<%=ProgID%>",null,winstyle);
}
else {
winpos = "left=" + ((window.screen.width-380)/2) + ",top=" + ((window.screen.height-110)/2);
winstyle="width=380,height=110,status=no,toolbar=no,menubar=no,location=no,resizable=no,scrollbars=no,copyhistory=no," + winpos;
window.open("../Progress/progress.asp?Progressid=<%=ProgID%>",null,winstyle);
}
write_form.submit();
return true;
}
//-->
</SCRIPT>
</HEAD>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="SimpleUpload_Process.asp?ProgressID=<%=ProgID=%>"
ENCTYPE="multipart/form-data" onsubmit="return ShowProgress()">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
'ID obtained by GetProgressID
ProgID = request.QueryString("ProgressID")
Set uploadform = Server.CreateObject("DEXT.FileUpload")

'Set ID obtained by 'GetProgressID through this function.
uploadform.SetProgress(ProgID)
uploadform.DefaultPath = "C:\TEMP"
uploadform ("file1").Save
Set uploadform = Nothing
%>
</BODY>
</HTML>

Uploading progress window page

<%@ Language=VBScript EnableSessionState="False" %>
<%Option Explicit

Dim Progress, Percent, TransferBytes, TotalBytes, BytesPer, bWorking, strFileName
Set Progress = Server.CreateObject("DEXT.Progress")

'Designate Process situation ID delivered by GET method.
Progress.SetProgressID( Request.QueryString("ProgressID"))

'Read the value of present uploading process.
Percent = Progress.Percent
TransferBytes = Progress.TransferSize
TotalBytes = Progress.TotalSize
BytesPer = Progress.BytesPerSec
bWorking = Progress.Working
strFileName = Progress.FileName
%>
<html>
<Head>
<title></title>
<%
'In case of uploading progress, the progress situation is updated one time per 1 second.
Response.Write "<Meta HTTP-EQUIV=""Refresh"" CONTENT=1>"
%>
</head>
<body>
<%
If bWorking = true Then

'Output uploading process situation.
Response.Write "Process percentage: " & TransferBytes & "/" & TotalBytes & " (" & Percent & "%)<br>"
Response.Write "Transfer speed: " & BytesPer & " bytes/sec<br>"
Response.Write "Transfer file: " & strFileName & "<br>"

Else
'Upload is complete.
Response.Write "complete."
End If
%>
</Table>
</Body>
</Html>

Copyright ?DEVPIA Corporation. All rights reserved.


Upload progress window for fixed type

DEXTUpload Professional

DEXTUpload Professional programming

Upload progress window for fixed type

*It exists for the downward compatibility from the version 3.5.6.0 (support up to Windows 2008, IE8)

This is the method provided by the previous DEXTUpload version. If possible, you’d better use user’s definition method newly supported by DEXTUpload Professional.

This function is performed by FileUploadMonitor object. The following method will be provided.
UseMonitor() : This is called by the page that writes Form. It turns on the monitoring function of Progress Bar.
ShowMonitor() : This is called by the page(window) that shows Progress Bar. This shows upload process situation.

Input form page

<%@ LANGUAGE="VBSCRIPT"%>
<%
'The part that shows process situation of file uploading
Set objMon = Server.CreateObject("DEXT.FileUploadMonitor")
objMon.UseMonitor(True)
Set objMon = Nothing
%>
<HTML>
<HEAD>
<SCRIPT LANGUAGE="JavaScript">
<!--
function ShowProgress() {
strAppVersion = navigator.appVersion;

if (document.writeform.file1.value != ""){
if (strAppVersion.indexOf('MSIE')!=-1 && strAppVersion.substr(strAppVersion.indexOf('MSIE')+5,1) > 4) {
winstyle = "dialogWidth=385px; dialogHeight:150px; center:yes";
window.showModelessDialog("show_progress.asp?nav=ie", null, winstyle);
}
else {
winpos = "left=" + ((window.screen.width-380)/2)+",top=" + ((window.screen.height-110)/2);
winstyle ="width=380,height=110,status=no,toolbar=no,menubar=no," + "location=no,resizable=no,scrollbars=no,copyhistory=no," + winpos;
window.open("show_progress.asp",null,winstyle);
}
}
return true;
}
//-->
</SCRIPT>
</HEAD>
<BODY>
<FORM NAME="writeform" METHOD="post" ACTION="ProgressBar_Process.asp" ENCTYPE="multipart/form-data" onSubmit="return ShowProgress();">
<INPUT TYPE="file" NAME="file"><BR>
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

In order to use Progress Bar, like the example above, UseMonitor() method of FileUploadMonitor object in the upper part of Form writing page should be called by setting true as an element .
If UserMonitor() method is not called or it is called by False element, Progress bar is not operated .
According to the example above, You can find that Java script function which is called ShowProgress() before submitting Form, is called and new window(pane or dialog box) is occurred in order to show Progress Bar graphically.

At this time, The page shown in the new window is as follows.

Uploading progress window page(show_progress.asp)

<%@ EnableSessionState=False%>
<%
'In case of Netscape Navigator
If Request("nav") = "ns" Then
%>
<frameset rows="80,1*" border="0" framespacing="0" frameborder="no">
<frame src="show_prog_body.asp" noresize scrolling="NO" frameborder="NO" name="sp_body">
<!-- Like Netscape Navigator, The web browser that does not support inline frame is required -->
<frame src="show_prog_bottom.asp" noresize scrolling="NO" frameborder="NO" name="sp_bottom">
<%
'in case of 'Internet Explorer
Else
%>
<HTML>
<HEAD>
<TITLE>Uploading Files...</TITLE>
<STYLE type="text/css">
td {font-size: 9pt}
</STYLE>
</HEAD>
<BODY bgcolor="#d4d0c8" leftmargin="8" topmargin="0" scroll="no">
<IFRAME src="show_prog_body.asp" title="Progress Step1" frameborder=0
marginheight=0 marginwidth=0 noresize scrolling=no width=365 height=65>
</IFRAME>
<TABLE border="0" width="365" cellpadding="2" cellspacing="0" bgcolor="#d4d0c8">
<TR><TD>Click the <B>STOP</B> button on your browser to abort uploading.</TD></TR>
</TABLE>
</BODY>
</HTML>
<%
End If
%>

In order to show Progress Bar, you need not only show_progress.asp above but also the following show_prog_body.asp and show_prog_bottom.asp.
- show_progress.asp: in order to show Progress Indicator, web page is divided into frame.
- show_prog_body.asp: shows Progress Indicator in reality.
- show_prog_bottom.asp: (Like Netscape Navigator the browser that does not support Inline Frame is required )

Uploading progress window page(show_prog_body.asp)

<%@ EnableSessionState=False%>
<%
'The page that shows upload progress situation
Set m_objMon = Server.CreateObject("DEXT.FileUploadMonitor")
m_objMon.ShowMonitor
Set m_objMon = Nothing
%>

Uploading progress window page(show_prog_bottom.asp)

<%@ EnableSessionState=False%>
<HTML>
<HEAD>
<STYLE type="text/css">
td {font-size: 9pt }
</STYLE>
</HEAD>
<BODY bgcolor="#d4d0c8" leftmargin="8" topmargin="0" scroll="no">
<TABLE border="0" width="365" cellpadding="2" cellspacing="0" bgcolor="#d4d0c8">
<TR><TD>Click the <B>STOP</B> button on your browser to abort uploading.</TD></TR>
</TABLE>
</BODY>
</HTML>

According to the ASP page above, the session condition is cancelled by designating "EnableSessionState" property as False. If the session in this page is not cancelled, Submit process of Form, that is, the performed result of page can not be shown before finishing file uploading progress. Therefore be sure to cancel the session condition of page.

ShowMonitor() method shows the uploading progress at each moment and finish window (or dialog box) automatically after completing upload.

Uploading process page

<%@ LANGUAGE="VBSCRIPT"%>
<HTML>
<BODY>
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform("file1").Save
Set uploadform = Nothing
%>
</BODY>
</HTML>

The page that uploading is proceeded should be written with disregard to Progress Bar.

Copyright ? DEVPIA Corporation. All rights reserved.


Downloading file

DEXTUpload Professional

DEXTUpload Professional programming

Downloading file

Users can download file in the server through web browser by Download(), DownloadVirtual(), DownloadBlob() method of FileDownload object .
- Download() : downloads file placed in designated path of server.
- DownloadVirtual(): downloads file placed in the designated virtual path. This exists for compatibility with DEXTUpload.
- DownloadBlob() : Downloads BLOB data of database. *It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Download process page

<%@ Language=VBScript EnableSessionState="False"%>
<%
filepath = request("filepath")
filename = request("filename")

'Creates download item
Set objDownload = Server.CreateObject("DEXT.FileDownload")

'objDownload.Download(filepath, file name, choice of forced save (True: forced save), choice of Partial Content Download (True: Partial Content Download))
objDownload.Download(filepath, filename, true, false)
Set objDownload = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Forced file download

DEXTUpload Professional

DEXTUpload Professional programming

Forced file download

Download data is always download as file, the save dialog box is output in the web browser.

Download process page

<%@ Language=VBScript EnableSessionState="False"%>
<%
filepath = request("filepath")
filename = request("filename")

'Creates download item
Set objDownload = Server.CreateObject("DEXT.FileDownload")

'objDownload.Download(filepath, file name, the choice of forced save(True:forced save), the choice of Partial Content Download (True: Partial Content Download))
objDownload.Download(filepath, filename, true, false)

Set objDownload = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Resumed File download

DEXTUpload Professional

DEXTUpload Professional programming

Resumed File download [supported]

Download process page

<%@ Language=VBScript EnableSessionState="False"%>
<%
filepath = request("filepath")
filename = request("filename")

'Creates download item
Set objDownload = Server.CreateObject("DEXT.FileDownload")

'objDownload.Download(filepath, file name, the choice of forced save(True:forced save), the choice of Partial Content Download (True: Partial Content Download))
objDownload.Download(filepath, filename, false, true)

Set objDownload = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Downloading file from virtual path

DEXTUpload Professional

DEXTUpload Professional programming

Downloading file from virtual path

In the previous DEXTUpload version, there was DownloadVirtual() method for uploading into virtual path, in the DEXTUpload Professional, Download() method support virtual path.
But, for the compatibility with previous version, DownloadVirtual() method can be used.

Download process page

<%@ Language=VBScript EnableSessionState="False"%>
<%
filepath = request("filepath")
filename = request("filename")
Set objDownload = Server.CreateObject("DEXT.FileDownload")

'DownloadVirtual() method compatibility
objDownload.Download "/DEXTUploadProSampels/data/" & filename, filename, true, false
Set objDownload = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Downloading database BLOB

DEXTUpload Professional

DEXTUpload Professional programming

Downloading database BLOB
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

DownloadBlob() method of FileDownload item enables to download database BLOB data in the server.

Download process page

<%@ Language=VBScript EnableSessionState="False"%>
<%
fileid=request("dblist")
Set rs = Server.CreateObject("ADODB.Recordset")
Conn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("/DEXTUploadProsamples") & "\DEXTUpload.mdb"
sql="SELECT * FROM DEXTUPLOAD WHERE fileid ="&fileid
rs.Open sql, Conn, 3, 1
Set objDownload = Server.CreateObject("DEXT.FileDownload")
objDownload.DownloadBlob rs("filedata"), rs("filename"), true
Set objDownload = Nothing
rs.Close
Set rs = Nothing
%>

[Reference]
※ The methods related to Database BLOB are as follows.
SaveAsBlob of FileUpload item : upload file and save it in Database BLOB field.
DownloadBlob of FileDownload item: download Database BLOB into user’s disk and save it as file.
SaveFileAsBlob of BLOBManager item : save file existed in the server into Database BLOB field.
SaveBlobAsFile of BLOBManager item: save Database BLOB into disk file of server.

Copyright © DEVPIA Corporation. All rights reserved.


Loading file into memory

DEXTUpload Professional

DEXTUpload Professional programming

Loading file into memory
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

If the frequently downloaded files are loaded into memory, the time to read file in disk and load them into memory can be saved and the function to download can be improved.
In the download cache function, files are loaded into memory. If mass storage file is loaded, be careful that main memory may be in sufficient. Therefore, in case of the frequently downloaded files, you’d better use cache function.
The cache function can be performed by DEXT.Manager object. First, load files into memory by using AddCacheFile() method, import the loaded file list through For Each window.

The code below is the example that loads file into memory and shows loaded file list.

<%@ Language=VBScript %>
<%
set objManager = server.createobject("DEXT.Manager")
'Add file into memory
objManager.AddCacheFile Trim(Request("txtFilePath1"))
Response.Write("File list loaded in memory<br>")

'Importing 'cached file list
For Each cacheFile in objManager
response.Write(cacheFile & "<br>")
Next
set objManager = nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Deleting designated file from memory

DEXTUpload Professional

DEXTUpload Professional programming

Deleting designated file from memory

*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Delete the unused file from memory and control the memory resources.

Using RemoveCacheFile() method can delete file from memory.

The code below is the example that delete file from memory and shows loaded file list.

<%@ Language=VBScript %>
<%
set objManager = server.createobject("DEXT.Manager")
'Delete 'files from memory
objManager.RemoveCacheFile Trim(Request("txtFilePath1"))
Response.Write("File list loaded in memory<br>")

'Importing Cached file list
For Each cacheFile in objManager
response.Write(cacheFile & "<br>")
Next
set objManager = nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Save File in the server into Database BLOB field

DEXTUpload Professional

DEXTUpload Professional programming

Save File in the server into Database BLOB field
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

The following is the example that save files into database BLOB field.

Input form page

<HTML>
<HEAD>
</HEAD>
<BODY>
<form name="write_form" action="FileToBlob_Process.asp">
<input type="file" name="file">
<br>
<input type="submit" name="Upload" value="Upload">
</form>
</BODY>
</HTML>

In the form tag, enctype = "multipart/form-data" property is not designated.

Uploading process page

<%@ Language=VBScript %>
<%
'Obtain path of file existed in the server
filepath=request("file")
set objBlobMan=server.CreateObject("DEXT.BlobManager")
set fso=server.CreateObject("Scripting.FileSystemObject")

'Obtain file name and size by using file path. The purpose of this is to save not only data and the name and size of data in the database'

set file=fso.GetFile(filepath)
filesize=file.size
filename=file.name
set fso=nothing
Conn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("/DEXTUploadProsamples") & "\DEXTUpload.mdb"
set rs=server.CreateObject("ADODB.RECORDSET")
sql="select * from DEXTUPLOAD"
rs.Open sql,conn,3,3
rs.AddNew

'Structure of DEXTUPLOAD TABLE
'fileid serial No
'filename text
'filesize number
'filedata OLE item
rs("filename")=filename
rs("filesize")=filesize

'save file existed in the server into Database
objBlobMan.SaveFileAsBlob filepath,rs("filedata")
rs.Update
rs.Close
set rs=nothing
%>
<HTML>
<BODY>
Upload Name: <%=FileName%> <br>
File Size: <%=filesize%> <br>
</BODY>
</HTML>
<%
set objBlobMan=nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Save database BLOB as file in the server

DEXTUpload Professional

DEXTUpload Professional programming

Save database BLOB as file in the server

*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

The following is the example that Database BLOB is saved in the server as a file type.

Input form page

<%@ Language=VBScript %>
<%
sql="select * from DEXTUPLOAD"
set rs=server.CreateObject("adodb.recordset")
Conn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("/DEXTUploadProsamples") & "\DEXTUpload.mdb"
rs.Open sql,conn,3,1
%>
<HTML>
<HEAD>
</HEAD>
<BODY>
<form name="write_form" method="post" action="BlobToFile_Process.asp">
<select name="file" size="5">
<%if rs.EOF and rs.BOF then%>
<option value="">NO DATA</option>
<%else%>
<%Do Until rs.EOF%>
<option value="<%=RS("fileid")%>"><%=RS("filename")%></option>
<%
rs.MoveNext
loop
end if
%>
</select><p>
<input type="submit" name="Download" value="Download">
</form>
</BODY>
</HTML>

The example above shows Database BLOB in the list. And If you click a file among lists, it shows download

Uploading process page

<%@ Language=VBScript %>
<%
'Creates 'DEXT.BlobManager item
set objBlobMan = server.CreateObject("DEXT.BlobManager")
fileid = request("file")
sqlstr = "select * from DEXTUPLOAD where fileid="
sql = sqlstr & fileid
set rs=server.CreateObject("adodb.recordset")
Conn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("/DEXTUploadProsamples") & "\DEXTUpload.mdb"
rs.Open sql,conn,3,1
filename = rs("filename")
filepath = "C:\TEMP\"&rs("filename")
filesize = rs("filesize")

'save file in the Database.
objBlobMan.SaveBlobAsFile rs("filedata"),filepath
%>
<HTML>
<BODY>
Save Path: <%= filepath %> <br>
Upload Name: <%= FileName %> <br>
File Size: <%= filesize %> <br>
</BODY>
</HTML>
<%
rs.Close
set rs=nothing
set objBlobMan=nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Creating watermark image

DEXTUpload Professional

DEXTUpload Professional programming

Creating watermark image

DEXT.ImageProc have functions such as image watermark, conversion of file format and thumbnail

The code below shows that uploaded image file is changed by image watermark and text watermark.

If the designated file is image file, Set SourceFile() method returns true and initialize image object

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"

set objImage =server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then
'FileNameNoExt property returns the name of uploaded file.(except extension)
 SourceFileName = uploadform("file").FileNameNoExt
FileName1 = "C:\Temp\" & SourceFileName & "(Image).jpg"
FileName2 = "C:\Temp\" & SourceFileName & "(Text).jpg"
%>
<HTML>
<BODY>
<!-- The extension of image file watermarked is saved as jpg format internally -->
Save as Watermark Image: <%=objImage.SaveAsWatermarkImage("/DEXTUploadProSamples/Image/WaterMark/watermark.bmp",FileName1,-10,-10,false)%>
Save as Watermark Text: <%=objImage.SaveAsWatermarkText("WaterMark Text",FileName2,15,10,10,false)%>
</BODY>
</HTML>
<%
end if

set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Thumbnail image file

DEXTUpload Professional

DEXTUpload Professional programming

Thumbnail image file

The following code creates thumbnail with the size of 1/10 and 1/5 of uploaded image filed.

Created images are in JPG format. If bAutoSize is set TRUE then it processes and saves thumbnails while maintaining the size of original image according to the size of thumbnail. Default value of Image margins created by those is white and possible to set colors of margins by using BackGroundColor property.

Image file processing page #1 (When bAutoSize is False)

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform.TempFilePath) then
'Saved JPG Format
filename = uploadform.FileNameWithoutExt & ".jpg"
%>
<HTML>
<BODY>
Save as Image Thumbnail: <%=objImage.SaveasThumbnail("C:\TEMP\" & filename, objImage.ImageWidth/10, objImage.ImageHeight/10, false, false)%>
</BODY>
</HTML>
<%
end if

set objImage = nothing
Set uploadform =nothing
%>

If bAutoSize is False then it processes uploaded image into thumbnails in the same width and height and saves.

There maybe distortions on thumbnail images because images are magnified or reduced by those.

Image file processing page #2 (When bAutoSize is True)

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform.TempFilePath) then
'Saved JPG Format
filename = uploadform.FileNameWithoutExt & ".jpg"
%>
<HTML>
<BODY>
Save as Image Thumbnail: <%=objImage.SaveasThumbnail(C:\TEMP\" & filename, objImage.ImageWidth/5, objImage.ImageHeight/5, false, true)%>
</BODY>
</HTML>
<%
end if

set objImage = nothing
Set uploadform =nothing
%>

If bAutoSize is True then it processes uploaded image into thumbnails in the same width and height and saves.

However, it creates margins though thumbnails are processed without distorting images by putting images into thumbnails in the same ratio by maintaining the ratio of original images.

It is possible to set colors on background through BackGroundColor.

Copyright © DEVPIA Corporation. All rights reserved.


Converting image file format into other format

DEXTUpload Professional

DEXTUpload Professional programming

Converting image file format into other format

The code below is saved by converting JPG into BMP format.
It can be converted into other format such as BMP, JPG, GIF, TIFF, PNG.

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =Server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform.TempFilePath) then
'FileNameNoExt property returns the name of uploaded file.(except extension)
 SourceFileName = uploadform("file").FileNameNoExt
FileName1 = SourceFileName & "(Image).bmp"
%>
<HTML>
<BODY>
Convert Image File Format: <%=objImage.ConvertImageFormat("image/bmp","C:\Temp\" & FileName1 ,false)%>
</BODY>
</HTML>
<%
end if

set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Image file information

DEXTUpload Professional

DEXTUpload Professional programming

Image file information

This supports various meta data such as exposure time for image file, description of image, resolution etc.

<%@ Language=VBScript %>
<%
set uploadform=Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =Server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then
%>
<HTML>
<BODY>
Image Format : <%=objimage.ImageFormat%> <br>
VerticalResolution : <%=objimage.VerticalResolution%> <br>
HorizontalResolution : <%=objImage.VerticalResolution%> <br>
Image Height : <%=objimage.ImageHeight%> <br>
Image Width : <%=objimage.ImageWidth%> <br>
Pixel Format : <%=objimage.PixelFormat%> <br>
Equipment Maker : <%=objImage.MDEquipMake%> <br>
Equipment Model : <%=objImage.MDEquipModel%> <br>
Image Description : <%=objImage.MDImageDescription%> <br>
Image Document Name : <%=objImage.MDDocumentName%> <br>
Software Used : <%=objImage.MDSoftwareUsed%> <br>
Artist : <%=objImage.MDArtist%> <br>
Shooting date : <%=objImage.MDDateTimeOrig%> <br>
Modified date : <%=objImage.MDDateTime%> <br>
Color Space : <%=objImage.MDExifColorSpace%> <br>
Exposed Time (Shutter Speed) : <%=objImage.MDExifExposureTime%> <br>
Shutter Speed : <%=objImage.MDExifShutterSpeed%> <br>
Flash : <%=objImage.MDExifFlash%> <br>
Iris diaphragm value : <%=objImage.MDExifFNumber%> <br>
Maximum iris value : <%=objImage.MDExifMaximumLensAperture%> <br>
ISO Speed : <%=objImage.MDExifISOSpeed%> <br>
Focus Distance : <%=objImage.MDExifFocalLength%> <br>
35mm film focal length : <%=objImage.MDExifFocalLengthIn35mm%> <br>
Exposure Mode : <%=objImage.MDExifExposureProg%> <br>
Exposure correction : <%=objImage.MDExifExposureBias%> <br>
Digital zoom : <%=objImage.MDExifExifDigitalZoomRatio%> <br>
Candlepower mode : <%=objImage.MDExifMeteringMode%> <br>
Light source : <%=objImage.MDExifLightSource%> <br>
White Balance : <%=objImage.MDExifWhiteBalance%> <br>
Adjusting clarity of jpeg files : <%=objImage.Quality%> <br>
</BODY>
</HTML>
<%
else
Response.Write("This is not image file.")
end if
set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Error Checking method

DEXTUpload Professional

DEXTUpload Professional programming

Error Checking method

All the errors occurred in DEXTUpload Professional can be checked by Err object.
In case of occurring error, component returns all resources and deletes all the uploaded file saved in the server

In case of occurring errors in external ASP code with disregard to component DeleteAllSavedFiles() method of FileUpload object is called and all the uploaded files saved in the server by the time can be deleted manually.

<%
On Error Resume Next
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\DATA"
uploadform.Save
If Err Then
Response.Write "Error occured :"
Response.Write Err.Description
End If
...
'In case of canceling uploading progress due to external error
uploadform.DeleteAllSavedFiles
...
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileUpload Object

DEXTUpload Professional

DEXTUpload Professional Object reference

FileUpload Object

The key object of component responsible for actually uploading files and saving at server.

Property

Name | Description
AutoMakeFolder | If it is set as TRUE, in case when the designated folder is not existed in DefaultPath, SaveAs, Folder can be automatically created.
CheckMaxFileLen | Exceeding maximum file size set at MaxFileLen
CodePage | In case of dealing upload component internally, Code page to be used is designated.
DefaultPath | In case of designating Default path value that temporary file and uploaded file will be saved
FileLen | Length value of uploaded file.(single file)
FileName | Name value(except path) of uploaded file.
FileNameWithoutExt | Name value(except extension) of uploaded file.
FileExtension | Extension value of uploaded file.
FilePath | Total path value of uploaded file.
Form | FormItems Collection item that saves category information of Form submitted
ImageFormat | The format of uploaded image files(BMP,EMF,EXIF,GIF,Icon,JPEG,PNG,TIFF,WMF) is returned.
ImageWidth | The width of uploaded image file is returned. In case of non-image file , -1 is returned.
ImageHeight | The height of uploaded image file is returned . In case of non-image file , -1 is returned.
LastSavedFileName | Uploaded file name(except path) saved in the server.
LastSavedFilePath | Uploaded total path value saved in the server.
MaxFileLen | Limiting the maximum size of uploaded file. (unit: Byte) in case of uploading file more than the designated size, error may be occurred. Default value is ‘unlimited’.
MimeType | MimeType value of uploaded file.
TotalLen | Total length value of uploaded file. (ex: in case of uploading multi file )
TempFilePath | Position of temporary file existed before being saved as Save, SaveAs . This can be used in DEXT.ImageProc object.
UploadTimeout | Designates upload Timeout value. (unit: second) Default value is 3600 second. (60 minutes)
ResumeFileName | Returns the name of large-capacity files being uploaded or to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeDirPath | Returns location for temporarily saving large-capacity files being uploaded or to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeFilePath | Returns location for saving original large-capacity file to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeFileSize | Returns the entire size of large-capacity files being uploaded or to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeMode | Returns current status on DEXTUpload Pro Extension. (Only applicable on DEXTUpload Pro Extension)

Method

Name | Description
DeleteAllSavedFiles | Delete all the files saved in the server by uploading.
DeleteFile | Delete files existed in the server.
FileExists | Check whether specific file exist or not.
Flush | Any type file(including temp file) is not saved in the server. All data sent by web browser is ignored.
FolderExists | Check whether specific folder exist or not.
IsFileItem | Check whether the selected type of form data is file or not. In case of file, return TRUE.
IsImageItem | Check whether the selected type of form data is image file or not. In case of image file, return TRUE.
Save | Save uploaded file into default path or designated path as the same name like original file name.
SaveVirtual | Save uploaded file into the designated virtual path as the same name like original file name.
SaveAs | Save uploaded file into the designated path as a new name.
SaveAsVirtual | Save uploaded file into the designated virtual path as a new name.
SaveAsBlob | Save uploaded file into BLOB field of Database. *It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)
SetProgress | Set value that GetProgressID method of DEXT.Progress object passes. *It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Copyright © DEVPIA Corporation. All rights reserved.


FileUpload Object Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FileUpload Object Property

Name | Description
AutoMakeFolder | If it is set as TRUE, in case when the designated folder is not existed in DefaultPath, SaveAs, Folder can be automatically created.
CheckMaxFileLen | Exceeding maximum file size set at MaxFileLen
CodePage | In case of dealing upload component internally, Code page to be used is designated.
DefaultPath | In case of designating Default path value that temporary file and uploaded file will be saved
FileLen | Length value of uploaded file.(single file)
FileName | Name value(except path) of uploaded file.
FileNameWithoutExt | Name value(except extension) of uploaded file.
FileExtension | Extension value of uploaded file.
FilePath | Total path value of uploaded file.
Form | FormItems Collection item that saves category information of Form submitted
ImageFormat | The format of uploaded image files(BMP,EMF,EXIF,GIF,Icon,JPEG,PNG,TIFF,WMF) is returned.
ImageWidth | The width of uploaded image file is returned. In case of non-image file , -1 is returned.
ImageHeight | The height of uploaded image file is returned . In case of non-image file , -1 is returned.
LastSavedFileName | Uploaded file name(except path) saved in the server.
LastSavedFilePath | Uploaded total path value saved in the server.
MaxFileLen | Limiting the maximum size of uploaded file. (unit: Byte) in case of uploading file more than the designated size, error may be occurred. Default value is ‘unlimited’.
MimeType | MimeType value of uploaded file.
TotalLen | Total length value of uploaded file. (ex: in case of uploading multi file )
TempFilePath | Position of temporary file existed before being saved as Save, SaveAs . This can be used in DEXT.ImageProc object.
UploadTimeout | Designates upload Timeout value. (unit: second) Default value is 3600 second. (60 minutes)
ResumeFileName | Returns the name of large-capacity files being uploaded or to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeDirPath | Returns location for temporarily saving large-capacity files being uploaded or to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeFilePath | Returns location for saving original large-capacity file to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeFileSize | Returns the entire size of large-capacity files being uploaded or to be uploaded. (Only applicable on DEXTUpload Pro Extension)
ResumeMode | Returns current status on DEXTUpload Pro Extension. (Only applicable on DEXTUpload Pro Extension)

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

AutoMakeFolder Property

Type
[Boolean = ] Object.AutoMakeFolder

Return Type
Boolean

Description
If it is set as TRUE, in case when the designated folder is not existed in DefaultPath, SaveAs, Folder can be automatically created.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.AutoMakeFolder = True
uploadform.DefaultPath = "C:\TEMP"
uploadform.Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

CheckMaxFileLen Property

Type
[Boolean = ] Object.CheckMaxFileLen

Return Type
Boolean - Set client connection

Description
If True, forcibly terminates connection with client before receiving data when uploaded file is bigger than maximum file size set from TotalLen property.(Error message: HTTP/1.1 400 Bad Request)

If False, maintains the property set from TotalLen property.

Example

<%

Set uploadform = Server.CreateObject("DEXT.FileUpload")

uploadform.DefaultPath = "D:\Upload"

uploadform.CheckMaxFileLen = True

uploadform.TotalLen = 50*1024*1024 '50MB

uploadform.Save

Set uploadform = Nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


CodePage Property

DEXTUpload Professional

DEXTUpload Professional Object reference

CodePage Property

Type
[Long = ] Object.CodePage

Return Type
Long - CodePage Value

Description

Using CodePage property provided by DEXTUpload Professional CodePage can process the value of form element with foreign languages and Unicode file name.
In the web page that uses foreign languages or Unicode, the value of code page corresponding to character set used in this page should be designated as Code page value of upload component.

The default is a value of codepage set in the system.
Provided that, if the value of Session.CodePage is clearly designated in ASP code the value become the default. In this case, the designation of CodePage property value may be omitted.

Example

<%
Session.CodePage = "65001"
%>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.CodePage = 65001
...
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


DefaultPath Property

DEXTUpload Professional

DEXTUpload Professional Object reference

DefaultPath Property

Type
Object.DefaultPath

Description
In case of designating Default path value that temporary file and uploaded file will be saved

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileLen Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FileLen Property

Type
[Long = ] Object.FileLen

Return Type
Long (ReadOnly)

Description
Length value of uploaded file.(single file)

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
filelength = uploadform.FileLen 'the same expression
filelength = uploadform("file1").FileLen 'the same expression
filelength2= uploadform("file2").FileLen
Response.Write filelength & " KB"
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileName Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FileName Property

Type
[String = ] Object.FileName

Return Type
String (ReadOnly)

Description
Name value(except path) of uploaded file.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
filename = uploadform.FileName 'the same expression
filename = uploadform("file1").FileName 'the same expression
filename2= uploadform("file2").FileName
Response.Write filename '(Ex)Result: sample
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileNameWithoutExt Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FileNameWithoutExt Property

Type
[String = ] FileNameWithoutExt

Return Type
String (ReadOnly)

Description
Name value(except extension) of uploaded file.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
filename = uploadform.FileNameWithoutExt 'the same expression
filename = uploadform("file1").FileNameWithoutExt 'the same expression
filename2= uploadform("file2").FileNameWithoutExt
Response.Write filename '(Ex)Result: sample
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileExtension Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FileExtension Property

Type
[String = ] Object.FileExtension

Return Type
String (ReadOnly)

Description
Extension value of uploaded file.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
filename = uploadform.FileExtension 'the same expression
filename = uploadform("file1").FileExtension 'the same expression
filename2= uploadform("file2"). FileExtension
Response.Write filename '(Ex)Result: zip
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FilePath Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FilePath Property

Type
[String = ] Object.FilePath

Return Type
String (ReadOnly)

Description
Total path value of uploaded file.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
filepath = uploadform.FilePath 'the same expression
filepath = uploadform("file1").FilePath 'the same expression
filepath2= uploadform("file2").FilePath
Response.Write filepath '(Ex)Result: sample.zip
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Form Property

DEXTUpload Professional

DEXTUpload Professional Object reference

Form Property

Type
[Object = ] Object.Form

Return Type
Object (ReadOnly / Default Property)

Description
FormItems Collection item that saves category information of Form submitted

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\Upload"
title = uploadform.Form.Item("title").Value 'the same expression
title = uploadform.Form("title").Value 'the same expression
title = uploadform("title").Value 'the same expression
title = uploadform("title") 'the same expression
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


ImageFormat Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ImageFormat Property

Type
[String = ] Object.ImageFormat

Return Type
String (ReadOnly)

Description
The format of uploaded image files(BMP,EMF,EXIF,GIF,Icon,JPEG,PNG,TIFF,WMF) is returned.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
imageformat = uploadform.ImageFormat
imageformat = uploadform("file1").ImageFormat 'the same expression
imageformat2= uploadform("file2").ImageFormat
Response.Write imageformat
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


ImageWidth Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ImageWidth Property

Type
[Long = ] Object.ImageWidth

Return Type
Long (ReadOnly)

Description
The width of uploaded image file is returned. In case of non-image file , -1 is returned.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
imagewidth = uploadform.ImageWidth
imagewidth = uploadform("file1").ImageWidth 'the same expression
imagewidth2= uploadform("file2").ImageWidth
Response.Write imagewidth
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


ImageHeight Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ImageHeight Property

Type
[Long = ] Object.ImageHeight

Return Type
Long (ReadOnly)

Description
The height of uploaded image file is returned . In case of non-image file , -1 is returned.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
ImageHeight = uploadform.ImageHeight
ImageHeight = uploadform("file1").ImageHeight 'the same expression
imagewidth2= uploadform("file2").ImageHeight
Response.Write ImageHeight
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


LastSavedFileName Property

DEXTUpload Professional

DEXTUpload Professional Object reference

LastSavedFileName Property

Type
[String = ] Object.LastSavedFileName

Return Type
String (ReadOnly)

Description
Uploaded file name(except path) saved in the server.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\TEMP"
OrgFileName = uploadform("file1").FileName

uploadform("file1").SaveAs("D:\Upload1\" & OrgFileName , False)
Response.Write "Original FileName: " & uploadform("file1").FileName & "<BR>"
Response.Write "Uploaded FileName1: " & uploadform("file1").LastSavedFileName & "<BR>"

uploadform("file1").SaveAs("F:\Upload2\" & OrgFileName , False)
Response.Write "Original FileName: " & uploadform("file1").FileName & "<BR>"
Response.Write "Uploaded FileName2: " & uploadform("file1").LastSavedFileName & "<BR>"

Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


LastSavedFilePath Property

DEXTUpload Professional

DEXTUpload Professional Object reference

LastSavedFilePath Property

Type
[String = ] Object.LastSavedFilePath

Return Type
String (ReadOnly)

Description
Uploaded total path value saved in the server.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\TEMP"
OrgFileName = uploadform("file1").FileName

uploadform("file1").SaveAs("D:\Upload1\" & OrgFileName , False)
Response.Write "Original FilePath: " & uploadform("file1").FilePath & "<BR>"
Response.Write "Uploaded FilePath1: " & uploadform("file1").LastSavedFilePath & "<BR>"

uploadform("file1").SaveAs("F:\Upload2\" & OrgFileName , False)
Response.Write "Original FilePath: " & uploadform("file1").FilePath & "<BR>"
Response.Write "Uploaded FilePath2: " & uploadform("file1").LastSavedFilePath & "<BR>"

Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


MaxFileLen Property

DEXTUpload Professional

DEXTUpload Professional Object reference

MaxFileLen Property

Type
[Long = ] Object.MaxFileLen

Return Type
Long

Description
limiting the maximum size of uploaded file. (unit: Byte) in case of uploading file more than the designated size, error may be occurred.
Default value is ‘unlimited’.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\Upload"
uploadform.MaxFileLen = 5242880
uploadform.Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


MimeType Property

DEXTUpload Professional

DEXTUpload Professional Object reference

MimeType Property

Type
[String = ] Object.MimeType

Return Type
String (ReadOnly)

Description
MimeType value of uploaded file.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\Upload"
mimetype = uploadform.MimeType ' the same expression
mimetype = uploadform("file1").MimeType ' the same expression
mimetype2= uploadform("file2").MimeType
Response.Write mimetype ' Result: image/pjpeg
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ResumeDirPath Property (Only applies on DEXTUpload Pro Extension.)

Type
[String = ] Object.ResumeDirPath

Return Type
String (ReadOnly)

Description
Returns location for temporarily saving large-capacity files being uploaded or to be uploaded.

Example

<%@ Language=VBScript %>

<%

set uploadform=server.CreateObject("DEXTEx.FileUpload")

uploadform.AutoMakeFolder = TRUE

uploadform.DefaultPath="C:\TEMP"

Dim ResponseData

'------------------------------------------------------------------------------------------------------'

'----------------------------------------- Warning---------------------------------------------------'

' The following upload mode (uploadform.ResumeMode) is essential for large-capacity/resume uploading.

' Large-capacity/resume uploading may not function if modified or deleted.

' - uploadform.ResumeMode = "configurefileinfo"

' - uploadform.ResumeMode = "attachfile"

'------------------------------------------------------------------------------------------------------'

if uploadform.ResumeMode = "configurefileinfo" or uploadform.ResumeMode = "attachfile" then

Response.Write "FileSize=" & uploadform.ResumeFileSize & ";"

Response.Write "FileName=" & uploadform.ResumeFileName & ";"

Response.Write "ResumeDirPath=" & uploadform.ResumeDirPath & ";"

'------------------------------------------------------------------------------------------------------'

'-----------------------------File save in large-capacity/resume uploading mode----------------------------------'

' If uploadform.ResumeMode = "done" then large-capacity/resume uploading is completed.

' (Process one file with one connection)

' Please forward necessary data appropriately to token ring from client.

' The following example is an example of basic data composition.

' It is alright to send data to client if uploaded results are processed from current page.

'------------------------------------------------------------------------------------------------------'

elseif uploadform.ResumeMode = "done" then

uploadform("DextuploadX").Save "C:\TEMP",False

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX").FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFilePath

Response.Write ResponseData

' File save in general upload and not in large-capacity/resumed uploading

' (If "EnableLargeUpload" property of DEXTUploadXEx is FALSE)

' It is alright to send data to client if uploaded results are processed from current page.

else

For i = 1 To uploadform("DextuploadX").count

uploadform("DextuploadX")(i).save

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFilePath

Next

Response.Write ResponseData

end if

Set uploadform = Nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ResumeFileName Property (Only applies on DEXTUpload Pro Extension.)

Type
[String = ] Object.ResumeFileName

Return Type
String (ReadOnly)

Description
Returns the name of large-capacity files being uploaded or to be uploaded.

Example

<%@ Language=VBScript %>

<%

set uploadform=server.CreateObject("DEXTEx.FileUpload")

uploadform.AutoMakeFolder = TRUE

uploadform.DefaultPath="C:\TEMP"

Dim ResponseData

'------------------------------------------------------------------------------------------------------'

'----------------------------------------- Warning---------------------------------------------------'

' The following upload mode (uploadform.ResumeMode) is essential for large-capacity/resume uploading.

' Large-capacity/resume uploading may not function if modified or deleted.

' - uploadform.ResumeMode = "configurefileinfo"

' - uploadform.ResumeMode = "attachfile"

'------------------------------------------------------------------------------------------------------'

if uploadform.ResumeMode = "configurefileinfo" or uploadform.ResumeMode = "attachfile" then

Response.Write "FileSize=" & uploadform.ResumeFileSize & ";"

Response.Write "FileName=" & uploadform.ResumeFileName & ";"

Response.Write "ResumeDirPath=" & uploadform.ResumeDirPath & ";"

'------------------------------------------------------------------------------------------------------'

'-----------------------------File save in large-capacity/resume uploading mode----------------------------------'

' If uploadform.ResumeMode = "done" then large-capacity/resume uploading is completed.

' (Process one file with one connection)

' Please forward necessary data appropriately to token ring from client.

' The following example is an example of basic data composition.

' It is alright to send data to client if uploaded results are processed from current page.

'------------------------------------------------------------------------------------------------------'

elseif uploadform.ResumeMode = "done" then

uploadform("DextuploadX").Save "C:\TEMP",False

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX").FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFilePath

Response.Write ResponseData

' File save in general upload and not in large-capacity/resumed uploading

' (If "EnableLargeUpload" property of DEXTUploadXEx is FALSE)

' It is alright to send data to client if uploaded results are processed from current page.

else

For i = 1 To uploadform("DextuploadX").count

uploadform("DextuploadX")(i).save

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFilePath

Next

Response.Write ResponseData

end if

Set uploadform = Nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ResumeFilePath Property (Only applies on DEXTUpload Pro Extension.)

Type
[String = ] Object.ResumeFilePath

Return Type
String (ReadOnly)

Description
Returns location for saving original large-capacity file to be uploaded.

(May omit unlike ResumeFileSize, ResumeFileName, ResumeDirPath properties during large-capacity/resumed uploading.)

Example

<%@ Language=VBScript %>

<%

set uploadform=server.CreateObject("DEXTEx.FileUpload")

uploadform.AutoMakeFolder = TRUE

uploadform.DefaultPath="C:\TEMP"

Dim ResponseData

'------------------------------------------------------------------------------------------------------'

'----------------------------------------- Warning---------------------------------------------------'

' The following upload mode (uploadform.ResumeMode) is essential for large-capacity/resume uploading.

' Large-capacity/resume uploading may not function if modified or deleted.

' - uploadform.ResumeMode = "configurefileinfo"

' - uploadform.ResumeMode = "attachfile"

'------------------------------------------------------------------------------------------------------'

if uploadform.ResumeMode = "configurefileinfo" or uploadform.ResumeMode = "attachfile" then

Response.Write "FileSize=" & uploadform.ResumeFileSize & ";"

Response.Write "FileName=" & uploadform.ResumeFileName & ";"

Response.Write "ResumeDirPath=" & uploadform.ResumeDirPath & ";"

' Response.Write "ResumeFilePath=" & uploadform.ResumeFilePath & ";"

'------------------------------------------------------------------------------------------------------'

'-----------------------------File save in large-capacity/resume uploading mode----------------------------------'

' If uploadform.ResumeMode = "done" then large-capacity/resume uploading is completed.

' (Process one file with one connection)

' Please forward necessary data appropriately to token ring from client.

' The following example is an example of basic data composition.

' It is alright to send data to client if uploaded results are processed from current page.

'------------------------------------------------------------------------------------------------------'

elseif uploadform.ResumeMode = "done" then

uploadform("DextuploadX").Save "C:\TEMP",False

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX").FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFilePath

Response.Write ResponseData

' File save in general upload and not in large-capacity/resumed uploading

' (If "EnableLargeUpload" property of DEXTUploadXEx is FALSE)

' It is alright to send data to client if uploaded results are processed from current page.

else

For i = 1 To uploadform("DextuploadX").count

uploadform("DextuploadX")(i).save

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFilePath

Next

Response.Write ResponseData

end if

Set uploadform = Nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ResumeFileSize Property (Only applies on DEXTUpload Pro Extension.)

Type
[String = ] Object.ResumeFileSize

Return Type
String (ReadOnly)

Description
Returns the entire size of large-capacity files being uploaded or to be uploaded.

Example

<%@ Language=VBScript %>

<%

set uploadform=server.CreateObject("DEXTEx.FileUpload")

uploadform.AutoMakeFolder = TRUE

uploadform.DefaultPath="C:\TEMP"

Dim ResponseData

'------------------------------------------------------------------------------------------------------'

'----------------------------------------- Warning---------------------------------------------------'

' The following upload mode (uploadform.ResumeMode) is essential for large-capacity/resume uploading.

' Large-capacity/resume uploading may not function if modified or deleted.

' - uploadform.ResumeMode = "configurefileinfo"

' - uploadform.ResumeMode = "attachfile"

'------------------------------------------------------------------------------------------------------'

if uploadform.ResumeMode = "configurefileinfo" or uploadform.ResumeMode = "attachfile" then

Response.Write "FileSize=" & uploadform.ResumeFileSize & ";"

Response.Write "FileName=" & uploadform.ResumeFileName & ";"

Response.Write "ResumeDirPath=" & uploadform.ResumeDirPath & ";"

'------------------------------------------------------------------------------------------------------'

'-----------------------------File save in large-capacity/resume uploading mode----------------------------------'

' If uploadform.ResumeMode = "done" then large-capacity/resume uploading is completed.

' (Process one file with one connection)

' Please forward necessary data appropriately to token ring from client.

' The following example is an example of basic data composition.

' It is alright to send data to client if uploaded results are processed from current page.

'------------------------------------------------------------------------------------------------------'

elseif uploadform.ResumeMode = "done" then

uploadform("DextuploadX").Save "C:\TEMP",False

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX").FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFilePath

Response.Write ResponseData

' File save in general upload and not in large-capacity/resumed uploading

' (If "EnableLargeUpload" property of DEXTUploadXEx is FALSE)

' It is alright to send data to client if uploaded results are processed from current page.

else

For i = 1 To uploadform("DextuploadX").count

uploadform("DextuploadX")(i).save

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFilePath

Next

Response.Write ResponseData

end if

Set uploadform = Nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ResumeMode Property (Only applies on DEXTUpload Pro Extension.)

Type
[String = ] Object.ResumeMode

Return Type
String (ReadOnly)

Lists of returned value

- configurefileinfo : Receives name, size, save path of file to be transmitted before actually transmitting large-capacity file.

- attachfile : Displays currently receiving large-capacity file.

- done : Shows completion of transmission of large-capacity file and saves large-capacity file at desired location by calling Save function in this status.

Description
Returns current status on DEXTUpload Pro Ex. Checks status on large-capacity file being uploaded or decides its process based on this.

Example

<%@ Language=VBScript %>

<%

set uploadform=server.CreateObject("DEXTEx.FileUpload")

uploadform.AutoMakeFolder = TRUE

uploadform.DefaultPath="C:\TEMP"

Dim ResponseData

'------------------------------------------------------------------------------------------------------'

'----------------------------------------- Warning---------------------------------------------------'

' The following upload mode (uploadform.ResumeMode) is essential for large-capacity/resume uploading.

' Large-capacity/resume uploading may not function if modified or deleted.

' - uploadform.ResumeMode = "configurefileinfo"

' - uploadform.ResumeMode = "attachfile"

'------------------------------------------------------------------------------------------------------'

if uploadform.ResumeMode = "configurefileinfo" or uploadform.ResumeMode = "attachfile" then

Response.Write "FileSize=" & uploadform.ResumeFileSize & ";"

Response.Write "FileName=" & uploadform.ResumeFileName & ";"

Response.Write "ResumeDirPath=" & uploadform.ResumeDirPath & ";"

'------------------------------------------------------------------------------------------------------'

'-----------------------------File save in large-capacity/resume uploading mode----------------------------------'

' If uploadform.ResumeMode = "done" then large-capacity/resume uploading is completed.

' (Process one file with one connection)

' Please forward necessary data appropriately to token ring from client.

' The following example is an example of basic data composition.

' It is alright to send data to client if uploaded results are processed from current page.

'------------------------------------------------------------------------------------------------------'

elseif uploadform.ResumeMode = "done" then

uploadform("DextuploadX").Save "C:\TEMP",False

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX").FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX").LastSavedFilePath

Response.Write ResponseData

' File save in general upload and not in large-capacity/resumed uploading

' (If "EnableLargeUpload" property of DEXTUploadXEx is FALSE)

' It is alright to send data to client if uploaded results are processed from current page.

else

For i = 1 To uploadform("DextuploadX").count

uploadform("DextuploadX")(i).save

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFileName

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).FileLen

ResponseData = ResponseData & "||" & uploadform("DextuploadX")(i).LastSavedFilePath

Next

Response.Write ResponseData

end if

Set uploadform = Nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


TempFilePath Property

DEXTUpload Professional

DEXTUpload Professional Object reference

TempFilePath Property

Type
[Long = ] Object.TempFilePath

Return Type
Long (ReadOnly)

Description
Position of temporary file existed before being saved as Save, SaveAs . This can be used in DEXT.ImageProc object.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.Save
Response.Write uploadform.TempFilePath
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


TotalLen Property

DEXTUpload Professional

DEXTUpload Professional Object reference

TotalLen Property

Type
[Long = ] Object.TotalLen

Return Type
Long

Description
Upload the form data is restricted maximum length uses. (Unit: Byte)

Request of bigger then one's size of form data, it will be error.

The basic size is 2GB.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.TotalLen = 50*1024*1024 '50MB
uploadform.Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


UploadTimeout Property

DEXTUpload Professional

DEXTUpload Professional Object reference

UploadTimeout Property

Type
[Long = ] Object.UploadTimeout

Return Type
Long

Description
Designates upload Timeout value. (unit: second)
Default value is 3600 second. (60 minutes)

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.UploadTimeout = 1200
uploadform.Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileUpload Object Method

DEXTUpload Professional

DEXTUpload Professional Object reference

FileUpload Object Method

Name | Description
DeleteAllSavedFiles | Delete all the files saved in the server by uploading.
DeleteFile | Delete files existed in the server.
FileExists | Check whether specific file exist or not.
Flush | Any type file(including temp file) is not saved in the server. All data sent by web browser is ignored.
FolderExists | Check whether specific folder exist or not.
IsFileItem | Check whether the selected type of form data is file or not. In case of file, return TRUE.
IsImageItem | Check whether the selected type of form data is image file or not. In case of image file, return TRUE.
Save | Save uploaded file into default path or designated path as the same name like original file name.
SaveVirtual | Save uploaded file into the designated virtual path as the same name like original file name.
SaveAs | Save uploaded file into the designated path as a new name.
SaveAsVirtual | Save uploaded file into the designated virtual path as a new name.
SaveAsBlob | Save uploaded file into BLOB field of Database. *It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)
SetProgress | Set value that GetProgressID method of DEXT.Progress object passes. *It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Copyright © DEVPIA Corporation. All rights reserved.


DeleteAllSavedFiles() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

DeleteAllSavedFiles() Method

Type
[Long = ] Object.DeleteAllSavedFiles

Return Value
Long - Delete File Count

Description
Delete all the files saved in the server by uploading.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
...
'Because error is occurred uploadform.DeleteAllSavedFiles is called and uploaded file is deleted .
uploadform.DeleteAllSavedFiles
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


DeleteFile() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

DeleteFile() Method

Type
[Boolean = ] Object.DeleteFile( strFilename )

Return Value
Boolean -
Success to file delete(True),
Fail to file delete(False)

Parameter
strFilePath As String - Delete file full path(Only Physical Path)

Description
Delete files existed in the server.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
UploadedFile1 = uploadform("file1").Save
UploadedFile2 = uploadform("file2").Save
...
'If you want to delete the first file
uploadform.DeleteFile(UploadedFile1)
...
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileExists() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

FileExists() Method

Type
[Boolean = ] Object.FileExists( strFilename )

Return Value
Boolean - If file exists True.

Parameter
strFilename As String - (Only Physical Path)

Description
Check whether specific file exist or not.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
If uploadform.FileExists("C:\TEMP\sample.zip") Then
Response.Write "File exists : Sample.zip<br>"
Else
Response.Write "File not exists : Sample.zip<br>"
End If
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Flush() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

Flush() Method

Type
Object.Flush()

Description
Any type file(including temp file) is not saved in the server. All data sent by web browser is ignored.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\TEMP"
If Request.TotalBytes > 1048576 Then
uploadform.Flush
Response.Write "Warning: File size must be less than 1 MBytes."
Else
uploadform.Save
Response.Write "File-upload completed."
End If
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FolderExists() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

FolderExists() Method

Type
[Boolean = ] Object.FolderExists( strFilename )

Return Value
Boolean - If folder exists True.

Parameter
strFilename As String - (Only Physical Path)

Description
Check whether specific folder exist or not.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
If uploadform.FolderExists("C:\TEMP") Then
Response.Write "Folder exists : C:\TEMP<br>"
Else
Response.Write "Folder not exists :C:\TEMP<br>"
End If
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


IsFileItem() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

IsFileItem() Method

Type
[Bool = ] Object.IsFileItem()

Return Value
Bool – In case of file, return TRUE.

Description
Check whether the selected type of form data is file or not.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
if uploadform("file1").IsFileItem then
response.Write “This is file item.”
End if
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


IsImageItem() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

IsImageItem() Method

Type
[Bool = ] Object.IsImageItem()

Return Value
Bool – In case of image file item, return TRUE.

Description
Check whether the selected type of form data is image file or not.
In case of image file, return TRUE.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
if uploadform("file1").IsImageItem then
response.Write “This is not image file item.”
End if
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Save() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

Save() Method

Type
[String = ] Object.Save( [strPath], [bOverwrite] )

Return Value
String - name of file actually saved at server

Parameter
strPath As String (Optional) – A path for saving uploaded file. If omitted, saved at path pointed by DefaultPath Property.

bOverwrite As Boolean (Optional) -If there are files with the same name, assigns Overwrite. Default value is True and if set as False then it saves by seeking unique files names as in filename(2).ext, filename(3).ext.

Description
Saves uploaded files in the same name as the original file at default path or appointed path.
* Multiple Save is possible from version 3.3.0 or above (Including DEXTUpload Pro Extension.).

DEXTUpload Professional programming -> File upload -> Refer to ‘Multiple Save Upload’. (Saves one file at various paths)

Warning: Upload is not completed until the entire Save is completed if large-capacity file is uploaded during multiple Save.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.Save
uploadform("file1").Save ' the same expression
uploadform("file2").Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveVirtual() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveVirtual() Method

Type
[String = ] Object.SaveVirtual( strVirtualPath, [bOverwrite] )

Return Value
String - Saved file full virtual path

Parameter
strVirtualPath As String
bOverwrite As Boolean (Optional) - Default value is True. True is overwrite. else False is not overwrite(ex. filename(0).ext, filename(1).ext.....)

Description
Save uploaded file into the designated virtual path as the same name like original file name.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.SaveVirtual "/virtualloc/"
uploadform("file1").SaveVirtual "/virtualloc/" ' the same expression
uploadform("file2").SaveVirtual "/virtualloc/"
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveAs() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveAs() Method

Type
[String = ] Object.SaveAs(strNewFilename, [bOverwrite] )

Return Value
String - Saved file full path

Parameter
strNewFilename As String(Full Path)
bOverwrite As Boolean (Optional) - Default value is True. True is overwrite. else False is not overwrite(ex. filename(0).ext, filename(1).ext.....)

Description
Save uploaded file into the designated path as a new name.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.SaveAs "C:\Upload\newfile.zip"
uploadform("file1").SaveAs "C:\Upload\newfile.zip" ' the same expression
uploadform("file2").SaveAs "C:\Upload\newfile2.zip"
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsVirtual() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveAsVirtual() Method

Type
[String = ] Object.SaveAsVirtual( strNewFilename, [bOverwrite=TRUE] )

Return Value
String - Saved file full virtual path

Parameter
strNewFilename As String(Full Path)
bOverwrite As Boolean (Optional) - Default value is True. True is overwrite. else False is not overwrite(ex. filename(0).ext, filename(1).ext.....)
Description
Save uploaded file into the designated virtual path as a new name.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "C:\TEMP"
uploadform.SaveAsVirtual "/virtualloc/newfile.zip"
uploadform("file1").SaveAsVirtual "/virtualloc/newfile.zip" ' the same expression
uploadform("file2").SaveAsVirtual "/virtualloc/newfile.zip"
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsBlob() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveAsBlob() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.SaveAsBlob( dbField )

Return Value
dbField As ADODB.Field – Database's BLOB field.

Description
Save uploaded file into BLOB field of Database.

Example

<%
Set uploadform = Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath = "D:\TEMP"
Set rs = Server.CreateObject("ADODB.Recordset")
rs.Open strQuery, cn, 3,3
rs.AddNew
uploadform.SaveAsBlob rs("filedata")
uploadform("file1").SaveAsBlob rs("filedata") ' the same expression
uploadform("file2").SaveAsBlob rs("filedata2")
rs.Update
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SetProgress() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SetProgress() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.SetProgress( ProgressID )

Description
Set value that GetProgressID method of DEXT.Progress object passes.

Example

<%
'ID obtained by GetProgressID

ProgID = request.QueryString("ProgressID")

set uploadform=server.CreateObject("DEXT.FileUpload")

'Set ID obtained by GetProgressID through this function.

uploadform.SetProgress(ProgID)

uploadform.DefaultPath="C:\Temp"

FileName = uploadform.Save()
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileDownload Object

DEXTUpload Professional

DEXTUpload Professional Object reference

FileDownload Object

This object can download file in the server or binary data in Database BLOB field into hard disk file of client users via web browser.

Method

Name | Description
Download | Download file in the server into client users via web browser.
DownloadVirtual | Download file in the virtual path of server into client users via web browser.
DownloadBlob | Download BLOB data in the database into client users via web browser. *It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Copyright © DEVPIA Corporation. All rights reserved.


Download() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

Download() Method

Type
Object.Download( bstrFilePath,bstrFileName,bAttach,bPartial )

Parameter
bstrFilePath As String - Total path to be downloaded(physical path, virtual path)
strFileName As String – File name to be downloaded

bAttach As Boolean - In case of downloading by web browser, This designates the method of dealing attached file.

Property | Description
True | Because downloaded data is always saved as file, Save dialog box is output in the browser.
False | The dealing method of web browser may be different depending on default value and MIME type. For example, in case of text/html(HTML file), downloading contents is output in the web browser directly , in case of application/x-zip-compressed(ZIP file), Save dialog box is output.

bPartial As Boolean - Designate whether supporting Partial Content Download function.

Property | Description
True | Partial Content Download.
False | Default . in case of asking download, total data is transferred.

Description
Download file in the server into client users via web browser.

Example

<%@ Language=VBScript %>
<%
filepath = request("filepath")
filename = request("filename")
'Creates Download item
Set objDownload = Server.CreateObject("DEXT.FileDownload")
'Download objDownload.Download filepath, File name, The choice of forced save(True : forced save), the choice of Partial Content Download (True: Partial Content Download)
objDownload.Download filepath, filename, true, false
Set objDownload = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


DownloadVirtual() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

DownloadVirtual() Method

Type
Object.DownloadVirtual( bstrFilePath,bstrFileName,bAttach,bPartial )

Parameter
bstrFilePath As String - Total path to be downloaded(virtual path)
strFileName As String – File name to be downloaded

bAttach As Boolean - In case of downloading by web browser, This designates the method of dealing attached file.

Property | Description
True | Because downloaded data is always saved as file, Save dialog box is output in the browser.
False | The dealing method of web browser may be different depending on default value and MIME type. For example, in case of text/html(HTML file), downloading contents is output in the web browser directly , in case of application/x-zip-compressed(ZIP file), Save dialog box is output.

bPartial As Boolean - Designate whether supporting Partial Content Download function.

Property | Description
True | Partial Content Download.
False | Default . in case of asking download, total data is transferred.

Description
Download file in the server into client users via web browser.

Example

<%@ Language=VBScript %>
<%
filepath = request("filepath")
filename = request("filename")
'Creates Download item
Set objDownload = Server.CreateObject("DEXT.FileDownload")
'Download objDownload.Download filepath, File name, The choice of forced save(True : forced save), the choice of Partial Content Download (True: Partial Content Download)
objDownload.DownloadVirtual filepath, filename, true, false
Set objDownload = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


DownloadBlob() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

DownloadBlob() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.DownloadBlob( bstrFilePath,bstrFileName,bAttach )

Return Value
bstrFilePath As String - Total path to be downloaded(physical path)
strFileName As String – File name to be downloaded

bAttach As Boolean - In case of downloading by web browser, This designates the method of dealing attached file.

Property | Description
True | Because downloaded data is always saved as file, Save dialog box is output in the browser.
False | The dealing method of web browser may be different depending on default value and MIME type. For example, in case of text/html(HTML file), downloading contents is output in the web browser directly , in case of application/x-zip-compressed(ZIP file), Save dialog box is output.

Description
Download file in the Database BLOB into client users via web browser.

Example

<%@ Language=VBScript %>
<%
fileid=request("dblist")
Set rs = Server.CreateObject("ADODB.Recordset")
Conn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("/DEXTUploadProsamples") & "\DEXTUpload.mdb"
sql="SELECT * FROM DEXTUPLOAD WHERE fileid ="&fileid
rs.Open sql, Conn, 3, 1
Set objDownload = Server.CreateObject("DEXT.FileDownload")
objDownload.DownloadBlob rs("filedata"), rs("filename"), true
Set objDownload = Nothing
rs.Close
Set rs = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


FileUploadMonitor Object

DEXTUpload Professional

DEXTUpload Professional Object reference

FileUploadMonitor Object

*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

This object can check upload progress through fixed type window

Method

Name | Description
UseMonitor | Designates whether monitoring function for upload progress is used or not. In case of using monitoring function, Be sure to call UseMonitor(True) within page that Form to be submitted is written.
ShowMonitor | This shows Upload progress by using Progress and shows various information such as total file capacity, remained file capacity, remained time in real time.
SetProgressWindowType | Function for updaing information on upload progress window while supporting various browsers.

Copyright © DEVPIA Corporation. All rights reserved.


UseMonitor() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

UseMonitor() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.UseMonitor( bUse )

Parameter
bUse As Boolean - True: monitoring function of upload progress / False: do not use this function

Description
Designates whether monitoring function for upload progress is used or not.
In case of using monitoring function, Be sure to call UseMonitor(True) within page that Form to be submitted is written .
In case when UseMonitor() method is not called or UseMonitor(False) is called It is considered not to use monitoring function.

Example

<%
Set objMon = Server.CreateObject("DEXT.FileUploadMonitor")
objMon.UseMonitor(True)
Set objMon = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


ShowMonitor() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

ShowMonitor() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.ShowMonitor()

Description
This shows Upload progress by using Progress and shows various information such as total file capacity, remained file capacity, remained time in real time.

Example

<%
Set objMon = Server.CreateObject("DEXT.FileUploadMonitor")
objMon.ShowMonitor
Set objMon = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SetProgressWindowType() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SetProgressWindowType() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.SetProgressWindowType( [lBrowserType], [lWindowType] )

Parameter
- lBrowserType As Long : Information on type according to browsrs supporting pop-up functions (Default: 0)

0 = Only IE (Browser supporting both window.showModelessDialog, window.open functions at the same time)

1 = FireFox, Opera, Chrome, Safari, etc. (Browser supporting only window.open function)

- lWindowType As Long : Method of opening upload progress window from script (Default:0)

0 = When window.showModelessDialog function is called

1 = When window.open function is called

Description
Function for updaing information on upload progress window while supporting various browsers.

Example

<%
Dim BrowserType
BrowserType = Request.ServerVariables("HTTP_USER_AGENT")

Set m_objMon = Server.CreateObject("DEXT.FileUploadMonitor")

If InStr(BrowserType,"MSIE") Then
'Set the first parameter as 0 if upload progress window of client is supported from IE
'Set the first parameter as 1 if upload progress window of client is supported from browsers other than IE
'Set the second parameter as 0 if upload progress window of client is called with window.showMedelessDialog function from IE browser
m_objMon.SetProgressWindowType 0, 0
Else
'Set the second parameter as 1 if upload progress window of client is called with window.open function from browsers other than IE
m_objMon.SetProgressWindowType 1, 1
End If

m_objMon.ShowMonitor

Set m_objMon = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Progress Object

DEXTUpload Professional

DEXTUpload Professional Object reference

Progress Object
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

This object can check upload progress through user’s definition type info window.

Property

Name | Description
TotalSize | Total file size to be uploaded
TransferSize | File size transferred by this time
Percent | Total Transfer percentage by this time
BytesPerSec | Transfer Speed
FileName | File name being uploaded
Working | In case of TRUE, it means on transferring now, in case of FALSE, transfer was completed.

Method

Name | Description
SetProgressID | Set progress ID transferred by GET method.
GetProgressID | Get ID. In order to use by FileUpload and Progress in the future.
SetProgressWindowType | Function for updaing information on upload progress window while supporting various browsers.

Copyright © DEVPIA Corporation. All rights reserved.


GetProgressID() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

GetProgressID() Method

*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
[Long =] Object.GetProgressID()

Description
Get ID. In order to use by FileUpload and Progress in the future.

Example

<%
Dim ProgressID
set obj = server.CreateObject("DEXT.Progress")
'Get Progress ID. After that, you can use it in FileUpload and Progress
ProgID = obj.GetProgressID()
set obj = nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SetProgressID() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SetProgressID() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.SetProgressID( ProgID )

Parameter
ProgID As Long

Description
Set progress ID transferred by GET method.

Example

<%
'ID obtained by GetProgressID
ProgID = request.QueryString("ProgressID")
Set uploadform = Server.CreateObject("DEXT.FileUpload")

'Set ID obtained by 'GetProgressID through this function.
uploadform.SetProgress(ProgID)
uploadform.DefaultPath = "C:\TEMP"
uploadform ("file1").Save
Set uploadform = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


GetProgressID() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SetProgressWindowType() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.SetProgressWindowType( [lBrowserType], [lWindowType], [lProgressID] )

Parameter
- lBrowserType As Long : Information on type according to browsrs supporting pop-up functions (Default: 0)

0 = Only IE (Browser supporting both window.showModelessDialog, window.open functions at the same time)

1 = FireFox, Opera, Chrome, Safari, etc. (Browser supporting only window.open function)

- lWindowType As Long : Method of opening upload progress window from script (Default:0)

0 = When window.showModelessDialog function is called

1 = When window.open function is called

- lProgressID As Long : A value for identifying clients using upload progress windows. Gained as Progress.GetProgressID().

Description
Function for updaing information on upload progress window while supporting various browsers.

It updates information on upload progress windows from various browsers using ID value obtained by using GetProgressID() function of DEXT.Progress Object. (* Prohibit from using together with SetProgressID function)

Example

<%@ Language=VBScript EnableSessionState="False" %>

<%
Option Explicit

Dim Progress, Percent, TransferBytes, TotalBytes, BytesPer, bWorking, strFileName
Dim BrowserType
Dim ProgressID

ProgressID = Request.QueryString("ProgressID")
BrowserType = Request.ServerVariables("HTTP_USER_AGENT")

'Generating DEXT.Progress object.
Set Progress = Server.CreateObject("DEXT.Progress")

If InStr(BrowserType,"MSIE")Then
'Identify client as ProgressID transferred in GET method and
'Set the first parameter as 0 if upload progress window of client is supported from IE
'Set the first parameter as 1 if upload progress window of client is supported from browsers other than IE
'Set the second parameter as 0 if upload progress window of client is called with window.showMedelessDialog function from IE browser
Progress.SetProgressWindowType 0, 0, ProgressID
Else
'Set the second parameter as 1 if upload progress window of client is called with window.open function from browsers other than IE
Progress.SetProgressWindowType 1, 1, ProgressID
End If
' Recommend to use SetProgressWindowType() function instead of SetProgressID function
' since it does not norammly express upload progresses from browsers other than IE though it maintains existing backward compatibility
' Progress.SetProgressID( ProgressID )

'Reading present upload progress.
Percent = Progress.Percent
TransferBytes = Progress.TransferSize
TotalBytes = Progress.TotalSize
BytesPer = Progress.BytesPerSec
bWorking = Progress.Working
strFileName = Progress.FileName
%>
<HTML>
<HEAD>
<title>File is uploading ...</title>
<%
Response.Write "<Meta HTTP-EQUIV=""Refresh"" CONTENT=1>"
%>
<style type='text/css'>
td {font-size: 9pt}
</style>
</HEAD>
<body bgcolor=#d4d0c8 topmargin=0>
<%
If bWorking = true Then
'Display in Uploading progress window state.
Response.Write "<table border=0 style='FONT-SIZE: 9pt' width=370 cellpadding=0 cellspacing=0 bgcolor=#d4d0c8>"
Response.Write "<tr>"
Response.Write " <td colspan=2 height=25 valign=bottom><b>File is uploading ...</b></td>"
Response.Write "</tr>"
Response.Write "<tr>"
Response.Write " <td colspan=2 width=360>"
Response.Write " <table style='border:solid 1px;' width=370 height=15 cellpadding=0 cellspacing=0 bordercolor=#000000 leftmargin=0 topmargin=0>"
Response.Write " <tr>"
Response.Write " <td width=100% height=100% align=left valign=middle style=padding:1;>"
Response.Write " <table height=100% cellpadding=0 cellspacing=0 width =" & (3.55*Percent) & "></td>"
Response.Write " <tr><td bgcolor='darkblue'></td></tr>"
Response.Write " </table>"
Response.Write " </td>"
Response.Write " </tr>"
Response.Write " </table>"
Response.Write " </td>"
Response.Write "</tr>"
Response.Write "<tr><td>&nbsp;</td></tr>"
Response.Write "<tr>"
Response.Write " <td align=left>Transmitted file : " & strFileName & "</td>"
Response.Write "</tr>"
Response.Write "<tr>"
Response.Write " <td align=left>Transmission speed : " & round(BytesPer/(1024*1024),2) & " MB / sec </td>"
Response.Write "</tr>"
Response.Write "<tr>"
Response.Write " <td align=left>Progress percentage : " & round(TransferBytes/(1024*1024),2) & " MB / " & round(TotalBytes /(1024*1024),2) & " MB (" & Percent & "%)</td>"
Response.Write "</tr>"
Response.Write "</table>"
Response.Write "<tr><td>&nbsp;</td></tr>"
Response.Write "<table border=0 width=360 cellpadding=0 cellspacing=0 bgcolor=#d4d0c8>"
Response.Write "<tr><td>Click the <b>STOP</b> button on your browser to abort uploading.</td></tr>"
Response.Write "</table>"
Else
'In case when upload is completed or IE stop button is pressed
Response.Write("<body onload='javascript: top.window.close();'>")
End If
%>
</body>
</HTML>

Copyright © DEVPIA Corporation. All rights reserved.


BlobManager Object

DEXTUpload Professional

DEXTUpload Professional Object reference

BlobManager Object
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

This object handles BLOB data in the Database, has a function to save file in BLOB field or to save BLOB data into file.

Method

Name | Description
SaveFileAsBlob | Save files in the server into Database BLOB field.
SaveBlobAsFile | Save BLOB data in the database into disk file of server.

Copyright © DEVPIA Corporation. All rights reserved.


SaveFileAsBlob() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveFileAsBlob() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.SaveFileAsBlob( strFilename, dbField )

Parameter
strFilename As String - Path to be upload Database BLOB(Total path)
dbField As ADODB.Field - BLOB Field to be file upload

Description
Save files in the server into Database BLOB field.

Example

<%
Set objBlobMan = Server.CreateObject("DEXT.BLOBManager")
Set rs = Server.CreateObject("ADODB.Recordset")
rs.Open strQuery, cn, 3,3
rs.AddNew
objBlobMan.SaveFileAsBlob "C:\file.zip", rs("filedata")
rs.Update
Set objBlobMan = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveBlobAsFile() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveBlobAsFile() Method
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
[String =] object.SaveBlobAsFile( dbField, strFilename, [bOverwrite] )

Return Value
String - uploaded file name

Parameter
dbField As ADODB.Field - BLOB Field to be file upload
strFilename As String - Path to be upload Database BLOB(Total path)
bOverwrite As Boolean (Optional) - Default value is True. True is overwrite. else False is not overwrite(ex. filename(0).ext, filename(1).ext.....).

Description
Save BLOB data in the database into disk file of server.

Example

<%
Set objBlobMan = Server.CreateObject("DEXT.BLOBManager")
Set rs = Server.CreateObject("ADODB.Recordset")
rs.Open strQuery, cn, 3,1
objBlobMan.SaveBlobAsFile rs("filedata"), "C:\file.zip"
Set objBlobMan = Nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


Manager Object

DEXTUpload Professional

DEXTUpload Professional Object reference

Manager Object
*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

This object needs for download cache.

Method

Name | Description
AddCacheFile | Load the designated file into memory.
RemoveCacheFile | Remove the designated file from memory.

Copyright © DEVPIA Corporation. All rights reserved.


AddCacheFile() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

AddCacheFile() Method

*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.AddCacheFile( strFilePath )

Parameter
strFilePath As String - Load the designated file path into memory(Total Physical Path).

Description
Load the designated file into memory.

Example

<%@ Language=VBScript %>
<%
set objManager = server.createobject("DEXT.Manager")
'Adding file to memory
objManager.AddCacheFile Trim(Request("txtFilePath1"))
Response.Write("File path<br>")
'File List accumulated in the memory
For Each cacheFile in objManager
response.Write(cacheFile & "<br>")
Next
set objManager = nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


RemoveCacheFile() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

RemoveCacheFile() Method

*It exists for the downward compatibility from the version 3.5.6 (support up to Windows 2008, IE8)

Type
Object.RemoveCacheFile( strFilePath )

Parameter
strFilePath As String - Load the designated file path into memory(Total Physical Path).

Description
Remove the designated file from memory.

Example

<%@ Language=VBScript %>
<%
set objManager = server.createobject("DEXT.Manager")
'Removing file to memory
objManager.RemoveCacheFile Trim(Request("txtFilePath1"))
Response.Write("File path<br>")
'File List accumulated in the memory
For Each cacheFile in objManager
response.Write(cacheFile & "<br>")
Next
set objManager = nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


ImageProc Object

DEXTUpload Professional ?/span>

DEXTUpload Professional Object reference

ImageProc Object

DEXT.ImageProc object supports various image format (BMP, EMF, EXIF, GIF, Icon, JPEG, PNG, TIFF, WMF etc.) and also supports conversion into other formats. (BMP, JPG, GIF, TIFF, PNG)
This creates thumbnail image of image file and the created image has a JPG format.
This can create watermark image by using the designated image or character and the created watermark image has a JPG format.
This supports various meta data such as exposure time, image description, resolution.

Property

Name | Description
AutoMakeFolder | When it is set as TRUE then it automatically creates folder if there is no assigned folder at SaveAsThumbnail(), SaveAsWaterMarkImage().
BackGroundColor | Set when deciding the color of background if automatic ratio is selected when calling SaveAsThumbnail() method.
FontFamily | Set when deciding ouput fonts when calling SaveAsWatermarkText() method.
FontStyle | Set when deciding the properties of output fonts when calling SaveAsWatermarkText() method. 0 : FontStyleRegular (Regular text) 1 : FontStyleBold (Bold text) 2 : FontStyleItalic (Italic text) 3 : FontStyleBoldItalic (Bold italic text) 4 : FontStyleUnderline (Underlined text) 5 : FontStyleStrikeout (Strikeout text)
ImageMirror | Mirror image
ImageRotate | Displays images by rotating images 90 degrees to the right (* Only the following numbers are applicable) 90 : 90 degree turn to the right 180 : 180 degree turn to the right 270 : 270 degree turn to the right
WatermarkTransparency | Method of displaying water-mark images by adjusting transparency, the higher the number the lower the transparency.
ImageFormat | Image format. One format among “BMP” “EMF” “EXIF” “GIF” “Icon” “JPEG” “PNG” “TIFF” “WMF” should be returned. And in case of other image, “Undefined” is returned .
PixelFormat | This means Pixel format.
ImageWidth | Image width
ImageHeight | Image height
HorizontalResolution | Horizontal resolution
VerticalResolution | Vertical resolution
MDDocumentName | image name
MDImageDescription | Image description
MDEquipMake | Manufacturer of camera
MDEquipModel | Model name of camera
MDSoftwareUsed | Software program that image file created
MDDateTimeOrig | Shooting date
MDDateTime | Modified date
MDArtist | Photographer
MDExifShutterSpeed | Shutter speed
MDExifExposureTime | Exposure time
MDExifFNumber | Iris value "F/?.?f" format is returned.
MDExifMaximumLensAperture | Maximum iris value
MDExifColorSpace | Color mode one among “sRGB”, “uncalibreated”, “reserved” is returned.
MDExifFlash | Flash 0 – flash did not fire 1 – flash fired 2 – flash fired but strobe return light not detected 3 – flash fired and strobe return light detected
MDExifISOSpeed | ISO Speed
MDExifFocalLength | Focus Distance
MDExifFocalLengthIn35mm | 35mm film focal length
MDExifExposureProg | Exposure Mode 0 - Not defined 1 - Manual 2 - Normal program 3 - Aperture priority 4 - Shutter priority 5 - Creative program (biased toward depth of field) 6 - Action program (biased toward fast shutter speed) 7 - Portrait mode (for close-up photos with the background out of focus) 8 - Landscape mode (for landscape photos with the background in focus) 9 to 255 - Reserved
MDExifExposureBias | Exposure correction
MDExifExifDigitalZoomRatio | Digital zoom
MDExifMeteringMode | Candlepower mode
MDExifLightSource | Light source 0 - Unknown lighting 1 - Daylight 2 - Fluorescent lighting 3 - Tungsten lighting 17 - Standard Light A 18 - Standard Light B 19 - Standard Light C 20 - D55 light 21 - D65 light 22 - D75 light 23 to 254 - Reserved 255 - Other lighting
MDExifWhiteBalance | White Balance ("Auto", "Manual", Unknown")
Quality | Adjusting clarity of jpeg files (range : 1 ~ 100)

Method

Name | Description
SetSourceFile | Set image file that is a target for working. After calling this method successfully, the function below can be called.
SaveAsThumbnail | Create thumbnail image. The format type of thumbnail is JPG. Return value is the file name that includes the path saved really.
SaveAsWatermarkImage | Create watermark image by using image. The watermarked file format is JPG.
SaveAsWatermarkText | Create watermark image by using text. The watermarked file format is JPG.
ConvertImageFormat | Convert image format into the designated file. The first element is iamge format to be converted. It can be input as “image/jpeg” “image/bmp”

Copyright ? DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

AutoMakeFolder Property

Type
[Boolean = ] Object.AutoMakeFolder

Return Type
Boolean - Automatic folder creation

Description
If True then creates folder automatically if folder does not exist assigned from

SaveAsThumbnail(), SaveAsWaterMarkImage(), SaveAsWaterMarkText(), ConvertImageFormat().

Example

<%

set uploadform=server.CreateObject("DEXT.FileUpload")

uploadform.DefaultPath="C:\TEMP"

set objImage =Server.CreateObject("DEXT.ImageProc")

objImage.AutoMakeFolder = True

if true = objImage.SetSourceFile(uploadform.TempFilePath) then

' Must save in JPG format

filename = uploadform.FileNameWithoutExt & ".jpg"

'Default 75 (Range 1~100)

objImage.Quality = 90

%>

<HTML>

<BODY>

Save as Image Thumbnail: <%=objImage.SaveasThumbnail("C:\TEMP\NewMakeFolder\" & filename, objImage.ImageWidth, objImage.ImageHeight, false,false)%>

</BODY>

</HTML>

<%

end if

set objImage = nothing

Set uploadform =nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

BackGroundColor Property

Description
Sets when deciding the color of background when automatic sizing is selected when calling SaveAsThumbnail() method.

The method of selecting automatic sizing is to set 5th factor of SaveAsThumbnail() method as TRUE

Example

<%

set objImage =server.CreateObject("DEXT.ImageProc")

if true = objImage.SetSourceFile(uploadform.TempFilePath) then

filename = uploadform.FileNameWithoutExt & ".jpg"

objImage.BackGroundColor = "#009999"

objImage.Quality = 90

%>

<HTML>

<BODY>

Save as Image Thumbnail: <%=objImage.SaveasThumbnail("C:\Temp\" & filename,objImage.ImageWidth, objImage.ImageHeight,false, true)%>

</BODY>

</HTML>

<%

end if

set objImage = nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FontFamily Property

Description
Sets when deciding output fonts when calling SaveAsWatermarkText() method.

Example

<%

set uploadform=server.CreateObject("DEXT.FileUpload")

uploadform.DefaultPath="C:\TEMP"

set objImage =Server.CreateObject("DEXT.ImageProc")

if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then

' FileNameNoExt property returns the name of uploaded file. (excluding extention)

SourceFileName = uploadform("file").FileNameNoExt

FileName1 = "C:\TEMP\" & SourceFileName & "(Image).jpg"

objImage.Quality = 90

' Sets fonts for watermark text as verdana using FontFamily property. Default font is Arial.

objImage.FontFamily = "verdana"

' Sets fonts for watermark text as Bold Italic using FontSytle property.

objImage.FontStyle = 3

Response.Write "Save as Watermark Image:" & objImage.SaveAsWatermarkText("WaterMark Text",FileName1,15,10,10,false)

end if

set objImage = nothing

Set uploadform =nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

FontStyle Property

Description
Sets when deciding output font property when calling SaveAsWatermarkText() method.

Type(0~5)
 0 : FontStyleRegular (Regular text)

1 : FontStyleBold (Bold text)

2 : FontStyleItalic (Italic text)

3 : FontStyleBoldItalic (Bold italic text)

4 : FontStyleUnderline (Underlined text)

5 : FontStyleStrikeout (Strikeout text)

Example

<%

set uploadform=server.CreateObject("DEXT.FileUpload")

uploadform.DefaultPath="C:\TEMP"

set objImage =Server.CreateObject("DEXT.ImageProc")

if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then

' FileNameNoExt property return the name of uploaded file. (Excluding extention)

SourceFileName = uploadform("file").FileNameNoExt

FileName1 = "C:\TEMP\" & SourceFileName & "(Image).jpg"

objImage.Quality = 90

' Sets fonts for watermark text as verdana using FontFamily property. Default font is Arial.

objImage.FontFamily = "verdana"

' Sets fonts for watermark text as Bold Italic using FontSytle property.

objImage.FontStyle = 3

Response.Write "Save as Watermark Image:" & objImage.SaveAsWatermarkText("WaterMark Text",FileName1,15,10,10,false)

end if

set objImage = nothing

Set uploadform =nothing

%>

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ImageMirror Property

Return Type
Boolean

Description
Mirror image.

Example

set objImage =Server.CreateObject("DEXT.ImageProc")

objImage.ImageMirror = True

set objImage = nothing

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

ImageRotate Property

Type (* Only the following numbers are applicable)

90 : 90 degree turn to the right

180 : 180 degree turn to the right

270 : 270 degree turn to the right

Description
Rotates images 90 degrees to the right.

Example

set objImage =Server.CreateObject("DEXT.ImageProc")

objImage.ImageRotate = 180

set objImage = nothing

Copyright © DEVPIA Corporation. All rights reserved.


AutoMakeFolder Property

DEXTUpload Professional

DEXTUpload Professional Object reference

WatermarkTransparency Property

Type

Long - Range (0 ~ 10)

Description
Method of displaying water-mark images by adjusting transparency, the higher the number the lower the transparency.

Example

set objImage =Server.CreateObject("DEXT.ImageProc")

' Does not apply transparency on Watermark image. Default value is 8.

objImage.WatermarkTransparency = 10

set objImage = nothing

Copyright © DEVPIA Corporation. All rights reserved.


SetSourceFile() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SetSourceFile() Method

Type
[Boolean =] Object.SetSourceFile( strTempFilePath )

Return Value
Boolean - if temporary file exists true, else false

Parameter
strTempFilePath As String - path to be created temporary file

Description
Set image file that is a target for working. After calling this method successfully, the function below can be called.

Example

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then
'Image File Process...
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsThumbnail() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveAsThumbnail() Method

Type
Object.SaveAsThumbnail( bstrFilePath,nWidth,nHeight,bOverwrite,bAutoSize )

Parameter
bstrFilePath- path saved thumbnail image file
nWidth - Width

nHeight - Height

bOverwrite - Overwrite (Overwrites if True)

bAutoSize - Automatic sizing of thumbnail images (Default:False)

Description
Saves uploaded image files by processing in thumbnails in the size of 1/10. Created images are in JPG format.

If bAutoSize is TRUE then saves by creating thumbnails in the same size as the original image to match thumbnail sizes.

It may create margins and default color is white.

Example

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =Server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform.TempFilePath) then
'Saved JPG Format
filename = uploadform.FileNameWithoutExt & ".jpg"
'Default value is 75 (range 1~100)
objImage.Quality = 90
%>
<HTML>
<BODY>
Save as Image Thumbnail: <%=objImage.SaveasThumbnail("C:\TEMP\" & filename, objImage.ImageWidth/10, objImage.ImageHeight/10, false, false)%>
</BODY>
</HTML>
<%
end if
set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsWaterMarkImage() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveAsWaterMarkImage() Method

Type
Object.SaveAsWaterMarkImage( bstrTargetFilePath,bstrSavedPath,PosX,PosY,bOverwrite )

Parameter
bstrTargetFilePath
bstrSavedPath : (ex) C:\Temp\watermarked.jpg
PosX
PosY
bOverwrite

Description
Create watermark image by using image. The watermarked file format is JPG.

In case of PosX is -10 and PosY is -10, display of right/bottom.

Example

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =Server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then
'The property of FileNameNoExt returns the name of uploaded file.(excluding extension)
 SourceFileName = uploadform("file").FileNameNoExt
FileName1 = "C:\TEMP\" & SourceFileName & "(Image).jpg"
'Default value is 75 (range 1~100)
objImage.Quality = 90
Response.Write "Save as Watermark Image:" & objImage.SaveAsWatermarkImage("/DEXTUploadProSamples/Image/WaterMark/watermark.bmp",FileName1,-10,-10,false)
end if
set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsWaterMarkText() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

SaveAsWaterMarkText() Method

Type
Object.SaveAsWaterMarkText( bstrTextForMarking,bstrSavedPath,FontSize,PosX,PosY,bOverwrite )

Parameter
bstrTextForMarking
bstrSavedPath : (ex) C:\Temp\watermarked.jpg
FontSize
PosX
PosY
bOverwrite

Description
Create watermark image by using text. The watermarked file format is JPG.

Example

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =Server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then
'The property of FileNameNoExt returns the name of uploaded file.(excluding extension)
SourceFileName = uploadform("file").FileNameNoExt
FileName1 = "C:\TEMP\" & SourceFileName & "(Image).jpg"
'Default value is 75 (range 1~100)
objImage.Quality = 90
Response.Write "Save as Watermark Image:" & objImage.SaveAsWatermarkText("WaterMark Text",FileName1,15,10,10,false)
end if
set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


ConvertImageFormat() Method

DEXTUpload Professional

DEXTUpload Professional Object reference

ConvertImageFormat() Method

Type
Object.ConvertImageFormat( bstrImageFormat,bstrTargetFilePath,bOverwrite )

Parameter
bstrImageFormat - It can be input as “image/jpeg”, “image/bmp”.
bstrSavedPath - saved path image format to be converted(ex: C:\Temp\watermarked.bmp)
bOverwrite

Description
Convert image format into the designated file.
The first element is image format to be converted. It can be input as “image/jpeg”, “image/bmp”.

Example

<%@ Language=VBScript %>
<%
set uploadform=Server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\TEMP"
set objImage =Server.CreateObject("DEXT.ImageProc")
if true = objImage.SetSourceFile(uploadform("file").TempFilePath) then
'The property of FileNameNoExt returns the name of uploaded file.(excluding extension)
SourceFileName = uploadform("file").FileNameNoExt
FileName1 = "C:\TEMP\" & SourceFileName & "(Image).jpg"
Response.Write "Convert Image File Format:" & objImage.ConvertImageFormat("image/bmp","C:\TEMP\" & FileName1 ,false)
end if
set objImage = nothing
Set uploadform =nothing
%>

Copyright © DEVPIA Corporation. All rights reserved.


DEXTUpload.NET Professional OverView

DEXTUpload.NET Professional

Introduction of DEXTUpload.NET Professional

DEXTUpload.NET Professional OverView

DEXTUpload.NET Professional is a component that supports the file download & upload from web browser to IIS web server.

This observes Internet standard( RFC 1867), can used in Microsoft ASP.NET.

In case of uploading mass storage file, DEXTUpload.NET Professional shows the quick upload speed and low resource occupancy percentage,

and users monitor upload progress by using Server-side Graphical Progress Indicator in real time.

DEXTUpload.NET Professional shows a perfect integration with ASP.NET, provides a mutual use with file upload class of .NET Framework.

DEXTUpload.NET Professional can overcome the limit of ASP.NET in the aspect of file upload.

(unsuitable for mass storage file upload, server load problem and stability, simple upload function)

As a .NET version of DEXTUpload Professional, DEXTUpload.NET Professional is developed by 100% managed code with C# language 100%.

By rewriting the existing core engine to the optimal code for .NET, it can provide the more improved upload speed and stability compared to ASP file upload components.

Copyright © DEVPIA Corporation. All rights reserved.


Characteristic of DEXTUpload.NET Professional

DEXTUpload.NET Professional

Introduction of DEXTUpload.NET Professional

Characteristic of DEXTUpload.NET Professional

1. DEXTUpload.NET Professional can be used within over IIS5.0 ASP.NET page at Windows XP/2000/2003/2008.

2. Observes HTML 5.0 and internet standard RFC 1867.

3. Supports upload progress of mass storage (completed file upload test 2GB) Rapid upload speed and low resource occupancy.

(Infrequent use of CPU, instant memory amount in case of upload progress : 16 ~ 70KB)

4. Supports various image formats. (JPG, BMP, GIF, PNG, TIFF, ICON, WMF, EMF, etc.)

5. Supports various functions for image file. (Thumbnail, Watermark, Format Conversion, Meta Data Supporting, etc.)

6. Provides detailed conveniences for users. (automatic creation of folder, automatic conversion of virtual path, etc.)

7. Resumed File download and compulsory File Saving.

Copyright © DEVPIA Corporation. All rights reserved.


System Requirement

DEXTUpload.NET Professional

Installation Guide of DEXTUpload.NET Professional

System Requirement

Windows Server 2000/2003/2008/2012 Server Family

IIS(Internet Information Server) 5.0 and over

.NET Framework 1.1

.NET Framework 2.0

.NET Framework 4.0

ASP.NET 1.0

ASP.NET 2.0

ASP.NET 4.0

COM+

Copyright © DEVPIA Corporation. All rights reserved.


Installation Method

DEXTUpload.NET Professional

Installation Guide of DEXTUpload.NET Professional

Installation Method

1.Start installation

1.Front installation page of DEXTUpload.NET Professional. Click Next.

2.Software License Agreement.

3. Choose the type of work - Click "Install DEXTUpload.NET Professional", then click Next.

4.The following information must be entered before installation of your DEXTUpload.NET Professional can be completed.
If you fail to do so, trial version of DEXTUpload.NET Professional will be installed.

[Remarks]
Your genuine DEXTUpload.NET Professional will be registered and you will be issued the authentication code from DEVPIA, when your computer is on-line.
If you want to install your DEXTUpload.NET Professional , please see "2. Registration of your genuine DEXTUpload.NET Professional & authentication" section.

5.Choose destination folder, then click Next.

6.If IIS use "DEXTUpload.NET.dll", IIS service will be restarted. Click Next.

7.Installation has been completed. – Click Finish to start Example.

2.Registration of your genuine DEXTUpload.NET Professional& authentication

Should I register my DEXTUpload.NET Professional and get authentication code? YES, If you meet the following circumstances

1) If you installed your genuine DEXTUpload.NET Professional while your computer was off-line.

2) If you installed your genuine DEXTUpload.NET Professional while your internet access had problems.

3) If you want convert your trial version of DEXTUpload.NET Professional to Full version of genuine DEXTUpload.NET Professional.

How to register your DEXTUpload.NET Professional and get your authentication code!

1. Connect http://www.dextsolution.com/us/

2. Click on "My Page -> Log-in (Use ID and Password that you registered) -> Click Generating Authentication Code"

3. Enter your Computer name, Product key and Serial number. You will be issued Authentication code (Authentication Code is needed in step6)

4.Install DEXTUpload.NET Professional in your PC.

5.Select " Registration of genuine DEXTUpload.NET Professional & authentication "

6.Enter your product ID, Serial number and Authentication Key(code), click authentication and then click Finish.

3.Limitation of Trial Version (30 days limitation)

The trial version allows you to use DEXTUpload.NET Professional for 30 days starting from the date of installation.

Copyright © DEVPIA Corporation. All rights reserved.


Removing installation

DEXTUpload.NET Professional

Installation Guide of DEXTUpload.NET Professional

Removing installation

In case of selecting the program ADD / DELETE PROGRAM in control panel or installing component, if you click "Uninstall DEXTUpload.NET Professional" menu created in window start menu, the component can be removed.
Provided that, in this case, if DEXTUpload.NET.dll file is used by IIS this is not removed in normal method because this file can not be deleted.
Therefore, in this case, you should restart system or IIS and remove it.

Copyright © DEVPIA Corporation. All rights reserved.


Beginning DEXTUpload.NET Professional

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Beginning DEXTUpload.NET Professional

DEXTUpload.NET Professional can be used within over IIS5.0 ASP.NET page at Windows XP/2000/2003/2008.
Uploading and downloading database is implemented using ADO.NET

1.Installing DEXTUpload.NET.dll
It will be automatically registered during installation. Otherwise, you must set as follows.

▶ If you are using version 4.1.2.0 or later in .NET Framework 2.0-based web application or version 4.0.4.0 or later in .NET Framework 4.0-based web application.
1) Installing GAC
Move to an affected path from the command prompt and register as common assembly by running "gacutil /i DEXTUpload.NET.dll" .
You can confirm from the name"DEXTUpload.NET" in the assembly folder under the system folder.

▶ In other version, set as follows.
Previous versions are composed of open HttpModule and operates with COM + Application program. Therefore it requires 2 settings.
1) Installing GAC
Move to an affected path from the command prompt and register as common assembly by running "gacutil /i DEXTUpload.NET.dll".
2) Service Registration of configuration components
Move to an affected path from the command prompt and register as COM + Application program by running "regsvcs /c DEXTUpload.NET.dll".

2. Adding Reference
 In order to use DEXTUpload.NET from users ASP.NET web application, you need to add reference regarding DEXTUpload.NET and System.EnterpriseServices.
(v4.0.1.1 or v4.0.2.0 only)

3. Setting Web.config

When finishing the process of adding references, you need to add the following set requirements by opening Web.config file. (Refer DEXTUpload.NET sample)

<?xml version="1.0" encoding="utf-8" ?>

<configuration>

<configSections>

<sectionGroup name="dextupload.net">

<section name="settings" type="System.Configuration.SingleTagSectionHandler, System, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"/>

</sectionGroup>

</configSections>

<dextupload.net>

<settings enableLargeFileUpload="true"
defaultPath="c:\temp" uploadTimeout="3600"

maxFileLength="1073741824"
useIE5BugFix="true"/>

</dextupload.net>

<system.web>

<httpRuntime executionTimeout="3600" maxRequestLength="1048576" />

<httpModules>

<add name="FileUploadMonitorModule" type="DEXTUpload.NET.FileUploadMonitorModule, DEXTUpload.NET, Version=4.1.2.0, Culture=neutral,

PublicKeyToken=d71d611ccd9cc3c0" />

</httpModules>

(Áß·«)

</system.web>

</configuration>

<dextupload.net><settings></setting></dextupload.net> Set attribute
1) enableLargeFileUpload
If you assign this attribute "true" then it enables to use mass storage file uploading function of DEXTUpload.NET.
On the contrary, if you assign "false" then it uses file upload method basically provided by ASP.NET and it doesn't use mass storage uploading method.

2) defaultPath
Assigning basic path for uploaded files. Also, this path is used for storage location for temporary files while uploading files.

3) UploadTimeout
Setting timeout for file uploading operation.
DEXTUpload.NET is only effected by assigned uploadTimeout from here, not from the assigned value of Server.ScriptTimeout(90 second), Session.Timeout(20 minute) of ASP.NET.
This value should conform with execution Timeout attribute value from <httpRuntime>.

4) maxFileLength
Assign possible upload maximum file size. This value should conform with maxRequestLength value from <httpRuntime>
(* Caution: The unit for maxFileLength is Byte, and the unit for maxRequestLength is KByte.)

5) useIE5BugFix
Can activate or deactivate a function that debugs Internet Explorer version 5.0.

<httpRuntime> Attribute setting
 Define machine.config attribute again.

1) executionTimeout
Assign HTTP Request timeout.

2) maxRequestLength
Assign maximum length of possible capacity of HTTP Request.

<httpModules> Attribute setting
 If you use an existing version, be cautious that DEXTUpload.NET Professional has changed to "Version = 4.0.2.0".
Configure HTTP module within application program. FileUploadMonitorModule enables to use mass storage file uploading function.

[Reference]
If the message generates "Access to registry key HKEY_CLASSES_ROOT\DEXTUpload.NET.Base has been denied." when running,
DEXTUpload.NET Professional works by COM + application program. An Error occurs if not registered at COM + configuration component service.
You can manually register by using RegSvcs.exe.

Copyright © DEVPIA Corporation. All rights reserved.


Uploading single file

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Uploading single file

Page with the form that needs to transfer is programmed as following configuration.

Input form page

<%@ Page ... %>

<HTML>

<BODY>

<FORM NAME="writeform" METHOD="post" ACTION="SimpleUpload_Process.aspx?ProgressID=0" ENCTYPE="multipart/form-data">

<INPUT TYPE="file" NAME="file1"><BR>

<INPUT TYPE="submit" VALUE="upload">

</FORM>

</BODY>

</HTML>

Form tag with assigned ENCTYPE="multipart/form-data" is a necessary attribute that cannot be omitted in order to transfer a form including file data <input type="file". NAME="File1">.

In order to use the function DEXTUpload.Net mass storage file upload, you necessarily need to attach character string "ProgressID=0" right after "File name.aspx" as QueryString
at action attribute from <form>tag. Otherwise it will upload files in the form of basic ASP.Net file uploading way.
(Example)
<form action="xxx.aspx?ProgressID=0" ...>

 The following is a page that actually operates for uploading files.

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

fileUpload.Save();
 //same syntax

// fileUpload["file1"].Save();

// fileUpload["file1"][0].Save();

}

}

fileUpload.Save() saves uploaded files in a disk file form to the server.
At this moment, saving location of a file is assigned Web.config path and if you want to save in a different path other than this default path value you can assign the path like
fileUpload.Save ("C:\Upload\").
Also it can be represented like fileUpload["file1"].Save(). "file1" name should be same as NAME attribute of <INPUT TYPE="file" NAME="file1">.

[Reference]
<INPUT TYPE="file"...> Case with multiple items
fileUpload.Save()
fileUpload.SaveAs()
fileUpload.SaveVirtual()
fileUpload.SaveAsVirtual()
fileUpload.SaveAsBlob()
fileUpload.FileLen
fileUpload.FileName
fileUpload.FilePath
fileUpload.MimeType

Above representation is same as fileUpload["file1"].xxx and fileUpload["file1][0] that indicates first file item from multiple <INPUT TYPE="file"...>items.

Copyright © DEVPIA Corporation. All rights reserved.


Creating upload folder automatically

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Creating upload folder automatically

In order to create a folder automatically it doesn't provide separate property. It automatically creates in the component if the folder doesn't exist in the affected path.
It is very useful for the case of creating storage folder dynamically while uploading. Application objects are DefaultPath, Save() method systems.

Input form page

<%@ Page ... %>

<HTML>

<BODY>

<FORM NAME="writeform" METHOD="post" ACTION="SimpleUpload_Process.aspx?ProgressID=0" ENCTYPE="multipart/form-data">

<INPUT TYPE="file" NAME="file1"><BR>

<INPUT TYPE="submit" VALUE="upload">

</FORM>

</BODY>

</HTML>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{
fileUpload.DefaultPath = "C:\TEMP";

fileUpload.Save("C:\Upload");
 //same syntax

// fileUpload["file1"].Save();

// fileUpload["file1"][0].Save();

}

}

It creates folder automatically if the folder doesn't exist in DefaultPath and Save() path.

Copyright © DEVPIA Corporation. All rights reserved.


Uploading multiple files

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Uploading multiple files
The following example shows the method of uploading multiple files simultaneously.

Input form page#1

<%@ Page ... %>

<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="MultipleUpload_Process.aspx?ProgressID=0" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="file" NAME="file2">
<INPUT TYPE="file" NAME="file3">
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Upload processing page#1

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

fileUpload["file1"].Save();

fileUpload["file2"].Save();
fileUpload["file3"].Save();

}

}

References of uploaded files are achieved through the NAME attribute value such as "file1", "file2", "file3".
Another method is assigning same value for multiple INPUT item's NAME attribute and by using an repetition statement you can save at a time.
The following shows an example.

Input form page#2

<%@ Page ... %>

<HTML>
<BODY>
<FORM NAME="writeform" METHOD="post" ACTION="MultipleUpload_Process.aspx?ProgressID=0" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="files"><BR>
<INPUT TYPE="file" NAME="files"><BR>
<INPUT TYPE="file" NAME="files"><BR>
<INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Assign same NAME attribute value for uploaded files.
Upload processing page#2

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

for (int i = 0; i < fileUpload["files"].Count; i++)

fileUpload["files"][i].Save();

}

}

You can retrieve same result if you program 'for' statement as following from the above example.

foreach (DEXTUpload.NET.FormElement member in fileUpload["files"])
member.Save();

Copyright © DEVPIA Corporation. All rights reserved.


Uploading together with other form components

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Uploading together with other form components

Other components of Form refer through NAME attribute value, like file components.

Input form page

<%@ Page ... %>
<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="UploadWithElements_Process.aspx?ProgressID=0" ENCTYPE="multipart/form-data">
<INPUT TYPE="text" NAME="title">
<TEXTAREA NAME="content" ROWS="10" COLS="50"></TEXTAREA>
<INPUT TYPE="file" NAME="file1">
 <INPUT TYPE="submit" VALUE="upload">
</FORM>
</BODY>
</HTML>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

string title = fileUpload["title"].Value;
string content = fileUpload["content"].Value;
fileUpload["file1"].Save();

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Restricting uploading file size

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Restricting uploading file size
You can restrict the maximum file size of possible uploading, using a MaxFileLength property.
An error occurs if files are uploaded larger than the assigned size. (maxFileLength set value of Web.config is used as default value if this attribute is not explicitly assigned.)

You can customize the restricting process of uploading file size without an error by calling Save() method if the maximum file size doesn't exceed using FileLength property like the following example.

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

fileUpload.MaxFileLength = 5242880; //Unit is Byte

if (fileUpload["file1"].FileLength > fileUpload.MaxFileLength)

{

Response.Write("File size must be less than 5MBytes.<br>");

Response.Write("Press the back button on your browser...<br>");

}

else

{

fileUpload["file1"].Save();

}

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Retrieving Image file size

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Retrieving Image file size

Displays uploaded image file width and height information.
Supporting extensions are BMP, EMF, GIF, Icon, JPEG, PNG, TIFF, and WMF.
This example supports image type and size only. Please use "ImageProc" object for more information.

[HOT]
 ImageProc object is newly added.
By using this object you can process various image files such as watermarking image, creating thumbnail image, converting image format, and etc.
For detailed information please refer "Image processing" from the manual.

Input form page

<%@ Page ... %>
<HTML>
<BODY>
<FORM NAME="write_form" METHOD="post" ACTION="GetImageSize_Process.aspx?ProgressID=0" ENCTYPE="multipart/form-data">
<INPUT TYPE="file" NAME="file1">
<INPUT TYPE="submit" VALUE="upload" NAME="Submit1">
</FORM>
</BODY>
</HTML>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{
string UploadedPath = fileUpload.Save();

Response.Write("Original Path (Client) : " + fileUpload.FilePath + "<br>");
Response.Write("Uploaded Path (Server) : " + UploadedPath + "<br>");
Response.Write("File Length : " + fileUpload.FileLength + " byte(s)<br>");
Response.Write("File MimeType : " + fileUpload.MimeType + "<br>");
Response.Write("<b>Image Format : </b>" + fileUpload.ImageFormat + "<br>");
Response.Write("<b>Image Width : </b>" + fileUpload.ImageWidth + "<br>");
Response.Write("<b>Image Height : </b>" + fileUpload.ImageHeight);

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Uploading to database BLOB field

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Uploading to database BLOB field.

It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

You can save to Database BLOB field by uploading files using SaveAsBlob() method as follows.
When running a sample if you can not access DEXTUpload.mdb, you have to provide writing privilege to User account in the file security attribute.

BLOB processing page

private void Page_Load(object sender, System.EventArgs e)

{

string ConnectionString = "";

OleDbConnection cn = new OleDbConnection(ConnectionString);

cn.Open();

string strQuery = "SELECT filename, filesize, filedata FROM DEXTUPLOAD";

OleDbDataAdapter adapter = new OleDbDataAdapter(strQuery, cn);

adapter.InsertCommand = new OleDbCommand("INSERT INTO DEXTUPLOAD(filedata, filename, filesize) VALUES (?, ?, ?)", cn);

adapter.InsertCommand.Parameters.Add();

adapter.InsertCommand.Parameters.Add();

adapter.InsertCommand.Parameters.Add();

adapter.MissingSchemaAction = MissingSchemaAction.AddWithKey;

DataSet ds = new DataSet();

adapter.Fill(ds);

DataRow newRow = ds.Tables[0].NewRow();

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

newRow[0] = fileUpload.FileName;

newRow[1] = fileUpload.FileLength;

newRow[2] = fileUpload.SaveAsBlob();

ds.Tables[0].Rows.Add(newRow);

adapter.Update(ds);

}

cn.Close();

}

* There are Database BLOB related methods as follows.
SaveAsBlob of FileUpload entity: Save to Database BLOB field by uploading files.
SaveAsBlobStream of FileUpload entity : Using FileStream object when uploading files to BLOB field of Database.
DownloadBlob of FileDownload entity: Save into files by downloading Database BLOB to the user's disk.

Copyright © DEVPIA Corporation. All rights reserved.


Uploading in ASP.NET method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Uploading in ASP.NET method

Example of processing all the file uploads in one aspx file using File Field control and button control as server control in ASP.NET.

Input form page (SimpleUploadASPNET.aspx)

<%@ Page ... %>
......
<form id="SimpleUploadASPNET" name="SimpleUploadASPNET" method="post" action="?ProgressID=0" encType="multipart/form-data" runat="server">
<INPUT id="file1" type="file" name="file1" runat="server"><br>
<asp:Button id="Upload" runat="server" Text="Upload"></asp:Button><br><br>
<asp:Label id="Result" runat="server" Width="692px" Height="135px"></asp:Label>
</form>

Upload processing page (SimpleUploadASPNET.aspx.cs)

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

fileUpload.Save();
//same syntax

// fileUpload["file1"].Save();

// fileUpload["file1"][0].Save();

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Uploading / downloading files for network path

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

File upload/download for network path

 I f you want to divide the web server that uploads and downloads files and fileserver that saved uploaded file ( or file to be downloaded) respectively into the computer, you need an additional setting for the access to network path.

The following explains the setting condition that should be set in each server.

 1. Common Web Server and File Server
1) Create new internet guest account for anonymous access and enter the password.( Account and password of both servers should be identical.)
2) For this account, two items "cannot change password" and " no limit period to use password" should be checked, and "be sure to change password in case of
next login", "account is not used", " account is being locked" are not checked.

 3) Remove "Users" group basically added in group items of account made and add "Guest" group.

4) In the local security policy set-up, "local log-on" right should be given to this account.

 2. Web Server set-up
 1) Open the directory registration window of related website by executing internet service administrator .
2) In the "directory security" tab, click "edit" button of "anonymous access and authentication control"
3) In this case, click "edit" button in the "anonymous access" item ", enter the account name and password made above into the name field of anonymous users and password field.
But be sure not to check the item "password can be controlled in IIS"

3. File Server Set-up
1) Open the directory registration information window of upload folder in file server.
2) Share folder and add the account created above about the authorities for using folder in "share" tab and "security" tab.
3) In this case, for the authorities of "share" tab, "reading", "modifying" should be designated, and for the authorities of "security" tab, "reading", "writing", "correcting" should be designated.

After following step 1, 2, 3 and setting web server and file server, you can upload and download files by designating network path to property that physical and absolute path value are required and method. They are as follows.

ex1) uploadform.DefaultPath = "\\file server name\share folder name"
ex2) uploadform("file1").SaveAs("\\file server name\share folder name\Sample.zip")
ex3) oDownload.Download("\\file server name\share folder name\Sample.zip")

[Reference]
"Exceptional information: System.UnauthorizedAccessException: Access to path \\211.240.100.92\Temp\B.txt has been denied".

Please confirm the following when the above exceptions occur during upload process.

You need to set one more since ASP.NET basically operates with ASPNET account.
You need to add the followings to web.config if you want to access through assigned account from the webserver not by running ASPNET account.
Add <identity impersonate = "true" /> component between "<system.web> ~ </system.web>".
For more details please find "identity component" from MSDN.

Copyright © DEVPIA Corporation. All rights reserved.


Setting upload Timeout

DEXTUpload.NEt Professional

DEXTUpload.NET Professional Programming

Setting upload Timeout
Generally operations like file upload or save can not process uploading files normally due to the Timeout error unless changing the value of Server.ScriptTimeout(Default: 90sec) and Session.Timeout(Default: 20min) that requires long period of time for the case of uploading mass storage files.

DEXTUpload.NET Professional use UploadTimeout property to execute uploading mass storage files normally with no Timeout error and without setting Server.ScriptTimeout, Session.Timeout separately while uploading files.

Input form page

<%@ Page ... %>
......
<form name="LimitTimeout" method="post" action="LimitTimeout.aspx_Process?ProgressID=0" encType="multipart/form-data">
<INPUT type="file" name="file1"><br>
<input type="submit" name="Upload" value="Upload">
</form>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{
// Set upload timeout 1200 second
// After 1200 second, script timeout occurs
fileUpload.UploadTimeout = 1200;

fileUpload.Save();
 //same syntax

// fileUpload["file1"].Save();

// fileUpload["file1"][0].Save();

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Restricting file types that are possible to upload

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Restricting file types that are possible to upload

 Using MimeType properties you can restrict file types that are possible to upload.
The following process enables to upload GIF and JPG files only.

Input form page

<%@ Page ... %>
......
 <form name="RestrictFileTypes" method="post" action="RestrictFileTypes_Process.aspx?ProgressID=0" encType="multipart/form-data">
<INPUT type="file" name="file1"><br>
<input type="submit" name="Upload" value="Upload">
</form>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{
//Acquire mime_type of uploading files
string MimeType = fileUpload["file1"].MimeType;

//Uploading .JPG, .GIF file only
if (MimeType == "image/pjpeg" || MimeType == "image/jpeg" || MimeType == "image/gif")
{

fileUpload.Save();
 //same syntax

// fileUpload["file1"].Save();

// fileUpload["file1"][0].Save();
}

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Deleting all the uploaded files when an error occurs

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Deleting all the uploaded files when an error occurs

 If you use DeleteAllSavedFiles() method, it deletes all the uploaded files when an error occurs while uploading files.

Input form page

<%@ Page ... %>
......
 <form name="DeleteAllSavedFiles" method="post" action="DeleteAllSavedFiles_Process.aspx?ProgressID=0" encType="multipart/form-data">
<INPUT type="file" name="file1"><br>
<input type="submit" name="Upload" value="Upload">
</form>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

try
{
string UploadedPath = fileUpload.Save();
// same syntax
// string UploadedPath = fileUpload["file1"].Save();
// string UploadedPath = fileUpload["file1"][0].Save();

Response.Write("<b>Upload successfully !!</b><br><br>");

// Error occurs for testing
throw new Exception("Error Test!!! Don't worry!! It's simmulation");

}
catch (Exception ex)
{
// When an error occurs, it deletes all the uploaded files
fileUpload.DeleteAllSavedFiles();
}

}

}

If you use DeleteFile() method you can delete files optionally.

.........
catch(Exception ex)
{
fileUpload.DeleteFile();
}
.........

Copyright © DEVPIA Corporation. All rights reserved.


Cancellation of uploading process without saving to server

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Cancellation of uploading process without saving to server

I f you use Flush() method provided by DEXTUpload.NET Professional, you can continue running the rest code by canceling upload process without saving files to the server.
The following is an example of canceling upload and showing an error message when upload size is over 1MB.

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{
// Restricting upload file size to less then 1MB
fileUpload.MaxFileLength = 1024*1024;

 //The following error occurs when saving files of uploaded file size and restricted size (1 MB) are compared.
//DEXTUpload.NET.DEXTUploadException: Warning: File size must be less than 1048576 Bytes.
//Therefore check the file size before saving files by the following method.
if (fileUpload.FileLength > fileUpload.MaxFileLength)
{
Response.Write("<b>Upload Aborted !!</b><br><br>");
Response.Write("Sorry !! File size is too large.!!<br><br>");
Response.Write("<a href=\"javascript:history.go(-1)\">[ back ]</a>");
}
else
{
string UploadedPath = fileUpload.Save();
// same syntax
// string UploadedPath = fileUpload["file1"].Save();
// string UploadedPath = fileUpload["file1"][0].Save();
}

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Custom defined uploading progress bar

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Custom defined uploading progress bar

It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Using an upload progress information object provided by DEXTUpload.NET Professional, you can see the file uploading progress status visually, and monitor uploading rate, total contents size, uploaded contents size at the present moment, time left, present progress of an operations or other information in a real-time without using separate client software such as ActiveXControl or Java Applet.

It you want to change upload progress bar, you can edit ShowProgress.aspx from sample program.

This function is implemented by Progress object and provide the following properties.

TotalSize : Total upload size
TransferSize : Size of transfer data (Byte)
Percent : Upload progress rate
BytesPerSec : Upload speed Byte per second
TimeLeft: Time left
TimeElapsed : Time elapsed
isUploadClosed: Upload completed (true) or when IE stop button is pressed (false)

Input form page

<%@Page...%>
......
<HEAD>
<script language="javascript">
<!--
function ShowProgress()
{
strAppVersion = navigator.appVersion;

if(document.write_form.file1.value != "")
{
ProgressID = (new Date()).getTime() % 1000000;
if (ProgressID==0) ProgressID = 1000000;

winstyle = "dialogWidth=385px; dialogHeight:160px; center:yes";
window.showModelessDialog("ShowProgress.aspx?ProgressID="+ProgressID, null, winstyle);

document.write_form.action = "NewProgress_Process.aspx?ProgressID=" + ProgressID;
}

return true;
}
//-->
</script>
</HEAD>
<form name="write_form" enctype="multipart/form-data" method="post" action="NewProgress_Process.aspx?ProgressID=0" onsubmit="return ShowProgress();">
<input type="file" name="file1"><br>
<input type="submit" name="Upload" value="Upload">
</form>

Upload processing page

private void Page_Load(object sender, System.EventArgs e)

{
using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

fileUpload.Save();
//same syntax

// fileUpload["file1"].Save();

// fileUpload["file1"][0].Save();

}

}

Upload progress indicator page#1(ShowProgress.aspx)

<%@Page...%>
<%
Response.Write("<meta HTTP-EQUIV='Refresh' CONTENT='1'>");

if(isUploadClosed)
{
//Upload completed (true) or when an IE stop button is pressed (false)
Response.Write("<body onload='javascript: top.window.close();'>");
}
else
{
Response.Write("<table border=0 style='position:absolute;top:0px;left:0px; FONT-SIZE: 9pt' width=370 cellpadding=0 cellspacing=0 bgcolor=#d4d0c8>");
Response.Write("<tr>");
Response.Write(" <td colspan=2 height=5 valign=bottom><b>File uploading... </b></td>");
Response.Write( "</tr>");
Response.Write("<tr>");
Response.Write( " <td colspan=2 width=370>");
Response.Write( " <table style='left:10px; border:solid 1px;' width=370 height=15 cellpadding=0 cellspacing=0 bordercolor=#000000 leftmargin=0 topmargin=0>");
Response.Write( " <tr>");
Response.Write( " <td width=100% height=100% align=left valign=middle style=padding:1;>");
Response.Write( " <table height=100% cellpadding=0 cellspacing=0 width =" + (3.7*Percent) + "></td>");
Response.Write( " <tr><td bgcolor='darkblue'></td></tr>");
Response.Write( " </table>");
Response.Write( " </td>");
Response.Write( " </tr>");
Response.Write( " </table>");
Response.Write( " </td>");
Response.Write( "</tr>");
Response.Write( "<tr><td>&nbsp;</td></tr>");
Response.Write( "<tr>");
Response.Write( " <td align=left>Transfer rate : " + BytesPerSec + " MB / sec </td>");
Response.Write("&nbsp;");
Response.Write( " <td align=middle>Progress rate : " + TransferSize + " MB / " + TotalSize + " MB (" + Percent + "%)</td>");
Response.Write( "</tr>");
Response.Write( "<tr><td colspan=2 height=10>Click the <b>STOP</b> button on your browser to abort uploading.</td></tr>");
Response.Write( "</table>");
Response.Flush();
}
%>

Retrieving upload status information by refreshing every second using <meta HTTP-EQUIV='Refresh' CONTENT='1'>.

Upload progress indicator page#2(ShowProgress.aspx.cs)

public class ShowProgress : System.Web.UI.Page
{
public int TransferSize; //Uploaded size
public int Percent; //Upload percentage
public int TimeElapsed; //Time elapsed
 public int TimeLeft; //Time left
 public int TotalSize; //Total size
 public int BytesPerSec; //Number of bytes per second (transfer rate)
public bool isUploadClosed; //Upload completed (true) or when an IE stop button is pressed (false)

private void Page_Load(object sender, System.EventArgs e)
{
using (DEXTUpload.NET.Progress progress = new DEXTUpload.NET.Progress())
{
TransferSize = (int)Math.Round((double)progress.TransferSize / (1024*1024));
Percent = progress.Percent;
TimeElapsed = progress.TimeElapsed;
TimeLeft = progress.TimeLeft;
TotalSize = (int)Math.Round((double)progress.TotalSize / (1024*1024));
BytesPerSec = (int)Math.Round((double)progress.BytesPerSec / (1024*1024));
isUploadClosed = progress.IsUploadClosed;
}
}
}

After creating Progress object from ShowProgress.aspx.cs, it retrieves information of each properties.
You have to set variables to public.

Copyright © DEVPIA Corporation. All rights reserved.


Fixed upload progress information bar

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Fixed upload progress information bar

It exists for the downward compatibility from the version 4.0. (support up to Windows 2008, IE8)

Providing type by an existing DEXTUpload.NET.

This function in implemented by FileUploadMonitor object and provide the following methods.
ShowMonitor() : Call from page(bar) that shows the Progress Bar and visually displays upload progress status.

Input form page (progress.aspx)

<%@ Page language="c#" Inherits="Progress" CodeFile="Progress.aspx.cs" %>

<!--

Previous Progress [ Progress.aspx ]

Example of progress bar supported by DEXTUpload.NET (Displays upload progress bar)

Key Point

---------------------------------------------------------------------------------------------------------------

1. In order to upload files, you need to give an attribute encType="multipart/form-data" to <form>tag

<form name="write_form" enctype="multipart/form-data" ....>

2. In order to use DEXTUpload.Net mass storage file upload function, you need to attach character string "ProgressID=0" right after “File name.aspx” as QueryString at action attribute from <form>tag.

Otherwise it will upload files in the form of ASP.Net default file upload method.

<form action="xxx.aspx?ProgressID=0" ...>

3. Add onsubmit="return ShowProgress();" to <form> tag.

4. Displays the progress bar differently by checking whether it is IE version or Netscape version according to the value of navigator.appVersion.

-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title></title>

<meta content="text/html; charset=utf-8" http-equiv="content-Type" />

<link rel="Stylesheet" type="text/css" href="../../../Styles/Default.css"/>

<script type="text/javascript">

<!--

function ShowProgress() {

try {

var progressId = (new Date()).getTime() % 1000000;

if (progressId == 0) progressId = 1000000;

window.open("ShowDefaultProgress.aspx?ProgressID=" + progressId, null, "width=400,height=200,status=no,memubar=no");

var frmObj = document.getElementById("write_form");

frmObj.action = "DefaultProgress_Process.aspx?ProgressID=" + progressId;

return true;

} catch (e) {

alert(e.Message);

return false;

}

}

-->

</script>

</head>

<body>

<form id="write_form" enctype="multipart/form-data" method="post" action="DefaultProgress_Process.aspx?ProgressID=0" onsubmit="return ShowProgress();">

<div class="leftTopIndentOne">

<p><span class="bold">Previous Progress Bar</span></p>

<p><span class="bold">Select the file to upload.</span></p>

<p><input type="file" id="file1" name="file1"/></p>

<ol class="innerList">

<li>Storage path for uploaded file is <span class="bold">C:\TEMP</span>.</li>

<li>Please update to a new browser if it doesn't support "Browse" button.</li>

<li>It automatically creates upload folder if it doesn't exist.<span class="bold">(defaultpath, save())</span></li>

<li>This example shows upload progress bar supported by DEXTUpload.NET component while uploading files. </li>

</ol>

<p><input type="submit" name="Upload" value="Upload"/></p>

</div>

</form>

</body>

</html>

You need to add Javascript like ShowProgress() from the above example in order to use Progress Bar.
And before submitting the form, call ShowProgress() function and display a new bar (or a dialog box) in order to visually show Progress Bar.

At this moment, page that displays on the new bar is as follows.

Upload progress indicator page (ShowDefaultProgress.aspx)

<%@ Page language="c#" EnableSessionState="false" Inherits="ShowDefaultProgress" CodeFile="ShowDefaultProgress.aspx.cs" %>

Above ASPX page releases the session status by assigning "EnableSessionState" attribute False.
If you don't release the session in this page, submit operation of a form, so to speak you can not see the result of execution of a page until uploading file operation is done.
So you have to release the session status of a page.

ShowMonitor() method shows upload progress status every moment and close the bar (or a dialog box) when uploading is done.

Upload processing page (DefaultProgress_Process.aspx.cs)

public partial class DefaultProgress_Process : System.Web.UI.Page

{

protected void Page_Load(object sender, System.EventArgs e)

{

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

string UploadedPath = fileUpload.Save();

//same syntax

//UploadedPath = fileUpload.Save(fileUpload.DefaultPath,false);

//UploadedPath = fileUpload["file1"].Save(fileUpload.DefaultPath,false);

//UploadedPath = fileUpload["file1"][0].Save();

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p>LastSavedFileName(Server) : {0}</p>

<p>Original Path (Client) : {1}</p>

<p>Uploaded Path (Server) : {2}</p>

<p>File Length : {3}byte(s)</p>

<p>File MimeType : {4}</p>";

this.OutputText.Text = string.Format(

outputFormat,

fileUpload.LastSavedFileName,

fileUpload.FilePath,

UploadedPath,

fileUpload.FileLength,

fileUpload.MimeType);

}

}

}

Uploading processing page requires same programming without considering the use of Progress Bar.

Copyright © DEVPIA Corporation. All rights reserved.


Downloading Files

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Downloading Files

FileDownload Download(), DownloadVirtual(), DownloadBlob() method of an object enables users to download files from the server through web browser.
Download() : Download files at assigned path from the server. Because it supports virtual path it doesn't require to use the DownloadVirtual() method.
DownloadVirtual() : Download files at assigned virtual path from the server. It exists for the compatibility of an existing version.
DownloadBlob() : Download BLOB data from database. It exists for the downward compatibility from the version 4.0(support up to Windows 2008, IE8)

Download processing page

private void Page_Load(object sender, System.EventArgs e)
{
string FileName = Request.QueryString["filename"]; //File name
string FilePath = Request.QueryString["filepath"]; //Download path

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
//objDownload.Download (file path, file name, compulsory saving or not (True: compulsory saving), Partial Content Downloading or not (True: Partial Content Download)).
fileDownload.Download(FilePath, FileName, false, true);
}
}

Copyright © DEVPIA Corporation. All rights reserved.


Compulsory File Saving

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Compulsory File Saving

Because downloaded data is always saved in files, Web browser outputs saved dialog box.

Download processing page

private void Page_Load(object sender, System.EventArgs e)
{
string FileName = Request.QueryString["filename"]; //File Name
string FilePath = Request.QueryString["filepath"]; //Download Path

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
//objDownload.Download (file path, file name, compulsory saving or not (True: compulsory saving), Partial Content Downloading or not (True: Partial Content Download))
fileDownload.Download(FilePath, FileName, true, false);
}
}

Copyright © DEVPIA Corporation. All rights reserved.


Resume downloading files

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Resume downloading files [supported]

Download processing page

private void Page_Load(object sender, System.EventArgs e)
{
string FileName = Request.QueryString["filename"]; //File Name
string FilePath = Request.QueryString["filepath"]; //Download Path

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
//objDownload.Download (file path, file name, compulsory saving or not (True: compulsory saving), Partial Content Downloading or not (True: Partial Content Download).
fileDownload.Download(FilePath, FileName, false, true);
}
}

Copyright © DEVPIA Corporation. All rights reserved.


Downloading database BLOB

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Downloading database BLOB

It exists for the downward compatibility from the version 4.0(support up to Windows 2008, IE8)

DownloadBlob() method from FileDownload object enables to download Database BLOB data from the server.

Download processing page

private void Page_Load(object sender, System.EventArgs e)
{
OleDbConnection cn = null;
OleDbDataReader dataReader = null;

string FileID = Request.QueryString["fileid"];
string ConnectionString =

"Provider=Microsoft.Jet.OLEDB.4.0;Password=\"\";User ID=Admin;Data Source=C:\\Program Files\\Devpia\\DEXTUploadNETProSamples\\DEXTUPLOAD.mdb";
cn = new OleDbConnection(ConnectionString);
cn.Open();

string strQuery = "SELECT filename, filesize, filedata FROM DEXTUPLOAD WHERE fileid = " + FileID;
OleDbCommand cmd = new OleDbCommand(strQuery, cn);
dataReader = cmd.ExecuteReader(CommandBehavior.SequentialAccess);

if (dataReader.Read())
{
string FileName = dataReader.GetString(0);
int FileSize = dataReader.GetInt32(1);

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
fileDownload.DownloadBlob(dataReader, 2, FileName, FileSize, true);
}
}

dataReader.Close();
cn.Close();
}

[Reference]
※There are Database BLOB related methods as follows.
SaveAsBlob of FileUpload entity: Save to Database BLOB field by uploading files.
SaveAsBlobStream of FileUpload entity : Using FileStream object when uploading files to BLOB field of Database.
DownloadBlob of FileDownload entity: Save into files by downloading Database BLOB to the user's disk.

Copyright © DEVPIA Corporation. All rights reserved.


Creating watermark image

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Creating watermark image

ImageProc Object processes image watermarking, converting file format, thumbnail processing and other functions.
SetSourceFile() method returns true and initialized image object if the assigned file is an image file.

Underneath codes show watermarking processes of an uploaded image files.

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

// In order to watermark processing it needs to create image related objects

using (DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc())

{

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

// Finding uploaded file name (except extension)

string filename = Path.GetFileNameWithoutExtension(fileUpload.FileName);

// Original image file path

string imgFilePath = fileUpload.TempFilePath;

int positionX = 0;

int positionY = 0;

bool overWrite = false;

float alpha = 0.32f;

// Logo Image

string logoImage = "watermark.bmp";

// filename watermarked by image

string watermarked1Path = "../Data/" + filename + "(image).jpg";

// setting save-folder and overwrite-mode

positionX = -10; //X coordinates : (+) left (-) right

positionY = 10; //Y coordinates : (+) top (-) bottom

overWrite = false; //Existence of an overwrite

string uploadPath1 = imgProc.SaveAsWaterMarkImage(imgFilePath, logoImage, watermarked1Path ,positionX, positionY, overWrite);

if (fileUpload.Version.StartsWith("4"))

{

// Above 4.x.x.x version

watermarked1Path = "../Data/" + filename + "(image_50).jpg";

alpha = 0.5f;

string uploadPath2 = imgProc.SaveAsWaterMarkImage(imgFilePath, logoImage, watermarked1Path, positionX, positionY, alpha, overWrite);

// filename watermarked by text

string watermarked2Path = "../Data/" + filename + "(text).jpg";

int fontSize = 20;

string fontStyle = "bold";

string Copyright = "DEVPIA(Developer Utopia!!!)";

// setting save-folder and overwrite-mode

positionX = 0; //X coordinates : (+) left (-) right

positionY = 0; //Y coordinates : (+) top (-) bottom

overWrite = false; //Existence of an overwrite

string uploadPath3 = imgProc.SaveAsWaterMarkText(imgFilePath, Copyright, watermarked2Path, positionX, positionY, fontSize, fontStyle, overWrite);

watermarked2Path = "../Data/" + filename + "(text_100).jpg";

alpha = 1.0f;

string uploadPath4 = imgProc.SaveAsWaterMarkText(imgFilePath, Copyright, watermarked2Path, positionX, positionY, alpha, fontSize, fontStyle, overWrite);

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p>Original Path (Client) : {0}</p>

<p>File Length : {1}byte(s)</p>

<p>File MimeType : {2}</p>

<p>&nbsp;</p>

<p>Image Watermark Path (Server) : {3}</p>

<p><img src=""../Data/{3}""/></p><p>&nbsp;</p>

<p>Image Watermark Path (Server, 50%) : {4}</p>

<p><img src=""../Data/{4}""/></p><p>&nbsp;</p>

<p>Text Wartermark Path (Server) : {5}</p>

<p><img src=""../Data/{5}""/></p><p>&nbsp;</p>

<p>Text Wartermark Path (Server, 50%) : {6}</p>

<p><img src=""../Data/{6}""/></p><p>&nbsp;</p>";

this.OutputText.Text = string.Format(

outputFormat,

fileUpload.FilePath,

fileUpload.FileLength,

fileUpload.MimeType,

Path.GetFileName(uploadPath1),

Path.GetFileName(uploadPath2),

Path.GetFileName(uploadPath3),

Path.GetFileName(uploadPath4));

}

else

{

// 3.x.x.x version only

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p>Original Path (Client) : {0}</p>

<p>File Length : {1}byte(s)</p>

<p>File MimeType : {2}</p>

<p>&nbsp;</p>

<p>Image Watermark Path (Server) : {3}</p>

<p><img src=""../Data/{3}""/></p><p>&nbsp;</p>";

this.OutputText.Text = string.Format(

outputFormat,

fileUpload.FilePath,

fileUpload.FileLength,

fileUpload.MimeType,

Path.GetFileName(uploadPath1));

}

}

else

{

this.OutputText.Text = @"

<p>Image File Mismatch!!</p>

<p>" + fileUpload.FileName + ": Image File Type is mismatch";

}

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Thumbnail process with an image file

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Thumbnail process with an image file

Underneath codes show thumbnail processes of an uploaded image files.
Created image type is JPG.

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

using (DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc())

{

// Setting operations object image files

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

// Finding uploaded file name (except extension)

string filename = Path.GetFileNameWithoutExtension(fileUpload.FileName);

// 100x100 thumbnail

int nWidth = 100;

int nHeight = 100;

// Original image file path

string imgFilePath = fileUpload.TempFilePath;

// thumbnail image filename

string thumbPath = "../Data/" + filename + "(thumb_100x100).jpg";

string UploadedPath1 = imgProc.SaveAsThumbnail(imgFilePath, thumbPath, nWidth, nHeight, false);

if (fileUpload.Version.StartsWith("4"))

{

// Above 4.x.x.x version

nWidth = 50;

nHeight = 25;

thumbPath = "../Data/" + filename + "(thumb_50x25percent).jpg";

string UploadedPath2 = imgProc.SaveAsThumbnail(imgFilePath, thumbPath, nWidth, nHeight, true, true, false, true);

nWidth = 64;

nHeight = 0;

thumbPath = "../Data/" + filename + "(thumb_64_perservedAspectRatio).jpg";

string UploadedPath3 = imgProc.SaveAsThumbnail(imgFilePath, thumbPath, nWidth, nHeight, true, false, true, true);

int frameW = 200;

int frameH = 100;

thumbPath = "../Data/" + filename + "(thumb_200x100_Uniform).jpg";

string UploadedPath4 = imgProc.SaveAsThumbnail(

imgFilePath, thumbPath, frameW, frameH, true,

DEXTUpload.NET.ImageFitOption.Uniform, DEXTUpload.NET.ImageHorizontalAlignment.Center, DEXTUpload.NET.ImageVerticalAlignment.Center, System.Drawing.Color.White, true);

thumbPath = "../Data/" + filename + "(thumb_200x100_UniformToFill).jpg";

string UploadedPath5 = imgProc.SaveAsThumbnail(

imgFilePath, thumbPath, frameW, frameH, true,

DEXTUpload.NET.ImageFitOption.UniformToFill, DEXTUpload.NET.ImageHorizontalAlignment.Center, DEXTUpload.NET.ImageVerticalAlignment.Center, System.Drawing.Color.White, true);

thumbPath = "../Data/" + filename + "(thumb_200x100_UniformToFit).jpg";

string UploadedPath6 = imgProc.SaveAsThumbnail(

imgFilePath, thumbPath, frameW, frameH, true,

DEXTUpload.NET.ImageFitOption.UniformToFit, DEXTUpload.NET.ImageHorizontalAlignment.Center, DEXTUpload.NET.ImageVerticalAlignment.Center, System.Drawing.Color.Green, true);

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p>Original Path (Client) : {0}</p>

<p>File Length : {1}byte(s)</p>

<p>File MimeType : {2}</p>

<p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server fixed) : {3}</p>

<p><img src=""../Data/{3}""/></p><p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server percentage) : {4}</p>

<p><img src=""../Data/{4}""/></p><p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server preservedAspectRatio) : {5}</p>

<p><img src=""../Data/{5}""/></p><p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server uniform) : {6}</p>

<p><img src=""../Data/{6}""/></p><p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server uniform_fill) : {7}</p>

<p><img src=""../Data/{7}""/></p><p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server uniform_fit) : {8}</p>

<p><img src=""../Data/{8}""/></p><p>&nbsp;</p>";

this.OutputText.Text = string.Format(

outputFormat,

fileUpload.FilePath,

fileUpload.FileLength,

fileUpload.MimeType,

Path.GetFileName(UploadedPath1),

Path.GetFileName(UploadedPath2),

Path.GetFileName(UploadedPath3),

Path.GetFileName(UploadedPath4),

Path.GetFileName(UploadedPath5),

Path.GetFileName(UploadedPath6));

}

else

{

// 3.x.x.x version only

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p>Original Path (Client) : {0}</p>

<p>File Length : {1}byte(s)</p>

<p>File MimeType : {2}</p>

<p>&nbsp;</p>

<p>Thumbnail Image Uploaded Path (Server fixed) : {3}</p>

<p><img src=""../Data/{3}""/></p><p>&nbsp;</p>";

this.OutputText.Text = string.Format(

outputFormat,

fileUpload.FilePath,

fileUpload.FileLength,

fileUpload.MimeType,

Path.GetFileName(UploadedPath1));

}

}

else

{

this.OutputText.Text = @"

<p>Image File Mismatch!!</p>

<p>" + fileUpload.FileName + ": Image File Type is mismatch";

}

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Converting an image file format into another format

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Converting an image file format into another format

Below codes convert BMP format into JPG format and save.
It is possible to convert into BMP, JPG, GIF, etc. other different formats.

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

using (DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc())

{

//Setting operations object image files.

//Call ConvertIamgeFormat() method if true.

//Return false if it is not an image file.

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

// Finding uploaded file name (except extension)

string filename = Path.GetFileNameWithoutExtension(fileUpload.FileName);

bool bOverWrite = false;

// Converted format that supports

// image/jpg,

// image/bmp,

// image/gif

//Original image file path

string imgFilePath = fileUpload.TempFilePath;

//Converting uploading files into JPG format and save.

string UploadedPath =imgProc.ConvertImageFormat(imgFilePath, "image/jpg", Path.Combine(fileUpload.DefaultPath, filename + ".jpg"), bOverWrite);

string FileName = imgProc.SavedFileName;

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p>Original Path (Client) : {0}</p>

<p>Uploaded Path (Server) : {1}</p>

<p>File Length : {2}byte(s)</p>

<p>File MimeType : {3}</p>

<p>Saved File Name: {4}</p>";

this.OutputText.Text = string.Format(

outputFormat,

fileUpload.FilePath,

UploadedPath,

fileUpload.FileLength,

fileUpload.MimeType,

imgProc.SavedFileName);

}

else

{

Response.Write("<b>Image File Mismatch!!</b><br><br>");

Response.Write(fileUpload.FileName + ": Image File Type is mismatch");

}

}

}

Copyright © DEVPIA Corporation. All rights reserved.


Image File Information

DEXTUpload.NET Professional

DEXTUpload.NET Professional Programming

Image File Information

Support various meta data such as exposure time, image information, resolution, etc. of an image file.

using(DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc();

// Setting operations object image files.

// Call Save() method if true.

// Return false if it is not an image file.

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

string UploadedPath = fileUpload.Save();

if (fileUpload.Version.StartsWith("4"))

{

// Above 4.x.x.x version

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p><span class=""bold"">Image File Information</span></p>

<table style='font-family:Arial;font-size:9pt;'>

<tr><td>ImageWidth</td><td>{0}</td></tr>

<tr><td>ImageHeight</td><td>{1}</td></tr>

<tr><td>HorizontalResolution</td><td>{2}</td></tr>

<tr><td>VerticalResolution</td><td>{3}</td></tr>

<tr><td>PixelFormat</td><td>{4}</td></tr>

<tr><td>MDArtist</td><td>{5}</td></tr>

<tr><td>MDDateTime</td><td>{6}</td></tr>

<tr><td>MDDateTimeOrig</td><td>{7}</td></tr>

<tr><td>MDDocumentName</td><td>{8}</td></tr>

<tr><td>MDEquipMake</td><td>{9}</td></tr>

<tr><td>MDEquipModel</td><td>{10}</td></tr>

<tr><td>MDExifColorSpace</td><td>{11}</td></tr>

<tr><td>MDExifDigitalZoomRatio</td><td>{12}</td></tr>

<tr><td>MDExifExposureBias</td><td>{13}</td></tr>

<tr><td>MDExifExposureMode</td><td>{14}</td></tr>

<tr><td>MDExifExposureProg</td><td>{15}</td></tr>

<tr><td>MDExifExposureTime</td><td>{16}</td></tr>

<tr><td>MDExifFlash</td><td>{17}</td></tr>

<tr><td>MDExifFNumber</td><td>{18}</td></tr>

<tr><td>MDExifFocalLength</td><td>{19}</td></tr>

<tr><td>MDExifFocalLengthIn35mm</td><td>{20}</td></tr>

<tr><td>MDExifISOSpeed</td><td>{21}</td></tr>

<tr><td>MDExifLightSource</td><td>{22}</td></tr>

<tr><td>MDExifMaximumLensApecture</td><td>{23}</td></tr>

<tr><td>MDExifMeteringMode</td><td>{24}</td></tr>

<tr><td>MDExifShutterSpeed</td><td>{25}</td></tr>

<tr><td>MDExifWhiteBalance</td><td>{26}</td></tr>

<tr><td>MDImageDescription</td><td>{27}</td></tr>

<tr><td>MDSoftwareUsed</td><td>{28}</td></tr>

</table>

<p>&nbsp;</p>

<p><span class=""bold"">File Upload Information</span></p>

<p>Original Path (Client) : {29}</p>

<p>Uploaded Path (Server) : {30}</p>

<p>File Length : {31}byte(s)</p>

<p>File MimeType : {32}</p>";

this.OutputText.Text = string.Format(

outputFormat, // format

imgProc.ImageWidth,

imgProc.ImageHeight,

imgProc.HorizontalResolution,

imgProc.VerticalResolution,

imgProc.PixelFormat,

imgProc.MDArtist,

imgProc.MDDateTime,

imgProc.MDDateTimeOrig,

imgProc.MDDocumentName,

imgProc.MDEquipMake,

imgProc.MDEquipModel,

imgProc.MDExifColorSpace,

imgProc.MDExifExifDigitalZoomRatio,

imgProc.MDExifExposureBias,

imgProc.MDExifExposureMode,

imgProc.MDExifExposureProg,

imgProc.MDExifExposureTime,

imgProc.MDExifFlash,

imgProc.MDExifFNumber,

imgProc.MDExifFocalLength,

imgProc.MDExifFocalLengthIn35mm,

imgProc.MDExifISOSpeed,

imgProc.MDExifLightSource,

imgProc.MDExifMaximumLensApecture,

imgProc.MDExifMeteringMode,

imgProc.MDExifShutterSpeed,

imgProc.MDExifWhiteBalance,

imgProc.MDImageDescription,

imgProc.MDSoftwareUsed,

fileUpload.FilePath,

UploadedPath,

fileUpload.FileLength,

fileUpload.MimeType,

imgProc.SavedFileName);

}

else

{

// 3.x.x.x version only

string outputFormat = @"

<p>Upload successfully !!</p>

<p>&nbsp;</p>

<p><span class=""bold"">Image File Information</span></p>

<table style='font-family:Arial;font-size:9pt;'>

<tr><td>ImageWidth</td><td>{0}</td></tr>

<tr><td>ImageHeight</td><td>{1}</td></tr>

<tr><td>HorizontalResolution</td><td>{2}</td></tr>

<tr><td>VerticalResolution</td><td>{3}</td></tr>

<tr><td>PixelFormat</td><td>{4}</td></tr>

<tr><td>MDArtist</td><td>{5}</td></tr>

<tr><td>MDDateTime</td><td>{6}</td></tr>

<tr><td>MDDocumentName</td><td>{7}</td></tr>

<tr><td>MDEquipMake</td><td>{8}</td></tr>

<tr><td>MDEquipModel</td><td>{9}</td></tr>

<tr><td>MDExifExposureTime</td><td>{10}</td></tr>

<tr><td>MDExifFNumber</td><td>{11}</td></tr>

<tr><td>MDExifShutterSpeed</td><td>{12}</td></tr>

<tr><td>MDImageDescription</td><td>{13}</td></tr>

<tr><td>MDSoftwareUsed</td><td>{14}</td></tr>

</table>

<p>&nbsp;</p>

<p><span class=""bold"">File Upload Information</span></p>

<p>Original Path (Client) : {15}</p>

<p>Uploaded Path (Server) : {16}</p>

<p>File Length : {17}byte(s)</p>

<p>File MimeType : {18}</p>";

this.OutputText.Text = string.Format(

outputFormat, // format

imgProc.ImageWidth,

imgProc.ImageHeight,

imgProc.HorizontalResolution,

imgProc.VerticalResolution,

imgProc.PixelFormat,

imgProc.MDArtist,

imgProc.MDDateTime,

imgProc.MDDocumentName,

imgProc.MDEquipMake,

imgProc.MDEquipModel,

imgProc.MDExifExposureTime,

imgProc.MDExifFNumber,

imgProc.MDExifShutterSpeed,

imgProc.MDImageDescription,

imgProc.MDSoftwareUsed,

fileUpload.FilePath,

UploadedPath,

fileUpload.FileLength,

fileUpload.MimeType,

imgProc.SavedFileName);

}

}

else

{

Response.Write("<b>Image File Mismatch!!</b><br><br>");

Response.Write(fileUpload.FileName + ": Image File Type is mismatch");

}

}

Please refer ImageProc object reference for an information of each property.

Copyright © DEVPIA Corporation. All rights reserved.


FileUpload Object

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileUpload Object

It's a core object of component that takes charge of an actual file uploading and saving to the server.

Property

Name | Description
CodePage | It Assigns CodePage to use when processing data within uploaded components.
DefaultPath | It is used for assigning default path value for saving temporary files and uploaded files.
ExpirationDate | It returns expiration date of an evaluation version. If it is an original version it returns "Unlimited" character string.
FileLength | It contains the length value of an uploaded file. (Single file)
FileName | It contains the file name (exclude path) of an uploaded file.
FileExtension | It contains an extension value of an uploaded file.
FilePath | It contains total path value of an uploaded file.
Form | It is a FormItems Collection object that stores each item's information of submitted Form.
ImageFormat | It returns the format of uploaded image files (BMP,EMF,EXIF,GIF,Icon,JPEG,PNG,TIFF,WMF).
ImageWidth | It returns the width of an uploaded image file. If it is not an image file it returns -1.
ImageHeight | It returns the height of an uploaded image file. If it is not an image file it returns -1.
LastSavedFileName | It contains the file name (exclude path) value that has been uploaded and saved in the server.
LastSavedFilePath | It contains total path value of uploaded and saved file in the server.
MaxFileLength | It limits the maximum uploading file size. (Unit: Byte) An error occurs if the file is uploaded larger than the assigned size. Default value is 'Unlimited'.
MimeType | It contains MimeType value of an uploaded file.
TempFilePath | It is a location of temporary files before saving files using Save, SaveAs, etc. It can be usefully used from the ImageProc object.
UploadTimeout | It is used for assigning upload Timeout value. (Unit: second) Default value is 3600 second (60 minute).
UseIE5BugFix | It assigns the use of automatic debugging function caused by using multiple languages from IE5.0, which is assigned as English encoding type.
Version | It returns the version information of DEXTUpload.NET Pro component.

Method

Name | Description
DeleteAllSavedFiles | It deletes entire file saved in the server through uploading process.
DeleteFile | It deletes files in the server.
FileExists | It checks an existence of a specific file.
Flush | It ignores all the data sent by web browser without saving any files (including temporary files) to the server.
FolderExists | It checks the existence of a specific folder.
Save | It saves uploaded file to the default path or an assigned path with the same name of an original file name.
SaveVirtual | It saves uploaded file to an assigned virtual path with the same name of an original file name.
SaveAs | It saves uploaded file to an assigned path with a new name.
SaveAsVirtual | It saves uploaded file to an assigned virtual path with a new name.
SaveAsBlob | It saves uploaded file to BLOB field of Database. *It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)
SaveAsBlobStream | It saves uploaded file to BLOB field of Database. *It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Copyright © DEVPIA Corporation. All rights reserved.


FileUpload Object Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileUpload Object Property

Property

Name | Description
CodePage | It Assigns CodePage for processing data within uploaded components.
DefaultPath | It is used for assigning default path value for saving temporary files and uploaded files.
ExpirationDate | It returns expiration date of an evaluation version. If it is an original version it returns "Unlimited" character string.
FileLength | It contains the length value of an uploaded file. (Single file).
FileName | It contains the file name (except path) of an uploaded file.
FileExtension | It contains an extension value of an uploaded file.
FilePath | It contains total path value of uploaded files.
Form | It is a FormItems Collection object that stores each item's information of submitted Form.
ImageFormat | It returns the format of uploaded image files (BMP,EMF,EXIF,GIF,Icon,JPEG,PNG,TIFF,WMF).
ImageWidth | It returns the width of an uploaded image file. If it is not an image file it returns -1.
ImageHeight | It returns the height of an uploaded image file. If it is not an image file it returns -1.
LastSavedFileName | It contains the file name (exclude path) value that has been uploaded and saved in the server.
LastSavedFilePath | It contains total path value of uploaded and saved files in the server.
MaxFileLength | It limits the maximum uploading file size. (Unit: Byte) An error occurs if the file is uploaded larger than the assigned size. Default value is 'Unlimited'.
MimeType | It contains MimeType value of an uploaded file.
TempFilePath | It is a location of a temporary files before saving files using Save, SaveAs, etc. It can be usefully used from the ImageProc object.
UploadTimeout | It is used for assigning upload Timeout value. (Unit: second) Default value is 3600 second (60 minute).
UseIE5BugFix | It assigns the use of automatic debugging function caused by using multiple languages from IE5.0, which is assigned as English encoding type. Default value is true and it is set to use this function.
Version | It returns the version information of DEXTUpload.NET Pro component.

Copyright © DEVPIA Corporation. All rights reserved.


CodePage Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

CodePage Property

Type
 [Int32 = ] Object.CodePage

Description
 It Assigns CodePage for processing data within uploaded components.
For the web page using foreign language or Unicode character set, you need to assign CodePage value of upload component with the code page value corresponding to character set used by the page.
Default value is set with the default code page value of the system.
However, the value will be default value if the Session.CodePage value is assigned. In this case you can omit assigning the value of CodePage property.
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
fileUpload.CodePage = 65001;
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


DefaultPath Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

DefaultPath Property

Type
 [String = ] Object.DefaultPath

Description
 It is used for assigning default path value for saving temporary files and uploaded files.
You can define again as the below example from the pre defined <dextupload.net><settings enableLargeFileUpload = "true" defaultPath = "C:\TEMP" .... /></dextupload.net> by Web.Config file.
If you didn't assign Defaultpath from the source, you can amend from Web.Config. (It is possible to omit Defaultpath from source page)
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
fileUpload.DefaultPath = "D:\TEMP";
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


ExpirationDate Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ExpirationDate Property

Type
[String = ] Object.ExpirationDate

Description
 Returns an expiration date for evaluation version. ("YYYY-MM-DD" form)
It returns "Unlimited" character string if it's an original version.
You can use 15 days for an evaluation version.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
Response.Write("Expiration Date :" + fileUpload.ExpirationDate);
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


FileLength Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileLength Property

Type
[Int32 = ] Object.FileLength

Description
 it contains the length value of an uploaded file. (Unit: Byte)

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
int FileLen = fileUpload.FileLength;
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


FileName Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileName Property

Type
[String = ] Object.FileName

Description
 It contains the name (exclude path) value of an upload file.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string FileName = fileUpload.FileName;
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


FileExtension Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileExtension Property

Type
[String = ] Object.FileExtension

 Description
 It contain the extension name value of an uploaded file.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string FileExt = fileUpload.FileExtension;
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


FilePath Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FilePath Property

Type
[String = ] Object.FilePath

Description
 It contains total path value of an uploaded file.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string FilePath = fileUpload.FilePath;
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


Form Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

Form Property

Type
[Object = ] Object.Form

 Return Value
Object (ReadOnly / Default Property)

Description
It is a FormItems Collection object that stores each item's information of submitted Form.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string title = fileUpload.Form["title"].Value;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


ImageFormat Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ImageFormat Property

Type
[String = ] Object.ImageFormat

Description
 It returns the format of uploaded image files (BMP,EMF,EXIF,GIF,Icon,JPEG,PNG,TIFF,WMF).
It returns Null if it is not an image file.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string ImageFormat = fileUpload.ImageFormat;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


ImageWidth Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ImageWidth Property

Type
[Int32 = ] Object.ImageWidth

Description
 It returns the width of an uploaded image file (BMP/GIF/JPG).
It returns –1 if it is not an image file.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
int ImageWidth = fileUpload.ImageWidth;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


ImageHeight Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ImageHeight Property

Type
[Int32 = ] Object.ImageHeight

Description
 It returns the height of an uploaded image file (BMP/GIF/JPG). It returns –1 if it is not an image file.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
int ImageHeight = fileUpload.ImageHeight;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


LastSavedFileName Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

LastSavedFileName Property

Type
[String = ] Object.LastSavedFileName

Description
 It contains the file name (exclude path) value that has been uploaded and saved in the server.
It contains the latest saved file name for the case of saving with different names by calling Save() several times for an uploaded single file.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string LastSavedFileName= fileUpload.LastSavedFileName;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


LastSavedFilePath Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

LastSavedFilePath Property

Type
[String = ] Object.LastSavedFilePath

Description
 It contains total path value of an uploaded and saved file in the server.
It contains the latest saved file name for the case of saving with different names by calling Save() several times for an uploaded single file.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string LastSavedFilePath= fileUpload.LastSavedFilePath;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


MaxFileLength Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

MaxFileLen gth Property

Type
[Int32 = ] Object.MaxFileLength

 Description
 It limits the maximum uploading file size. (Unit:Byte)
An error occurs if uploaded larger file size is larger than the assigned size. Default value is 'Unlimited'.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
int MaxFileLen = fileUpload.MaxFileLength;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


MimeType Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

MimeType Property

Type
[String = ] Object.MimeType

Description
 It contains MimeType value of an uploaded file.

 Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string MimeType = fileUpload.MimeType;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


TempFilePath Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

TempFilePath Property

Type
 [String = ] Object.TempFilePath

Description
 It is a location of a temporary file before saving files using Save, SaveAs, etc.
It can be usefully used from ImageProc object.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
string TempFilePath = fileUpload.TempFilePath;
 .............
}

Copyright © DEVPIA Corporation. All rights reserved.


UploadTimeout Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

UploadTimeout Property

Type
[Int32 = ] Object.UploadTimeout

Description
 It is used for assigning upload Timeout value. (Unit: second)
Timeout error occurs if it exceeds the assigned time.
It ignores Server.ScriptTimeout, Session.Timeout value assigned from outside of a component.
Default value is 3600 second (60 minute).

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
fileUpload.UploadTimeout = 1200;
.............
}

Copyright © DEVPIA Corporation. All rights reserved.


UseIE5BugFix Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

UseIE5BugFix Property

Type
[boolean = ] Object.UseIE5BugFix

Description
 It assigns the use of automatic debugging function caused by using multiple languages from IE5.0, which is assigned as English encoding type.
Default value is True and it is set to use this function.

Copyright © DEVPIA Corporation. All rights reserved.


Version Property

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

Version Property

Type
[string = ] Object.Version

Description
It returns the version information of DEXTUpload.NET Professional component.

Copyright © DEVPIA Corporation. All rights reserved.


FileUpload Object Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileUpload Object Method

Method

Name | Description
DeleteAllSavedFiles | It deletes entire file saved in the server through uploading process.
DeleteFile | It deletes files in the server.
FileExists | It checks an existence of a specific file.
Flush | It ignores all the data sent by web browser without saving any files (including temporary files) to the server.
FolderExists | It checks the existence of a specific folder.
Save | It saves uploaded file to the default path or an assigned path with the same name of an original file name.
SaveVirtual | It saves uploaded file to an assigned virtual path with the same name of an original file name.
SaveAs | It saves uploaded file to an assigned path with a new name.
SaveAsVirtual | It saves uploaded file to an assigned virtual path with a new name.
SaveAsBlob | It saves uploaded file to BLOB field of Database. *It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)
SaveAsBlobStream | It saves uploaded file to BLOB field of Database. *It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Copyright © DEVPIA Corporation. All rights reserved.


DeleteAllSavedFiles() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

DeleteAllSavedFiles() Method

Type
[Int32 = ] Object.DeleteAllSavedFiles

 Description
It deletes all the uploaded files saved in the server.
It is mainly used for deleting unnecessary files that remains in the server and cancel uploading operation when an error occurs outside of a component.
(It is automatically called if an error occurs inside of a component.)
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
.............
 //In case of an error occurred out side of a component
fileUpload.DeleteAllSavedFiles();
}

Copyright © DEVPIA Corporation. All rights reserved.


DeleteFile() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

DeleteFile() Method

Type
[Void = ] Object.DeleteFile( strFilename )

Prameter
strFilename As String – Total path for deleting files (It is possible for physical path only)

Description
It deletes files in the server or uploaded files to the server.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string path1 = fileUpload["file1"].Save();
string path2 = fileUpload["file2"].Save();
.................
//In case of deleting first file
 fileUpload.DeleteFile(path1);
.................
}

Copyright © DEVPIA Corporation. All rights reserved.


FileExists() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileExists() Method

Type
[Boolean = ] Object.FileExists( strFilename )

Return Value
Boolean – It returns true if the file exists, false if it doesn't exist.

Prameter
strFilename As String – Total path for checking an existence of a file (Possible for physical path only).

 Description
 Checking existence of a specific file.
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
if (fileUpload.FileExists("C:\TEMP\sample.zip")
Response.Write( "File Exists : sample.zip <br>");
else
Response.Write( "File Not Exists : sample.zip <br>");

}

Copyright © DEVPIA Corporation. All rights reserved.


Flush() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

Flush() Method

Type
Object.Flush()

Description
 It ignores all the data sent by the web browser without saving any files (including temporary file) to the server.
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
if ( Request.TotalBytes > 1048576)

fileUpload.Flush();

else

fiUpload.Save();
}

Copyright © DEVPIA Corporation. All rights reserved.


FolderExists() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FolderExists() Method

Type
[Boolean = ] Object.FolderExists( strFolderName )

Return Value
Boolean – It returns true if the folder exists, false if it doesn't exist.

Prameter
strFolderName As String - Total path for checking existence of a folder (Possible for physical path only).

 Description
 Checking existence of a specific folder.
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
if (fileUpload.FolderExists("C:\TEMP")
Response.Write( "Folder Exists <br>");
else
Response.Write( "Folder Not Exists <br>");

}

Copyright © DEVPIA Corporation. All rights reserved.


Save() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

Save() Method

Type
[String = ] Object.Save( [strPath], [bOverwrite] )

Return Value
String – Actual file name saved to the server.

Prameter
strPath As String (Optional)
– A path for saving uploaded files. If it's omitted it will be saved where DefaultPath Property indicates. Supports virtual path.
bOverwrite As Boolean (Optional)
– It assigns whether to overwrite or not if the same name of a file already exists.
Default value is True and if it is assigned False, it looks for a unique file name such as filename(2).ext, filename(3).ext and save.
Description
 It saves uploaded files to the default path or an assigned path with the same name of an original file.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.Save();
//same syntax
//UploadedPath = fileUpload.Save(fileUpload.DefaultPath,false);
//UploadedPath = fileUpload["file1"].Save(fileUpload.DefaultPath,false);
//UploadedPath = fileUpload["file1"][0].Save();

}

Copyright © DEVPIA Corporation. All rights reserved.


SaveVirtual() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveVirtual() Method

Type
[String = ] Object.SaveVirtual( strVirtualPath, [bOverwrite] )

 Return Value
String – Actual file name saved to the server

Prameter
strVirtualPath As String
– Virtual path for saving uploaded files.
bOverwrite As Boolean (Optional)
- It assigns whether to overwrite or not if the same name of a file already exists.
Default value is True and if it is assigned False, it looks for a unique file name such as filename(2).ext, filename(3).ext and save.

Description
 It saves uploaded files to the assigned virtual path with the same name of an original file.

Reference
Because SaveAs() method supports virtual path, it is no long used. However, It exists for the low compatibility.
Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.SaveVirtual("/virtualloc");
............................

}

Copyright © DEVPIA Corporation. All rights reserved.


SaveAs() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAs() Method

Type
[String = ] Object.SaveAs(strNewFilename, [bOverwrite] )

Return Value
String – Actual file name saved to the server

 Prameter
strNewFilename As String
– New file name for saving after uploading process. (Full path)
bOverwrite As Boolean (Optional)
- It assigns whether to overwrite or not if the same name of a file already exists.
Default value is True and if it is assigned False, it looks for a unique file name such as filename(2).ext, filename(3).ext and save.

Description
 It saves uploaded files with a new name to the assigned path.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.SaveAs("C:Upload\newfile.zip");
............................

}

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsVirtual() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAsVirtual() Method

Type
[String = ] Object.SaveAsVirtual( strNewFilename, [bOverwrite=TRUE] )

Return Value
String - Actual file name saved to the server

 Prameter
strNewFilename As String
– New file name for saving after uploading process. (Full path)
bOverwrite As Boolean (Optional)
- It assigns whether to overwrite or not if the same name of a file already exists.
Default value is True and if it is assigned False, it looks for a unique file name such as filename(2).ext, filename(3).ext and save.

Description
It saves uploaded files with a new name to the assigned path.

Reference

Because SaveAs() method supports virtual path, it is no long used. However, It exists for the low compatibility.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath = fileUpload.SaveAsVirtual("/virtualloc/newfile.zip");
............................

}

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsBlob() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAsBlob() Method

*It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Type
[byte[] = ] Object.SaveAsBlob()

Description
It saves uploaded files to BLOB field of Database.

Example

string ConnectionString = ".................";
OleDbConnection cn = new OleDbConnection(ConnectionString);
cn.Open();
.............................................
DataRow newRow = ds.Tables[0].NewRow();

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
newRow[0] = fileUpload.FileName;
newRow[1] = fileUpload.FileLength;
newRow[2] = fileUpload.SaveAsBlob();

ds.Tables[0].Rows.Add(newRow);
adapter.Update(ds);
}

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsBlobStream() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAsBlobStream() Method
*It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Type
[FileStream = ] Object.SaveAsBlobStream()

Description
It saves uploaded files to BLOB field of Database.

Example

string ConnectionString = ".................";
OleDbConnection cn = new OleDbConnection(ConnectionString);
cn.Open();
.............................................
DataRow newRow = ds.Tables[0].NewRow();

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
newRow[0] = fileUpload.FileName;
newRow[1] = fileUpload.FileLength;
using (FileStream fs = fileUpload.SaveAsBlobStream())
{
byte[] buffer = new byte[fileUpload.FileLength];
fs.Read(buffer, 0, buffer.Length);
newRow[2] = buffer;
}

ds.Tables[0].Rows.Add(newRow);
adapter.Update(ds);
}

Copyright © DEVPIA Corporation. All rights reserved.


FileDownload Object

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileDownload Object

An object with a function that enables to download files in the server or binary data in the database BLOB field to client user's hard disk file through web browser.

Method

Name | Description
Download | Downloading files in the server to the client user through web browser.
DownloadVirtual | Downloading files in the virtual path of the server to the client user through web browser.
DownloadBlob | Downloading BLOB data in the Database to the client user through web browser. *It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Copyright © DEVPIA Corporation. All rights reserved.


Download() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

Download() Method

Type
Object.Download(filePath,fileName,bForce,bPartial)

Parameter
filePath As String - Total path for downloading
filleName As String – File name for downloading

bForce As Boolean - Web browser assigns the method of processing an attached file while downloading.

Attribute | Description
True | Web browser outputs saved dialog box since downloaded data are always saved in file.
False | Default value. Web browser processing method differs depend on the type of MIME. For example, web browser outputs the download contents directly if it's text/html(HTML file), and outputs saved dialog box if it's application/x-zip-compressed(ZIP file).

bPartial As Boolean - Assigning whether to support Partial Content Downloading function

Attribute | Description
True | Partial Content Download.
False | Default value. Transfers all the data for every download requests.

Description
Download files in the server to the client user through web browser.

Example

private void Page_Load(object sender, System.EventArgs e)
{
string FileName = Request.QueryString["filename"]; //File Name
string FilePath = Request.QueryString["filepath"]; //Download Path

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
//objDownload.Download (file path, file name, compulsory saving or not (True: compulsory saving), Partial Content Downloading or not (True: Partial Content Download))
fileDownload.Download(FilePath, FileName, false, true);
}
}

Copyright © DEVPIA Corporation. All rights reserved.


DownloadVirtual() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

DownloadVirtual() Method

Type
Object.DownloadVirtual(filePath,fileName,bForce,bPartial)

Parameter
filePath As String - Total path for downloading
filleName As String – File name for downloading

bForce As Boolean - Web browser assigns the method of processing an attached file while downloading.

Attribute | Description
True | Web browser outputs saved dialog box since downloaded data are always saved in file.
False | Default value. Web browser processing method differs depend on the type of MIME. For example, web browser outputs the download contents directly if it's text/html(HTML file), and outputs saved dialog box if it's application/x-zip-compressed(ZIP file).

bPartial As Boolean - Assigning whether to support Partial Content Downloading function

Attribute | Description
True | Partial Content Download.
False | Default value. Transfers all the data for every download requests.

Description
Download files in the server to the client user through web browser.

Example

private void Page_Load(object sender, System.EventArgs e)
{
string FileName = Request.QueryString["filename"]; //File Name
string FilePath = Request.QueryString["filepath"]; //Download Path

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
//objDownload.Download (file path, file name, compulsory saving or not (True: compulsory saving), Partial Content Downloading or not (True: Partial Content Download))
fileDownload.DownloadVirtual(FilePath, FileName, false, true);
}
}

Copyright © DEVPIA Corporation. All rights reserved.


DownloadBlob() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

DownloadBlob() Method

*It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Type
Object.DownloadBlob(filePath,fileName,bForce)

Parameter
filePath As String - Total path for downloading
filleName As String – File name for downloading

bForce As Boolean - Web browser assigns the method of processing an attached file while downloading.

Attribute | Description
True | Web browser outputs saved dialog box since downloaded data are always saved in file.
False | Default value. Web browser processing method differs depend on the type of MIME. For example, web browser outputs the downloaded contents directly if it's text/html(HTML file), and outputs saved dialog box if it's application/x-zip-compressed(ZIP file).

Description
Downloads BLOB data in the database to the client user through web browser.

Example

private void Page_Load(object sender, System.EventArgs e)
{
OleDbConnection cn = null;
OleDbDataReader dataReader = null;

string FileID = Request.QueryString["fileid"];
string ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Password=\"\";User ID=Admin;Data Source=C:\\Program Files\\Devpia\\DEXTUploadNETProSamples\\DEXTUPLOAD.mdb";
cn = new OleDbConnection(ConnectionString);
cn.Open();

string strQuery = "SELECT filename, filesize, filedata FROM DEXTUPLOAD WHERE fileid = " + FileID;
OleDbCommand cmd = new OleDbCommand(strQuery, cn);
dataReader = cmd.ExecuteReader(CommandBehavior.SequentialAccess);

if (dataReader.Read())
{
string FileName = dataReader.GetString(0);
int FileSize = dataReader.GetInt32(1);

using (DEXTUpload.NET.FileDownload fileDownload = new DEXTUpload.NET.FileDownload())
{
fileDownload.DownloadBlob(dataReader, 2, FileName, FileSize, true);
}
}

dataReader.Close();
cn.Close();
}

Copyright © DEVPIA Corporation. All rights reserved.


FileUploadMonitor Object

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

FileUploadMonitor Object

*It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

It is an object that enables to understand the upload progress through the fixed information window.

Method

Name | Description
ShowMonitor | It displays upload progress with the Progress Bar and shows total file capacity, remaining file capacity, upload rate, remaining time, etc. information in a real-time.

Copyright © DEVPIA Corporation. All rights reserved.


ShowMonitor() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ShowMonitor() Method

*It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

Type
Object.ShowMonitor()

Description
It displays upload progress with the Progress Bar and shows total file capacity, remaining file capacity, upload rate, remaining time, an other information in a real-time.

Example

private void Page_Load(object sender, System.EventArgs e)
{
using (DEXTUpload.NET.FileUploadMonitor monitor = new DEXTUpload.NET.FileUploadMonitor())
{
monitor.ShowMonitor();
}
}

Copyright © DEVPIA Corporation. All rights reserved.


Progress Object

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

Progress Object

*It exists for the downward compatibility from the version 4.0 (support up to Windows 2008, IE8)

It is an object that enables to see the upload progress condition through user defined type of information window.

Property

Name | Description
TotalSize | Total file size for uploading
TransferSize | The size of a transferred file until now
Percent | Total transfer rate until now
BytesPerSec | Transfer rate
TimeLeft | Time left
TimeElapsed | Time Elapsed until now
isUploadClosed | Upload completed (true) or when pressing an IE stop button (false)

Copyright © DEVPIA Corporation. All rights reserved.


ImageProc Object

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ImageProc Object

DEXT.ImageProc object supports various image format (BMP, EMF, EXIF, GIF, Icon, JPEG, PNG, TIFF, WMF etc.) and also supports conversion into other formats. (BMP, JPG, GIF)
This creates thumbnail image of image file and the created image has a JPG format.
This can create watermark image by using the designated image or character and the created watermark image has a JPG format.
This supports various meta data such as exposure time, image description, resolution.

Property

Name | Description
PixelFormat | Pixel format
ImageWidth | Image width
ImageHeight | Image height
HorizontalResolution | Horizontal resolution
VerticalResolution | Vertical resolution
MDDocumentName | Image name
MDImageDescription | Image description
MDEquipMake | Camera manufacturer
MDEquipModel | Camera model name
MDSoftwareUsed | Program that created image files
MDArtist | Photographer
MDExifShutterSpeed | Shutter speed
MDExifExposureTime | Exposure time
MDExifFNumber | Aperture value
MDDateTime | Modified date
MDDateTimeOrig | Shooting date
MDExifColorSpace | Color mode
MDExifDigitalZoomRatio | Digital zoom
MDExifExposureBias | Exposure correction
MDExifExposureMode | Exposure mode
MDExifExposureProg | Exposure program
MDExifFlash | Flash
MDExifFocalLength | Focus Distance
MDExifFocalLengthIn35mm | 35mm film focal length
MDExifISOSpeed | ISO Speed
MDExifLightSource | Light source
MDExifMaximumLensApecture | Maximum iris value
MDExifMeteringMode | Candlepower mode
MDExifWhiteBalance | White Balance

Method

Name | Description
SetSourceFile | It sets up an operation object image file. After calling this method successfully it can call below functions.
SaveAsThumbnail | It creates thumbnail image. Format for thumbnail is JPG. Returned value is file name that actually includes the path for saving.
SaveAsWatermarkImage | It creates watermark images using image. Format for Watermarked file is JPG.
SaveAsWatermarkText | It creates watermark images using text. Format for Watermarked file is JPG.
ConvertImageFormat | It converts an image format into assigned file. First factor is input with "image/jpeg", "image/bmp" and others which is an image format for converting.

Copyright © DEVPIA Corporation. All rights reserved.


SetSourceFile() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SetSourceFile() Method

Type
[Boolean =] Object.SetSourceFile( strTempFilePath )

Return Value
 Boolean – Existence of a temporary file.

 Parameter
strTempFilePath As String – A path for creating temporary file.

Description
Setting operations object image files.
It can call SaveAsThumbnail(), SaveAsWatermarkImage(), SaveAsWatermarkText() method after calling this method succefully.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
//You need to create image related object in order to process watermark.
DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc();

if(imgProc.SetSourceFile(fileUpload.TempFilePath))
{
//Processing image file...
}
......
}

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsThumbnail() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAsThumbnail() Method

Type
[string = ] Object.SaveAsThumbnail( imgFilePath, strSavedPath,nWidth,nHeight,bOverwrite )

[string = ] SaveAsThumbnail(imgFilePath, strSavedPath, nWidth, nHeight, antialiasing, bOverwrite)

[string = ] SaveAsThumbnail(imgFilePath, strSavedPath, nWidth, nHeight, antialiasing, usePercentages, preserveAspectRatio, bOverwrite)

[string = ] SaveAsThumbnail(imgFilePath, strSavedPath, nWidth, nHeight, antialiasing, fitOption, hAlign, vAlign, backColor, bOverwrite)

Parameter
imgFilePath As String - Original image file path

strSavedPath As String - Storage path for watermarked images (Example:C:\Temp\watermarked.jpg)

nWidth As Int - Width

nHeight As Int - Height

antialiasing AS bool - It assigns the use of antialiasing

usePercentages As bool - It assigns whether or not width and height express as a percentage

preserveAspectRatio As bool - It assigns whether or not to preserve a ratio of image size

fitOption AS ImageFitOption - It assigns the fit option of image size in the frame

hAlign - horizontal alignment in the frame

vAlign - vertical alignment in the frame

backColor - background color of the frame

bOverwrite As Boolean - Existence of an overwrite (If True then overwrite)

Description
It saves by thumbnail processing uploaded image file into 100x100 size of width, and height. Created image has JPG format.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

using (DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc())

{

// Setting operations object image files.

// Call ConvertIamgeFormat() method if true.

// Return false if it is not an image file.

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

// Finding uploaded file name (except extension)

string filename = Path.GetFileNameWithoutExtension(fileUpload.FileName);

// 100x100 thumbnail

int nWidth = 100;

int nHeight = 100;

// Original image file path

string imgFilePath = fileUpload.TempFilePath;

// thumbnail image filename

string thumbPath = "../Data/" + filename + "(thumb_100x100).jpg";
string UploadedPath1 = imgProc.SaveAsThumbnail(imgFilePath, thumbPath, nWidth, nHeight, false);

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsWaterMarkImage() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAsWaterMarkImage() Method

Type
[string = ] SaveAsWaterMarkImage(imgFilePath, strTargetFilePath, strSavedPath, PosX, PosY, bOverwrite)

[string = ] SaveAsWaterMarkImage(imgFilePath, strTargetFilePath, strSavedPath, PosX, PosY, alpha, bOverwrite)

Parameter
imgFilePath As string - Original image file path

strTargetFilePath As string - Image path for watermarking

strSavedPath AS string - Storage path for watermarked images (Example:C:\Temp\watermarked.jpg)

PosX As int - X Coordinate for watermarking image

PosY As int - Y Coordinate for watermarking image

alpha As float - transparency value (0.0f~1.0f)

bOverwrite As bool - Existence of an overwrite (Overwrites if True)

Description
It creates watermark images using an image. Watermarked file format is JPG.
If PosX is -10, PosY is 10 then the position is upper right of an image.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

// In order to watermark processing it needs to create image related objects.

using (DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc())

{

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

// Finding uploaded file name (except extension)

string filename = Path.GetFileNameWithoutExtension(fileUpload.FileName);

// Original image file path

string imgFilePath = fileUpload.TempFilePath;

int positionX = 0;

int positionY = 0;

bool overWrite = false;

float alpha = 0.32f;

// Logo Image

string logoImage = "watermark.bmp";

// filename watermarked by image

string watermarked1Path = "../Data/" + filename + "(image).jpg";

// setting save-folder and overwrite-mode

positionX = -10; //X coordinates : (+) left (-) right

positionY = 10; //Y coordinates : (+) top (-) bottom

overWrite = false; //Existence of an overwrite

string uploadPath1 = imgProc.SaveAsWaterMarkImage(imgFilePath, logoImage, watermarked1Path ,positionX, positionY, overWrite);

if (fileUpload.Version.StartsWith("4"))

{

// Above 4.x.x.x version

watermarked1Path = "../Data/" + filename + "(image_50).jpg";

alpha = 0.5f;

string uploadPath2 = imgProc.SaveAsWaterMarkImage(imgFilePath, logoImage, watermarked1Path, positionX, positionY, alpha, overWrite);

..........

Copyright © DEVPIA Corporation. All rights reserved.


SaveAsWaterMarkText() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

SaveAsWaterMarkText() Method

Type
[string = ] Object.SaveAsWaterMarkText(imgFilePath, strTextForMarking, strSavedPath, PosX, PosY, FontSize, FontStyle, bOverwrite )

[string = ] Object.SaveAsWaterMarkText(imgFilePath, strTextForMarking, strSavedPath, PosX, PosY, alpha, FontSize, FontStyle, bOverwrite )

Parameter
imgFilePath As String - Original image file path

strTextForMarking As String - Text for watermarking

strSavedPath As String - A path for storing watermark processed images (Example: C:\TEMP\watermarked.jpg)

PosX As Int - X coordinate for watermark text

PosY As Int - Y coordinate for watermark text

alpha As float - transparency value (0.0f~1.0f)

FontSize As Int - Font size

FontStyle As String - Font style ("Bold" , "italic", "Regular", "Underline")

bOverwrite As Boolean - Existence of an overwrite (Overwrites if True)

Description
It creates watermark text using an image. Watermarked file format is JPG.
If PosX is -10, PosY is 10 then the position is upper right of an image.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())

{

// In order to watermark processing it needs to create image related objects.

using (DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc())

{

if(imgProc.SetSourceFile(fileUpload.TempFilePath))

{

// Finding uploaded file name (except extension)

string filename = Path.GetFileNameWithoutExtension(fileUpload.FileName);

// Original image file path

string imgFilePath = fileUpload.TempFilePath;

int positionX = 0;

int positionY = 0;

bool overWrite = false;

float alpha = 0.32f;

// filename watermarked by text

string watermarked2Path = "../Data/" + filename + "(text).jpg";

int fontSize = 20;

string fontStyle = "bold";

string Copyright = "DEVPIA(Developer Utopia!!!)";

// setting save-folder and overwrite-mode

positionX = 0; //X coordinates : (+) left (-) right

positionY = 0; //Y coordinates : (+) top (-) bottom

overWrite = false; //Existence of an overwrite

string uploadPath3 = imgProc.SaveAsWaterMarkText(imgFilePath, Copyright, watermarked2Path, positionX, positionY, fontSize, fontStyle, overWrite);

watermarked2Path = "../Data/" + filename + "(text_100).jpg";

alpha = 1.0f;

string uploadPath4 = imgProc.SaveAsWaterMarkText(imgFilePath, Copyright, watermarked2Path, positionX, positionY, alpha, fontSize, fontStyle, overWrite);

..........

Copyright © DEVPIA Corporation. All rights reserved.


ConvertImageFormat() Method

DEXTUpload.NET Professional

DEXTUpload.NET Professional Object Reference

ConvertImageFormat() Method

Type
Object.ConvertImageFormat( imgFilePath, strImageFormat,strSavedPath,bOverwrite )

Parameter
imgFilePath As String - Original image file path
strImageFormat – Image format for conversion ("image/bmp")
strSavedPath – Storage path for converted image files (Example: C:\Temp\watermarked.bmp)
bOverwrite - Existence of an overwrite (Overwrite if True)

Description
 It converts an image format into assigned file
First factor is input with "image/jpeg", "image/bmp" and others which is an image format for converting.

Example

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
//Requires to create an image related object in order to process watermark.
 DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc();

//Setting operations object image files
//Call SaveAsWaterMarkImage / SaveAsWaterMarkImage method if true.
//If it is not an image file return false.
if(imgProc.SetSourceFile(fileUpload.TempFilePath))
{
//############# Finding uploaded file name (exclude extension) ############
string NewFileName;

int index = fileUpload.FileName.LastIndexOf(".");
if(index > 0)
NewFileName = fileUpload.FileName.Substring(0,index);
else
NewFileName = fileUpload.FileName;
//#####################################################################

bool bOverWrite = false;

//###################### Supporting conversion format #######################
//"image/jpg", image/bmp", image/gif"
//#####################################################################

//Original image file path
string imgFilePath = fileUpload.TempFilePath;
//Saving by converting uploading files into JPG format.
string UploadedPath =imgProc.ConvertIamgeFormat(imgFilePath, "image/jpg",fileUpload.DefaultPath + NewFileName + ".jpg", bOverWrite);
string FileName = imgProc.SavedFileName;

Response.Write("<b>Upload successfully !!</b><br><br>");
Response.Write("Original Path (Client) :" + fileUpload.FilePath + "<br>");
Response.Write("Uploaded Path (Server) :" + UploadedPath + "<br>");
Response.Write("File Length :" + fileUpload.FileLength + " byte(s)<br>");
Response.Write("File MimeType :" + fileUpload.MimeType + "<br>");
Response.Write("Saved File Name :" + FileName);
}
else
{
Response.Write("<b>Image File Mismatch!!</b><br><br>");
Response.Write(fileUpload.FileName + ": Image File Type is mismatch");
}
}

Copyright © DEVPIA Corporation. All rights reserved.


DEXTUploadX Introduction

■ DEXTUploadX is

DEXTUploadX is a client-side ActiveX component that supports file Upload and Download function flexibly in environment based upon HTTP that complies with RFC1867 standard and that offers intuitive and various UI to user and offers various API and Event for developer.


DEXTUploadX Introduction

■ Provide various upload/download functions through HTTP

▪ Transmission of large files of less than 2GB
- Files of more than 2GB can be transmitted stably if DEXTUploadX is used.
- Unlimited file size can be transmitted stably if DEXTUpload Pro Extension is used.

▪ Support bulletin board modification
- It is possible to edit uploaded files (preservation/delete) and uploading of new files if bulletin board is in modification mode.

▪ Supports resumed uploading function
- It is possible to resume stable uploading when upload is terminated by internet disconnection, pause by the user.
[However, only supported in DEXTUpload Pro Extension]

▪ Support resume downloading
- It is possible to resume stable downloading when download is terminated by internet disconnection, pause by the user.

▪ Contents security download
- Does not reveal file URL for downloading since it is possible to download files not opened in server web.
[However, it needs to synchronization with DEXTUpload Pro (or DEXTUpload Pro Ex) series)

▪ Support modal/modaless method transmission window
- Supports transmission window in modal, modaless methods appropriate for website environments.

▪ Support transmission speed limit
- It is possible to limit transmission speed within supported bandwidth.
[However, only supported in DEXTUpload Pro Extension]

▪ Returns uploaded results
- The results of POST, PUT method upload can be checked from each script environment of server, client.

▪ Supports file alignment and movement
- Supports file alignment and movement before transmission and it is possible to transmit in the order that user desires.

▪ Support file add/delete during transmission
- Supports file add/delete during transmission.
[However, only supported in DEXTUpload Pro Extension]

▪ Limits file capacity, numbers and file filtering
- File capacity and number of transmitted files can be limited and can transmit by selecting, filtering specific extentions.

▪ User random data upload
- Bynames of each file and user random additional data can be uploaded.

■ Provide objects and API supporting various UI

▪ Support user defined transmission window (HTML UI)
- Provide all API needed for transmission creating transmission window directly by user optimized for user's website.

▪ Support additional transmission UI
- Supports transmission UI already created in Basic, Simple, ListView style so that desired transmission window can be selected.

▪ Support Progress Bar Object
- Composition of Progress Bar can be smooth by using Progress Bar Object when composing transmission window directly with LIstView provided by HTML and DEXTUploadX.

▪ Support selection of activation of checkbox from download monitor window
- Selectively activate checkbox image on file item from download monitor window.

■ Support various development environment

▪ Supports all languages
- Supports all languages as in ASP, ASP.NET, JSP, PHP by complying with HTTP and RFC 1867 Convention

▪ Support help for developers, samples
- Provide chm help on all API and provide samples for implementing various applications along with samples helping understanding on basic functions.

▪ Provide event handler according to transmission phase
- Provide sufficient event handler according to transmission phase from the moment of selecting files to the completion of upload/download of files.

▪ Exclusion processing and relaying error messages
- Relays powerful and various messages to easily understand causes for problems when developing and operating

■ Support various operation environments

▪ Possible to distribute from server in various OS
- It is easy to control version by automatically installing on customer PC through the distribution of CAB files and it is also possible to distribute through all operation system like Windows, Linux, Unix

▪ Support the most recent Window environment restricting ActiveX

▪ Support for various security environment
- Support for SSL and Proxy envrionments

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUploadX system requirements

Installation Guide of DEXTUploadX

■ DEXTUploadX system requirements

  • Microsoft Windows XP/Vista/7/8 Family
  • Microsoft Windows 2000/2003/2008/2012 Family
  • All browsers that support ActiveX control


Installation Guide of DEXTUploadX

■ How to Install DEXTUpload Professional(Windows)

1. Ready to install DEXTUploadX

Double click DEXTUploadX from a PC with window-based IIS installed.

2. Agree with User Agreement

3. Enter product number (①) and serial number (②) of purchased DEXTUploadX.

(If test-version then temporary product number and temporary serial number will be sent by email recorded during download.)

Enter IP of a server for actual service on IP Input (③) part.

Correctly enter product number and serial number then clicking 'Next' button will output the following message.

If product number and serial number is not correct then the following message will be output and product will not be installed.

4. Select location to install

5. Installation

6. Complete Installation - Clicking Finish button will execute examples.

[Note]

※ Download of DEXTUploadX test-version is available from the following path.

http://www.dextsolution.com/us/Etc/downEval.aspx

※ Manual and basic samples of DEXTUploadX can be confirmed when DEXTUploadX is basically installed from,

“ Start ->All Programs ->DEVPIA->DEXTUploadX->DEXTUploadX User Manual ”

“ Start ->All Programs ->DEVPIA->DEXTUploadX-> DEXTUploadX Examples ”.


Installation Guide of DEXTUploadX

■ Removing installation

1. Start ->All Programs -> DEVPIA -> DEXTUploadX -> Click Uninstall DEXTUploadX

2. Click "Yes" for uninstalling DEXTUploadX.

3. Select reboot for complete uninstallation of DEXTUploadX and click “Finish”.

※ Window must be rebooted after going through the following uninstallation methods for complete uninstallation of WiDEXTUploadX (①).

For avoiding rebooting, turnoff IIS before unintallation and uninstalled the product (②).


DEXTUploadX Environment Configuration

■ Virtual directory setting for example execution

If you install DEXTUploadX, three virtual directories that start with DEXTUploadX will be added as follows. User can execute all examples by executing "DEXTUploadX Example" added to start menu. But, when 'basic website' doesn’t exist and others, you should set virtual directory manually to execute example.

1. ‘DEXTUploadX’ virtual directory setting

DEXTUploadX.cab file is in DEXTUploadX virtual directory. DEXTUploadX.cab file is installed in “C:\Program files\DEVPIA\DEXTUploadX\Bin”. Please refer to following figure.

a. Press ‘Next’ to continue after selecting ‘virtual directory’.

b. Press ‘Next’ to continue after inputting like as following figure.

c. Press ‘Next’ to continue after pressing ‘Find’ like as following figure.

d. Check ‘read’ option only in access privilege and press ‘Next’ to continue. Then job will be completed after pressing ‘Finish’.

2. ‘DEXTUploadXSamples’ virtual directory setting

Example files are in DEXTUploadXSamples virtual directory. Example file is installed in “C:\Program files\DEVPIA\DEXTUploadX\Samples” by default. Please refer to following explanation.

a. Press ‘Next’ to continue after selecting ‘virtual directory’.

b. Press ‘Next’ to continue after inputting like as following figure.

c. Press ‘Next’ to continue after pressing ‘Find’ like as following figure.

d. Press ‘Next’ to continue after setting access privilege as basic value. Job will be completed after pressing ‘Finish’.

3. ‘DEXTUploadXSamplesData’ virtual directory setting

‘DEXTUploadXSamplesData’ is a virtual directory for ‘Simple Put Upload’ example. Files that are uploaded through ‘Simple Put Upload’ will be saved in this virtual directory.

a. Press ‘Next’ to continue after selecting ‘virtual directory’.

b. Press ‘Next’ to continue after inputting like as following figure.

c. Press ‘Next’ to continue after pressing ‘Find’ like as following figure.

d. Press ‘Next’ to continue after checking ‘read’ and ‘write’ in access privilege. Job will be completed after pressing ‘Finish’. Then you can write file uploaded by user in this virtual directory.


DEXTUploadX Environment Configuration

■ Removing DEXTUploadX from client

You don’t need to remove DEXTUploadX installed in client in case of general environment. But, when DEXTUploadX isn’t seen on screen normally, you may delete all items related to DEXTUploadX and install them again. In that case, please do as follows.

1. Deleting DEXTUploadX file

Classes that start with “DEXTUploadX.File…” are in “C:\WINDOWS\Downloaded Program Files”. Press right button and select ‘Remove’ to remove them all.

2. Deleting information related to DEXTUploadX from registry

When you are following above 1 process, information that should be removed may remains in registry at abnormal environment. Therefore, please remove following items all by executing regedit.exe.

a. HKEY_CLASSES_ROOT\AppID\{91E04684-522A-4E37-9D2E-D6DBB840B82A}

b. HKEY_CLASSES_ROOT\AppID\DEXTUploadX.DLL

c. HKEY_CLASSES_ROOT\CLSID\{2CD67378-380C-453D-9980-B537362B4D2E}

d. HKEY_CLASSES_ROOT\CLSID\{471678BB-F992-4BE6-9761-7767883E8619}

e. HKEY_CLASSES_ROOT\CLSID\{535AE497-8E85-45F8-AF36-2DFCBCA8B68A}

f. HKEY_CLASSES_ROOT\CLSID\{57646673-149D-43EB-B324-A21C7E6EAD52}

g. HKEY_CLASSES_ROOT\CLSID\{96A93E40-E5F8-497A-B029-8D8156DE09C5}

h. HKEY_CLASSES_ROOT\CLSID\{A46B2E63-6C1C-43B5-802C-50ACBEED7410}

i. HKEY_CLASSES_ROOT\CLSID\{A558FD14-6383-44D1-896D-1D7E4A750DE7}

j. HKEY_CLASSES_ROOT\CLSID\{A931D079-5631-4FDF-AB31-FFDA919BFA5E}

k. HKEY_CLASSES_ROOT\CLSID\{ACFFA142-E056-4C30-BD66-0C39C2979704}

l. HKEY_CLASSES_ROOT\CLSID\{B20754DD-93FF-4D7D-B557-99EDB553794B}

m. HKEY_CLASSES_ROOT\CLSID\{BCC55D08-497B-4B4E-A92B-23AD994F471C}

n. HKEY_CLASSES_ROOT\CLSID\{DF75BAFF-7DD5-4B83-AF5E-692067C90316}


DEXTUploadX Environment Configuration

■ When DEXTUploadX isn’t displayed on screen

When DEXTUploadX isn’t displayed on Internet Explorer normally, please check whether following files are damaged or don’t exist or not. If any one of following files doesn’t exist, DEXTUploadX won’t work correctly.

1. C:\Windows\System32\ADVAPI32.DLL

2. C:\Windows\System32\COMCTL32.DLL

3. C:\Windows\System32\CRYPT32.DLL

4. C:\Windows\System32\DEXTUPLOADX.DLL

5. C:\Windows\System32\GDI32.DLL

6. C:\Windows\System32\KERNEL32.DLL

7. C:\Windows\System32\MSASN1.DLL

8. C:\Windows\System32\MSVCRT.DLL

9. C:\Windows\System32\NTDLL.DLL

10. C:\Windows\System32\OLE32.DLL

11. C:\Windows\System32\OLEAUT32.DLL

12. C:\Windows\System32\RPCRT4.DLL

13. C:\Windows\System32\SHELL32.DLL

14. C:\Windows\System32\SHLWAPI.DLL

15. C:\Windows\System32\USER32.DLL

16. C:\Windows\System32\WININET.DLL

17. C:\Windows\System32\WS2HELP.DLL

18. C:\Windows\System32\WS2_32.DLL

19. C:\Windows\System32\UnicoWs.dll

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUploadX Programming

■ DEXTUploadX error handling method

Error handling for basic code is shown below.

<SCRIPT For = "FileUploadManager" Event = "OnError(nCode, sMsg, sDetailMsg)" LANGUAGE = "javascript">
OnFileManagerError(nCode, sMsg, sDetailMsg);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnFileManagerError(nCode, sMsg, sDetailMsg)
{
// Do error handling here.
}
</SCRIPT>

DEXTUploadX delivers three pieces of information that is, nCode, sMsg and sDetailMsg when “OnError” event occurs.

1. nCode is an error code and its kind is shown below.

20000000 ~
A general error that occurs when file to upload exceeded designated size etc Error message pertinent to this code mostly should be displayed for general users.

30000000 ~
System function error of windows It occurs when problem exists like as file is currently in use or user can’t use Internet etc. It should be displayed for general users selectively.

40000000 ~
An error message received from server It occurs when server has certain problem though client has no problem. Number after 40000 is server error code.(ex: 40000404 is ‘access error’)

50000000 ~
Error while communicating with broker process. It happens when broker process is deleted or not operating normally. Should show to general user selectively.

60000000 ~
Window System Algorithm error during broker process. It happens when the file is in use currently or when internet is not available. Should show to general user selectively.

2. sMsg is simple error message.

sMsg is a simple message that is displayed to user and it notifies that what error has occurred. Exact cause of this error is offered in sDetailMsg. In case of 40000000 error, it is title of page offered by server. In case of server error, if error message is displayed as just “Connection with server is abnormally exited”, there may be a possibility that file size to upload is 16KB. Because of HTTP’s structure, you just upload file whose size is below 16KB to receive error message occurred in server normally. Like this, you can deliver exact server side message to sDetailMsg, so it may be great help for you to identify problem exactly.

3. sDetailMsg is a message that notifies cause of error.

sDetailMsg notifies cause about occurred sMsg. sDetailMsg may not be offered according to kind of error. In case of 40000000 error, it will be actual contents of page sent from server.


DEXTUploadX Programming

■ DEXTUploadX basic file upload

DEXTUploadX’s file upload is done by FileUploadManager object and FileUploadMonitor object like below.

Figure 1>FileUploadManager

Figure 2> FileUploadMonitor

If you add file to FileUploadManager object and transfer it, FileUploadMonitor object is called. If you run Transfer again in FileUploadMonitor object, it transfers all files and form items received from FileUploadManager to designated server. You can use FileUploadMonitor as stand alone function without FileUploadManager. But, at this time, it don’t transfer form item automatically, so user should add form item by himself (herself).

1. Basic code of FileUploadManager

Code of most basic FileUploadManager except error process code is as follows.
.

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnTransfer_Click()">
winstyle="height=355,width=445, status=no,toolbar=no,menubar=no,location=no"
window.open "./FileUploadMonitor.htm",null,winstyle
</SCRIPT>
</HEAD>

<BODY>
<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0"
height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
</OBJECT>
</BODY>
</HTML>

Part displayed in blue color should be modified fit for version of each server and DEXTUploadX. If this value is wrong, DEXTUploadX isn’t displayed in IE.

If you press “Transfer” button in FileUploadManager, OnTransfer_Click() event occurs. User calls page in which FileUploadMonitor object exists when this event occurs.

2. Basic code of FileUploadMonitor

Code of most basic FileUploadMonitor except error process code is as follows.

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<script type="text/javascript" for="FileUploadMonitor" event="OnCreationComplete()">
OnLoading();
</script>

<script type="text/javascript">
function OnLoading()
{
document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamples/Upload/PostScript.asp";
document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items;
document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties;
}
</script>
</HEAD>

<BODY bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0>
<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5
CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
</OBJECT>
</BODY>
</HTML>

FileUploadMonitor and part displayed in blue color should be modified fit for version of each server and DEXTUploadX. If this value is wrong, DEXTUploadX isn’t displayed in IE.

UploadURL is a location of script that will process file transferred from DEXTUploadX.

When viewed from standpoint of DEXTUpload Professional, the fact that file is transferred is same for IE or DEXTUploadX. If you understand role of DEXTUploadX that transfers file and form data on behalf of IE, it will be help for you to write server script file. For script file, please refer to manual of pertinent server upload component (DEXTUpload Professionl, DEXTUpload.NET Professional etc).

Items receive file and form item deliverd by FileUploadManager. If you don’t set this property, FileUploadMonitor will run without any item.

Properties designate several properties (limitation of file size, limitation about number of items, lastly selected folder location etc) set by FileUploadManager. There is no such a big hindrance to work though you don’t set this property. But, we recommend that you set it as possible for convenience.

Initialization of DEXTUploadX is done when page is loaded as above example unlike some similar upload components have separate initialization event.

You can designate property like as UploadURL by <PARAM> type.


DEXTUploadX Programming

■ DEXTUploadX PUT file upload

Put-type accompanies many inconveniences for operations more than simple uploading of files unlike POST-type that processes uploaded files with separate script (ASP, ASP.NET) from server. Thus, DEVPIA recommends to use POST-type if possible. Only modify the following 2 sections from PUT-type file upload.

Sub OnLoading()
document.all("FileUploadMonitor").EnablePutMode = TRUE
document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamplesData"

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items
document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties
End Sub

Set EnablePutMode as TRUE and announce PUT mode.

Enter virtual directory of server to upload instead of location of script file at UploadURL. If transmission is completed then file is uploaded to prescribe location.

※ Basic environment setting under PUT-type upload

IIS of corresponding server should allow WebDAV when uploading in PUT-type (Only applicable for IIS6. IIS5 is not applicable.), 'All authorities' should be set at Everyone account at folder where uploaded files are saved (path at default installation C:\Program Files\DEVPIA\DEXTUploadX\samples\Data).


DEXTUploadX Programming

■ DEXTUploadX POST file upload

It is synchronized with DEXTUpload Pro basically when uploading in POST-type from DEXTUploadX.
There is limit in POST-type upload and implementation of other functions If only using DEXTUploadX.

State the path of server page and server page name to upload in POST-type at UploadURL as shown below. Change sections marked as Localhost to server address to use externally.

<SCRIPT LANGUAGE="VBS">
sub OnLoading()
' Must state Post Script file at UploadURL property as shown below for Post-type.
' When using port other then standard port,
' http://Localhost:8080/DEXTUploadX/Upload/PostScript.asp
' use in the same way as assigning general address as shown in.
document.all("FileUploadMonitor").UploadURL = http://Localhost/DEXTUploadXSamples/Upload/PostScript.asp
' Copies all files and form items of file manager control within the parent page of this page at file monitor control.
document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items
' Copies several properties (DefaultPath, Filter) of file manager at file monitor.
document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties
end sub
</SCRIPT>

DEXTUploadX transmits uploaded files in form name of ‘DEXTUploadX’.

The code below is section for saving several files being uploaded form DEXTUploadX when uploading in POST-type from DEXTUpload Pro.

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.AutoMakeFolder = TRUE
uploadform.DefaultPath="C:\TEMP"

For i = 1 To uploadform("DEXTUploadX").count
uploadform("DEXTUploadX")(i).save
Next

Set uploadform = Nothing
%>


DEXTUploadX Programming

■ Uploading DEXTUploadX folder structure

For uploading folder structure file, you just change one part only below in POST method.

Sub OnLoading()
document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamples/Upload/StructureFolderPostUpload.asp"

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items
document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties
End Sub

StructureFolderPostUpload.asp of UploadURL is a script that creats folder after receiving form data from DEXTUploadX.


DEXTUploadX Programming

■ Transferring DEXTUploadX form item

DEXTUploadX automatically transfers form items of all INPUT, SELECT and TEXTAREA types of page where FileUploadManager exists. If user want to add items except these form items, user should do as follows.

FileUploadManager.AddFormItem "UserAddText", "This is test text"

First factor of AddFormItem is name of form item. Second is value of form item.


DEXTUploadX Programming

■ Using DEXTUploadX file and form item

There are several methods that access file and form item added to DEXTUploadX. This is same for all objects.
Upload object (FileUploadManager, FileUploadMonitor) supports properties of Name, Size, Alias, UserDataA, UserDataB,
download object (FileDownloadManager, FileDownloadMonitor) supports properties of Name, Size.

1. Collection style

For Each FileItem In document.all("FileUploadManager")
MsgBox "File name: " & FileItem.Name
MsgBox "File size: " & FileItem.Size
MsgBox "Alias: " & FileItem.Alias
MsgBox "User data A: " & FileItem.UserDataA
MsgBox "User data B: " & FileItem.UserDataB
Next

File item has two properties (Name, Size). Collection style can use it like above. Collection style can only access file item. You should use index style to use form item.

2. Index style

For i = 1 to document.all("FileUploadMonitor").Count
MsgBox "File name: " & document.all("FileUploadMonitor")(i)
MsgBox "File size: " & document.all("FileUploadMonitor")(i).Size
MsgBox "Alias: " & document.all("FileUploadMonitor")(i).Alias
MsgBox "User data A: " & document.all("FileUploadMonitor")(i).UserDataA
MsgBox "User data B: " & document.all("FileUploadMonitor")(i).UserDataB
Next

Above example also obtains file size and name by accessing file item. Count property denotes overall number of files. If user wants to obtain form item not file, user should input name of pertinent form item into i displayed in blue color.

MsgBox "Name of form item " + document.all("FileUploadMonitor")("Name of form item")

If you input number into part displayed in blue color, it denotes location of files seen in list control box. If you input string as above, it denotes form item.


DEXTUploadX Programming

■ Using bulletin board modification (editing) function

DEXTUploadX supports editing function so that uploaded file also can be modified when posting is modified. Major code is as follows.

1. At FileUploadManager

// In order of unique value of item, file name to be displayed and file size.
FileUploadManager.AddUploadedFile "SN0001", "FileTest1.txt", 11111
FileUploadManager.AddUploadedFile "SN0002", "FileTest2.txt", 22222
FileUploadManager.AddUploadedFile "SN0003", "FileTest3.txt", 33333

AddUploadedFile is a method that adds file uploaded in server to FileUploadManager virtually. First factor is only one key that can identify pertinent file. This key can be physical path of file exists in server and can be Primary Key of file in DB. Server script identifies file using this key.

Second factor is file name to be displayed in FileUploadManager.

Third factor is file size to be displayed in FileUploadManager.

2. At FileUploadMonitor

Virtual file added to AddUploadedFile is invisible in list control of FileUploadMonitor. Virtual file isn’t actually uploaded, so it is excluded from FileUploadMonitor. If user modifies virtual file only and there is no file actually uploaded, DEXTUploadX displays error message that it has no file to transfer. You can use EnableEmptyFileUpload property to prevent this phenomenon. If you use EnableEmptyFileUpload, you can allow transfer of virtual file and form item though there is actually no file to upload.

<SCRIPT LANGUAGE="VBS">
sub OnLoading()
document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamples/Upload/AddUploadedFile/PostScript_AddUploadedFile.asp"
document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items
document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties

' If you should transfer form item only because there is actually no file to transfer, transfer it immediately without user agreement.
If 0 = document.all("FileUploadMonitor").Count then
document.all("FileUploadMonitor").EnableEmptyFileUpload = TRUE
document.all("FileUploadMonitor").Transfer
End If
end sub
</SCRIPT>

3. At PostScript.ASP

If user does transfer task in FileUploadMonitor, you can process file at server as follows.

For each UserFile in uploadform("DextuploadX")
Response.Write UserFile.FileName
Next

For each UploadedItem in uploadform("DEXTUploadX_Uploaded")
Response.Write UploadedItem
Next

For each DeleteItem in uploadform("DEXTUploadX_Deleted_Uploaded")
Response.Write DeleteItem
Next

First For Each phrase is something like that it processes general file uploaded.

Second, at third For Each, form name is “DEXTUploadX_Uploaded” and “DEXTUploadX_Deleted_Uploaded” respectively. These two forms aren’t file item, but general text forms. That is, they have unique key value only designated in AddUploadedFile method without function like as Save etc.

“DEXTUploadX_Uploaded” is a unique key list of virtual files that are added to FileUploadManager through AddUploadedFile and then exist as they are.

“DEXTUploadX_Deleted_Uploaded” is a unique key list of virtual files that are added to FileUploadManager through AddUploadedFile and then deleted. That is, mostly users delete files pertinent to unique key that exists in DEXTUploadX_Deleted_Uploaded.


DEXTUploadX Programming

■ Using it in multi language environment

DEXTUploadX supports perfect Unicode for Windows 98 as well as Windows NT series. One CAB file supports two OS altogether, so there is a merit in version management. Following describes code added for unicode.

1. At FileUploadMonitor

<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
.
.
.
document.all("FileUploadMonitor").CodePage = 65001

Basically, you just set code page property of FileUploadMonitor. Furthermore, you should modify ‘Charset’ in order that character of web page is displayed correctly. Above example is designated as unicode. Designating Chinese or Japanese etc is also possible.

1. At PostScript

set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.CodePage = 65001

All components used in server script have different methods for each. You just set value pertinent to code page like above at DEXTUpload Professional.


DEXTUploadX Programming

■ Basic file download

File download of DEXTUploadX is done by FileDownloadManager object and FileDownloadMonitor object like as file upload.

Figure 1> FileDownloadManager

Figure 2> FileDownloadMonitor

If you add file to FileDownloadManager object, file is added with check box is in checked state. Detailed code is shown below.

1. Basic code of FileDownloadManager

Code of most basic FileDownloadManager except error process code is as follows.

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<script type="text/javascript" for="FileDownloadManager" event="OnCreationComplete()">
OnLoading();
</script>

<script type="text/javascript">
function OnLoading()
{
// URL of file, file size, file name(file name can be omitted), folder path(folder path can be omitted)
document.all("FileDownloadManager").AddFile("http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst", 10000000);
document.all("FileDownloadManager").AddFile("http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile2.tst", 20000000);
document.all("FileDownloadManager").AddFile("http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile3.tst", 30000000, "DevpiaTest3.tst");
}

function OpenDownloadMonitor()
{
winstyle= "height=445,width=445, status=no,toolbar=no,menubar=no,location=no";
window.open("FileDownloadMonitor.htm", null, winstyle);
}
</script>
</HEAD>

<BODY>
<OBJECT ID="FileDownloadManager" height="200" width="450"
CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0"
CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A"></OBJECT>

<INPUT type="button" value=" Displaying download monitor window " onclick="OpenDownloadMonitor()">
</BODY>
</HTML>

You should set part displayed in blue color fit for each server.

You can add file to download using AddFile method of FileDownloadManager.

First factor is file address. This address doesn’t need to be one server. That is, you can designate so that you can download from several file servers.

Second factor is file size. User should designate this. You should input file size in byte unit exactly.

Third factor is file name to be displayed in FileDownloadManager and it is an option. If you don’t input it, file name designated in first factor is used.


DEXTUploadX Programming

■ Using download file item

Download objects can access file item by same method for upload object. But because of nature of download, part related to form item is excepted.

1. Collection style

For Each FileItem In document.all("FileDownloadManager")
MsgBox "File name " + FileItem.Name + " File size " & FileItem.Size & " URL " + FileItem.URL
Next

File item has three properties (Name, Size, URL). You can use it in collection style like above.

2. Index style

For I = 1 to document.all("FileDownloadManager").TotalCount
MsgBox "File name " + document.all("FileDownloadManager")(i) + "File size " & document.all("FileDownloadManager")(i).Size & " URL " + document.all("FileDownloadManager")(i).URL
Next

Above example also obtains file size and name by accessing file item. TotalCount property denotes overall number of files.


DEXTUploadX Object Reference

■ SelectedFileCount property

Property
Read

Type
LONG

Description
Number of the selected files among files added to FileUploadManager.

Example

alert(document.all("FileUploadManager").SelectedFileCount);


■ SelectedFileSize property

Property
Read

Type
LONG

Description

Size of the selected files among files added to FileUploadManager.

Example

alert(document.all("FileUploadManager").SelectedFileSize);


■ MessageModeForAddFileproperty

Property
Write

Type
String

Description
Setting up type of warning message caused by limiting properties only if users add file using "Add File" button of FileUploadManager or OpenFileDialog method.
But if users add file using "Add Folder" button and Drag&Drop, message is displayed only once and file-adding has stopped at this time.

Style

MSG_ONLYONE – Message is displayed only once when file-adding is limited by limiting properties for the first time, and file-adding doesn't proceed any more at this time.

MSG_EACH – Message caused by limiting properties is always displayed, and all files will be added except limited files.

Example

<OBJECT id="FileUploadManager" codeBase=http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0 height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="MessageModeForAddFile" VALUE="MSG_ONLYONE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DisplayMessageForFilter property

Property
Write

Type
Boolean

Description
Setting up whether or not the exception event will occur when file-adding is limited by Filter or Rfilter property.
Default is FALSE.

Example

<OBJECT id="FileUploadManager" codeBase=http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0 height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="DisplayMessageForFilter" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DefaultPath property

Property
Read/Write

Type
String

Description
Initial location of dialog when user opens file selection dialog If it isn’t designated, folder that user lastly accessed will be default.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="DefaultPath" VALUE="C:\Temp">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ Filter property

Property
Read/Write

Type
String

Description
Filter string that is applied to all addition task of files and folders.
Default is "all file|*.*|"

Example

<PARAM NAME="Filter" VALUE="All Files|*.*|Image Files|*.jpg;*.jpeg;*.gif;*.bmp|">


■ Rfilter property

Property
Read/Write

Type
String

Description
Opposite function of Filter property and files corresponding with registered extensions are not added.

Example

<PARAM NAME="RFilter" VALUE="*.jpg;*.jpeg;*.bmp">


■ Items property

Property
Read

Type
Variant

Description
FileUploadManager use it to deliver form data and file to FileUploadMonitor.

Example

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items


■ Properties property

Property
Read

Type
Variant

Description
Transfers 6 properties of FileUploadManager (DefaultPath, Filter, RFilter, MaxCount, MaxFileSize, MaxTotalSize) to FileUploadMonitor.
DEXTUpload Pro Extension version transfers “EnableLargeUpload” property as well.

Example

document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties


■ ButtonVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show four buttons located at right side in FileUploadManager or not.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ButtonVisible" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ StatusBarVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show or notstatus bar located at below FileUploadManager.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="StatusBarVisible" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableAddFileButton property

Property
Read/Write

Type
BOOL

Description
It activates and de-activates ‘Add file’ button located at right side in FileUploadManager.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableAddFileButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableAddFolderButton property

Property
Read/Write

Type
BOOL

Description
It activates and de-activates ‘Add folder’ button located at right side in FileUploadManager.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableAddFolderButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableAutoIncludeFormItems property

Property
Read

Type
BOOL

Description
Sets not to automatically transmit form data information of the entire input type on pages with FileUploadManager.

Default is TRUE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableAutoIncludeFormItems" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableDeleteButton property

Property
Read/Write

Typess
BOOL

Description
It activates and de-activates ‘Delete item’ button located at right side in FileUploadManager.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableDeleteButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableLargeUpload property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
BOOL

Description
Supports large-capacity upload (more than 2GB). Default is FALSE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" height="200" width="450" classid="CLSID:4FCFCDC8-346B-4d35-A001-C92AA3775BBB" VIEWASTEXT>
<PARAM NAME="EnableLargeUpload" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableTransferButton property

Property
Read/Write

Type
BOOL

Description
It activates and de-activates ‘Transfer’ button located at right side in FileUploadManager.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableTransferButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableDownloadButton property

Property
Read/Write

Type
BOOL

Description
It activates and de-activates ‘Download’ button located at right side in FileUploadManager.

Example

document.getElementById("FileUploadManager").EnableDownloadButton = false;


■ DownloadButtonVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show 'Download' button in FileUploadManager or not. Default is FALSE.

Example

document.getElementById("FileUploadManager").DownloadButtonVisible= true;


■ EnableDragDrop property

Property
Write

Type
BOOL

Description
Activate/deactivate functions to Drag&Drop files and folders onto List Control of FileUploadManager.

Default is TRUE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableDragDrop" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnablePHPFILES property

Property
Write

Type
BOOL

Description
It supports POST type upload without separate Server Component (DEXTUpload Pro) by interlocking with “HTTP_POST_FILES”, “_FILES” provided by PHP.

Default is FALSE..

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnablePHPFILES" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableSortByColumn property

Property
Write

Type
BOOL

Description
Support sorting ListView by the column name.
Default is FALSE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="EnableSortByColumn" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ImageURL property

Property
Write

Type
String

Description
URL of the background image that the URL should be HTTP path.

Example

document.all("FileUploadManager").ImageURL = "http://Localhost/DEXTUploadXSamples/img/ListViewBkImage.bmp"


■ XOffsetPercentOfImage property

Property
Write

Type
Long

Description
Percentage of the ListView's client area that the image should be offset horizontally. (Offset Percentage)
Default is 50%.

Example

document.all("FileUploadManager").XOffsetPercentOfImage = 50


■ YOffsetPercentOfImage property

Property
Write

Type
Long

Description
Percentage of the ListView's client area that the image should be offset vertically. (Offset Percentage)
Default is 50%.

Example

document.all("FileUploadManager").YOffsetPercentOfImage = 50


■ ListViewStyle property

Property
Read/Write

Type
String

Description
Changing list view style. Basic style is LVS_REPORT.

Style

LVS_REPORT | - Report style that shows detailed information of the file.
LVS_LIST | - List style that shows brief information of the file.
LVS_ICON | - Icon style that shows brief information of the file.
LVS_SMALLICON | - Small icon style that shows brief information of the file.
LVS_EX_REPORT | - This is a style removing the header in LVS_REPORT style.

Example

document.getElementById("FileUploadManager").ListViewStyle = "LVS_EX_REPORT";


■ ListViewSortStyle property

Property
Read

Type
String

Description
Assigns alignment of ListView when files are added. Files are added at ListView in sequential order of file addition if not assigned.

Style

ASC – Style of arranging in ascending order on files.
DESC – Style of arranging in descending order on files.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ListViewSortStyle" VALUE="ASC">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewLineStyle property

Property
Read/Write

Type
BOOL

Description
Setting up visible status of list view line, and it can be expressed only when list view style is LVS_REPORT.
Initial value is TRUE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ListViewLineStyle" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewFileStyle property

Property
Read/Write

Type
String

Description
Changes display style of file added on list view. Default style is LVFS_FILEPATH.

Style

LVFS_FILEPATH | - Style showing the whole path of files on list view.
LVFS_FILENAME | - Style showing only names of files on list view.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ListViewFileStyle" VALUE="LVFS_FILENAME">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewBkColor property

Property
Write

Type
String

Description
Changing background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no designated background color.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ListViewBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextColor property

Property
Write

Type
String

Description
Changing text color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no designated color.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ListViewTextColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextBkColor property

Property
Write

Type
String

Description
Changing text background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no designated background color.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="ListViewTextBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewFileNameColumnWidth property

Property
Read/Write

Type
LONG

Description
Changing a width size of a filename column of listview in FileUploadManager.

Example

document.getElementById("FileUploadManager").ListViewFileNameColumnWidth = 100;


■ ListViewFileSizeColumnVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show a filesize column of listview in FileUploadManager or not.

Example

document.getElementById("FileUploadManager").ListViewFileSizeColumnVisible = false;


■ VisibleListViewFrame property

Property
Read/Write

Type
BOOL

Description
Setting up visible status of outline of list view. Initial value is TRUE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="VisibleListViewFrame" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ VisibleContextMenu property

Property
Read/Write

Type
BOOL

Description
Setting up visible status of Context Menu of list view. Initial value is TRUE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="VisibleContextMenu" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ Count property

Property
Read

Type
LONG

Description
Number of files added to FileUploadManager object by user.

Example

alert("Number of all files :" + document.all("FileUploadManager").Count);


■ CheckResume property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read/Write

Type
BOOL

Description
Resumed uploading can be selected if large-capacity upload is activated.
Default is FALSE.

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" height="200" width="450" classid="CLSID:4FCFCDC8-346B-4d35-A001-C92AA3775BBB" VIEWASTEXT>
<PARAM NAME="CheckResume" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxCount property

Property
Read/Write

Type
LONG

Description
Maximum number of files can be added to FileUploadManager

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="MaxCount" VALUE="10">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxFileSize property

Property
Read/Write

Type
LONG

Description
Maximum size of each file that can be added to FileUploadManager

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="MaxFileSize" VALUE="10000">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxTotalSize property

Property
Read/Write

Type
LONG

Description
Maximum size of all files that can be added to FileUploadManager

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>
<PARAM NAME="MaxTotalSize" VALUE="100000">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ Size property

Property
Read

Type
LONG

Description
Size of all files added to FileUploadManager object

Example

alert("Size of all files :" + document.all("FileUploadManager").Size);


■ PreviewVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show a image preview located at left side in FileUploadManager or not.

Example

document.getElementById("FileUploadManager").PreviewVisible = true;


■ PreviewWidth property

Property
Read/Write

Type
LONG

Description
Changing a width size of a image preview. Default is 100 pixel. (Min. 50 pixel, Max. 500 pixel)

Example

document.getElementById("FileUploadManager").PreviewWidth = 200;


■ EnablePreviewDragDrop property

Property
Read/Write

Type
BOOL

Description
Activate/deactivate functions to Drag&Drop files onto the image preview. Default is FALSE.

Example

document.getElementById("FileUploadManager").EnablePreviewDragDrop = true;


■ EnablePreviewExecute property

Property
Read/Write

Type
BOOL

Description
Activate/deactivate functions to execute the image file by double-clicking on the image preview. Defalut is FALSE.

Example

document.getElementById("FileUploadManager").EnablePreviewExecute = true;


■ EnablePreviewTooltip property

Property
Read/Write

Type
BOOL

Description
Activate/deactivate functions to show a tooltip in the image preview. Defalut is FALSE.

Example

document.getElementById("FileUploadManager").EnablePreviewTooltip = true;


■ FileDialogTitle property

Property
Read/Write

Type
String

Description
Change the title of a file dialog.

Example

document.getElementById("FileUploadManager").FileDialogTitle = “FileDialog”;


■ FolderDialogTitle property

Property
Read/Write

Type
String

Description
Change the title of a folder dialog.

Example

document.getElementById("FileUploadManager").FolderDialogTitle = “FolderDialog”;


■ CustomExecute property

Property
Read/Write

Type
BOOL

Description
Downloads files to temporary folder of a client computer when "Execution" menu is selected from pop-up menu of FileUploadManager and executes file through execution file connected with extention of the said file.

Default is FALSE, CustomExecute property has priority over OpenWindow property.

Example

<OBJECT ID="FileUploadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3.2.0.0" CLASSID="CLSID:B0250CBD-2F67-45b1-9AC1-E846CF0A12C5">
<PARAM NAME="CustomExecute" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ UseTempFilenameForExecute property

Property
Read

Type
BOOL

Description
If you set the FALSE, run with the original filename.(default)

Example

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>

<PARAM NAME=”CustomExecute” VALUE=”TRUE”>
<PARAM NAME="UseTempFilenameForExecute" VALUE="FALSE">

</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ AddFile method

Type

AddFile(FilePath, Alias, UserDataA, UserDataB, ResumeDirPath, TransferedFileSize)

FilePath – Physical path of file existing in client
Alias – Another name of FilePath
UserDataA – User random additional data to be transmitted to server on FilePath
UserDataB - User random additional data to be transmitted to server on FilePath
ResumeDirPath – Assigns directory created when executing resumed uploading
TransferedFileSize – The size of temporary file created at server when executing resume uploading (in BYTE)

Description
Adds files in client to FileUploadManager. Generally, it is rare to use this method since the user adds files by selecting.

Example

document.all("FileUploadManager").AddFile("C:\Temp\Test.zip");
document.all("FileUploadManager").AddFile("C:\Temp\Test.zip", "Alias.htm");
document.all("FileUploadManager").AddFile("C:\Temp\Test.zip", "Alias.htm", "이것은 사용자가 입력한 임의의 데이터 입니다");
document.all("FileUploadManager").AddFile("C:\Temp\Test.zip", "Alias.htm", "이것은 사용자가 입력한 임의의 데이터 입니다", "이것은 사용자가 입력한 임의의 데이터 입니다");
document.all("FileUploadManager").AddFile("C:\Temp\Test.zip", "", "", "이것은 사용자가 입력한 임의의 데이터 입니다");

// Enters information on file being resumed when uploading again when the browsers are closed.
// Essential input parameters are FilePath, ResumeDirPath, TransferedFileSize.
document.all("FileUploadManager").AddFile("C:\Temp\Test.zip", "", "", "", "C:\Temp\DXT59071198331196", 30000000);


■ AddFolder method

Type

AddFolder(FolderPath)

FolderPath - Physical path of folder that exists in client

Return value

Description
It adds file within client folder to FileUploadManager. You will rarely use this method because mostly user select and add file

Example

document.all("FileUploadManager").AddFolder(“C:\Temp”);


■ AddFormItem method

Type

AddFormItem(FormName, FormValue);

FormName – Name of form item.
FormValue – Value of form item.

Return value

Description
DEXTUploadX automatically transfers all form items of INPUT, SELECT and TEXTAREA types of page on which FileUploadManager exists. If user needs additional form item, use this method.

Example

FileUploadManager.AddFormItem "UserAddText", "This is test text"


■ AddUploadedFile method

Type

AddUploadedFile (Index , Filename , Size , FileUrl)

Index – Only one key that can identify virtual file item added
FilePath – File name to be displayed in FileUploadManager
Size – File size to be displayed in FileUploadManager
FileUrl – Physical server-path of a displayed file.

Return value

Description
A method that adds virtual file to FileUploadManager You can implement modification mode of bulletin board using this method. For details, please refer to ‘bulletin board modification (editing) function use’ part of DEXTUploadX programming. You can download files if you set the last parameter.

Example

document.getElementById("FileUploadManager").AddUploadedFile(“SN0001”,”Test1.txt”,1111,”http://Localhost/sample/Test1.txt”);
document.getElementById("FileUploadManager").AddUploadedFile(“SN0002”,”Test2.txt”,2222);
document.getElementById("FileUploadManager").AddUploadedFile(“SN0003”,”Test3.txt”,3333);

///////////////////////////////////////////////////////////////////////

For each UserFile in uploadform("DextuploadX")
Response.Write UserFile.FileName
Next

For each UploadedItem in uploadform("DEXTUploadX_Uploaded")
Response.Write UploadedItem
Next

For each DeleteItem in uploadform("DEXTUploadX_Deleted_Uploaded")
Response.Write DeleteItem
Next

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DeleteFile method

Type

DeleteFile(FilePath)

FilePath - Physical path of file that exists in client

Return value

Description
You can delete file item added by AddFile method.

Example

document.all("FileUploadManager").DeleteFile(“C:\Temp\Test.htm”);


■ DeleteAllFile method

Type

DeleteAllFile()

Return value

Description
Deletes all files in FileUploadManager.

Example

document.all("FileUploadManager").DeleteAllFile();


■ DeleteFolder method

Type

DeleteFolder(FolderPath)

FolderPath - Physical path of folder that exists in client

Return value

Description
It deletes folder in client. Deleting user’s folder may be dangerous mostly. You should be careful about using this method.

Example

document.all("FileUploadManager").DeleteFolder (“C:\Temp”);


■ DeleteFormItem method

Type

DeleteFormItem(FormName)

FormName – Name of form item to delete

Return value

Description
It deletes form item added by AddFormItem.

Example

FileUploadManager.DeleteFormItem "UserAddText"


■ DeleteSelectedFile method

Type

DeleteSelectedFile(Index)

Index - Index of files to delete

Return value

Description
If value is not entered in Index, it will delete selected files in FileUploadManager. Its function is the same as 'Delete' button located on the right side of FileUploadManager.
Deletes files matching with index among files added in FileUploadManager if correct value of greater than 0 is entered in Index.

Example

document.all("FileUploadManager").DeleteSelectedFile(); // Its function is the same as 'Delete' button located on the right side of FileUploadManager.
document.all("FileUploadManager").DeleteSelectedFile( 3 ); // Deletes a third file among files added in FileUploadManager.


■ DeleteUploadedFile method

Type

DeleteUploadedFile(Index)

Index – Only one key that can identify virtual file item to delete

Return value

Description
A method that deletes virtual item added to FileUploadManager by using AddUploadedFile

Example

FileUploadManager.DeleteUploadedFile "SN0003"


■ DownloadExecute method

Type

Execute()

Description
It executes the selected file among the added files.

Example

document.getElementById("FileUploadManager").Execute();


■ IsSelectedFile method

Type

[Boolean = ] IsSelectedFile(Index)

Index – Index of file

Return value
Boolean - In case of selected file, return TRUE.

Description
Check whether or not the file of this index is selected.

Example

for(i=0; i<document.all["FileUploadManager"].Count; i++)

{

if(document.all["FileUploadManager"].IsSelectedFile(i) == true)

{

alert("FileName: " + document.all["FileUploadManager"](i+1) +

"\n\nFileSize: " + document.all["FileUploadManager"](i+1).Size +

"\n\nAlias: " + document.all["FileUploadManager"](i+1).Alias);

}
}


■ OpenFileDialog method

Type

OpenFileDialog()

Return value

Description
It shows file selection dialog screen. It has same function with ‘Add file’ button located at right side in FileUploadManager.

Example

document.all("FileUploadManager").OpenFileDialog();


■ OpenFolderDialog method

Type

OpenFolderDialog()

Return value

Description
It shows folder selection dialog screen. It has same function with ‘Add folder’ button located at right side in FileUploadManager.

Example

document.all("FileUploadManager").OpenFolderDialog();


■ Transfer method

Type

Transfer()

Return value

Description
It generates transfer event. It has same function with ‘Transfer’ button located at right side of FileUploadManager.

예제

<HTML>
<HEAD>
<SCRIPT LANGUAGE="javascript">
function btnTransfer_onclick()
{
document.all("FileUploadManager").Transfer();
}
</SCRIPT>

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnTransfer_Click()">
winstyle="height=355,width=445, status=no,toolbar=no,menubar=no,location=no"
window.open "./FileUploadMonitor.htm",null,winstyle
</SCRIPT>
</HEAD>

<BODY>
<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT></OBJECT>
<P><INPUT type="button" value="Transfer event occurs" onclick="btnTransfer_onclick()"></P>
</BODY>
</HTML>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MoveFileUp method

Type

MoveFileUp(nIndex)

nIndex – Range to move

Description
Moves files in ListView upwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileUploadManager"].MoveFileUp(3);


■ MoveFileDown method

Type

MoveFileDown(nIndex)

nIndex – Range to move

Description
Moves files in ListView downwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileUploadManager"].MoveFileDown(3);


■ OnCreationComplete event

Type

OnCreationComplete()

Description
It occurs when FileUploadManager object is created.

Example

var creationComplete = false;

function SetCreationComplete(_creationComplete)

{

creationComplete = _creationComplete;

}

function IsCreationComplete()

{

return creationComplete;

}

function OnLoad()

{

if(false == IsCreationComplete())

{

return;

}

FileUploadManager.Transfer();
}

<script language="javascript" for="FileUploadManager" event="OnCreationComplete()">

SetCreationComplete(true);

</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnAddFile_Click event

Type

OnAddFile_Click()

Description
User clicked ‘Add file’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnAddFile_Click()">
Msgbox "OnAddFile_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnAddFolder_Click event

Type

OnAddFolder_Click()

Description
User clicked ‘Add folder’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnAddFolder_Click()">
Msgbox "OnAddFolder_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnChangedStatus event

Type

OnChangedStatus(LONG nFileCount, LONG nFileSize)

nFileCount – Number of all files
nFileSize – Size of all files

Description
It occurs when file is added or deleted. User can know current state of added file of FileUploadManager in this event.

Example

<SCRIPT FOR="FileUploadManager" Event="OnChangedStatus(nFileCount, nFileSize)" LANGUAGE="javascript">
OnChangedStatus(nFileCount, nFileSize);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnChangedStatus(nFileCount, nFileSize)
{
alert("Current number of file :" + nFileCount);
alert("Current file size :" + nFileSize);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDelete_Click event

Type

OnDelete_Click()

Description
User clicked ‘Delete file’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnDelete_Click()">
Msgbox "OnDelete_Click event occurs "
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDownload_Click event

Type

OnDownload_Click()

Description
User clicked ‘Download’ button.

Example

<script text="text/javascript" for="FileUploadManager" event="OnDownload_Click()">
alert("OnDownload_Click event occur")
</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnExecute_Click event

Type

OnExecute_Click()

Description
User clicked ‘Execute’ button.

Example

<script text="text/javascript" for="FileUploadManager" event="OnExecute_Click()">
alert("OnExecute_Click event occur")
</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnError event

Type

OnError(ErrorCode, sMsg, sDetailMsg)

Code - It is error code and its kind is shown below.

20000000 ~
A general error that occurs when file to upload exceeded designated size etc Error message pertinent to this code mostly should be displayed for general users.

30000000 ~
System function error of windows It occurs when problem exists like as file is currently in use or user can’t use Internet etc. It should be displayed for general users selectively.

40000000 ~
An error message received from server It occurs when server has certain problem though client has no problem. Number after 40000 is server error code.
(ex: 40000404 is ‘access error’)

sMsg - sMsg is a simple message that is displayed to user and it notifies that what error has occurred. Exact cause of this error is offered in sDetailMsg. In case of 40000000 error, it is title of page offered by server. In case of server error, if error message is displayed as just “Connection with server is abnormally exited”, there may be a possibility that file size to upload is 16KB. Because of HTTP’s structure, you just upload file whose size is below 16KB to receive error message occurred in server normally. Like this, you can deliver exact server side message to sDetailMsg, so it may be great help for you to identify problem exactly.

sDetailMsg - sDetailMsg notifies cause about occurred sMsg. sDetailMsg may not be offered according to kind of error. In case of 40000000 error, it will be actual contents of page sent from server.

Example

<SCRIPT For = "FileUploadManager" Event = "OnError(nCode, sMsg, sDetailMsg)" LANGUAGE = "javascript">
OnFileManagerError(nCode, sMsg, sDetailMsg);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnFileManagerError(nCode, sMsg, sDetailMsg)
{
// Do error handling here.
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransfer_Click event

Type

OnTransfer_Click()

Description
User pressed ‘Transfer’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnTransfer_Click()">
Msgbox "OnTransfer_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDouble_Click event

Type

OnDouble_Click()

Description
User double-clicks on ‘list view’.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnDouble_Click()">
Msgbox "Occurrence of OnDouble_Click event "
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnFile_DoubleClick event

Type

OnFile_DoubleClick()

Description
It happens when the user double-clicks file item in list control. nItemIndex is an index of double-clicked file item.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnFile_DoubleClick(nItemIndex)">
Msgbox document.all("FileUploadManager")(nItemIndex).Name
Msgbox document.all("FileUploadManager")(nItemIndex).Size
Msgbox document.all("FileUploadManager")(nItemIndex).Alias
Msgbox document.all("FileUploadManager")(nItemIndex).UserDataA
MsgBox document.all("FileUploadManager")(nItemIndex).UserDataB
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ SelectedFileCount property

Property
Read

Type
LONG

Description
Number of the selected files among files added to FileUploadMonitor.

Example

alert(document.all("FileUploadMonitor").SelectedFileCount);


■ SelectedFileSize property

Property
Read

Type
LONG

Description

Size of the selected files among files added to FileUploadMonitor.

Example

alert(document.all("FileUploadMonitor").SelectedFileSize);


■ MessageModeForAddFileproperty

Property
Write

Type
String

Description
Setting up type of warning message caused by limiting properties only if users add file using "Add File" button of FileUploadMonitor or OpenFileDialog method.
But if users add file using "Add Folder" button and Drag&Drop, message is displayed only once and file-adding has stopped at this time.

Style

MSG_ONLYONE – Message is displayed only once when file-adding is limited by limiting properties for the first time, and file-adding doesn't proceed any more at this time.

MSG_EACH – Message caused by limiting properties is always displayed, and all files will be added except limited files.

Example

<OBJECT id="FileUploadMonitor" codeBase=http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0 height="200" width="450" classid="CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="MessageModeForAddFile" VALUE="MSG_ONLYONE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DisplayMessageForFilter property

Property
Write

Type
Boolean

Description
Setting up whether or not the exception event will occur when file-adding is limited by Filter or Rfilter property.
Default is FALSE.

Example

<OBJECT id="FileUploadMonitor" codeBase=http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0 height="200" width="450" classid="CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="DisplayMessageForFilter" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CodePage property

Property
Read/Write

Type
LONG

Description
Code page for multi language support. Input pertinent language code.

Example

<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
.
.
.
document.all("FileUploadMonitor").CodePage = 65001


■ DefaultPath property

Property
Read/Write

Type
String

Description
An initial position of dialog when user opens file selection dialog If not designated, default will be a folder that user accessed lastly.

Example

<OBJECT id="FileUploadMonitor" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID: 96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="DefaultPath" VALUE="C:\Temp">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ UploadURL property

Property
Read/Write

Type
String

Description
In case of POST method, it is script file position of server. In case of PUT method, it is virtual path position of server where file will be saved.

Example

document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamples/Upload/PostScript.asp"


■ UseClientRegistry property

Property
Read/Write

Type
BOOL

Description
It determines whether check status of opening folder received after completion, resume download, closing window after completion of transmission and duplicated file processing will be set according to value saved in client registry.

If UseClientRegistry property value is TRUE, value inputted as property of opening folder received after completion, resume download, closing window after completion of transmission and duplicated file processing will be ignored.

Default is FALSE.

Example

document.all("FileUploadMonitor").UseClientRegistry = TRUE


■ Filter property

Property
Read/Write

Type
String

Description
A filter string that is applied to all additions of file and folder

Default is "all file|*.*|".

Example

<PARAM NAME="Filter" VALUE="All Files|*.*|Image Files|*.jpg;*.jpeg;*.gif;*.bmp|">


■ RFilter property

Property
Read/Write

Type
String

Description
Opposite function of Filter property and files corresponding with registered extentions are not added.

Example

<PARAM NAME="RFilter" VALUE="*.jpg;*.jpeg;*.bmp">


■ Items property

Property
Write

Type
Variant

Description
FileUploadMonitor use this to receive form data and file from FileUploadManager. You can’t input Items property as “PARAM” property of FileUploadMonitor “ OBJECT” tag.

Example

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items


■ Properties property

Property
Write

Type
Variant

Description
Receives 6 properties of FileUploadManager (DefaultPath, Filter, RFilter, MaxCount, MaxFileSize, MaxTotalSize) from FileUploadMonitor.

Can not enter Properties with "PARAM" property of FileUploadMonitor “OBJECT” tag.

DEXTUpload Pro Extension version transfers “EnableLargeUpload” property as well.

Example

document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties


■ EnableEmptyFileUpload property

Property
Read/Write

Type
BOOL

Description
When there is no file for user to transmit actually, that is, form item only exists, DEXTUploadX doesn’t upload file. If you set EnableEmptyFileUpload to TRUE, you can set so that user can transmit form item only.

Example

document.all("FileUploadMonitor").EnableEmptyFileUpload = TRUE


■ EnablePutMode property

Property
Read/Write

Type
BOOL

Description
It determines whether you use PUT upload mode or not. Default is FALSE and POST upload is used.

Example

document.all("FileUploadMonitor").EnablePutMode = TRUE
document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamplesData"


■ EnableOverwriteModeForPutUpload property

Property
Read/Write

Type
BOOL

Description
This is to select "Overwrite" mode on the same file name that exists on server from PUT type upload. Initial value is FALSE.

Example

<OBJECT id="FileUploadMonitor" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID: 96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="EnableOverwriteModeForPutUpload" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableLargeUpload property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
BOOL

Description
Supports large-capacity upload (more than 2GB). Default is FALSE.

Example

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" VIEWASTEXT>
<PARAM NAME="EnableLargeUpload" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableDragDrop property

Property
Write

Type
BOOL

Description
Activate/deactivate functions to Drag&Drop files and folders onto List Control of FileUploadManager.

Default is TRUE.

Example

<OBJECT id="FileUploadMonitor" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID: 96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="EnableDragDrop" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnablePHPFILES property

Property
Write

Type
BOOL

Description
It supports POST type upload without separate Server Component (DEXTUpload Pro) by interlocking with “HTTP_POST_FILES”, “_FILES” provided by PHP.

Default is FALSE.

Example

<OBJECT id="FileUploadMonitor" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID: 96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="EnablePHPFILES" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableSortByColumn property

Property
Write

Type
BOOL

Description
Support sorting ListView by the column name.
Default is FALSE.

Example

<OBJECT id="FileUploadMonitor" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID: 96A93E40-E5F8-497A-B029-8D8156DE09C5" VIEWASTEXT>
<PARAM NAME="EnableSortByColumn" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ LastSaveFileName property

Property
Read

Type
String

Description
This is the information on actual file name that is stored on server after completion of PUT type file upload.

Example

Dim UploadedFileName
Dim UploadedFileSize
Dim UploadedFileCount
Dim i

UploadedFileName = Split(document.all("FileUploadMonitor").LastSaveFileName, "||")
UploadedFileSize = Split(document.all("FileUploadMonitor").LastSaveFileSize, "||")
UploadedFileCount = document.all("FileUploadMonitor").LastSaveFileCount

For i=0 to UploadedFileCount
Msgbox "Name of " & i+1 & "th file: " & UploadedFileName(i)
Msgbox "Size of " & i+1 & "th file: " & UploadedFileSize(i)
Next

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ LastSaveFileSize property

Property
Read

Type
String

Description
This is the information on actual file size that is stored on server after completion of PUT type file upload.

Example

Dim UploadedFileName
Dim UploadedFileSize
Dim UploadedFileCount
Dim i

UploadedFileName = Split(document.all("FileUploadMonitor").LastSaveFileName, "||")
UploadedFileSize = Split(document.all("FileUploadMonitor").LastSaveFileSize, "||")
UploadedFileCount = document.all("FileUploadMonitor").LastSaveFileCount

For i=0 to UploadedFileCount
Msgbox "Name of " & i+1 & "th file: " & UploadedFileName(i)
Msgbox "Size of " & i+1 & "th file: " & UploadedFileSize(i)
Next

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ LastSaveFileCount property

Property
Read

Type
LONG

Description
This is the actual number of files that are stored on server after completion of PUT type file upload, and this value is not valid if the value of “EnableOverwriteModeForPutUpload” property is TRUE.

Example

Dim UploadedFileName
Dim UploadedFileSize
Dim UploadedFileCount
Dim i

UploadedFileName = Split(document.all("FileUploadMonitor").LastSaveFileName, "||")
UploadedFileSize = Split(document.all("FileUploadMonitor").LastSaveFileSize, "||")
UploadedFileCount = document.all("FileUploadMonitor").LastSaveFileCount

For i=0 to UploadedFileCount
Msgbox "Name of " & i+1 & "th file: " & UploadedFileName(i)
Msgbox "Size of " & i+1 & "th file: " & UploadedFileSize(i)
Next

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableProxy property

Property
Read/Write

Type
BOOL

Description
It determines whether you use Proxy server or not. ProxyName, UserID, UserPassword etc should be set together.

Example

document.all("FileUploadMonitor").EnableProxy = TRUE
document.all("FileUploadMonitor").ProxyName = "ProxyServerName"
document.all("FileUploadMonitor").UserID = "UserID"
document.all("FileUploadMonitor").UserPassword = "UserPassword"


■ ProxyName property

Property
Read/Write

Type
String

Description
It sets name of proxy server.

Example

document.all("FileUploadMonitor").EnableProxy = TRUE
document.all("FileUploadMonitor").ProxyName = "ProxyServerName"
document.all("FileUploadMonitor").UserID = "UserID"
document.all("FileUploadMonitor").UserPassword = "UserPassword"


■ EnableSSL property

Property
Read/Write

Type
BOOL

Description
It determines whether you use SSL or not. Default is FALSE.

Example

document.all("FileUploadMonitor").EnableSSL = TRUE


■ UserID property

Property
Read/Write

Type
String

Description
If explicit login, not guest account, is required, it inputs user ID.

Example

document.all("FileUploadMonitor").UserID = "UserID"
document.all("FileUploadMonitor").UserPassword = "UserPassword"


■ UserPassword property

Property
Read/Write

Type
String

Description
If explicit login, not guest account, is required, it inputs user password.

Example

document.all("FileUploadMonitor").UserID = "UserID"
document.all("FileUploadMonitor").UserPassword = "UserPassword"


■ EnableAddFileButton property

Property
Read/Write

Type
BOOL

Description
Activate/deactivate ‘add file’ button located on the right side of FileUploadMonitor.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="EnableAddFileButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableAddFolderButton property

Property
Read/Write

Type
BOOL

Description
Activate/deactivate ‘add folder’ button located on the right side of FileUploadMonitor.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="EnableAddFolderButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableDeleteButton property

Property
Read/Write

Type
BOOL

Description
Activate/deactivate ‘delete item’ button located on the right side of FileUploadMonitor.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="EnableDeleteButton" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ VisibleAutoCloseWindow property

Property
Read/Write

Type
BOOL

Description
It determines visualization status of window close checkbox after completion of transmission.

If you set EnableAutoCloseWindow property when you didn’t explicitly input VisibleAutoCloseWindow property, it has same effect that you set VisibleAutoCloseWindow property to TRUE.

Default is TRUE..

Example

document.all("FileUploadMonitor").VisibleAutoCloseWindow = TRUE


■ EnableAutoCloseWindow property

Property
Read/Write

Type
BOOL

Description
It determines activation status of window close checkbox after completion of transmission.

If you set EnableAutoCloseWindow property when you didn’t explicitly input VisibleAutoCloseWindow property, it has same effect with that you set VisibleAutoCloseWindow property to TRUE. Default is TRUE.

Example

document.all("FileUploadMonitor").EnableAutoCloseWindow = TRUE


■ CheckAutoCloseWindow property

Property
Read/Write

Type
BOOL

Description
It determines check status of window close checkbox after completion of transmission.

It can set check status regardless of VisibleAutoCloseWindow and EnableAutoCloseWindow properties setting. Default is FALSE.

Example

document.all("FileUploadMonitor").CheckAutoCloseWindow = TRUE


■ ListViewStyle property

Property
Read/Write

Type
String

Description
Changing list view style. Initial style is LVS_REPORT.

Style

LVS_REPORT | - Report style that shows detailed information of the file.
LVS_LIST | - List style that shows brief information of the file.
LVS_ICON | - Icon style that shows brief information of the file.
LVS_SMALLICON | - Small icon style that shows brief information of the file.
LVS_EX_REPORT | - This is a style removing the header in LVS_REPORT style.

Example

document.getElementById("FileUploadMonitor").ListViewStyle = "LVS_EX_REPORT";


■ ListViewSortStyle property

Property
Read

Type
String

Description
Assigns alignment of ListView when files are added. Files are added at ListView in sequential order of file addition if not assigned.

Style

ASC – Style of arranging in ascending order on files.

DESC – Style of arranging in descending order on files.

Example

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="ListViewSortStyle" VALUE="ASC">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewLineStyle property

Property
Read/Write

Type
BOOL

Description
Setting up line visible status of list view, and it can be expressed only when list view style is LVS_REPORT.
Initial value is TRUE.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="ListViewLineStyle" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewFileStyle property

Property
Read/Write

Type
String

Description
Changes display style of file added on list view. Default style is LVFS_FILEPATH.

Style

LVFS_FILEPATH | - Style showing the whole path of files on list view.
LVFS_FILENAME | - Style showing only names of files on list view.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="ListViewFileStyle" VALUE="LVFS_FILENAME">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextBkColor property

Property
Write

Type
String

Description
Changing text background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no text background color is selected.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="ListViewTextBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextColor property

Property
Write

Type
String

Description
Changing text color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no text color is selected.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="ListViewTextColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewFileNameColumnWidth property

Property
Read/Write

Type
LONG

Description
Changing a width size of a filename column of listview in FileUploadMonitor.

Example

document.getElementById("FileUploadMonitor").ListViewFileNameColumnWidth = 100 ;


■ ListViewFileSizeColumnVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show a filesize column of listview in FileUploadMonitor or not.

Example

document.getElementById("FileUploadMonitor").ListViewFileSizeColumnVisible = false;


■ EnableEncryption property

Property
Read/Write

Type
BOOL

Description
Setting up status of enabling encryption. Initial value is FALSE.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="EnableEncryption" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ PrefixForEncryption property

Property
Write

Type
String

Description
It is a prefix to classify encrypted file. If you don’t input string, it is encrypted as original file name.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="PrefixForEncryption" VALUE="DEXTENC_">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxLengthForEncryptionPassword property

Property
Write

Type
LONG

Description
It sets up the maximum length of password for encryption. If not defined, up to 32 digits can be inserted.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="MaxLengthForEncryptionPassword" VALUE="12">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUploadX - PercentOfTotalEncryptionFile

■ PercentOfTotalEncryptionFile property

Property
Read

Type
LONG

Description
It shows encryption progress of the whole files in percentage, and is used to express progress bar.

Example

alert("Encryption progress of the whole files: " + document.all("FileUploadMonitor").PercentOfTotalEncryptionFile);


■ MaxCount property

Property
Read/Write

Type
LONG

Description
Maximum number of file that can be added to FileUploadMonitor

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="MaxCount" VALUE="10">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxTotalSize property

Property
Read/Write

Type
LONG

Description
Maximum size of overall file that can be added to FileUploadMonitor

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME=" MaxTotalSize " VALUE="100000">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxFileSize property

Property
Read/Write

Type
LONG

Description
Maximum size of separate file that can be added to FileUploadMonitor

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="MaxFileSize" VALUE="10000">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ Count property

Property
Read

Type
LONG

Description
Number of files that user added to FileUploadMonitor object

Example

alert("overall file number of:" + document.all("FileUploadMonitor ").Count);


■ CurrentCount property

Property
Read

Type
LONG

Description
Number of uploading file

Example

alert("Number of uploading file: " + document.all("FileUploadMonitor").CurrentCount);


■ Size property

Property
Read

Type
LONG

Description
Size of all files added to FileUploadMonitor object

Example

alert("overall file size:" + document.all("FileUploadMonitor").Size);


■ CurrentSize property

Property
Read

Type
LONG

Description
Size of uploading file

Example

alert("Size of uploading file: " + document.all("FileUploadMonitor").CurrentSize);


■ TransferedSizeOfTotalFile property

Property
Read

Type
LONG

Description
transferred size of the whole files

Example

alert("transferred size of the whole files: " + document.all("FileUploadMonitor").TransferedSizeOfTotalFile);


■ TransferedSizeOfCurrentFile property

Property
Read

Type
LONG

Description
Transferred size of file being uploaded

Example

alert("Transferred size of file being uploaded: " + document.all("FileUploadMonitor").TransferedSizeOfCurrentFile);


■ PercentOfTotalFile property

Property
Read

Type
LONG

Description
It shows upload progress of the whole files in percentage, and is used to express progress bar.

Example

alert("Upload progress of the whole files: " + document.all("FileUploadMonitor").PercentOfTotalFile);


■ PercentOfCurrentFile property

Property
Read

Type
LONG

Description
It shows uploading progress of files being uploaded in percentage, and is used to express progress bar.

Example

alert("Uploading progress of files being uploaded: " + document.all("FileUploadMonitor").PercentOfCurrentlFile);


■ ElapsedTime property

Property
Read

Type
String

Description
It shows progress time of upload in string calculated by hour, minute, and second. (example, 01:22:15)

Example

alert("Progress time: " + document.all("FileUploadMonitor").ElapsedTime);


■ RemainingTime property

Property
Read

Type
String

Description
It shows time to finish uploading in string calculated by hour, minute, and second. (example, 01:22:15)

Example

alert("Remaining time: " + document.all("FileUploadMonitor").RemainingTime);


■ BytesPerSec property

Property
Read

Type
String

Description
Number of byte transferred per second, and it means transfer speed.

Example

var CurrentSpeed = document.all["FileUploadMonitor"].BytesPerSec;

if(1 < CurrentSpeed/1000.0/1000.0/1000.0) {

CurrentSpeed = CurrentSpeed / (1024*1024*1024);

alert("Transfer speed: " + CurrentSpeed + GB);
}

else if(1 < CurrentSpeed/1000.0/1000.0) {

CurrentSpeed = CurrentSpeed / (1024*1024);

alert("Transfer speed: " + CurrentSpeed + MB); ";

}

else if(1 < CurrentSpeed/1000.0) {

CurrentSpeed = CurrentSpeed / 1024;

alert("Transfer speed: " + CurrentSpeed + KB);
}

else {
alert("Transfer speed: " + CurrentSpeed + Bytes);

}


■ CurrentFileName property

Property
Read

Type
String

Description
Name of uploading file

Example

alert("Name of uploading file: " + document.all("FileUploadMonitor").CurrentFileName);


■ CheckResume property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read/Write

Type
BOOL

Description
Resumed uploading can be selected if large-capacity upload is activated. Default is FALSE.

Example

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" VIEWASTEXT>
<PARAM NAME="CheckResume" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CheckTransSpeed property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
BOOL

Description
Limits transmission speed within supported bandwidth. Default is FALSE.

Example

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" VIEWASTEXT>
<PARAM NAME="CheckTransSpeed" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxTransSpeed property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
LONG

Description
Decides the maximum size of file to transfer per second by using MaxTransSpeed property when CheckTransSpeed property is TRUE. input unit is BYTE.

Example

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:5C935DF7-976A-47f6-B148-20FD62F1C988 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" VIEWASTEXT>
<PARAM NAME="MaxTransSpeed" VALUE="65536">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DialogBoxMode property

Property
Read

Type
String

Description
Supports various UI types of FileUploadMonitor when FileUploadMonitor is generated.

Style

DLG_LISTVIEW – Supports ListView type UI.

DLG_SIMPLE – Supports simpler UI then existing FileUploadMonitor.

Example

<OBJECT id=FileUploadMonitor height=355 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5 CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="DialogBoxMode" VALUE=" DLG_LISTVIEW">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ResponseData property

Property
Read

Type
String

Description
It is possible to view results Data handed over from server page after completing upload.

Example

alert(document.all("FileUploadMonitor").ResponseData);


■ EnableTransFormItems property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Write

Type
BOOL

Description
When large-capacity upload is activated, decides transmission of form data information of the entire input type on pages with FileUploadManager. Default is TRUE.

Example

document.all("FileUploadMonitor").EnableTransFormItems = FALSE


■ FileDialogTitle property

Property
Read/Write

Type
String

Description
Change the title of a file dialog.

Example

document.getElementById("FileUploadMonitor").FileDialogTitle = “FileDialog”;


■ FolderDialogTitle property

Property
Read/Write

Type
String

Description
Change the title of a folder dialog.

Example

document.getElementById("FileUploadMonitor").FolderDialogTitle = “FolderDialog”;


■ IsSelectedFile method

Type

[Boolean = ] IsSelectedFile(Index)

Index – Index of file

Return value
Boolean - In case of selected file, return TRUE.

Description
Check whether or not the file of this index is selected.

Example

for(i=0; i<document.all["FileUploadMonitor"].Count; i++)

{

if(document.all["FileUploadMonitor"].IsSelectedFile(i) == true)

{

alert("FileName: " + document.all["FileUploadMonitor"](i+1) +

"\n\nFileSize: " + document.all["FileUploadMonitor"](i+1).Size +

"\n\nAlias: " + document.all["FileUploadMonitor"](i+1).Alias);

}
}


■ AddFile method

Type

AddFile(FilePath, Alias, UserDataA, UserDataB)

FilePath – Physical path of file that exists in client
Alias - Another name of FilePath
UserDataA - Additional data by user to be transmitted to server on FilePath
UserDataB - Additional data by user to be transmitted to server on FilePath

Return value

Description
It adds file in client to FileUploadMonitor. You will rarely use this method because mostly user select and add file.

Example

document.all("FileUploadMonitor").AddFile("C:\Temp\Test.htm");
document.all("FileUploadMonitor").AddFile("C:\Temp\Test.htm", "Alias.htm");
document.all("FileUploadMonitor").AddFile("C:\Temp\Test.htm", "Alias.htm", "This is data inputted by user");
document.all("FileUploadMonitor").AddFile("C:\Temp\Test.htm", "Alias.htm", "This is data inputted by user", "This is data inputted by user");
document.all("FileUploadMonitor").AddFile("C:\Temp\Test.htm", , , "This is data inputted by user");


■ AddFormItem method

Type

AddFormItem(FormName, FormValue);

FormName – Name of form item.
FormValue – Value of form item.

Return value

Description
If user needs additional form item, use this method.

Example

FileUploadMonitor.AddFormItem "UserAddText", "This is test text"


■ CloseWindow method

Type

CloseWindow()

Return value

Description
It exits web browser on which FileUploadMonitor exists. But, if message box etc is displayed when exiting, exit will fail.

Example

FileUploadMonitor.CloseWindow

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DeleteSelectedFile method

Type

DeleteSelectedFile(Index)

Index – Index of file to delete

Description
Deletes files selected from FileUploadMonitor if value is not entered at Index. It has the same function as 'Delete' button located on the right-side of FileUploadMonitor.

Deletes files corresponding with index among files added at FileUploadMonitor if value of more than 0 is entered at Index.

Example

document.all("FileUploadMonitor").DeleteSelectedFile();// It has the same function as 'Delete' button located on the right-side of FileUploadMonitor.
document.all("FileUploadMonitor ").DeleteSelectedFile( 3 ); // Deletes files at third location among files added at FileUploadMonitor.


■ OpenFileDialog method

Type

OpenFileDialog()

Description
Shows file selection dialogue screen. It has the same function as 'File Add' button located on the right-side of FileUploadMonitor.

Example

document.all("FileUploadMonitor").OpenFileDialog();


■ OpenFolderDialog method

Type

OpenFolderDialog()

Description
Shows folder selection dialogue screen. It has the same function as 'Folder Add' button located on the right-side of FileUploadMonitor.

Example

document.all("FileUploadMonitor").OpenFolderDialog();


■ DeleteFormItem method

Type

DeleteFormItem(FormName)

FormName – Name of form item to delete

Return value

Description
It deletes form item added by AddFormItem.

Example

FileUploadMonitor.DeleteFormItem "UserAddText"


■ DeleteAllFile method

Type

DeleteAllFile()

Return value

Description
Deletes all files in FileUploadMonitor.

Example

document.all("FileUploadMonitor").DeleteAllFile();


■ Transfer method

Type

Transfer()

Return value

Description
It starts transfer of file and form item. It has same effect as if user clicks ‘Transfer’ button.

Example

document.all("FileUploadMonitor").Transfer();


■ Cancel method

Type

Cancel()

Return value

Description
Stops transfer. If it’s already stopped, it closes transfer window. It has the same effect as clicking on ‘Cancel/Close’ button by user.

Example

document.all("FileUploadMonitor").Cancel();


■ MoveFileUp method

Type

MoveFileUp(nIndex)

nIndex – Range to move

Description
Moves files in ListView upwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileUploadMonitor"].MoveFileUp(3);


■ MoveFileDown method

Type

MoveFileDown(nIndex)

nIndex – Range to move

Description
Moves files in ListView downwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileUploadMonitor"].MoveFileDown(3);


■ OnCreationComplete event

Type

OnCreationComplete()

Description
It occurs when FileUploadMonitor object is created.

Example

var creationComplete = false;

function SetCreationComplete(_creationComplete)

{

creationComplete = _creationComplete;

}

function IsCreationComplete()

{

return creationComplete;

}

function OnLoad()

{

if(false == IsCreationComplete())

{

return;

}

FileUploadMonitor.Transfer();
}

<script language="javascript" for="FileUploadMonitor" event="OnCreationComplete()">

SetCreationComplete(true);

</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnAddFile_Click event

Type

OnAddFile_Click()

Description
User clicked ‘Add file’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnAddFile_Click()">
Msgbox "OnAddFile_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnAddFolder_Click event

Type

OnAddFolder_Click()

Description
User clicked ‘Add folder’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnAddFolder_Click()">
Msgbox "OnAddFolder_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnChangeStatus event

Type

OnChangedStatus(LONG nFileCount, LONG nFileSize)

nFileCount – Number of all files
nFileSize – Size of all files

Description
It occurs when file is added or deleted. User can know current state of added file in FileUploadMonitor from this event.

Example

<SCRIPT FOR="FileUploadMonitor" Event="OnChangedStatus(nFileCount, nFileSize)" LANGUAGE="javascript">
OnChangedStatus(nFileCount, nFileSize);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnChangedStatus(nFileCount, nFileSize)
{
alert("Current number of file :" + nFileCount);
alert("Current file size :" + nFileSize);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnCloseWIndow event

Type

OnCloseWIndow()

Description
It notifies that FileUploadMonitor will be exited.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnCloseWIndow()">
Msgbox "Close window."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDelete_Click event

Type

OnDelete_Click()

Description
User clicked ‘Delete file’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnDelete_Click()">
Msgbox "OnDelete_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnEndProc event

Type

OnEndProc()

Description
It shows of all operations of DEXTUploadX insides being completed.

OnEndProc events are later then OnTransferComplete events occur.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event=" OnEndProc()">
Msgbox "DEXTUploadX all operations were completed."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnEndTransferringItem event

Type

OnEndTransferringItem(LONG nItemIndex, BOOL bSuccess)

nItemIndex – Index number of file item where transfer begins from
bSuccess – – Whether transfer succeeds or not

Description
It notifies that transfer of one file item is exited. nItemIndex is index of pertinent file and it can obtain information of pertinent file like as FileUploadMonitor(nItemIndex).Name.

Example

<SCRIPT FOR="FileUploadMonitor" Event="OnEndTransferringItem(nItemIndex, bSuccess)" LANGUAGE="javascript">
OnEndTransferringItem(nItemIndex, bSuccess);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnEndTransferringItem(nItemIndex, bSuccess)
{
alert("Item index of transfer end :" + nItemIndex);
alert("Whether transfer succeeds or not :" + bSuccess);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnError event

Type

OnError(ErrorCode, sMsg, sDetailMsg)

Code - It is error code and its kind is shown below.

20000000 ~
A general error that occurs when file to upload exceeded designated size etc Error message pertinent to this code mostly should be displayed for general users.

30000000 ~
System function error of windows It occurs when problem exists like as file is currently in use or user can’t use Internet etc. It should be displayed for general users selectively.

40000000 ~
An error message received from server It occurs when server has certain problem though client has no problem. Number after 40000 is server error code.
(ex: 40000404 is ‘access error’)

sMsg - sMsg is a simple message that is displayed to user and it notifies that what error has occurred. Exact cause of this error is offered in sDetailMsg. In case of 40000000 error, it is title of page offered by server. In case of server error, if error message is displayed as just “Connection with server is abnormally exited”, there may be a possibility that file size to upload is 16KB. Because of HTTP’s structure, you just upload file whose size is below 16KB to receive error message occurred in server normally. Like this, you can deliver exact server side message to sDetailMsg, so it may be great help for you to identify problem exactly.

sDetailMsg - sDetailMsg notifies cause about occurred sMsg. sDetailMsg may not be offered according to kind of error. In case of 40000000 error, it will be actual contents of page sent from server.

Example

<SCRIPT For = "FileUploadMonitor" Event = "OnError(nCode, sMsg, sDetailMsg)" LANGUAGE = "javascript">
OnFileUploadMonitorError(nCode, sMsg, sDetailMsg);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnFileUploadMonitorError(nCode, sMsg, sDetailMsg)
{
// Do error handling here.
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnStartTransferringItem event

Type

OnStartTransferringItem(LONG nItemIndex)

nItemIndex – Index number of file item where transfer begins from

Description
It notifies that transfer of one file item will begin. nItemIndex is index of pertinent file and it can obtain information of pertinent file like as FileUploadMonitor(nItemIndex).Name.

Example

<SCRIPT FOR="FileUploadMonitor" Event="OnStartTransferringItem(nItemIndex)" LANGUAGE="javascript">
OnStartTransferringItem(nItemIndex);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnStartTransferringItem(nItemIndex)
{
alert("Item index that transfer begins :" + nItemIndex);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransfer_Click event

Type

OnTransfer_Click()

Description
User pressed ‘Transfer’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnTransfer_Click()">
Msgbox "OnTransfer_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransferCancel event

Type

OnTransferCancel()

Description
It notifies that user clicked stop button or transfer is cancelled due to server side error.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnTransferCancel()">
Msgbox "Transfer is cancelled."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransferComplete event

Type

OnTransferComplete()

Description
Transfer is completed. This denotes that transfer is completed without error successfully.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnTransferComplete()">
Msgbox "Transfer is completed."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransferPause event (Only applicable on DEXTUpload Pro Extension.)

Type

OnTransferPause()

Description
Occurs when pause is selected by user when large-capacity upload, resume upload are activated.

Example

<SCRIPT LANGUAGE="Java Script" for="FileUploadMonitor" event="OnTransferPause()">
Alert ("Upload is paused.");
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnStartEncryption event

Type

OnStartEncryption()

Description
Encryption has started.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnStartEncryption()">
Msgbox "Occurrence of OnStartEncryption event "
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnCancelEncryption event

Type

OnCancelEncryption()

Description
Encryption is cancelled by user clicking on stop button or some other errors.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnCancelEncryption()">
Msgbox "Encryption is cancelled."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnCompleteEncryption event

Type

OnCompleteEncryption()

Description
Encryption is completed. It means encryption is completed without any error.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnCompleteEncryption()">
Msgbox "Encryption is completed."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDouble_Click event

Type

OnDouble_Click()

Description
User double-clicks on ‘list view’.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnDouble_Click ()">
Msgbox "Occurrence of OnDouble_Click event"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnFile_DoubleClick event

Type

OnFile_DoubleClick()

Description
It happens when the user double-clicks file item in list control. nItemIndex is an index of double-clicked file item.

Example

<SCRIPT LANGUAGE="VBS" for="FileUploadMonitor" event="OnFile_DoubleClick(nItemIndex)">
Msgbox document.all("FileUploadMonitor")(nItemIndex).Name
Msgbox document.all("FileUploadMonitor")(nItemIndex).Size
Msgbox document.all("FileUploadMonitor")(nItemIndex).Alias
Msgbox document.all("FileUploadMonitor")(nItemIndex).UserDataA
MsgBox document.all("FileUploadMonitor")(nItemIndex).UserDataB
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CheckedFileCount property

Property
Read

Type
LONG

Description
Number of the selected files among files added to FileDownloadManager.

Example

alert(document.all("FileDownloadManager").CheckedFileCount();


■ CheckedFileSize property

Property
Read

Type
LONG

Description

Size of the checked files among files added to FileDownloadManager.

Example

alert(document.all("FileDownloadManager").CheckedFileSize);


■ SelectedFileCount property

Property
Read

Type
LONG

Description
Number of the selected files among files added to FileDownloadManager.

Example

alert(document.all("FileDownloadManager").SelectedFileCount);


■ SelectedFileSize property

Property
Read

Type
LONG

Description

Size of the selected files among files added to FileDownloadManager.

Example

alert(document.all("FileDownloadManager").SelectedFileSize);


■ Items property

Property
Read

Type
Variant

Description
FileDownloadManager use this to deliver form data and file to FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").Items = opener.document.all("FileDownloadManager").Items


■ OpenWindow property

Property
Write

Type
BOOL

Description
When you select “Run” menu in popup menu of FileDownloadManager, it determines whether you run it on new window or not.

Default is FALSE. (It runs in current window)

Example

document.all("FileDownloadManager").OpenWindow = TRUE


■ StatusBarVisible property

Property
Read/Write

Type
BOOL

Description
Determines whether you display status bar located at lower part of FileDownloadManager or not.

Example

document.all("FileDownloadManager").StatusBarVisible = TRUE


■ SelectedCount property

Property
Read

Type
LONG

Description
Number of files that is added to and selected in FileDownloadManager.

Example

document.all("FileDownloadManager").SelectedCount


■ SelectedSize property

Property
Read

Type
LONG

Description
Size of files that is added to and selected in FileDownloadManager.

Example

document.all("FileDownloadManager").SelectedSize


■ TotalCount property

Property
Read

Type
LONG

Description
Number of all files added to FileDownloadManager.

Example

document.all("FileDownloadManager").TotalCount


■ TotalSize property

Property
Read

Type
LONG

Description
Size of all files added to FileDownloadManager.

Example

document.all("FileDownloadManager").TotalSize


■ ListViewStyle property

Property
Read/Write

Type
String

Description
Changing style of list view. Basic style is LVS_REPORT.

Style

LVS_REPORT | - Report style that shows details of the file.
LVS_LIST | - List style that shows brief information of the file.
LVS_ICON | - Icon style that shows brief information of the file.
LVS_SMALLICON | - Small icon style that shows brief information of the file.
LVS_EX_REPORT | - This is a style removing the header in LVS_REPORT style.

Example

document.getElementById("FileDownloadManager").ListViewStyle = "LVS_EX_REPORT";


■ ListViewLineStyle property

Property
Read/Write

Type
BOOL

Description
Setting up visible status of line of list view, and it can be expressed only when list view style is LVS_REPORT.
Initial value is TRUE.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="ListViewLineStyle" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewBkColor property

Property
Write

Type
String

Description
Changing background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no designated color.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="ListViewBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextColor property

Property
Write

Type
String

Description
Changing text color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no designated color.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="ListViewTextColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextBkColor property

Property
Write

Type
String

Description
Changing text background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no designated color.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="ListViewTextBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewFileNameColumnWidth property

Property
Read/Write

Type
LONG

Description
Changing a width size of a filename column of listview in FileDownloadManager.

Example

document.getElementById("FileDownloadManager").ListViewFileNameColumnWidth = 100;


■ ListViewFileSizeColumnVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show a filesize column of listview in FileDownloadManager or not.

Example

document.getElementById("FileDownloadManager").ListViewFileSizeColumnVisible = false;


■ VisibleListViewFrame property

Property
Read/Write

Type
BOOL

Description
Setting up visible status of outline of list view. Initial value is TRUE.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="VisibleListViewFrame" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ VisibleContextMenu property

Property
Read/Write

Type
BOOL

Description
Setting up visible status of list view Context Menu. Initial value is TRUE.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="VisibleContextMenu" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ VisibleDownloadCheckbox property

Property
Read

Type
BOOL

Description
Sets activation of check box on ListView when FileDownloadManager is generated. Default is TRUE.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="VisibleDownloadCheckbox" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CustomExecute property

Property
Read

Type
BOOL

Description
Downloads files to temporary folder of a client computer when "Execution" menu is selected from pop-up menu of FileDownloadManager and executes file through execution file connected with extention of the said file.

Default is FALSE, CustomExecute property has priority over OpenWindow property.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" CLASSID="CLSID:B0250CBD-2F67-45b1-9AC1-E846CF0A12C5">
<PARAM NAME="CustomExecute" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ImageURL property

Property
Write

Type
String

Description
URL of the background image that the URL should be HTTP path.

Example

document.all("FileDownloadManager").ImageURL = "http://Localhost/DEXTUploadXSamples/img/ListViewBkImage.bmp"


■ XOffsetPercentOfImage property

Property
Write

Type
Long

Description
Percentage of the ListView's client area that the image should be offset horizontally. (Offset Percentage)
Default is 50%.

Example

document.all("FileDownloadManager").XOffsetPercentOfImage = 50


■ YOffsetPercentOfImage property

Property
Write

Type
Long

Description
Percentage of the ListView's client area that the image should be offset vertically. (Offset Percentage)
Default is 50%.

Example

document.all("FileDownloadManager").YOffsetPercentOfImage = 50


■ EnableSortByColumn property

Property
Write

Type
BOOL

Description
Support sorting ListView by the column name.
Default is FALSE.

Example

<OBJECT ID="FileDownloadManager" height="200" width="450" CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:535AE497-8E85-45F8-AF36-2DFCBCA8B68A">
<PARAM NAME="EnableSortByColumn" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ UseTempFilenameForExecute property

Property
Read

Type
BOOL

Description
If you set the FALSE, run with the original filename.(default)

Example

<OBJECT id="FileDownloadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version= 3,2,9,0" height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>

<PARAM NAME=”CustomExecute” VALUE=”TRUE”>
<PARAM NAME="UseTempFilenameForExecute" VALUE="FALSE">

</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ IsCheckedFile method

Type

[Boolean = ] IsCheckedFile(Index)

Index – Index of file

Return value
Boolean - In case of selected file, return TRUE.

Description
Check whether or not the file of this index is checked.

Example

for(i=0; i<document.all["FileDownloadManager"].Count; i++)

{

if(document.all["FileDownloadManager"].IsCheckedFile(i) == true)

{

alert("FileName: " + document.all["FileDownloadManager"](i+1) +

"\n\nFileSize: " + document.all["FileDownloadManager"](i+1).Size);

}
}


■ IsSelectedFile method

Type

[Boolean = ] IsSelectedFile(Index)

Index – Index of file

Return value
Boolean - In case of selected file, return TRUE.

Description
Check whether or not the file of this index is selected.

Example

for(i=0; i<document.all["FileDownloadManager"].Count; i++)

{

if(document.all["FileDownloadManager"].IsSelectedFile(i) == true)

{

alert("FileName: " + document.all["FileDownloadManager"](i+1) +

"\n\nFileSize: " + document.all["FileDownloadManager"](i+1).Size);

}
}


■ AddFile method

Type

AddFile(BSTR FileURL, LONG nFileSize, BSTR FileName, BSTR DirectoryName)

FileURL - Address of file This address doesn’t need to be one server. That is, you can designate so that you can download from several file servers.
nFileSize - File size. User should designate this. You should input file size in byte unit exactly.
FileName - File name to be displayed in FileDownloadManager and it is an option. If you don’t input it, file name designated in first factor is used.
DirectoryName – A folder path for downloading folder structure It is an option. If you don't input it, folder structure won't be created. (Ex, "\Temp\Temp1\")

Return value

Description
You can add file to download using AddFile method of FileDownloadManager.

Example

document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst", 10000000
document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile2.tst", 20000000, "DevpiaTest3.tst"
document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile3.tst", 30000000, "UserDirectory.tst", "\Temp\Temp1\"
document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile4.tst", 10000000, "", "\Temp\Temp1\Temp2\"


■ DeleteFile method

Type

DeleteFile(BSTR FileURL)

FileURL - URL to delete used in AddFile.

Return value

Description
You can delete file item added by AddFile method.

Example

document.all("FileDownloadManager").DeleteFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst"


■ DeleteAllFile method

Type

DeleteAllFile()

Description
Deletes all files in FileDownloadManager.

Example

document.all("FileDownloadManager").DeleteAllFile();


■ DeleteSelectedFile method

Type

DeleteSelectedFile(Index)

Index – Index of file to delete

Description
Deletes files selected from FileUploadMonitor if value is not entered at Index. It has the same function as 'Delete' button located on the right-side of FileUploadMonitor.
Deletes files corresponding with index among files added at FileUploadMonitor if value of more than 0 is entered at Index.

Example

document.all("FileDownloadManager").DeleteSelectedFile(); // It has the same function as 'Delete' button located on the right-side of FileUploadMonitor.
document.all("FileDownloadManager").DeleteSelectedFile( 3 ); // Deletes files at third location among files added at FileUploadMonitor.


■ SelectAll method

Type

SelectAll()

Return value

Description
It selects all files added to FileDownloadManager.

Example

document.all("FileDownloadManager").SelectAll


■ UnselectAll method

Type

UnselectAll()

Return value

Description
It unselects all files added to FileDownloadManager.

Example

document.all("FileDownloadManager").UnselectAll


■ MoveFileUp method

Type

MoveFileUp(nIndex)

nIndex – Range to move

Description
Moves files in ListView upwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileDownloadManager"].MoveFileUp(3);


■ MoveFileDown method

Type

MoveFileDown(nIndex)

nIndex – Range to move

Description
Moves files in ListView downwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileDownloadManager"].MoveFileDown(3);


■ OnCreationComplete event

Type

OnCreationComplete()

Description
It occurs when FileDownloadManager object is created.

Example

var creationComplete = false;

function SetCreationComplete(_creationComplete)

{

creationComplete = _creationComplete;

}

function IsCreationComplete()

{

return creationComplete;

}

function OnLoad()

{

if(false == IsCreationComplete())

{

return;

}

FileDownloadManager.document.all["FileDownloadManager"].AddFile("http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst", 10000000);
}

<script language="javascript" for="FileDownloadManager" event="OnCreationComplete()">

SetCreationComplete(true);

</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnChangedStatus event

Type

OnChangedStatus(LONG nFileCount, LONG nFileSize, LONG nSelectedFileCount, LONG nSelectedFileSize)

nFileCount – Number of all files
nFileSize – Size of all files
nSelectedFileCount – nSelected fileCount – Number of selected files
nSelectedFileSize – Size of selected file

Description
It occurs when file is added or selected/cancelled or deleted User can check the status on current file in FileUploadMonitor from this event.

Example

<SCRIPT FOR="FileDownloadManager" Event="OnChangedStatus(nFileCount, nFileSize, nSelectedFileCount, nSelectedFileSize)" language="javascript">
OnChangedStatus(nFileCount, nFileSize, nSelectedFileCount, nSelectedFileSize);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnChangedStatus(nFileCount, nFileSize, nSelectedFileCount, nSelectedFileSize)
{
alert("Number of all files: " + nFileCount);
alert("Size of all files: " + nFileSize);
alert("Number of selected file: " + nSelectedFileCount);
alert("Size of selected file: " + nSelectedFileSize);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDownload_Click event

Type

OnDownload_Click()

Decription
User clicked ‘download’ in popup menu.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadManager" event="OnDownload_Click()">
Msgbox "OnDownload_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnError event

Type

OnError(ErrorCode, sMsg, sDetailMsg)

Code - It is error code and its kind is shown below.

20000000 ~
A general error that occurs when file to upload exceeded designated size etc Error message pertinent to this code mostly should be displayed for general users.

30000000 ~
System function error of windows It occurs when problem exists like as file is currently in use or user can’t use Internet etc. It should be displayed for general users selectively.

40000000 ~
An error message received from server It occurs when server has certain problem though client has no problem. Number after 40000 is server error code.
(ex: 40000404 is ‘access error’)

sMsg - sMsg is a simple message that is displayed to user and it notifies that what error has occurred. Exact cause of this error is offered in sDetailMsg. In case of 40000000 error, it is title of page offered by server. In case of server error, if error message is displayed as just “Connection with server is abnormally exited”, there may be a possibility that file size to upload is 16KB. Because of HTTP’s structure, you just upload file whose size is below 16KB to receive error message occurred in server normally. Like this, you can deliver exact server side message to sDetailMsg, so it may be great help for you to identify problem exactly.

sDetailMsg - sDetailMsg notifies cause about occurred sMsg. sDetailMsg may not be offered according to kind of error. In case of 40000000 error, it will be actual contents of page sent from server.

Example

<SCRIPT For = "FileDownoadManager" Event = "OnError(nCode, sMsg, sDetailMsg)" LANGUAGE = "javascript">
OnFileManagerError(nCode, sMsg, sDetailMsg);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnFileManagerError(nCode, sMsg, sDetailMsg)
{
// Do error handling here.
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnExecute_Click event

Type

OnExecute_Click(LONG nItemIndex, BSTR FileURL)

nItemIndex – Index of item to run.
FileURL – Address of file to run

Description
User clicked ‘run’ in popup menu.

Example

<SCRIPT FOR="FileDownloadManager" Event=" OnExecute_Click (nItemIndex, FileURL)" language="javascript">
OnExecute_Click (nItemIndex, FileURL);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnExecute_Click (nItemIndex, FileURL)
{
alert("Item index to run : " & nItemIndex);
alert("URL of file to run : " + FileURL);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnSelectAll_Click event

Type

OnSelectAll_Click()

Description
User clicked ‘Select all’ in popup menu.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadManager" event="OnSelectAll_Click()">
Msgbox "OnSelectAll_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnUnselectAll_Click event

Type

OnUnselectAll_Click()

Description
User clicked ‘Unselect’ in popup menu.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadManager" event="OnUnselectAll_Click()">
Msgbox "OnUnselectAll_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDouble_Click event

Type

OnDouble_Click()

Description
User double-clicks on ‘List view’.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadManager" event="OnDouble_Click()">
Msgbox "Occurrence of OnDouble_Click event"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnFile_DoubleClick event

Type

OnFile_DoubleClick()

Description
It happens when the user double-clicks file item in list control. nItemIndex is an index of double-clicked file item.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadManager" event="OnFile_DoubleClick(nItemIndex)">
Msgbox document.all("FileDownloadManager")(nItemIndex).Name
Msgbox document.all("FileDownloadManager")(nItemIndex).Size
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CheckedFileCount property

Property
Read

Type
LONG

Description
Number of the selected files among files added to FileDownloadMonitor.

Example

alert(document.all("FileDownloadMonitor").CheckedFileCount();


■ CheckedFileSize property

Property
Read

Type
LONG

Description

Size of the checked files among files added to FileDownloadMonitor.

Example

alert(document.all("FileDownloadMonitor").CheckedFileSize);


■ SelectedFileCount property

Property
Read

Type
LONG

Description
Number of the selected files among files added to FileDownloadMonitor.

Example

alert(document.all("FileDownloadMonitor").SelectedFileCount);


■ SelectedFileSize property

Property
Read

Type
LONG

Description

Size of the selected files among files added to FileDownloadMonitor.

Example

alert(document.all("FileDownloadMonitor").SelectedFileSize);


■ Items property

Property
Write

Type
Variant

Description
It is used to receive form data and file from FileDownloadManager.

You can’t input Items property as “PARAM” property of FileDownloadMonitor “OBJECT” tag.

Example

document.all("FileDownloadMonitor").Items = opener.document.all("FileDownloadManager").Items


■ DownloadFolder property

Property
Read/Write

Type
String

Description
User designates folder to download file. If user doesn’t designate it, lastly selected folder will be default.

Example

document.all("FileDownloadMonitor").DownloadFolder = “C:\Temp”


■ UseClientRegistry property

Property
Read/Write

Type
BOOL

Description
It determines whether you set check state of open received folder after completing, Resume, close window after completing transfer and duplicated file processing to value saved in client registry or not.

If UseClient registry property value is TRUE, value inputted as property for open received folder after completing, Resume, close window after completing transfer and duplicated file processing will be ignored.

Default is FALSE.

Example

document.all("FileDownloadMonitor").UseClientRegistry = TRUE


■ EnableSSL property

Property
Read/Write

Type
BOOL

Description
It determines whether SSL is used or not. Default is FALSE.

Example

document.all("FileDownloadMonitor").EnableSSL = TRUE


■ UserPassword property

Property
Read/Write

Type
String

Description
User inputs his (her) password when login is needed explicitly except for guest account.

Example

document.all("FileDownloadMonitor").UserID = "UserID"
document.all("FileDownloadMonitor").UserPassword = "UserPassword"


■ UserID property

Property
Read/Write

Type
String

Description
User inputs his (her) ID when login is needed explicitly except for guest account.

Example

document.all("FileDownloadMonitor").UserID = "UserID"
document.all("FileDownloadMonitor").UserPassword = "UserPassword"


■ EnableProxy property

Property
Read/Write

Type
BOOL

Description
It determines whether Proxy server is used or not. ProxyName, UserID and UserPassword etc should be set together.

Example

document.all("FileDownloadMonitor").EnableProxy = TRUE
document.all("FileDownloadMonitor ").ProxyName = "ProxyServerName"
document.all("FileDownloadMonitor ").UserID = "UserID"
document.all("FileDownloadMonitor ").UserPassword = "UserPassword"


■ ProxyName property

Property
Read/Write

Type
String

Description
It sets name of proxy server.

Example

document.all("FileDownloadMonitor").EnableProxy = TRUE
document.all("FileDownloadMonitor").ProxyName = "ProxyServerName"
document.all("FileDownloadMonitor").UserID = "UserID"
document.all("FileDownloadMonitor").UserPassword = "UserPassword"


■ EnableDownloadFolder property

Property
Read/Write

Type
BOOL

Description
It determines activation state of open received folder after completing checkbox. Default is TRUE.

Example

document.all("FileDownloadMonitor").EnableDownloadFolder = TRUE


■ CheckDownloadFolder property

Property
Read/Write

Type
BOOL

Description
It determines check state of open received folder after completing checkbox.

You can set check state regardless of VisibleDownloadFolder and EnableDownloadFolder property settings. Default is FALSE.

Example

document.all("FileDownloadMonitor").CheckDownloadFolder = TRUE


■ VisibleResume property

Property
Read/Write

Type
BOOL

Description
It determines visualization state of Resume checkbox.

If you set EnableResume property when VisibleResume property wasn’t explicitly inputted, it has same effect that you set TRUE for VisibleResume property

Default is FALSE.

Example

document.all("FileDownloadMonitor").VisibleResume = TRUE


■ EnableResume property

Property
Read/Write

Type
BOOL

Description
It determines activation state of Resume checkbox.

If you set EnableResume property when VisibleResume property wasn’t explicitly inputted, it has same effect that TRUE is set for VisibleResume property.

Default is FALSE.

Example

document.all("FileDownloadMonitor").EnableResume = TRUE


■ CheckResume property

Property
Read/Write

Type
BOOL

Description
It determines check state of Resume checkbox.

You can set check state regardless of VisibleResume and EnableResume property settings. Default is FALSE.

Example

document.all("FileDownloadMonitor").CheckResume = TRUE


■ VisibleAutoCloseWindow property

Property
Read/Write

Type
BOOL

Description
It determines visualization state of close window after completing transfer checkbox.

If you set EnableAutoCloseWindow property when VisibleAutoCloseWindow property wasn’t explicitly inputted, it has same effect that you set TRUE for VisibleAutoCloseWindow property Default is TRUE.

Example

document.all("FileDownloadMonitor").VisibleAutoCloseWindow = TRUE


■ EnableAutoCloseWindow property

Property
Read/Write

Type
BOOL

Description
It determines activation state of close window after completing transfer checkbox.

If you set EnableAutoCloseWindow property when VisibleAutoCloseWindow property wasn’t explicitly inputted, it has same effect that you set TRUE for VisibleAutoCloseWindow property.

Default is TRUE.

Example

document.all("FileDownloadMonitor").EnableAutoCloseWindow = TRUE


■ CheckAutoCloseWindow property

Property
Read/Write

Type
BOOL

Description
It determines check state of close window after completing transfer checkbox.

You can set check state regardless of VisibleAutoCloseWindow, and EnableAutoCloseWindow property settings. Default is FALSE.

Example

document.all("FileDownloadMonitor").CheckAutoCloseWindow = TRUE


■ EnableOverlappedMode property

Property
Read/Write

Type
BOOL

Description
It determines activation state of radio box for processing of duplicated file. Default is TRUE.

Example

document.all("FileDownloadMonitor").EnableOverlappedMode = TRUE


■ CheckRename property

Property
Read/Write

Type
BOOL

Description
It determines “Other name” check state of radio box for processing of duplicated file.

You can set check state regardless of VisibleOverlappedMode and EnableOverlappedMode property settings. Default is TRUE.

Example

document.all("FileDownloadMonitor").CheckRename = TRUE


■ CheckOverwrite property

Property
Read/Write

Type
BOOL

Description
It determines “overwrite” check state of radio box for processing of duplicated file.

You can set check state regardless of VisibleOverlappedMode and EnableOverlappedMode property settings. Default is FALSE.

Example

document.all("FileDownloadMonitor").CheckOverwrite = TRUE


■ CheckSkip property

Property
Read/Write

Type
BOOL

Description
It determines “Skip” check state of radio box for processing of duplicated file.

You can set check state regardless of VisibleOverlappedMode and EnableOverlappedMode property settings. Default is FALSE.

Example

document.all("FileDownloadMonitor").CheckSkip = TRUE


■ EnableSortByColumn property

Property
Write

Type
BOOL

Description
Support sorting ListView by the column name.
Default is FALSE.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="EnableSortByColumn" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewStyle property

Property
Read/Write

Type
String

Description
Changing list view style. Initial style is LVS_REPORT.

Style

LVS_REPORT | - Report style that shows detailed information of the file.
LVS_LIST | - List style that shows brief information of the file.
LVS_ICON | - Icon style that shows brief information of the file.
LVS_SMALLICON | - Small icon style that shows brief information of the file.
LVS_EX_REPORT | - This is a style removing the header in LVS_REPORT style.

Example

document.getElementById("FileDownloadMonitor").ListViewStyle = "LVS_EX_REPORT";


■ ListViewLineStyle property

Property
Read/Write

Type
BOOL

Description
Setting up line visible status of list view, and it can be expressed only when list view style is LVS_REPORT.
Initial value is TRUE.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="ListViewLineStyle" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewBkColor property

Property
Write

Type
String

Description
Changing text background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no text background color is selected.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="ListViewBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextColor property

Property
Write

Type
String

Description
Changing text color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no text color is selected.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="ListViewTextColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextBkColor property

Property
Write

Type
String

Description
Changing text background color of list view, and input value is RGB color code value.
Initial value is CLR_NONE which means no text background color is selected.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="ListViewTextBkColor" VALUE="#4169E1">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewFileNameColumnWidth property

Property
Read/Write

Type
LONG

Description
Changing a width size of a filename column of listview in FileDownloadMonitor.

Example

document.getElementById("FileDownloadMonitor").ListViewFileNameColumnWidth = 100;


■ ListViewFileSizeColumnVisible property

Property
Read/Write

Type
BOOL

Description
It determines whether you show a filesize column of listview in FileDownloadMonitor or not.

Example

document.getElementById("FileDownloadMonitor").ListViewFileSizeColumnVisible = false;


■ EnableDecryption property

Property
Read/Write

Type
BOOL

Description
Setting up enable status of decryption. Initial value is FALSE.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="EnableDecryption" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ PercentOfTotalDecryptionFile property

Property
Read

Type
LONG

Description
It shows decryption progress of the whole files in percentage, and is used to express progress bar.

Example

alert("Decryption progress of the whole files: " + document.all("FileDownloadMonitor").PercentOfTotalDecryptionFile);


■ TransferedSizeOfTotalFile Property

Property
Read

Type
LONG

Description
It shows transferred size of the whole files

Example

alert("Transferred size of the whole files: " + document.all("FileDownloadMonitor").TransferedSizeOfTotalFile);


■ TransferedSizeOfCurrentFile property

Property
Read

Type
LONG

Description
It shows transferred size of file currently being downloaded

Example

alert("Transferred size of file currently being downloaded: " + document.all("FileDownloadMonitor").TransferedSizeOfCurrentFile);


■ TotalCount property

Property
Read

Type
LONG

Description
Number of all files added to FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").TotalCount


■ CurrentCount property

Property
Read

Type
LONG

Description
Number of downloading file

Example

alert("Number of downloading file: " + document.all("FileDownloadMonitor").CurrentCount);


■ SelectedCount property

Property
Read

Type
LONG

Description
Number of all files that is added to and selected in FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").SelectedCount


■ TotalSize property

Property
Read

Type
LONG

Description
Size of all files added to FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").TotalSize


■ CurrentSize property

Property
Read

Type
LONG

Description
Size of downloading file

Example

alert("Size of downloading file: " + document.all("FileDownloadMonitor").CurrentSize);


■ SelectedSize property

Property
Read

Type
LONG

Description
Size of all files that is added to and selected in FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").SelectedSize


■ PercentOfTotalFile property

Property
Read

Type
LONG

Description
It shows download progress of the whole files in percentage, and is used to express progress bar.

Example

alert("Download progress of the whole files: " + document.all("FileDownloadMonitor").PercentOfTotalFile);


■ PercentOfCurrentFile property

Property
Read

Type
LONG

Description
It shows downloading progress of files being downloaded in percentage, and is used to express progress bar.

Example

alert("Downloading progress of files being downloaded: " + document.all("FileUploadMonitor").PercentOfCurrentlFile);


■ ElapsedTime property

Property
Read

Type
String

Description
It shows progress time of download in string calculated by hour, minute, and second. (example, 01:22:15)

Example

alert("Progress time: " + document.all("FileDownloadMonitor").ElapsedTime);


■ RemainingTime property

Property
Read

Type
String

Description
It shows remaining time for download as a string in hour, minute, and seconds. (example, 01:22:15)

Example

alert("Remaining time: " + document.all("FileDownloadMonitor").RemainingTime);


■ BytesPerSec property

Property
Read

Type
String

Description
Number of byte transferred per second, and it means transfer speed.

Example

var CurrentSpeed = document.all["FileDownloadMonitor"].BytesPerSec;

if(1 < CurrentSpeed/1000.0/1000.0/1000.0) {

CurrentSpeed = CurrentSpeed / (1024*1024*1024);

alert("Transfer speed: " + CurrentSpeed + GB);
}

else if(1 < CurrentSpeed/1000.0/1000.0) {

CurrentSpeed = CurrentSpeed / (1024*1024);

alert("Transfer speed: " + CurrentSpeed + MB); ";

}

else if(1 < CurrentSpeed/1000.0) {

CurrentSpeed = CurrentSpeed / 1024;

alert("Transfer speed: " + CurrentSpeed + KB);
}

else {
alert("Transfer speed: " + CurrentSpeed + Bytes);

}


■ CurrentFileName property

Property
Read

Type
String

Description
Name of downloading file

Example

alert("Name of downloading file: " + document.all("FileUploadMonitor").CurrentFileName);


■ EnableLargeDownload property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
BOOL

Description
Supports large-capacity download (more than 2GB). Default is FALSE.

Example

<OBJECT ID="FileDownloadMonitor" height=380 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" CLASSID="CLSID:64F53B6B-C2A8-4e46-89E0-8ADD2F2AA861">
<PARAM NAME="EnableLargeDownload" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ VisibleDownloadCheckbox property

Property
Read

Type
String

Description
Sets activation of checkbox on ListView when FileDownloadMonitor is created. Default is TRUE.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="VisibleDownloadCheckbox" VALUE="FALSE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ DialogBoxMode property

Property
Read

Type
String

Description
Supports various UI types of FileDownloadMonitor when FileDownloadMonitor is generated.

Style

DLG_LISTVIEW – Supports ListView type UI.

DLG_SIMPLE – Supports simpler UI then existing FileDownloadMonitor.

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="DialogBoxMode" VALUE="DLG_LISTVIEW">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CheckTransSpeed property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
BOOL

Description
Limits transmission speed within supported bandwidth.

Default is FALSE.

Example

<OBJECT ID="FileDownloadMonitor" height=380 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" CLASSID="CLSID:64F53B6B-C2A8-4e46-89E0-8ADD2F2AA861">
<PARAM NAME="CheckTransSpeed" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ MaxTransSpeed property (Only applicable on DEXTUpload Pro Extension, DEXTUpload.NET Extension.)

Property
Read

Type
LONG

Description
Decides the maximum size of file to transfer per second by using MaxTransSpeed property when CheckTransSpeed property is TRUE.
input unit is BYTE.

Example

<OBJECT ID="FileDownloadMonitor" height=380 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadXEx.cab#version=1,8,0,0" CLASSID="CLSID:64F53B6B-C2A8-4e46-89E0-8ADD2F2AA861">
<PARAM NAME="MaxTransSpeed" VALUE="65536">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ EnableBehindDownload property

Property
Read

Type
BOOL

Description
It is possible to download files not opened on server web so Does not reveal file URL for downloading.

Default is FALSE.

(However, if EnableBehindDownload property is TRUE then does not support resume downloading, download of large-capacity file of more than 2GB (Ex version) and encryption download. (Planned to support in future)

Example

<OBJECT ID="FileDownloadMonitor" height=445 width=445 CodeBase = "http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" CLASSID="CLSID:471678BB-F992-4BE6-9761-7767883E8619">
<PARAM NAME="EnableBehindDownload" VALUE="TRUE">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ListViewTextColor property

Property
Read/Write

Type
String

Description
Change the title of a folder dialog.

Example

document.getElementById("FileDownloadMonitor").FolderDialogTitle = “FolderDialog”;


■ AutoDownload property

Property
Read/Write

Type
BOOL

Description
It determines whether you download automatically files after selecting download folder in FileDownloadMonitor or not. Default is FALSE.

Example

document.getElementById("FileDownloadMonitor").AutoDownload = true;


■ IsCheckedFile method

Type

[Boolean = ] IsCheckedFile(Index)

Index – Index of file

Return value
Boolean - In case of selected file, return TRUE.

Description
Check whether or not the file of this index is selected.

Example

for(i=0; i<document.all["FileDownloadMonitor"].Count; i++)

{

if(document.all["FileDownloadMonitor"].IsCheckedFile(i) == true)

{

alert("FileName: " + document.all["FileDownloadMonitor"](i+1) +

"\n\nFileSize: " + document.all["FileDownloadMonitor"](i+1).Size);

}
}


■ IsSelectedFile method

Type

[Boolean = ] IsSelectedFile(Index)

Index – Index of file

Return value
Boolean - In case of selected file, return TRUE.

Description
Check whether or not the file of this index is selected.

Example

for(i=0; i<document.all["FileDownloadMonitor"].Count; i++)

{

if(document.all["FileDownloadMonitor"].IsSelectedFile (i) == true)

{

alert("FileName: " + document.all["FileDownloadMonitor"](i+1) +

"\n\nFileSize: " + document.all["FileDownloadMonitor"](i+1).Size);

}
}


■ AddFile 메소드

Type

AddFile(BSTR FileURL, LONG nFileSize, BSTR FileName, BSTR DirectoryName)

FileURL - Address of file. This address doesn’t need to be one server. That is, you can designate so that you can download from several file servers.
nFileSize - File size. User should designate this. You should input file size in byte unit exactly.
FileName - File name to be displayed in FileDownloadManager and it is an option. If you don’t input it, file name designated in first factor is used.
DirectoryName - A folder path for downloading folder structure It is an option. If you don't input it, folder structure won't be created. (Ex, "\Temp\Temp1\")

Return value

Description
You can add file to download using AddFile method of FileDownloadMonitor.

Example

document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst", 10000000
document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile2.tst", 20000000, "DevpiaTest3.tst"
document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile3.tst", 30000000, "UserDirectory.tst", "\Temp\Temp1\"
document.all("FileDownloadManager").AddFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile4.tst", 10000000, "", "\Temp\Temp1\Temp2\"


■ DeleteFile method

Type

DeleteFile(BSTR FileURL)

FileURL - URL to delete that is used in AddFile.

Return value

Description
You can delete file item added by AddFile method.

Example

document.all("FileDownloadMonitor").DeleteFile "http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst"


■ SelectAll method

Type

SelectAll()

Return value

Description
It selects all files added to FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").SelectAll


■ UnselectAll method

Type

UnselectAll()

Return value

Description
It unselects all files added to FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").UnselectAll


■ ChooseDownloadFolder method

Type

ChooseDownloadFolder()

Return value

Description
Shows dialogue for selecting download folder. It performs the same function as 'Search' button located in the middle of FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").ChooseDownloadFolder();


■ Transfer method

Type

Transfer()

Return value

Description
It starts transfer of file and form item. It has same effect as if user clicks ‘Transfer’ button.

Example

document.all("FileDownloadMonitor").Transfer();


■ Cancel method

Type

Cancel()

Return value

Description
It stops transfer. If it’s already stopped, close transfer window. It has the same effect as clicking on ‘Cancel/Close’ button.

Example

document.all("FileDownloadMonitor").Cancel();


■ MoveFileUp method

Type

MoveFileUp(nIndex)

nIndex – Range to move

Description
Moves files in ListView upwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileDownloadMonitor"].MoveFileUp(3);


■ MoveFileDown method

Type

MoveFileDown(nIndex)

nIndex – Range to move

Description
Moves files in ListView downwards by the number assigned at nIndex. Moves one column if value is not entered at Index.

Example

document.all["FileDownloadMonitor"].MoveFileDown(3);


■ DeleteAllFile method

Type

DeleteAllFile()

Description
Deletes all files in FileDownloadMonitor.

Example

document.all("FileDownloadMonitor").DeleteAllFile();


■ DeleteSelectedFile method

Type

DeleteSelectedFile(Index)

Index – Index of file to deleteReturn value

Description
Deletes files selected from FileDownloadMonitor if value is not entered at Index. It has the same function as 'Delete' button located on the right-side of FileDownloadMonitor.

Deletes files corresponding with index among files added at FileDownloadMonitor if value of more than 0 is entered at Index.

Example

document.all("FileDownloadMonitor").DeleteSelectedFile(); // It has the same function as 'Delete' button located on the right-side of FileDownloadMonitor.
document.all("FileDownloadMonitor").DeleteSelectedFile( 3 ); // Deletes files at third location among files added at FileDownloadMonitor.


■ OnCreationComplete event

Type

OnCreationComplete()

Description
It occurs when FileDownloadMonitor object is created.

Example

var creationComplete = false;

function SetCreationComplete(_creationComplete)

{

creationComplete = _creationComplete;

}

function IsCreationComplete()

{

return creationComplete;

}

function OnLoad()

{

if(false == IsCreationComplete())

{

return;

}

FileDownloadMonitor.document.all["FileDownloadMonitor"].AddFile("http://Localhost/DEXTUploadXSamples/Download/DEXTUploadXTestFile1.tst", 10000000);
}

<script language="javascript" for="FileDownloadMonitor" event="OnCreationComplete()">

SetCreationComplete(true);

</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnChangedStatus event

Type

OnChangedStatus(LONG nFileCount, LONG nFileSize, LONG nSelectedFileCount, LONG nSelectedFileSize)

nFileCount – Number of all files
nFileSize – Size of all files
nSelectedFileCount – Number of selected files
nSelectedFileSize – Size of selected file

Description
OnChangedStatusevent occurs when file is added or selected/unselected.

Example

<SCRIPT FOR="FileDownloadMonitor" Event="OnChangedStatus(nFileCount, nFileSize, nSelectedFileCount, nSelectedFileSize)" language="javascript">
OnChangedStatus(nFileCount, nFileSize, nSelectedFileCount, nSelectedFileSize);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnChangedStatus(nFileCount, nFileSize, nSelectedFileCount, nSelectedFileSize)
{
alert("Number of all files: " + nFileCount);
alert("Size of all files: " + nFileSize);
alert("Number of selected file: " + nSelectedFileCount);
alert("Size of selected file: " + nSelectedFileSize);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnCloseWIndow event

Type

OnCloseWIndow()

Description
It notifies that FileDownloadMonitor is exited.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnCloseWIndow()">
Msgbox "Close window."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnEndTransferringItem event

Type

OnEndTransferringItem(LONG nItemIndex, BOOL bSuccess)

nItemIndex – Index number of file item where transfer begins from
bSuccess – Whether transfer succeeds or not

Description
It notifies that transfer of one file item is exited. nItemIndex is index of pertinent file and it can obtain information of pertinent file like as FileDownloadMonitor(nItemIndex).Name.

Example

<SCRIPT FOR="FileDownloadMonitor " Event="OnEndTransferringItem(nItemIndex, bSuccess)" LANGUAGE="javascript">
OnEndTransferringItem(nItemIndex, bSuccess);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnEndTransferringItem(nItemIndex, bSuccess)
{
alert("Item index of transfer end :" + nItemIndex);
alert("Whether transfer succeeds or not :" + bSuccess);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnError event

Type

OnError(ErrorCode, sMsg, sDetailMsg)

Code - It is error code and its kind is shown below.

20000000 ~
A general error that occurs when file to upload exceeded designated size etc Error message pertinent to this code mostly should be displayed for general users.

30000000 ~
System function error of windows It occurs when problem exists like as file is currently in use or user can’t use Internet etc. It should be displayed for general users selectively.

40000000 ~
An error message received from server It occurs when server has certain problem though client has no problem. Number after 40000 is server error code.(ex: 40000404 is ‘access error’)

sMsg - sMsg is a simple message that is displayed to user and it notifies that what error has occurred. Exact cause of this error is offered in sDetailMsg. In case of 40000000 error, it is title of page offered by server. In case of server error, if error message is displayed as just “Connection with server is abnormally exited”, there may be a possibility that file size to upload is 16KB. Because of HTTP’s structure, you just upload file whose size is below 16KB to receive error message occurred in server normally. Like this, you can deliver exact server side message to sDetailMsg, so it may be great help for you to identify problem exactly.

sDetailMsg - sDetailMsg notifies cause about occurred sMsg. sDetailMsg may not be offered according to kind of error. In case of 40000000 error, it will be actual contents of page sent from server.

Example

<SCRIPT For = "FileDownoadMonitor" Event = "OnError(nCode, sMsg, sDetailMsg)" LANGUAGE = "javascript">
OnFileMonitorError(nCode, sMsg, sDetailMsg);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnFileMonitorError(nCode, sMsg, sDetailMsg)
{
// Do error handling here.
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnEndProc event

Type

OnEndProc()

Description
It shows of all operations of DEXTUploadX insides being completed.

OnEndProc events are later then OnTransferComplete events occur.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event=" OnEndProc()">
Msgbox "DEXTUploadX all operations were completed."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnStartTransferringItem event

Type

OnStartTransferringItem(LONG nItemIndex)

nItemIndex – Index number of file item where transfer begins from

Description
It notifies that transfer of one file item will begin. nItemIndex is index of pertinent file and it can obtain information of pertinent file like as FileDownloadMonitor(nItemIndex).Name.

Example

<SCRIPT FOR="FileDownloadMonitor" Event="OnStartTransferringItem(nItemIndex)" LANGUAGE="javascript">
OnStartTransferringItem(nItemIndex);
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">
function OnStartTransferringItem(nItemIndex)
{
alert("Item index that transfer begins :" + nItemIndex);
}
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransfer_Click event

Type

OnTransfer_Click()

Description
User pressed ‘Transfer’ button.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnTransfer_Click()">
Msgbox "OnTransfer_Click event occurs"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransferCancel event

Type

OnTransferCancel()

Description
It notifies that transfer is cancelled, because user clicks stop button or server side error occurs.

예제

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnTransferCancel()">
Msgbox "Transfer is cancelled."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransferComplete event

Type

OnTransferComplete()

Description
Transfer is completed. This denotes that transfer is completed successfully without error.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnTransferComplete()">
Msgbox "Transfer is completed."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnTransferPause event (Only applicable on DEXTUpload Pro Extension.)

Type

OnTransferPause()

Description
Occurs when pause is selected by user when large-capacity upload, resume upload are activated.

Example

<SCRIPT LANGUAGE="Java Script" for="FileDownloadMonitor" event="OnTransferPause()">
Alert ("Upload is paused.");
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnStartDecryption event

Type

OnStartDecryption()

Description
Decryption has started.

예제

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event=" OnStartDecryption()">
Msgbox "Occurrence of OnStartDecryption event"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnCancelDecryption event

Type

OnCancelDecryption()

Description
Decryption is cancelled by user clicking on stop button or some error.

예제

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnCancelDecryption()">
Msgbox "Decryption is cancelled."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnCompleteDecryption event

Type

OnCompleteDecryption()

Description
Decryption is completed. It shows decryption is successfully completed without any error.

예제

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnCompleteDecryption()">
Msgbox "Decryption is completed."
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnDouble_Click event

Type

OnDouble_Click()

Description
User double-clicks on ‘List view’.

예제

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnDouble_Click()">
Msgbox "Occurrence of OnDouble_Click event"
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ OnFile_DoubleClick event

Type

OnFile_DoubleClick()

Description
It happens when the user double-clicks file item in list control. nItemIndex is an index of double-clicked file item.

Example

<SCRIPT LANGUAGE="VBS" for="FileDownloadMonitor" event="OnFile_DoubleClick(nItemIndex)">
Msgbox document.all("FileDownloadMonitor")(nItemIndex).Name
Msgbox document.all("FileDownloadMonitor")(nItemIndex).Size
</SCRIPT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ProgressBarColor property

Property
Read

Type
String

Description
Assigns colors of Progress Bar. Default is “CLR_DEFAULT”.

Example

<OBJECT id="Progress" height="30" width="600" classid="CLSID:253B8695-AFE6-4918-AE1C-003FCF070D08" codebase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME="ProgressBarColor" VALUE="#FF2288">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ ProgressBarBkColor property

Property
Read

Type
String

Description
Assigns colors of Progress Bar background. Default is “CLR_DEFAULT”.

Example

<OBJECT id="Progress" height="30" width="600" classid="CLSID:253B8695-AFE6-4918-AE1C-003FCF070D08" codebase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>
<PARAM NAME=" ProgressBarBkColor " VALUE="#FF2288">
</OBJECT>

Copyright ⓒ DEVPIA Corporation. All rights reserved


■ CurrentPos property

Property
Read/Write

Type
LONG

Description
CurrentPos Property retrieves current status value of progress bar. CurrentPos Property can be announced several times from one page.

Example

alert(document.all["Progress_total"].CurrentPos);


■ SetRange 메소드

Type

SetRange(nMinRange, nMaxRange)

nMinRange - Minimum range value

nMaxRange – Maximum range value

Description
Assigns range of Progress Bar. Default value is 0 ~ 100.

Example

document.all["Progress"]. SetRange(0,50);


■ AddPos 메소드

Type

AddPos(nPos)

nPos – Location value of Progress Bar to be added

Description
Assigns new location by adding nPos value and current location of Progress Bar.

Example

document.all["Progress"]. AddPos(30);


■ OnCreationComplete event

Type

OnCreationComplete()

Description
It occurs when Progress object is created.

Example

var creationComplete = false;

function SetCreationComplete(_creationComplete)

{

creationComplete = _creationComplete;

}

function IsCreationComplete()

{

return creationComplete;

}

function OnLoad()

{

if(false == IsCreationComplete())

{

return;

}

Progress.SetRange(0, 50);
}

<script language="javascript" for="Progress" event="OnCreationComplete()">

SetCreationComplete(true);

</script>

Copyright ⓒ DEVPIA Corporation. All rights reserved


DEXTUploadJ

DEXTUploadJ Product Introduction

■ DEXTUploadJ Product Introduction

DEXTUploadJ is a HTTP protocol-based server side component supporting file uploading from web-browsers to web server and it can be used in all Servlet environment hosted with Linux, Unix platform web servers. Java version of DEXTUpload product being serviced in more than 10,000 sites with the highest performance and stability among national, international upload component. Please enjoy excellent file upload and download service by applying on various web-business environments being serviced with JSP.

■ Major functions of DEXTUploadJ

1. Support powerful file upload

- Possible to upload large capacity file of more than 2GB

- Quick uploading and use low system resources by the application of optimum parsing algorithm

- Support transaction process which cancels the entire process if there is error while uploading multiple files

- Support overwriting uploaded files, save as different name, automatic folder creation

- Support file upload to Database BLOB

- Support file upload along with various form data

- Support uploadable file filtering, setting capacity restrictions, upload Timeout

- Support perfect processing of form data and file name created in Unicode

2. Provide file upload progress window

- Does not need separate client software for displaying progress window

- Real time display of progresses as in upload speed, upload file size, size of transmitted file, time remaining

- Support user-defined progress window

3. Support file download

- Powerful resumed download

- Possible to set to download at all times without opening from browsers when downloading files

- File download from Database BLOB

4. Support image processing

- It is possible to mark images or characters as needed for marking property rights on image files by water marking on uploaded image files

- Shows images files in desired size by thumb nailing uploaded images

- Support various file format conversion

: JDK 1.4 - Supports JPG,PNG format conversion

: JDK 1.5 - Supports JPG,PNG,BMP,WBMP format conversion

: JDK 1.6 - Supports JPG,PNG,BMP,WBMP,GIF format conversion

- Support various format, width, height of image files (JPG,BMP,PNG,GIF,WBMP etc.)

■ DEXTUploadJ System requirements

- Environment supporting Java Servlet from Linux, Unix, FreeBSD

- JRE 1.4.2 or above

- Please refer to website (http://www.dextsolution.com) for tested environments.

For further information on DEXTUploadJ product, please check code samples and live demos of DEXTUploadJ product from 'PRODUCTS' menu from http://www.dextsolution.com/us/.


DEXTWebEditor

DEXTWebEditor Product Introduction

■ DEXTWebEditor Product Introduction

DEXTWebEditor is a component-type web editor essentially used when creating interactive website such as bulletin board and it enables development of much more improved job system by supporting creation of various types of documents and creation of tables at the level of Word and compatible with all HTML document including Office product and support multi-language.

Especially, it is an HTML web editor maximizing customer satisfaction with the construction of optimum Interactive System when applied on your solutions or services along with DEXTUpload product group, and it is provided by automatically downloading from web-browsers and used by automatically distributing from web-application program to utilize.

■ Major functions of DEXTWebEditor

- Support Windows Vista, IE 7.0 fully

- Maintains compatibility with all HTML document and CSS (Cascading Style Sheet)

- Compatible with MS Office document (open, copy)

- Professional level table creation function is embedded enabling creation of various types of forms

- Support Upload, communication module needed for synchronizing mails and bulletin board

- Support multi-language fully by being developed in Unicode bade

- Provide Korean, English version to be used in various lingual environment (plan to expand in future)

- Browser-based component and provide easy automatic distribution and upgrading

- Powerful function of using minimum/optimal client resources and minimizing loads on networks

- Provide developer API on various detailed functions

- Provide 3-layer editor window of Design / Source / Preview

- Possible to independently use because HTTP Upload function is embedded

- Provide samples integrated with DEXTUpload product group

■ DEXTWebEditor System Requirements

1. Client requirements (General user)

- Supports all Windows versions including Windows 98 SE / Me / 2000 / XP / 20003 / Vista.

- Internet Explorer 5.5 or above

2. Server requirements (Developer)

- All OS (Windows, Linux, Unix, etc) where automatic distribution file (.Cab) can be installed

For further information on DEXTWebEditor product, please check code samples and live demos of DEXTWebEditor product from 'PRODUCTS' menu from http://www.dextsolution.com/us/.


DEXTVideo

DEXTVideo Product Introduction

■ DEXTVideo Product Introduction

DEXTVideo Product Introduction -DEXTVideo is a video solution which enables registration and searching of videos. It is possible to construction Web 2.0 service easily in/outside of company by easily sharing image information on web easily.

DEXTVideo is composed of ActiveX Control which converts and upload files and video player.

Video part can be easily added on constructed web system (corporate level groupware, portals) and it is possible to provide stable video service for external customers. Its advantage is that on-going improvements are possible since it is implemented in open source-based FFMPEG technology which is being used by Utube of Google, the biggest video portal in the world, and famouse portals in Korea.

DEXTVideo enables Viewing without installing additional software (Codec) at client by converting various video formats into one standard format of FLV file, and it is possible to minimize costs for constructing solutions and operation costs since file conversion is performed from client PC thus reduces loads on server.

■ Major functions of DEXTVideo

1. File conversion is processed from user's PC.

- Reduces loads on server by supporting encoding from client using ActiveX, and has excellent security then other products by uploading to server in POST type after encoding.

2. Provide upgrading to improved ActiveX.

- Provide improved UI by displaying progress while downloading ActiveX Control being automatically distributed to clients by improvements on DEXT VIDEO.

3. Supports conversion of various video formats.

- Supports various audio, video formats as in wmv, avi, asf, mpg, mpeg, mov, mpeg, k3g, skm, wma, mp3, mp4.

4. 100% compatible with DEXT product groups

- It is 100% compatible with products like DEXTUPLOAD, DEXT WEBEDITOR and continuously provide sample code for combining with DEXT COMPONENT.

5. Free technical forum on development

- Technical support is basically provided on DEXT product groups and TIPs from actual users and sample codes will be provided unlimitedly for free by connecting to technical forum (http://www.devpia.com/DEXT.MAEUL) being operated separate from community.

■ Major functions of DEXTVideo Player

1. Adjust screen size (Administrator setting).

- Select options according to screen ratio (800*600, 720*480, 352*240, 320*240)

2. Convenient scene movement.

- Function of fast forwarding to the middle by displaying thumbnail images at the bottom of the player. Possible to move sections by button at the bottom (fine movement/section movement).

3. Logo insertion.

- Insert logo of a service provider at the top of the player.

4. Advertisement functions (Video)

- Insert advertisements at beginning of video play.

5. Advertising function (text/line advertisement)

- Function of inserting texts (line advertisement) at the bottom of the player simply by administrator setting.

6. Video capture

- Function of capturing needed scenes among video and generating JPG.

■ DEXTVideo System Requirements

1. Server requirements

- All OS (Windows, Linux, Unix, etc) where automatic distribution file (.Cab) can be installed

2. Client requirements

- Supports all Windows versions as in Windows 98 SE / Me / 2000 / XP / 2003 / Vista.

- Internet Explorer 5.5 or above

■ DEXTVideo Application field

1. Promotion of product/service/contents

- Online shopping-mall: Open market operators

- Publication videos of general firms

- Promotion of associations

- Local governments

- Promotion planning companies

- Entertainment

- Film companies

- Play production

2. Data archiving/Event promotion

- Academies, schools

- Kindergarten, nursery home

- Church

- Research organizations

- corporations

3. UCC site construction

- Video sites

- Sports video sites

- Social networking community

For further information on DEXTVideo product, please check code samples and live demos of DEXTVideo product from 'PRODUCTS' menu from http://www.dextsolution.com/us/.


DEXTUpload Professional

Utilizing synchronizing between DEXTUploadX and DEXTUpload Pro

■ Using functions of DEXTUpload Pro when synchronizing DEXTUploadX and DEXTUpload Pro

DEXTUploadX transfers files and additional information to server when uploading in POST-type by synchronizing two products.

You can approach as in arrangement as in the same form name if more than one file is uploaded.

[DEXTUploadX Form Name]

DEXTUploadX - File Data

DEXTUploadX_FolderPath - Directory Path on each file

DEXTUploadX_Alias - Alias on each file

DEXTUploadX_UserDataA - User defined data on each file

DEXTUploadX_UserDataB - User defined data on each file

DEXTUploadX_Uploaded - Virtual file data (when displaying files uploaded at server already)

DEXTUploadX_Deleted_Uploaded - Virtual file data (when deleting files uploaded at server already)

The following code is saving several files among samples using sections of saving multiple files being uploaded from DEXTUploadX from DEXTUpload Pro and only using DEXTUpload Pro in POST-type Upload (synchronizing DEXTUploadX and DEXTUpload Pro).

1-1. FileUploadManager Page

<HTML>

<HEAD>

<TITLE>Example of the most simple POST-type.</TITLE>

<SCRIPT FOR="FileUploadManager" Event="OnError(nCode, sMsg, sDetailMsg)" LANGUAGE="javascript">

OnFileManagerError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

// sMsg is simplified error message.

// sDetailMsg is error message including more detailed information.

// sDetailMsg can be black according to error message.

// Must be announced as shown in the above.

// All control of DEXTUploadX is the same in this error processing method.

function OnFileManagerError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnTransfer_Click()">

' Clicking transmission button from file upload manager will generate the above 'OnTransfer_Click' event.

' Open file upload monitor screen as shown in the below from here.

winstyle="height=335,width=445, status=no,toolbar=no,menubar=no,location=no"

window.open "./FileUploadMonitor.htm",null,winstyle

</SCRIPT>

</HEAD>

<BODY>

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0"

height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>

</OBJECT>

<P>Upload of most simple POST method<BR>

We call control seen above "File upload manager (FileUploadManager)".<BR>

It supports drag & drop. Please drag & drop file or folder.<BR>

</P>

</BODY>

</HTML>

1-2. FileUploadMonitor Page

<HTML>

<HEAD>

<TITLE>DEXTUploadX Upload</TITLE>

<SCRIPT FOR="FileUploadMonitor" Event="OnError(nCode, sMsg, sDetailMsg)" TYPE="text/javascript">

OnFileMonitorError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT FOR="FileUploadMonitor" Event="OnCreationComplete()" TYPE="text/javascript">
OnLoading();
</SCRIPT >

<SCRIPT LANGUAGE="JavaScript">

function OnFileMonitorError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

function OnLoading() {

// In case of Post method, you should specify Post Script file in UploadURL property as below.

// To use other port except standard port,

// http://Localhost:8080/DEXTUploadX/Upload/PostScript.asp

// use it as designation method of general address.

document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamples/Upload/PostScript.asp";

// It copies all files and form items of file manager control in parent page of this page to file monitor control.

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items;

// It copies values of several properties (DefaultPath, Filter etc) of file manager to file monitor.

document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties;

}

</SCRIPT>

</HEAD>

<BODY bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0>

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5

CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>

</OBJECT>

</BODY>

</HTML>

1-3. PostScript.asp (When synchronizing DEXTUploadX, DEXTUpload Pro)

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.AutoMakeFolder = TRUE
uploadform.DefaultPath="C:\TEMP".

' Processes several files in collection style.
For i = 1 To uploadform("DEXTUploadX").Count
uploadform("DEXTUploadX")(i).Save
Next

'Automatically transmits form data of form page where DEXTUploadX is being used.
'response.Write "User form data (Single) : " & uploadform("form") & vbCrLf

'If there are several form data with the same form name then process in the following ways.
'It is possible to process form data process methods generally used from asp.
'For i = 1 To uploadform("form_multi").Count
' response.Write “User form data (Multiple) : “& uploadform("form_multi")(i) & vbCrLf
'Next

set uploadform = Nothing
%>

2-1. File Upload Page (MultiUpload sample of DEXTUpload Pro: MultiUpload.asp)

<HTML>
<HEAD>
</HEAD>
<BODY>
<form name="write_form" enctype="multipart/form-data" method="post" action="MultiUpload_Process.asp">
Multiple Upload<br><br>
Select the file to upload<br>

<input type="file" name="files"><br>
<input type="file" name="files"><br>
<input type="file" name="files"><br><br>

1. Path for saving uploaded files is C:\TEMP.<br>
2. Please update with the most recent version of browsers if 'Search' button is not supported.<br><br>

<input type="submit" name="Upload" value="Upload">
</form>
</BODY>
</HTML>

2-2. Page for saving files from DEXTUpload Pro (MultiUpload sample of DEXTUpload Pro: MultiUpload_Process.asp)

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.AutoMakeFolder = TRUE
uploadform.DefaultPath="C:\TEMP"

For i = 1 To uploadform("files").Count
uploadform("files")(i).Save
Next

set uploadform =nothing
%>

It is possiblel to implement functions like 'Thumbnail creation' which is a fucntion of DEXTUpload Pro besides basic file save when uploading in POST-type.

The following code is saving several thumnails among samples using sections of saving multiple images being uploaded from DEXTUploadX from DEXTUpload Pro and only using DEXTUpload Pro in POST-type Upload (synchronizing DEXTUploadX and DEXTUpload Pro).

3-1. DEXTUploadX + DEXTUpload Pro Thumnail save (Code sample created for comparison.)

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.AutoMakeFolder = TRUE
uploadform.DefaultPath="C:\TEMP\"
set objImage =server.CreateObject("DEXTEx.ImageProc")

For i = 1 To uploadform("DEXTUploadX ").count
if true = objImage.SetSourceFile(uploadform("DEXTUploadX ")(i).TempFilePath) then
' Must be saved in JPG format
filename = uploadform("DEXTUploadX ")(i).FileNameWithoutExt & ".jpg"
objImage.Quality = 90 'default value is 75 (range 1~100)

objImage.SaveasThumbnail "C:\Temp\" & filename,objImage.ImageWidth/10,objImage.ImageHeight/10,false
end if
Next

set objImage = nothing
set uploadform = Nothing
%>

3-2. DEXTUpload Pro (Thumbnail samples)

<%@ Language=VBScript %>
<%
set uploadform=server.CreateObject("DEXT.FileUpload")
uploadform.DefaultPath="C:\Temp\"
set objImage =server.CreateObject("DEXTEx.ImageProc")

if true = objImage.SetSourceFile(uploadform.TempFilePath) then
' Must be saved in JPG format
filename = uploadform.FileNameWithoutExt & ".jpg"
objImage.Quality = 90 'default value is 75 (range 1~100)

%>
<HTML>
<BODY>
Save as Image Thumbnail: <%=objImage.SaveasThumbnail("C:\Temp\" & filename,objImage.ImageWidth/10,objImage.ImageHeight/10,false)%>
</BODY>
</HTML>
<%
end if

set objImage = nothing
set uploadform =nothing
%>

4. Other Notes

※ Download of test versions of DEXTUploadX, DEXTUpload Pro is possiblel from the following path.

http://www.dextsolution.com/us/Etc/downEval.aspx

※ When manuals and basic samples of DEXTUploadX can be checked from

“ Start->All Programs->DEVPIA->DEXTUploadX->DEXTUploadX User Manual ”

“ Start->All Programs->DEVPIA->DEXTUploadX-> DEXTUploadX Examples ”

when installed in default.

※ When manuals and basic samples of DEXTUpload Pro can be checked from ,

“ Start->All Programs->DEVPIA->DEXTUpload Professional->DEXTUpload Professional User Help ”

“ Start->All Programs->DEVPIA->DEXTUpload Professional->DEXTUpload Professional User Examples ”

when installed in default.


DEXT Products

Utilizing synchronizing between DEXTUploadX and DEXTUpload.NET Pro

■ Using functions of DEXTUpload.NET Pro when synchronizing DEXTUploadX and DEXTUpload.NET Pro

DEXTUploadX transfers files and additional information to server when uploading in POST-type by synchronizing two products.

You can approach as in arrangement as in the same form name if more than one file is uploaded.

[DEXTUploadX Form Name]

DEXTUploadX - File Data

DEXTUploadX_FolderPath - Directory Path on each file

DEXTUploadX_Alias - Alias on each file

DEXTUploadX_UserDataA - User defined data on each file

DEXTUploadX_UserDataB - User defined data on each file

DEXTUploadX_Uploaded - Virtual file data (when displaying files uploaded at server already)

DEXTUploadX_Deleted_Uploaded - Virtual file data (when deleting files uploaded at server already)

The following code is saving several files among samples using sections of saving multiple files being uploaded from DEXTUploadX from DEXTUpload.NET Pro and only using DEXTUpload.NET Pro in POST-type Upload (synchronizing DEXTUploadX and DEXTUpload.NET Pro).

1-1. FileUploadManager Page

<HTML>

<HEAD>

<TITLE> Example of the most simple POST-type.</TITLE>

<SCRIPT FOR="FileUploadManager" Event="OnError(nCode, sMsg, sDetailMsg)" LANGUAGE="javascript">

OnFileManagerError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

// sMsg is simplified error message.

// sDetailMsg is error message including more detailed information.

// sDetailMsg can be black according to error message.

// Must be announced as shown in the above.

// All control of DEXTUploadX is the same in this error processing method.

function OnFileManagerError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnTransfer_Click()">

' Clicking transmission button from file upload manager will generate the above 'OnTransfer_Click' event.

' Open file upload monitor screen as shown in the below from here.

winstyle="height=335,width=445, status=no,toolbar=no,menubar=no,location=no"

window.open "./FileUploadMonitor.htm",null,winstyle

</SCRIPT>

</HEAD>

<BODY>

<OBJECT id="FileUploadManager" codeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0"

height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>

</OBJECT>

<P>Upload of most simple POST method.<BR>

We call control seen above "File upload manager (FileUploadManager)".<BR>

It supports drag & drop. Please drag & drop file or folder.<BR>

</P>

</BODY>

</HTML>

1-2. FileUploadMonitor Page

<HTML>

<HEAD>

<TITLE>DEXTUploadX Upload</TITLE>

<SCRIPT FOR="FileUploadMonitor" Event="OnError(nCode, sMsg, sDetailMsg)" TYPE="text/javascript">

OnFileMonitorError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT FOR="FileUploadMonitor" Event="OnCreationComplete()" TYPE="text/javascript">
OnLoading();
</SCRIPT >

<SCRIPT LANGUAGE="JavaScript">

function OnFileMonitorError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

function OnLoading() {

// In case of Post method, you should specify Post Script file in UploadURL property as below.

// To use other port except standard port,

// http://Localhost:8080/DEXTUploadX/Upload/PostScript.asp

// use it as designation method of general address.

document.all("FileUploadMonitor").UploadURL = "http://Localhost/DEXTUploadXSamples/Upload/PostScript.aspx";

// It copies all files and form items of file manager control in parent page of this page to file monitor control.

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items;

// It copies values of several properties (DefaultPath, Filter etc) of file manager to file monitor.

document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties;

}

</SCRIPT>

</HEAD>

<BODY bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0>

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5

CodeBase="http://Localhost/DEXTUploadX/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>

</OBJECT>

</BODY>

</HTML>

1-3. PostScript.aspx (When synchronizing DEXTUploadX and DEXTUpload.NET Pro)

using(DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
string UploadedPath;

for (int i=0; i<fileUpload["DEXTUploadX"].Count; i++)
{
//<input type="file" ...> It is form element and displays on screen when files to be uploaded are assigned.
 if (fileUpload["DEXTUploadX"][i].IsFileElement && fileUpload["DEXTUploadX"][i].Value != "")
{
UploadedPath = fileUpload["DEXTUploadX"][i].Save(false);
}
}
// Automatically transmits form data on page where DEXTUploadX is being used.
//Response.Write("Text1 : " + fileUpload["form"].Value + "\r\n");

//If there are several form data with the same form name then process in the following ways.
//It is possible to process form data process methods generally used from asp.net
//for (int j=0; j<fileUpload["multiform "].Count; j++)
//{
// Response.Write("Text1 : " + fileUpload["multiform"][j].Value + "\r\n");
//}}

2-1. File upload page (MultiUpload Sample of DEXTUpload.NET Pro: MultiUpload.aspx)

<html>
<head>
<title>MultipleUpload</title>
<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
<meta name="CODE_LANGUAGE" Content="C#">
<meta name="vs_defaultClientScript" content="JavaScript">
<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
</head>
<body MS_POSITIONING="GridLayout">
<form name="write_form" enctype="multipart/form-data" method="post" action="MultipleUpload_Process.aspx?ProgressID=0">
Multiple Upload<br><br>
Select the file to upload <br>
<input type="file" name="files"><br>
<input type="file" name="files"><br>
<input type="file" name="files"><br>
1. Path for saving uploaded files is <STRONG>C:\TEMP</STRONG>.<br>
2. Please update to the most recent version of browser if 'Search' button is not supported.<br>
3. Automatically creates upload folder if not present.<STRONG>(defaultpath, save())<br></STRONG>
4. This example does not show graph displaying progresses during file uploading.<br>
<br>
<input type="submit" name="Upload" value="Upload">
</form>
</body>
</html>

2-2. Page saving files from DEXTUpload.NET Pro (MultiUpload Sample of DEXTUpload.NET Pro: MultiUpload_Process.aspx.cs)

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
Response.Write("<b>Upload successfully !!</b><br><br>");
string UploadedPath;

for (int i=0; i<fileUpload["files"].Count; i++)
{
// <input type="file" ...> It is form element and only shows on screen when files to be uploaded are assigned.
 if (fileUpload["files"][i].IsFileElement && fileUpload["files"][i].Value != "")
{
UploadedPath = fileUpload["files"][i].Save(false);

Response.Write("LastSavedFileName(Server) :" + fileUpload["files"][i].LastSavedFileName + "<br>");
Response.Write("Original Path (Client) :" + fileUpload["files"][i].FilePath + "<br>");
Response.Write("Uploaded Path (Server) :" + UploadedPath + "<br>");
Response.Write("File Length :" + fileUpload["files"][i].FileLength + " byte(s)<br>");
Response.Write("File MimeType : </td><td>" + fileUpload["files"][i].MimeType + "<br><br>");
}
}
}

It is possible to implement simple functions like "Thumbnail creation' which is function of DEXTUpload.NET Pro besides basic file saving when uploading in POST-type.

The following code is saving multiple image files being uploaded from DEXTUploadX from DEXTUpload.NET Pro and saving thumbnails among samples of DEXTUpload.NET Pro when uploading in POST-type.

3-1. Saving thumbnails of DEXTUploadX + DEXTUpload.NET Pro ( Code sample created for comparison. )

using(DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc();

for (int i=0; i<fileUpload["DEXTUploadX"].Count; i++)
{
if(imgProc.SetSourceFile(fileUpload["DEXTUploadX"][i].TempFilePath))
{
string NewFileName;

int index = fileUpload["DEXTUploadX"][i].FileName.LastIndexOf(".");

if(index > 0)
NewFileName = fileUpload["DEXTUploadX"][i].FileName.Substring(0,index);
else
NewFileName = fileUpload["DEXTUploadX"][i].FileName;

int nWidth = imgProc.ImageWidth / 10;
int nHeight = imgProc.ImageHeight / 10;

string imgFilePath = fileUpload["DEXTUploadX"][i].TempFilePath;

string strPath = @"C:\temp\" + NewFileName + ".jpg";

string UploadedPath = imgProc.SaveAsThumbnail(imgFilePath,strPath, nWidth, nHeight, false);
string FileName = imgProc.SavedFileName;
}
}
}

3-2. DEXTUpload.NET Pro ( Thumbnail samples )

using (DEXTUpload.NET.FileUpload fileUpload = new DEXTUpload.NET.FileUpload())
{
DEXTUpload.NET.ImageProc imgProc = new DEXTUpload.NET.ImageProc();

if(imgProc.SetSourceFile(fileUpload["Image"].TempFilePath))
{
string NewFileName;

int index = fileUpload["Image"].FileName.LastIndexOf(".");

if(index > 0)
NewFileName = fileUpload["Image"].FileName.Substring(0,index);
else
NewFileName = fileUpload["Image"].FileName;

int nWidth = fileUpload["Image"].ImageWidth / 10;
int nHeight = fileUpload["Image"].ImageHeight / 10;

string imgFilePath = fileUpload["Image"].TempFilePath;

string strPath = @"C:\temp\" + NewFileName + ".jpg";

string UploadedPath = imgProc.SaveAsThumbnail(imgFilePath,strPath, nWidth, nHeight, false);
string FileName = imgProc.SavedFileName;

Response.Write("<b>Upload successfully !!</b><br><br>");
Response.Write("Original Path (Client) :" + fileUpload["Image"].FilePath + "<br>");
Response.Write("Uploaded Path (Server) :" + UploadedPath + "<br>");
Response.Write("File Length :" + fileUpload["Image"].FileLength + " byte(s)<br>");
Response.Write("File MimeType :" + fileUpload["Image"].MimeType + "<br>");
Response.Write("Saved File Name :" + FileName);

}
else
{
Response.Write("<b>Image File Mismatch!!</b><br><br>");
Response.Write(fileUpload["Image"].FileName + ": Image File Type is mismatch");
}
}

4. Other Notes

※ Download of test versions of DEXTUploadX, DEXTUpload Pro is possiblel from the following path.

http://www.dextsolution.com/us/Etc/downEval.aspx

※ When manuals and basic samples of DEXTUploadX can be checked from

“ Start->All Programs->DEVPIA->DEXTUploadX->DEXTUploadX User Manual ”

“ Start->All Programs->DEVPIA->DEXTUploadX-> DEXTUploadX Examples ”

when installed in default.

※ When manuals and basic samples of DEXTUpload .NET can be checked from ,

“ Start->All Programs->DEVPIA->DEXTUpload.NET Professional->DEXTUpload.NET Professional User Help ”

“ Start->All Programs->DEVPIA->DEXTUpload.NET Professional->ASP.NET 1.X Examples ”

“ Start->All Programs->DEVPIA->DEXTUpload.NET Professional->ASP.NET 2.X Examples ”

when installed in default.


DEXT Products

Utilizing synchronizing between DEXTUploadX and DEXTUploadJ

■ Using functions of DEXTUploadJ when synchronizing DEXTUploadX and DEXTUploadJ

Examples are created based on Localhost, Tomcat.

Please note that, according to server, Localhost section should be changed to server address and port number may be changed according to server.

DEXTUploadX transfers files and additional information to server when uploading in POST-type by synchronizing two products.

You can approach as in arrangement as in the same form name if more than one file is uploaded.

[DEXTUploadX Form Name]

DEXTUploadX - File Data

DEXTUploadX_FolderPath - Directory Path on each file

DEXTUploadX_Alias - Alias on each file

DEXTUploadX_UserDataA - User defined data on each file

DEXTUploadX_UserDataB - User defined data on each file

DEXTUploadX_Uploaded - Virtual file data (when displaying files uploaded at server already)

DEXTUploadX_Deleted_Uploaded - Virtual file data (when deleting files uploaded at server already)

1. FileUploadManager Page (SimplePostUpload.htm)

<HTML>

<HEAD>

<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ks_c_5601-1987">

<TITLE> Example of the most simple POST-type.</TITLE>

<SCRIPT FOR="FileUploadManager" Event="OnError(nCode, sMsg, sDetailMsg)" LANGUAGE="javascript">

OnFileManagerError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

// sMsg is simplified error message.

// sDetailMsg is error message including more detailed information.

// sDetailMsg can be black according to error message.

// Must be announced as shown in the above.

// All control of DEXTUploadX is the same in this error processing method.

function OnFileManagerError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="VBS" for="FileUploadManager" event="OnTransfer_Click()">

' Clicking transmission button from file upload manager will generate the above 'OnTransfer_Click' event.

' Open file upload monitor screen as shown in the below from here.

winstyle="height=335,width=445, status=no,toolbar=no,menubar=no,location=no"

window.open "./FileUploadMonitor.htm",null,winstyle

</SCRIPT>

</HEAD>

<BODY>

<OBJECT id="FileUploadManager" codeBase="http://Localhost:8080/DEXTUploadJ/DEXTUploadX.cab#version=3,2,9,0"

height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>

</OBJECT>

<P> Upload of most simple POST method.<BR>

We call control seen above "File upload manager (FileUploadManager)".<BR>

It supports drag & drop. Please drag & drop file or folder.<BR>

</P>

</BODY>

</HTML>

2. FileUploadMonitor Page (FileUploadMonitor.htm)

<HTML>

<HEAD>

<TITLE>DEXTUploadX Upload</TITLE>

<SCRIPT FOR="FileUploadMonitor" Event="OnError(nCode, sMsg, sDetailMsg)" TYPE="text/javascript">

OnFileMonitorError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT FOR="FileUploadMonitor" Event="OnCreationComplete()" TYPE="text/javascript">
OnLoading();
</SCRIPT >

<SCRIPT LANGUAGE="JavaScript">

function OnFileMonitorError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

function OnLoading() {

// In case of Post method, you should specify Post Script file in UploadURL property as below.

// To use other port except standard port,

// http://Localhost:8080/DEXTUploadX/Upload/PostScript.asp

// use it as designation method of general address.

document.all("FileUploadMonitor").UploadURL = "http://Localhost:8080/DEXTUploadXSamples/Upload/PostScript.jsp";

// It copies all files and form items of file manager control in parent page of this page to file monitor control.

document.all("FileUploadMonitor").Items = opener.document.all("FileUploadManager").Items;

// It copies values of several properties (DefaultPath, Filter etc) of file manager to file monitor.

document.all("FileUploadMonitor").Properties = opener.document.all("FileUploadManager").Properties;

}

</SCRIPT>

</HEAD>

<BODY bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0>

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5

CodeBase="http://Localhost:8080/DEXTUploadJ/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>

</OBJECT>

</BODY>

</HTML>

3. JSP Page (PostScript.jsp)

<%@page language="java" contentType="text/html; charset=euc-kr"%>

<%@page import="java.io.*"%>

<%@page import="devpia.dextupload.*"%>

<%

PrintWriter w = response.getWriter();

FileUpload fileUpload = new FileUpload(request, response);

try {

String strPath = request.getRealPath("/");

// Assigns location of license file to judge expiry date of full-version or test-version.

fileUpload.setLicenseFilePath(strPath + File.separator + "dextuploadj.config");

fileUpload.setCharacterEncoding("euc-kr");

fileUpload.UploadStart(strPath);

// Retrieves duplicated all file items using getFileItemValues (\"DEXTUploadX\").

// All file items are send in the name of "DEXTUploadX" when synchronizing DEXTUploadX.

FileItem[] value = fileUpload.getFileItemValues("DEXTUploadX");

for (int i = 0; i < value.length; i++)

{

if(value[i] != null)

{

if(value[i].IsUploaded())

{

value[i].Save(strPath, true);

// Possible to seek the name of file last saved by Save() methods.

// value[i].getLastSavedFilePath();

System.out.println("LastSavedFilePath : "+value[i].getLastSavedFilePath());

}

else

{

// Processes when file is not uploaded.

}

}

}

}

catch (DEXTUploadException ex) {

// Performs processes on exclusions.

System.out.println("DEXTUploadException : "+ex.getMessage());

}

catch (Exception ex) {

// Performs processes on exclusions.

System.out.println("Exception : "+ ex.getMessage());

}

finally {

// Must release resources when finished.

// Otherwise, temporary files may remain without being deleted.

fileUpload.dispose();

}

%>

4. Other Notes

※ Download of test versions of DEXTUploadX, DEXTUpload Pro is possiblel from the following path.

http://www.dextsolution.com/us/Etc/downEval.aspx

※ When manuals and basic samples of DEXTUploadX can be checked from,

“ Start->All Programs->DEVPIA->DEXTUploadX->DEXTUploadX User Manual ”

“ Start->All Programs->DEVPIA->DEXTUploadX-> DEXTUploadX Examples ”

when installed in default.

※ Manual (API) and basic samples (examples of functions) of DEXTUploadJ can be checked from

“ DEXTUploadJ_X.X.X.X_Manual_Kor.zip -> DEXTUploadJ API Document ”

“ DEXTUploadJ_ X.X.X.X _Samples_Kor.zip -> DEXTUploadJ Examples of Functions ”

by unfolding downloaded compressed file.


DEXT Products

Utilizing synchronizing between DEXTUploadX and PHP

■ Using functions of PHP when synchronizing DEXTUploadX and PHP

PHP uses its own library.

DEXTUploadX transfers files and additional information to server when uploading in POST-type by synchronizing two products.

You can approach as in arrangement as in the same form name if more than one file is uploaded.

[DEXTUploadX Form Name]

DEXTUploadX - File Data

DEXTUploadX_FolderPath - Directory Path on each file

DEXTUploadX_Alias - Alias on each file

DEXTUploadX_UserDataA - User defined data on each file

DEXTUploadX_UserDataB - User defined data on each file

DEXTUploadX_Uploaded - Virtual file data (when displaying files uploaded at server already)

DEXTUploadX_Deleted_Uploaded - Virtual file data (when deleting files uploaded at server already)

1. FileUploadManager Page

<HTML>

<HEAD>

<TITLE>$HTTP_POST_FILES upload</TITLE>

<SCRIPT FOR="FileUploadManager" Event="OnError(nCode, sMsg, sDetailMsg)" LANGUAGE="javascript">

OnFileManagerError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

// sMsg is simplified error message.

// sDetailMsg is error message including more detailed information.

// sDetailMsg can be black according to error message.

// Must be announced as shown in the above.

// All control of DEXTUploadX is the same in this error processing method.

function OnFileManagerError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript" for="FileUploadManager" event="OnTransfer_Click()">

// Clicking transmission button from file upload manager will generate the above 'OnTransfer_Click' event.

// Open file upload monitor screen as shown in the below from here.

winstyle="height=335,width=445, status=no,toolbar=no,menubar=no,location=no";

window.open("./FileUploadMonitor_for_httppostfiles.php","_blank",winstyle);

</SCRIPT>

</HEAD>

<BODY>

<OBJECT id="FileUploadManager" codeBase="http://localhost/DEXTUploadX_PHP/DEXTUploadX.cab#version=3,2,9,0"

height="200" width="450" classid="CLSID:DF75BAFF-7DD5-4B83-AF5E-692067C90316" VIEWASTEXT>

<!-- Set "EnablePHPFILES" property for synchronizing with PHP-->

<param name="EnablePHPFILES" value="TRUE">

</OBJECT>

<P> Please modify "localhost" sections of all sample files according to your server environments. </P>

<P> Refer to "PHP_Upload_Environment Setting.txt" included with samples for setting environments including php.ini.</P>

</BODY>

</HTML>

2. FileUploadMonitor Page

<HTML>

<HEAD>

<TITLE>$HTTP_POST_FILES process</TITLE>

<SCRIPT FOR="FileUploadMonitor" Event="OnError(nCode, sMsg, sDetailMsg)" LANGUAGE="javascript">

OnFileMonitorError(nCode, sMsg, sDetailMsg);

</SCRIPT>

<SCRIPT FOR="FileUploadMonitor" Event="OnCreationComplete()" TYPE="text/javascript">
OnLoading();
</SCRIPT >

<SCRIPT LANGUAGE="JavaScript">

function OnFileMonitorError(nCode, sMsg, sDetailMsg)

{

alert(nCode);

alert(sMsg);

alert(sDetailMsg);

}

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

function OnLoading()

{

// In case of Post method, you should specify Post Script file in UploadURL property as below.

// To use other port except standard port,

// http://localhost/DEXTUploadX_PHP/Upload/upload_process_for_httppostfiles.php

// use it as designation method of general address.

document.all["FileUploadMonitor"].UploadURL = "http://localhost/DEXTUploadX_PHP/Upload/upload_process_for_httppostfiles.php";

// It copies all files and form items of file manager control in parent page of this page to file monitor control.

document.all["FileUploadMonitor"].Items = opener.document.all["FileUploadManager"].Items;

// It copies values of several properties (DefaultPath, Filter etc) of file manager to file monitor.

document.all["FileUploadMonitor"].Properties = opener.document.all["FileUploadManager"].Properties;

}

</SCRIPT>

</HEAD>

<BODY bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0>

<OBJECT id=FileUploadMonitor height=335 width=445 classid=CLSID:96A93E40-E5F8-497A-B029-8D8156DE09C5

CodeBase="http://localhost/DEXTUploadX_PHP/DEXTUploadX.cab#version=3,2,9,0" VIEWASTEXT>

<!-- Set "EnablePHPFILES" property for synchronizing with PHP -->

<param name="EnablePHPFILES" value="TRUE">

</OBJECT>

</BODY>

</HTML>

3. PHP page (upload_process_for_httppostfiles.php)

<?

//-----------------------------------------------------------------------------

//----------------[ Methods of Saving Files]------------------------

//-----------------------------------------------------------------------------

// Location where file will be saved

$upload_dir = "./";

// Save file up to the number of uploaded files

for ($i=0; $i < sizeof($HTTP_POST_FILES["DEXTUploadX"]["tmp_name"]); $i++)

{

// Save only files being uploaded through HTTP POST

if (is_uploaded_file($HTTP_POST_FILES["DEXTUploadX"]["tmp_name"][$i]))

{

$file_name = $HTTP_POST_FILES["DEXTUploadX"]["name"][$i]; // Actual file name

$file_tmp_name = $HTTP_POST_FILES["DEXTUploadX"]["tmp_name"][$i]; // Temporary file name

$last_saved_filename = $file_name; // File name to be saved at the last

// Processing duplicated files (requires exclusions on files without extentions, not-allowed extentions)

$index = 1;

$filename_without_ext = substr($file_name, 0, strrpos($file_name, "."));

$filename_ext = substr(strrchr($file_name, "."), 1);

while(true)

{

if(file_exists($upload_dir.$last_saved_filename))

{

$last_saved_filename = $filename_without_ext."[".$index."].".$filename_ext;

$index++;

}

else

{

break;

}

}

// Move uploaded files to assigned path

if (move_uploaded_file($file_tmp_name, $upload_dir . $last_saved_filename))

{

// Change to desired file mode

@chmod($upload_dir . $last_saved_filename, 0775); // State 8-digit mode value

}

}

}

/*

Arrangement index of $HTTP_POST_FILES

- $HTTP_POST_FILES["userfile"]["tmp_name"] -> Temporary file name uploaded at server

- $HTTP_POST_FILES["userfile"]["name"] -> Actual file name

- $HTTP_POST_FILES["userfile"]["size"] -> File size

- $HTTP_POST_FILES["userfile"]["type"] -> File mime type

*/

//--------------------------------------------------------------------------------

//--------------[ Methods of using Formdata ]-----------------------

//--------------------------------------------------------------------------------

/*

DEXTUploadX transmits form data of webpage with DEXTUploadX automatically recognizing them.

Therefore, the use of form data of webpage with DEXTUploadX can be used in the same way as used in existing PHP.

Also, DEXTUploadX supports AddFormItem method which can dynamically add additional form data by user.

The method of using form data is the same and refer to manual for detailed instructions on using AddFormItem method.
*/

?>

4. Other Notes

※ Download of test versions of DEXTUploadX, DEXTUpload Pro is possiblel from the following path.

http://www.dextsolution.com/us/Etc/downEval.aspx

※ When manuals and basic samples of DEXTUploadX can be checked from,

“ Start->All Programs->DEVPIA->DEXTUploadX->DEXTUploadX User Manual ”

“ Start->All Programs->DEVPIA->DEXTUploadX-> DEXTUploadX Examples ”

when installed in default.


DEXT Product Group Customer Support Guide

DEXT Products

DEXT Product Group Customer Support

■ DEXT Product Group Customer Support Guide

1. Online Technical Support

Please apply at 'Online Technical Support" from http://www.dextsolution.com/us/ for formal technical support enquiries.

- Customer purchasing DEXT products will receive Maintenance for 1 year from the moment of purchase.

- Maintenance includes upgrading, patch update, online technical support.

- Received technical enquriies are processed only on formal requests through Online Technical Support Menu to make replies in sequential order thus please understand that phone inquiries will not be received.

- Online Technical Support Service Time: Mon ~ Fri 09:00~17:00 (Inquiries received after the service time will be processed on the following working day.)
Please purchase 1 Year Maintenance Only after passing 1 year for additional 1 year of online technical support.

※ Restrictions on technical support

The following requests for technical support can not be supported.

- When requesting for solving error on Programming Source Code of pages unrelated with upload products.

- When requesting for business logics unrelated with using upload products.

- When requesting for support in relation with Network Setting when using upload products.

- When making grammatical inquiries on development language (ASP, Html) or requesting for solving error and not questions on grammar according to functions while using upload products.

2. FAQ

You can check answers on frequently asked questions from 'FAQ' menu from http://www.dextsolution.com/us/

Please refer to the following for purchase inquiries.

DEVPIA Upload Component Sales Site ( http://www.dextsolution.com/us )